#include "precomp.h"
typedef unsigned char _uc ; 
typedef unsigned short _us ; 
typedef unsigned int _ui ; 
typedef long _sl ; 
typedef unsigned long _ul ; 
typedef _uc jit_insn ; 
struct jit_local_state {
  int framesize ; 
  int argssize ; 
}
; 
typedef union jit_code {
  char * ptr ; 
  void (* vptr ) (void ) ; 
  char (* cptr ) (void ) ; 
  unsigned char (* ucptr ) (void ) ; 
  short (* sptr ) (void ) ; 
  unsigned short (* usptr ) (void ) ; 
  int (* iptr ) (void ) ; 
  unsigned int (* uiptr ) (void ) ; 
  long (* lptr ) (void ) ; 
  unsigned long (* ulptr ) (void ) ; 
  void * (* pptr ) (void ) ; 
  float (* fptr ) (void ) ; 
  double (* dptr ) (void ) ; 
}
jit_code ; 
typedef struct {
  union {
    jit_insn * pc ; 
    _uc * uc_pc ; 
    _us * us_pc ; 
    _ui * ui_pc ; 
    _ul * ul_pc ; 
    jit_code code ; 
  }
  x ; 
  struct jit_fp * fp ; 
  struct jit_local_state jitl ; 
}
jit_state ; 
typedef __intptr_t intptr_t ; 
extern int close (int __fd ) ; 
extern ssize_t read (int __fd , void * __buf , size_t __nbytes ) ; 
extern ssize_t write (int __fd , __const void * __buf , size_t __n ) ; 
enum {
  _PC_LINK_MAX , _PC_MAX_CANON , _PC_MAX_INPUT , _PC_NAME_MAX , _PC_PATH_MAX , _PC_PIPE_BUF , _PC_CHOWN_RESTRICTED , _PC_NO_TRUNC , _PC_VDISABLE , _PC_SYNC_IO , _PC_ASYNC_IO , _PC_PRIO_IO , _PC_SOCK_MAXBUF , _PC_FILESIZEBITS , _PC_REC_INCR_XFER_SIZE , _PC_REC_MAX_XFER_SIZE , _PC_REC_MIN_XFER_SIZE , _PC_REC_XFER_ALIGN , _PC_ALLOC_SIZE_MIN , _PC_SYMLINK_MAX , _PC_2_SYMLINKS }
; 
enum {
  _SC_ARG_MAX , _SC_CHILD_MAX , _SC_CLK_TCK , _SC_NGROUPS_MAX , _SC_OPEN_MAX , _SC_STREAM_MAX , _SC_TZNAME_MAX , _SC_JOB_CONTROL , _SC_SAVED_IDS , _SC_REALTIME_SIGNALS , _SC_PRIORITY_SCHEDULING , _SC_TIMERS , _SC_ASYNCHRONOUS_IO , _SC_PRIORITIZED_IO , _SC_SYNCHRONIZED_IO , _SC_FSYNC , _SC_MAPPED_FILES , _SC_MEMLOCK , _SC_MEMLOCK_RANGE , _SC_MEMORY_PROTECTION , _SC_MESSAGE_PASSING , _SC_SEMAPHORES , _SC_SHARED_MEMORY_OBJECTS , _SC_AIO_LISTIO_MAX , _SC_AIO_MAX , _SC_AIO_PRIO_DELTA_MAX , _SC_DELAYTIMER_MAX , _SC_MQ_OPEN_MAX , _SC_MQ_PRIO_MAX , _SC_VERSION , _SC_PAGESIZE , _SC_RTSIG_MAX , _SC_SEM_NSEMS_MAX , _SC_SEM_VALUE_MAX , _SC_SIGQUEUE_MAX , _SC_TIMER_MAX , _SC_BC_BASE_MAX , _SC_BC_DIM_MAX , _SC_BC_SCALE_MAX , _SC_BC_STRING_MAX , _SC_COLL_WEIGHTS_MAX , _SC_EQUIV_CLASS_MAX , _SC_EXPR_NEST_MAX , _SC_LINE_MAX , _SC_RE_DUP_MAX , _SC_CHARCLASS_NAME_MAX , _SC_2_VERSION , _SC_2_C_BIND , _SC_2_C_DEV , _SC_2_FORT_DEV , _SC_2_FORT_RUN , _SC_2_SW_DEV , _SC_2_LOCALEDEF , _SC_PII , _SC_PII_XTI , _SC_PII_SOCKET , _SC_PII_INTERNET , _SC_PII_OSI , _SC_POLL , _SC_SELECT , _SC_UIO_MAXIOV , _SC_IOV_MAX = _SC_UIO_MAXIOV , _SC_PII_INTERNET_STREAM , _SC_PII_INTERNET_DGRAM , _SC_PII_OSI_COTS , _SC_PII_OSI_CLTS , _SC_PII_OSI_M , _SC_T_IOV_MAX , _SC_THREADS , _SC_THREAD_SAFE_FUNCTIONS , _SC_GETGR_R_SIZE_MAX , _SC_GETPW_R_SIZE_MAX , _SC_LOGIN_NAME_MAX , _SC_TTY_NAME_MAX , _SC_THREAD_DESTRUCTOR_ITERATIONS , _SC_THREAD_KEYS_MAX , _SC_THREAD_STACK_MIN , _SC_THREAD_THREADS_MAX , _SC_THREAD_ATTR_STACKADDR , _SC_THREAD_ATTR_STACKSIZE , _SC_THREAD_PRIORITY_SCHEDULING , _SC_THREAD_PRIO_INHERIT , _SC_THREAD_PRIO_PROTECT , _SC_THREAD_PROCESS_SHARED , _SC_NPROCESSORS_CONF , _SC_NPROCESSORS_ONLN , _SC_PHYS_PAGES , _SC_AVPHYS_PAGES , _SC_ATEXIT_MAX , _SC_PASS_MAX , _SC_XOPEN_VERSION , _SC_XOPEN_XCU_VERSION , _SC_XOPEN_UNIX , _SC_XOPEN_CRYPT , _SC_XOPEN_ENH_I18N , _SC_XOPEN_SHM , _SC_2_CHAR_TERM , _SC_2_C_VERSION , _SC_2_UPE , _SC_XOPEN_XPG2 , _SC_XOPEN_XPG3 , _SC_XOPEN_XPG4 , _SC_CHAR_BIT , _SC_CHAR_MAX , _SC_CHAR_MIN , _SC_INT_MAX , _SC_INT_MIN , _SC_LONG_BIT , _SC_WORD_BIT , _SC_MB_LEN_MAX , _SC_NZERO , _SC_SSIZE_MAX , _SC_SCHAR_MAX , _SC_SCHAR_MIN , _SC_SHRT_MAX , _SC_SHRT_MIN , _SC_UCHAR_MAX , _SC_UINT_MAX , _SC_ULONG_MAX , _SC_USHRT_MAX , _SC_NL_ARGMAX , _SC_NL_LANGMAX , _SC_NL_MSGMAX , _SC_NL_NMAX , _SC_NL_SETMAX , _SC_NL_TEXTMAX , _SC_XBS5_ILP32_OFF32 , _SC_XBS5_ILP32_OFFBIG , _SC_XBS5_LP64_OFF64 , _SC_XBS5_LPBIG_OFFBIG , _SC_XOPEN_LEGACY , _SC_XOPEN_REALTIME , _SC_XOPEN_REALTIME_THREADS , _SC_ADVISORY_INFO , _SC_BARRIERS , _SC_BASE , _SC_C_LANG_SUPPORT , _SC_C_LANG_SUPPORT_R , _SC_CLOCK_SELECTION , _SC_CPUTIME , _SC_THREAD_CPUTIME , _SC_DEVICE_IO , _SC_DEVICE_SPECIFIC , _SC_DEVICE_SPECIFIC_R , _SC_FD_MGMT , _SC_FIFO , _SC_PIPE , _SC_FILE_ATTRIBUTES , _SC_FILE_LOCKING , _SC_FILE_SYSTEM , _SC_MONOTONIC_CLOCK , _SC_MULTI_PROCESS , _SC_SINGLE_PROCESS , _SC_NETWORKING , _SC_READER_WRITER_LOCKS , _SC_SPIN_LOCKS , _SC_REGEXP , _SC_REGEX_VERSION , _SC_SHELL , _SC_SIGNALS , _SC_SPAWN , _SC_SPORADIC_SERVER , _SC_THREAD_SPORADIC_SERVER , _SC_SYSTEM_DATABASE , _SC_SYSTEM_DATABASE_R , _SC_TIMEOUTS , _SC_TYPED_MEMORY_OBJECTS , _SC_USER_GROUPS , _SC_USER_GROUPS_R , _SC_2_PBS , _SC_2_PBS_ACCOUNTING , _SC_2_PBS_LOCATE , _SC_2_PBS_MESSAGE , _SC_2_PBS_TRACK , _SC_SYMLOOP_MAX , _SC_STREAMS , _SC_2_PBS_CHECKPOINT , _SC_V6_ILP32_OFF32 , _SC_V6_ILP32_OFFBIG , _SC_V6_LP64_OFF64 , _SC_V6_LPBIG_OFFBIG , _SC_HOST_NAME_MAX , _SC_TRACE , _SC_TRACE_EVENT_FILTER , _SC_TRACE_INHERIT , _SC_TRACE_LOG , _SC_LEVEL1_ICACHE_SIZE , _SC_LEVEL1_ICACHE_ASSOC , _SC_LEVEL1_ICACHE_LINESIZE , _SC_LEVEL1_DCACHE_SIZE , _SC_LEVEL1_DCACHE_ASSOC , _SC_LEVEL1_DCACHE_LINESIZE , _SC_LEVEL2_CACHE_SIZE , _SC_LEVEL2_CACHE_ASSOC , _SC_LEVEL2_CACHE_LINESIZE , _SC_LEVEL3_CACHE_SIZE , _SC_LEVEL3_CACHE_ASSOC , _SC_LEVEL3_CACHE_LINESIZE , _SC_LEVEL4_CACHE_SIZE , _SC_LEVEL4_CACHE_ASSOC , _SC_LEVEL4_CACHE_LINESIZE , _SC_IPV6 = _SC_LEVEL1_ICACHE_SIZE + 50 , _SC_RAW_SOCKETS }
; 
enum {
  _CS_PATH , _CS_V6_WIDTH_RESTRICTED_ENVS , _CS_GNU_LIBC_VERSION , _CS_GNU_LIBPTHREAD_VERSION , _CS_LFS_CFLAGS = 1000 , _CS_LFS_LDFLAGS , _CS_LFS_LIBS , _CS_LFS_LINTFLAGS , _CS_LFS64_CFLAGS , _CS_LFS64_LDFLAGS , _CS_LFS64_LIBS , _CS_LFS64_LINTFLAGS , _CS_XBS5_ILP32_OFF32_CFLAGS = 1100 , _CS_XBS5_ILP32_OFF32_LDFLAGS , _CS_XBS5_ILP32_OFF32_LIBS , _CS_XBS5_ILP32_OFF32_LINTFLAGS , _CS_XBS5_ILP32_OFFBIG_CFLAGS , _CS_XBS5_ILP32_OFFBIG_LDFLAGS , _CS_XBS5_ILP32_OFFBIG_LIBS , _CS_XBS5_ILP32_OFFBIG_LINTFLAGS , _CS_XBS5_LP64_OFF64_CFLAGS , _CS_XBS5_LP64_OFF64_LDFLAGS , _CS_XBS5_LP64_OFF64_LIBS , _CS_XBS5_LP64_OFF64_LINTFLAGS , _CS_XBS5_LPBIG_OFFBIG_CFLAGS , _CS_XBS5_LPBIG_OFFBIG_LDFLAGS , _CS_XBS5_LPBIG_OFFBIG_LIBS , _CS_XBS5_LPBIG_OFFBIG_LINTFLAGS , _CS_POSIX_V6_ILP32_OFF32_CFLAGS , _CS_POSIX_V6_ILP32_OFF32_LDFLAGS , _CS_POSIX_V6_ILP32_OFF32_LIBS , _CS_POSIX_V6_ILP32_OFF32_LINTFLAGS , _CS_POSIX_V6_ILP32_OFFBIG_CFLAGS , _CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS , _CS_POSIX_V6_ILP32_OFFBIG_LIBS , _CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS , _CS_POSIX_V6_LP64_OFF64_CFLAGS , _CS_POSIX_V6_LP64_OFF64_LDFLAGS , _CS_POSIX_V6_LP64_OFF64_LIBS , _CS_POSIX_V6_LP64_OFF64_LINTFLAGS , _CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS , _CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS , _CS_POSIX_V6_LPBIG_OFFBIG_LIBS , _CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS }
; 
extern long int sysconf (int __name ) __attribute__ ((__nothrow__ ) ) ; 
extern int mprotect (void * __addr , size_t __len , int __prot ) __attribute__ ((__nothrow__ ) ) ; 
static unsigned long jit_prev_page = 0 , jit_prev_length = 0 ; 
static void jit_notify_freed_code (void ) {
  jit_prev_page = jit_prev_length = 0 ; 
}
static void jit_flush_code (void * dest , void * end ) {
  unsigned long page , length ; 
  static unsigned long page_size = - 1 ; 
  if (page_size == - 1 ) {
    page_size = sysconf (_SC_PAGESIZE ) ; 
  }
  page = (long ) dest & ~ (page_size - 1 ) ; 
  length = ((char * ) end - (char * ) page + page_size - 1 ) & ~ (page_size - 1 ) ; 
  if (page >= jit_prev_page && page + length <= jit_prev_page + jit_prev_length )
    return ; 
  mprotect ((void * ) page , length , 0x1 | 0x2 | 0x4 ) ; 
  if (page >= jit_prev_page && page <= jit_prev_page + jit_prev_length )
    jit_prev_length = page + length - jit_prev_page ; 
  else if (page < jit_prev_page && page + length >= jit_prev_page && page + length <= jit_prev_page + jit_prev_length )
    jit_prev_length += jit_prev_page - page , jit_prev_page = page ; 
  else jit_prev_page = page , jit_prev_length = length ; 
}
static int jit_fail (const char * , const char * , int , const char * ) __attribute__ ((unused ) ) ; 
int jit_fail (const char * msg , const char * file , int line , const char * function ) {
  fprintf (stderr , "%s: In function `%s':\n" , file , function ) ; 
  fprintf (stderr , "%s:%d: %s\n" , file , line , msg ) ; 
  abort () ; 
}
union jit_double_imm {
  double d ; 
  int i [2 ] ; 
}
; 
int scheme_jit_malloced ; 
static void * shared_tail_code [4 ] [25 ] ; 
static void * shared_non_tail_code [3 ] [25 ] [2 ] ; 
static void * shared_non_tail_retry_code [2 ] ; 
static void * shared_non_tail_argc_code [2 ] ; 
static void * shared_tail_argc_code ; 
static void * shared_arity_check [25 ] [2 ] [2 ] ; 
static void * bad_result_arity_code ; 
static void * unbound_global_code ; 
static void * quote_syntax_code ; 
static void * call_original_unary_arith_code ; 
static void * call_original_binary_arith_code ; 
static void * call_original_binary_rev_arith_code ; 
static void * call_original_unary_arith_for_branch_code ; 
static void * call_original_binary_arith_for_branch_code ; 
static void * call_original_binary_rev_arith_for_branch_code ; 
static void * bad_car_code , * bad_cdr_code ; 
static void * bad_caar_code , * bad_cdar_code , * bad_cadr_code , * bad_cddr_code ; 
static void * bad_mcar_code , * bad_mcdr_code ; 
static void * bad_set_mcar_code , * bad_set_mcdr_code ; 
static void * bad_unbox_code ; 
static void * vector_ref_code , * vector_ref_check_index_code , * vector_set_code , * vector_set_check_index_code ; 
static void * string_ref_code , * string_ref_check_index_code , * string_set_code , * string_set_check_index_code ; 
static void * bytes_ref_code , * bytes_ref_check_index_code , * bytes_set_code , * bytes_set_check_index_code ; 
static void * syntax_e_code ; 
static void * on_demand_jit_code ; 
static void * on_demand_jit_arity_code ; 
static void * get_stack_pointer_code ; 
static void * stack_cache_pop_code ; 
static void * struct_pred_code ; 
static void * struct_pred_branch_code ; 
static void * struct_get_code ; 
static void * bad_app_vals_target ; 
static void * app_values_slow_code , * app_values_multi_slow_code , * app_values_tail_slow_code ; 
static void * finish_tail_call_code , * finish_tail_call_fixup_code ; 
typedef struct {
  Scheme_Type type ; 
  GC_CAN_IGNORE jit_state js ; 
  char * limit ; 
  int extra_pushed , max_extra_pushed ; 
  int depth ; 
  int max_depth ; 
  int * mappings ; 
  int num_mappings , mappings_size ; 
  int retained ; 
  int need_set_rs ; 
  void * * retain_start ; 
  int local1_busy ; 
  int log_depth ; 
  int self_pos , self_closure_size , self_toplevel_pos ; 
  void * self_restart_code ; 
  Scheme_Native_Closure * nc ; 
  Scheme_Closure_Data * self_data ; 
  void * status_at_ptr ; 
  int reg_status ; 
}
mz_jit_state ; 
typedef int (* Native_Check_Arity_Proc ) (Scheme_Object * o , int argc , int dummy ) ; 
typedef Scheme_Object * (* Native_Get_Arity_Proc ) (Scheme_Object * o , int dumm1 , int dummy2 ) ; 
static Native_Check_Arity_Proc check_arity_code ; 
static Native_Get_Arity_Proc get_arity_code ; 
static int generate_non_tail (Scheme_Object * obj , mz_jit_state * jitter , int multi_ok , int need_ends ) ; 
static int generate (Scheme_Object * obj , mz_jit_state * jitter , int tail_ok , int multi_ok ) ; 
static void * generate_lambda_simple_arity_check (int num_params , int has_rest , int is_method , int permanent ) ; 
static void generate_case_lambda (Scheme_Case_Lambda * c , Scheme_Native_Closure_Data * ndata , int is_method ) ; 
static void on_demand () ; 
static int generate_non_tail_mark_pos_prefix (mz_jit_state * jitter ) ; 
static void generate_non_tail_mark_pos_suffix (mz_jit_state * jitter ) ; 
static void * generate_shared_call (int num_rands , mz_jit_state * old_jitter , int multi_ok , int is_tail , int direct_prim , int direct_native ) ; 
static int is_simple (Scheme_Object * obj , int depth , int just_markless , mz_jit_state * jitter , int stack_start ) ; 
static int lambda_has_been_jitted (Scheme_Native_Closure_Data * ndata ) ; 
static void register_traversers (void ) ; 
static void release_native_code (void * fnlized , void * p ) ; 
int scheme_direct_call_count , scheme_indirect_call_count ; 
typedef struct {
  Scheme_Native_Closure_Data nc ; 
  Scheme_Native_Closure_Data * case_lam ; 
}
Scheme_Native_Closure_Data_Plus_Case ; 
typedef struct {
  void * orig_return_address ; 
  void * stack_frame ; 
  Scheme_Object * cache ; 
  void * filler ; 
}
Stack_Cache_Elem ; 
static Stack_Cache_Elem stack_cache_stack [32 ] ; 
long stack_cache_stack_pos = 0 ; 
static void * * tree ; 
static int do_clear_symbols (void * * t , unsigned long start , int offset , unsigned long addr , int clearing ) ; 
static int during_set ; 
static void * find_symbol (unsigned long v ) {
  /* No conversion */
  unsigned long k ; 
  void * * t = tree , * val ; 
  int offset = ((1 << 2 ) * 8 ) ; 
  while (offset ) {
    if (! t )
      return ((void * ) 0 ) ; 
    offset -= 4 ; 
    k = ((v >> offset ) & ((1 << 4 ) - 1 ) ) + 3 ; 
    val = t [k ] ; 
    if (! val )
      return ((void * ) 0 ) ; 
    if (* (Scheme_Type * ) val )
      return val ; 
    t = (void * * ) val ; 
  }
  printf ("Error: walked off end of tree\n" ) ; 
  return ((void * ) 0 ) ; 
}
/* this far 54 */
static void * * malloc_node () {
  void * * v ; 
  DECL_RET_SAVE (void * * ) PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(v, 0)));
# define XfOrM4_COUNT (1)
# define SETUP_XfOrM4(x) SETUP(XfOrM4_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  v = NULLED_OUT ; 
  v = (void * * ) FUNCCALL(SETUP_XfOrM4(_), GC_malloc (((1 << 4 ) + 3 ) * sizeof (void * ) ) ); 
  ((unsigned long * ) v ) [1 ] = 0x1 ; 
  ((unsigned long * ) v ) [2 ] = 0x1 ; 
  RET_VALUE_START (v ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void add_symbol (unsigned long start , unsigned long end , void * value , int gc_able ) {
  unsigned long k1 , k2 , split_t_start = 0 , split_t_end = 0 , i ; 
  int m ; 
  int offset = ((1 << 2 ) * 8 ) , split_offset = 0 ; 
  void * * t1 , * * t2 , * * split_t , * val1 , * val2 ; 
  PREPARE_VAR_STACK_ONCE(6);
  BLOCK_SETUP_TOP((PUSH(t1, 0), PUSH(val2, 1), PUSH(split_t, 2), PUSH(value, 3), PUSH(t2, 4), PUSH(val1, 5)));
# define XfOrM5_COUNT (6)
# define SETUP_XfOrM5(x) SETUP(XfOrM5_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  t1 = NULLED_OUT ; 
  t2 = NULLED_OUT ; 
  split_t = NULLED_OUT ; 
  val1 = NULLED_OUT ; 
  val2 = NULLED_OUT ; 
  if (! tree ) {
#   define XfOrM36_COUNT (0+XfOrM5_COUNT)
#   define SETUP_XfOrM36(x) SETUP_XfOrM5(x)
    FUNCCALL(SETUP_XfOrM36(_), scheme_register_static ((void * ) & tree , sizeof (tree ) ) ); 
    tree = FUNCCALL(SETUP_XfOrM36(_), malloc_node () ); 
  }
  during_set ++ ; 
  t1 = t2 = tree ; 
  split_t = ((void * ) 0 ) ; 
  while (offset ) {
#   define XfOrM30_COUNT (0+XfOrM5_COUNT)
#   define SETUP_XfOrM30(x) SETUP_XfOrM5(x)
    offset -= 4 ; 
    k1 = ((start >> offset ) & ((1 << 4 ) - 1 ) ) + 3 ; 
    if (offset ) {
#     define XfOrM34_COUNT (0+XfOrM30_COUNT)
#     define SETUP_XfOrM34(x) SETUP_XfOrM30(x)
      val1 = t1 [k1 ] ; 
      if (! val1 ) {
#       define XfOrM35_COUNT (0+XfOrM34_COUNT)
#       define SETUP_XfOrM35(x) SETUP_XfOrM34(x)
        val1 = FUNCCALL(SETUP_XfOrM35(_), malloc_node () ); 
        t1 [k1 ] = val1 ; 
      }
    }
    else val1 = t1 ; 
    k2 = ((end >> offset ) & ((1 << 4 ) - 1 ) ) + 3 ; 
    if (offset ) {
#     define XfOrM32_COUNT (0+XfOrM30_COUNT)
#     define SETUP_XfOrM32(x) SETUP_XfOrM30(x)
      val2 = t2 [k2 ] ; 
      if (! val2 ) {
#       define XfOrM33_COUNT (0+XfOrM32_COUNT)
#       define SETUP_XfOrM33(x) SETUP_XfOrM32(x)
        val2 = FUNCCALL(SETUP_XfOrM33(_), malloc_node () ); 
        t2 [k2 ] = val2 ; 
      }
    }
    else val2 = t2 ; 
    if (! split_t && (val1 != val2 ) ) {
      split_t = t1 ; 
      split_t_start = k1 ; 
      split_t_end = k2 ; 
      split_offset = offset ; 
    }
    t1 = val1 ; 
    t2 = val2 ; 
  }
  if (! split_t ) {
    split_t = t1 ; 
    split_t_start = k1 ; 
    split_t_end = k2 ; 
  }
  m = (1 << (k1 - 3 + 1 ) ) ; 
  ((unsigned long * ) t1 ) [1 ] |= m ; 
  if (! value )
    ((unsigned long * ) t1 ) [2 ] |= m ; 
  t1 [k1 ] = value ; 
  t2 [k2 ] = value ; 
  for (i = split_t_start + 1 ; i < split_t_end ; i ++ ) {
    split_t [i ] = value ; 
  }
  if (t1 != split_t ) {
    k1 = ((start >> split_offset ) & ((1 << 4 ) - 1 ) ) + 3 ; 
    t1 = split_t [k1 ] ; 
    offset = split_offset ; 
    while (offset ) {
      offset -= 4 ; 
      k1 = ((start >> offset ) & ((1 << 4 ) - 1 ) ) + 3 ; 
      for (i = k1 + 1 ; i < (1 << 4 ) + 3 ; i ++ ) {
        t1 [i ] = value ; 
      }
      t1 = t1 [k1 ] ; 
    }
  }
  if (t2 != split_t ) {
    k2 = ((end >> split_offset ) & ((1 << 4 ) - 1 ) ) + 3 ; 
    t2 = split_t [k2 ] ; 
    offset = split_offset ; 
    while (offset ) {
      offset -= 4 ; 
      k2 = ((end >> offset ) & ((1 << 4 ) - 1 ) ) + 3 ; 
      for (i = 3 ; i < k2 ; i ++ ) {
        t2 [i ] = value ; 
      }
      t2 = t2 [k2 ] ; 
    }
  }
  -- during_set ; 
  if (! value ) {
#   define XfOrM6_COUNT (0+XfOrM5_COUNT)
#   define SETUP_XfOrM6(x) SETUP_XfOrM5(x)
    FUNCCALL_EMPTY(do_clear_symbols (tree , start , 0 , 0 , 0 ) ); 
  }
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int do_clear_symbols (void * * t , unsigned long start , int offset , unsigned long addr , int clearing ) {
  int i , m , j ; 
  void * p , * val , * * subt ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(subt, 0), PUSH(val, 1), PUSH(t, 2)));
# define XfOrM37_COUNT (3)
# define SETUP_XfOrM37(x) SETUP(XfOrM37_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  p = NULLED_OUT ; 
  val = NULLED_OUT ; 
  subt = NULLED_OUT ; 
  for (i = ((start >> offset ) & ((1 << 4 ) - 1 ) ) ; i < (1 << 4 ) ; i ++ ) {
#   define XfOrM50_COUNT (0+XfOrM37_COUNT)
#   define SETUP_XfOrM50(x) SETUP_XfOrM37(x)
    m = (1 << (i + 1 ) ) ; 
    if (((unsigned long * ) t ) [1 ] & m ) {
      clearing = 0 ; 
      if (((unsigned long * ) t ) [2 ] & m ) {
        clearing = 1 ; 
        if (clearing ) {
          ((unsigned long * ) t ) [1 ] -= m ; 
          ((unsigned long * ) t ) [2 ] -= m ; 
        }
      }
      else {
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      }
    }
    if (! clearing )
      val = ((void * ) 0 ) ; 
    else val = t [i + 3 ] ; 
    if (val ) {
#     define XfOrM51_COUNT (0+XfOrM50_COUNT)
#     define SETUP_XfOrM51(x) SETUP_XfOrM50(x)
      if (! * (Scheme_Type * ) val ) {
#       define XfOrM52_COUNT (0+XfOrM51_COUNT)
#       define SETUP_XfOrM52(x) SETUP_XfOrM51(x)
        subt = (void * * ) val ; 
        clearing = FUNCCALL(SETUP_XfOrM52(_), do_clear_symbols (subt , start , offset - 4 , (addr + (i << offset ) ) , clearing ) ); 
        if (! during_set ) {
          for (j = 0 ; j < (1 << 4 ) ; j ++ ) {
            if (subt [j + 3 ] )
              break ; 
          }
          if (j == (1 << 4 ) ) {
            t [i + 3 ] = ((void * ) 0 ) ; 
          }
        }
        if (! clearing ) {
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        }
      }
      else if (clearing )
        t [i + 3 ] = ((void * ) 0 ) ; 
    }
  }
  RET_VALUE_START (clearing ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * * fixup_runstack_base ; 
static int fixup_already_in_place ; 
static Scheme_Object * _scheme_tail_apply_from_native_fixup_args (Scheme_Object * rator , int argc , Scheme_Object * * argv ) {
  /* No conversion */
  int already = fixup_already_in_place , i ; 
  Scheme_Object * * base ; 
  base = fixup_runstack_base XFORM_OK_MINUS argc XFORM_OK_MINUS already ; 
  for (i = 0 ; i < argc ; i ++ ) {
    base [already + i ] = argv [i ] ; 
  }
  return _scheme_tail_apply_from_native (rator , argc + already , base ) ; 
}
static Scheme_Object * make_global_ref (Scheme_Object * var ) {
  GC_CAN_IGNORE Scheme_Object * o ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(var, 0)));
# define XfOrM65_COUNT (1)
# define SETUP_XfOrM65(x) SETUP(XfOrM65_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  o = ((Scheme_Object * ) FUNCCALL(SETUP_XfOrM65(_), GC_malloc_one_small_tagged ((((sizeof (Scheme_Small_Object ) + (1 << 2 ) - 1 ) >> 2 ) << 2 ) ) )) ; 
  o -> type = scheme_global_ref_type ; 
  (((Scheme_Small_Object * ) (o ) ) -> u . ptr_val ) = var ; 
  RET_VALUE_START (o ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void * jit_buffer_cache ; 
static long jit_buffer_cache_size ; 
static int jit_buffer_cache_registered ; 
typedef int (* Generate_Proc ) (mz_jit_state * j , void * data ) ; 
static void * get_end_pointer (mz_jit_state * jitter ) {
  /* No conversion */
  return ((jitter -> js ) . x . code ) . ptr ; 
}
static int mz_retain_it (mz_jit_state * jitter , void * v ) {
  /* No conversion */
  if (jitter -> retain_start ) {
    jitter -> retain_start [jitter -> retained ] = v ; 
  }
  jitter -> retained ++ ; 
  return jitter -> retained ; 
}
static void mz_load_retained (mz_jit_state * jitter , int rs , int retptr ) {
  /* No conversion */
  void * p ; 
  p = jitter -> retain_start + retptr - 1 ; 
  (void ) (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | ((((rs ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((p ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((rs ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((rs ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((rs ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((rs ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((rs ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((rs ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((rs ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((rs ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((rs ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((rs ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((rs ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((rs ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((rs ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((rs ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((rs ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((rs ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((rs ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((rs ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((rs ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((rs ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((rs ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
}
static void * generate_one (mz_jit_state * old_jitter , Generate_Proc generate , void * data , int gcable , void * save_ptr , Scheme_Native_Closure_Data * ndata ) {
  mz_jit_state _jitter ; 
  mz_jit_state * jitter = & _jitter ; 
  void * buffer ; 
  int mappings_buffer [32 ] ; 
  int * mappings = mappings_buffer ; 
  long size = 256 , known_size = 0 , size_pre_retained = 0 , num_retained = 0 , padding ; 
  int mappings_size = 32 ; 
  int ok , max_extra_pushed = 0 ; 
  Scheme_Object * fnl_obj ; 
  DECL_RET_SAVE (void * ) PREPARE_VAR_STACK_ONCE(15);
  BLOCK_SETUP_TOP((PUSH(buffer, 0), PUSH(save_ptr, 1), PUSH(_jitter.limit, 2), PUSH(_jitter.mappings, 3), PUSH(_jitter.retain_start, 4), PUSH(_jitter.self_restart_code, 5), PUSH(_jitter.nc, 6), PUSH(_jitter.self_data, 7), PUSH(_jitter.status_at_ptr, 8), PUSH(mappings, 9), PUSH(fnl_obj, 10), PUSH(ndata, 11), PUSH(data, 12), PUSH(old_jitter, 13), PUSH(jitter, 14)));
# define XfOrM70_COUNT (15)
# define SETUP_XfOrM70(x) SETUP(XfOrM70_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  _jitter.limit = NULLED_OUT ; 
  _jitter.mappings = NULLED_OUT ; 
  _jitter.retain_start = NULLED_OUT ; 
  _jitter.self_restart_code = NULLED_OUT ; 
  _jitter.nc = NULLED_OUT ; 
  _jitter.self_data = NULLED_OUT ; 
  _jitter.status_at_ptr = NULLED_OUT ; 
  buffer = NULLED_OUT ; 
  fnl_obj = NULLED_OUT ; 
  if (ndata ) {
#   define XfOrM114_COUNT (0+XfOrM70_COUNT)
#   define SETUP_XfOrM114(x) SETUP_XfOrM70(x)
    fnl_obj = FUNCCALL(SETUP_XfOrM114(_), scheme_box (scheme_false ) ); 
  }
  else fnl_obj = ((void * ) 0 ) ; 
  if (! jit_buffer_cache_registered ) {
#   define XfOrM113_COUNT (0+XfOrM70_COUNT)
#   define SETUP_XfOrM113(x) SETUP_XfOrM70(x)
    jit_buffer_cache_registered = 1 ; 
    FUNCCALL(SETUP_XfOrM113(_), scheme_register_static ((void * ) & jit_buffer_cache , sizeof (jit_buffer_cache ) ) ); 
    FUNCCALL_AGAIN(scheme_register_static ((void * ) & stack_cache_stack , sizeof (stack_cache_stack ) ) ); 
    FUNCCALL_AGAIN(register_traversers () ); 
  }
  while (1 ) {
#   define XfOrM92_COUNT (0+XfOrM70_COUNT)
#   define SETUP_XfOrM92(x) SETUP_XfOrM70(x)
    (memset (jitter , 0 , sizeof (_jitter ) ) ) ; 
    padding = 100 ; 
    if (known_size ) {
#     define XfOrM110_COUNT (0+XfOrM92_COUNT)
#     define SETUP_XfOrM110(x) SETUP_XfOrM92(x)
      size_pre_retained = known_size ; 
      size = size_pre_retained + ((num_retained ) << 2 ) ; 
      padding = 0 ; 
      if (gcable ) {
#       define XfOrM112_COUNT (0+XfOrM110_COUNT)
#       define SETUP_XfOrM112(x) SETUP_XfOrM110(x)
        buffer = FUNCCALL(SETUP_XfOrM112(_), malloc (size ) ); 
        scheme_jit_malloced += size_pre_retained ; 
      }
      else {
#       define XfOrM111_COUNT (0+XfOrM110_COUNT)
#       define SETUP_XfOrM111(x) SETUP_XfOrM110(x)
        buffer = FUNCCALL(SETUP_XfOrM111(_), malloc (size ) ); 
      }
      ; 
    }
    else if (old_jitter ) {
#     define XfOrM107_COUNT (0+XfOrM92_COUNT)
#     define SETUP_XfOrM107(x) SETUP_XfOrM92(x)
      buffer = FUNCCALL(SETUP_XfOrM107(_), get_end_pointer (old_jitter ) ); 
      size = ((char * ) old_jitter -> limit - (char * ) buffer ) ; 
      if (size < 256 ) {
        old_jitter = ((void * ) 0 ) ; 
        buffer = ((void * ) 0 ) ; 
        size = 256 ; 
      }
      else {
        size_pre_retained = size ; 
      }
    }
    else buffer = ((void * ) 0 ) ; 
    if (! buffer ) {
#     define XfOrM104_COUNT (0+XfOrM92_COUNT)
#     define SETUP_XfOrM104(x) SETUP_XfOrM92(x)
      if (jit_buffer_cache && (jit_buffer_cache_size >= size ) ) {
        buffer = jit_buffer_cache ; 
        size = jit_buffer_cache_size ; 
        jit_buffer_cache = ((void * ) 0 ) ; 
      }
      else {
        long minsz ; 
#       define XfOrM105_COUNT (0+XfOrM104_COUNT)
#       define SETUP_XfOrM105(x) SETUP_XfOrM104(x)
        minsz = FUNCCALL(SETUP_XfOrM105(_), GC_malloc_stays_put_threshold () ); 
        if (size < minsz )
          size = minsz ; 
        buffer = (char * ) FUNCCALL(SETUP_XfOrM105(_), GC_malloc_atomic (size ) ); 
      }
      size_pre_retained = size ; 
    }
    (void ) ((jitter -> js ) . x . pc = (buffer ) , ((jitter -> js ) . x . code ) ) . ptr ; 
    jitter -> limit = (char * ) buffer + size_pre_retained - padding ; 
    if (known_size ) {
#     define XfOrM102_COUNT (0+XfOrM92_COUNT)
#     define SETUP_XfOrM102(x) SETUP_XfOrM92(x)
      jitter -> retain_start = (void * ) jitter -> limit ; 
      if (ndata ) {
#       define XfOrM103_COUNT (0+XfOrM102_COUNT)
#       define SETUP_XfOrM103(x) SETUP_XfOrM102(x)
        (memset (jitter -> retain_start , 0 , num_retained * sizeof (void * ) ) ) ; 
        ndata -> retained = jitter -> retain_start ; 
        ndata -> retain_count = num_retained ; 
        (((Scheme_Small_Object * ) (fnl_obj ) ) -> u . ptr_val ) = ((Scheme_Object * ) (void * ) (long ) ((((long ) (size_pre_retained ) ) << 1 ) | 0x1 ) ) ; 
        FUNCCALL(SETUP_XfOrM103(_), GC_set_finalizer (fnl_obj , 1 , 3 , release_native_code , buffer , ((void * ) 0 ) , ((void * ) 0 ) ) ); 
      }
    }
    else jitter -> retain_start = ((void * ) 0 ) ; 
    jitter -> mappings = mappings ; 
    jitter -> num_mappings = 0 ; 
    jitter -> mappings_size = mappings_size ; 
    mappings [0 ] = 0 ; 
    jitter -> max_extra_pushed = max_extra_pushed ; 
    jitter -> self_pos = 1 ; 
    jitter -> self_toplevel_pos = - 1 ; 
    jitter -> status_at_ptr = ((void * ) 0 ) ; 
    ok = FUNCCALL(SETUP_XfOrM92(_), generate (jitter , data ) ); 
    if (save_ptr ) {
#     define XfOrM101_COUNT (0+XfOrM92_COUNT)
#     define SETUP_XfOrM101(x) SETUP_XfOrM92(x)
      FUNCCALL(SETUP_XfOrM101(_), mz_retain_it (jitter , save_ptr ) ); 
    }
    if (fnl_obj ) {
#     define XfOrM100_COUNT (0+XfOrM92_COUNT)
#     define SETUP_XfOrM100(x) SETUP_XfOrM92(x)
      FUNCCALL(SETUP_XfOrM100(_), mz_retain_it (jitter , fnl_obj ) ); 
    }
    jitter -> limit = (char * ) jitter -> limit + padding ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) || (jitter -> retain_start && (jitter -> retained > num_retained ) ) ) {
#     define XfOrM99_COUNT (0+XfOrM92_COUNT)
#     define SETUP_XfOrM99(x) SETUP_XfOrM92(x)
      FUNCCALL(SETUP_XfOrM99(_), scheme_console_printf ("JIT buffer overflow: %p [%p,%p] (%d)!!\n" , ((jitter -> js ) . x . code ) . ptr , buffer , jitter -> limit , ! ! jitter -> retain_start ) ); 
      FUNCCALL(SETUP_XfOrM99(_), abort () ); 
    }
    mappings_size = jitter -> mappings_size ; 
    mappings = jitter -> mappings ; 
    max_extra_pushed = jitter -> max_extra_pushed ; 
    if (ok ) {
#     define XfOrM94_COUNT (0+XfOrM92_COUNT)
#     define SETUP_XfOrM94(x) SETUP_XfOrM92(x)
      if (known_size ) {
#       define XfOrM98_COUNT (0+XfOrM94_COUNT)
#       define SETUP_XfOrM98(x) SETUP_XfOrM94(x)
        FUNCCALL(SETUP_XfOrM98(_), jit_flush_code (buffer , ((jitter -> js ) . x . code ) . ptr ) ); 
        RET_VALUE_START (buffer ) RET_VALUE_END ; 
      }
      else {
        known_size = ((unsigned long ) ((jitter -> js ) . x . code ) . ptr ) - (unsigned long ) buffer ; 
        if (known_size & ((1 << 2 ) - 1 ) ) {
          known_size += ((1 << 2 ) - (known_size & ((1 << 2 ) - 1 ) ) ) ; 
        }
        num_retained = jitter -> retained ; 
        if ((jit_buffer_cache_size < 65536 ) && ! old_jitter && (! jit_buffer_cache || (jit_buffer_cache_size > size ) ) ) {
          jit_buffer_cache = buffer ; 
          jit_buffer_cache_size = size ; 
        }
      }
    }
    else {
      size = size * 2 ; 
      old_jitter = ((void * ) 0 ) ; 
    }
  }
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static inline Scheme_Object * do_make_native_closure (Scheme_Native_Closure_Data * code , int size ) {
  Scheme_Native_Closure * o ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(2);
  BLOCK_SETUP_TOP((PUSH(o, 0), PUSH(code, 1)));
# define XfOrM115_COUNT (2)
# define SETUP_XfOrM115(x) SETUP(XfOrM115_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  o = NULLED_OUT ; 
  o = (Scheme_Native_Closure * ) FUNCCALL(SETUP_XfOrM115(_), GC_malloc_one_tagged (sizeof (Scheme_Native_Closure ) + ((size - 1 ) * sizeof (Scheme_Object * ) ) ) ); 
  o -> so . type = scheme_native_closure_type ; 
  o -> code = code ; 
  RET_VALUE_START ((Scheme_Object * ) o ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * scheme_make_native_closure (Scheme_Native_Closure_Data * code ) {
  /* No conversion */
  return do_make_native_closure (code , code -> closure_size ) ; 
}
Scheme_Object * scheme_make_native_case_closure (Scheme_Native_Closure_Data * code ) {
  /* No conversion */
  return do_make_native_closure (code , - (code -> closure_size + 1 ) ) ; 
}
static void call_set_global_bucket (Scheme_Bucket * b , Scheme_Object * val , int set_undef ) {
  /* No conversion */
  scheme_set_global_bucket ("set!" , b , val , set_undef ) ; 
}
static void lexical_binding_wrong_return_arity (int expected , int got , Scheme_Object * * argv ) {
  /* No conversion */
  scheme_wrong_return_arity (((void * ) 0 ) , expected , got , argv , "lexical binding" ) ; 
}
static void call_wrong_return_arity (int expected , int got , Scheme_Object * * argv ) {
  /* No conversion */
  scheme_wrong_return_arity (((void * ) 0 ) , expected , got , argv , ((void * ) 0 ) ) ; 
}
static void wrong_argument_count (Scheme_Object * proc , int argc , Scheme_Object * * argv ) {
  /* No conversion */
  scheme_wrong_count ((char * ) proc , - 1 , - 1 , argc , argv ) ; 
}
static void raise_bad_call_with_values (Scheme_Object * f ) {
  Scheme_Object * a [1 ] ; 
  PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSHARRAY(a, 1, 0)));
# define XfOrM122_COUNT (3)
# define SETUP_XfOrM122(x) SETUP(XfOrM122_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  a[0] = NULLED_OUT ; 
  a [0 ] = f ; 
  FUNCCALL(SETUP_XfOrM122(_), scheme_wrong_type ("call-with-values" , "procedure" , - 1 , 1 , a ) ); 
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * call_with_values_from_multiple_result (Scheme_Object * f ) {
  /* No conversion */
  Scheme_Thread * p = scheme_current_thread ; 
  if (((p -> ku . multiple . array ) == (p -> values_buffer ) ) )
    p -> values_buffer = ((void * ) 0 ) ; 
  return scheme_do_eval (f , p -> ku . multiple . count , p -> ku . multiple . array , 1 ) ; 
}
static Scheme_Object * call_with_values_from_multiple_result_multi (Scheme_Object * f ) {
  /* No conversion */
  Scheme_Thread * p = scheme_current_thread ; 
  if (((p -> ku . multiple . array ) == (p -> values_buffer ) ) )
    p -> values_buffer = ((void * ) 0 ) ; 
  return scheme_do_eval (f , p -> ku . multiple . count , p -> ku . multiple . array , - 1 ) ; 
}
static Scheme_Object * tail_call_with_values_from_multiple_result (Scheme_Object * f ) {
  /* No conversion */
  Scheme_Thread * p = scheme_current_thread ; 
  int num_rands = p -> ku . multiple . count ; 
  if (num_rands > p -> tail_buffer_size ) {
    if (((p -> ku . multiple . array ) == (p -> values_buffer ) ) )
      p -> values_buffer = ((void * ) 0 ) ; 
  }
  return scheme_tail_apply (f , num_rands , p -> ku . multiple . array ) ; 
}
/* this far 666 */
/* this far 665 */
/* this far 665 */
static void new_mapping (mz_jit_state * jitter ) {
  PREPARE_VAR_STACK(2);
  BLOCK_SETUP_TOP((PUSH(jitter, 0)));
# define XfOrM127_COUNT (1)
# define SETUP_XfOrM127(x) SETUP(XfOrM127_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  jitter -> num_mappings ++ ; 
  if (jitter -> num_mappings >= jitter -> mappings_size ) {
    int * a ; 
    BLOCK_SETUP((PUSH(a, 0+XfOrM127_COUNT)));
#   define XfOrM128_COUNT (1+XfOrM127_COUNT)
#   define SETUP_XfOrM128(x) SETUP(XfOrM128_COUNT)
    a = NULLED_OUT ; 
    a = (int * ) FUNCCALL(SETUP_XfOrM128(_), GC_malloc_atomic (jitter -> mappings_size * 2 * sizeof (int ) ) ); 
    (memcpy (a , jitter -> mappings , jitter -> mappings_size * sizeof (int ) ) ) ; 
    jitter -> mappings = a ; 
    jitter -> mappings_size *= 2 ; 
  }
  jitter -> mappings [jitter -> num_mappings ] = 0 ; 
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void mz_pushr_p_it (mz_jit_state * jitter , int reg ) {
  int v ; 
  PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(jitter, 0)));
# define XfOrM129_COUNT (1)
# define SETUP_XfOrM129(x) SETUP(XfOrM129_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  jitter -> extra_pushed ++ ; 
  if (jitter -> extra_pushed > jitter -> max_extra_pushed )
    jitter -> max_extra_pushed = jitter -> extra_pushed ; 
  if (! (jitter -> mappings [jitter -> num_mappings ] & 0x1 ) || (jitter -> mappings [jitter -> num_mappings ] < 0 ) ) {
#   define XfOrM130_COUNT (0+XfOrM129_COUNT)
#   define SETUP_XfOrM130(x) SETUP_XfOrM129(x)
    FUNCCALL(SETUP_XfOrM130(_), new_mapping (jitter ) ); 
  }
  v = (jitter -> mappings [jitter -> num_mappings ] ) >> 1 ; 
  v ++ ; 
  jitter -> mappings [jitter -> num_mappings ] = ((v << 1 ) | 0x1 ) ; 
  ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) && (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
  ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((reg ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((reg ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((reg ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((reg ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((reg ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((reg ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((reg ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((reg ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((reg ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((reg ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((reg ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  jitter -> need_set_rs = 1 ; 
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void mz_popr_p_it (mz_jit_state * jitter , int reg ) {
  /* No conversion */
  int v ; 
  jitter -> extra_pushed -- ; 
  v = jitter -> mappings [jitter -> num_mappings ] >> 1 ; 
  v -- ; 
  if (! v )
    -- jitter -> num_mappings ; 
  else jitter -> mappings [jitter -> num_mappings ] = ((v << 1 ) | 0x1 ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((reg ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((reg ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((reg ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((reg ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((reg ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((reg ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((reg ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((reg ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((reg ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((reg ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((reg ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) && ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
  jitter -> need_set_rs = 1 ; 
}
static void mz_runstack_skipped (mz_jit_state * jitter , int n ) {
  int v ; 
  PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(jitter, 0)));
# define XfOrM132_COUNT (1)
# define SETUP_XfOrM132(x) SETUP(XfOrM132_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  if (! (jitter -> mappings [jitter -> num_mappings ] & 0x1 ) || (jitter -> mappings [jitter -> num_mappings ] > 0 ) ) {
#   define XfOrM133_COUNT (0+XfOrM132_COUNT)
#   define SETUP_XfOrM133(x) SETUP_XfOrM132(x)
    FUNCCALL(SETUP_XfOrM133(_), new_mapping (jitter ) ); 
  }
  v = (jitter -> mappings [jitter -> num_mappings ] ) >> 1 ; 
  v -= n ; 
  jitter -> mappings [jitter -> num_mappings ] = ((v << 1 ) | 0x1 ) ; 
  jitter -> self_pos += n ; 
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void mz_runstack_unskipped (mz_jit_state * jitter , int n ) {
  /* No conversion */
  int v ; 
  v = (jitter -> mappings [jitter -> num_mappings ] ) >> 1 ; 
  v += n ; 
  if (! v )
    -- jitter -> num_mappings ; 
  else jitter -> mappings [jitter -> num_mappings ] = ((v << 1 ) | 0x1 ) ; 
  jitter -> self_pos -= n ; 
}
static void mz_runstack_pushed (mz_jit_state * jitter , int n ) {
  PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(jitter, 0)));
# define XfOrM135_COUNT (1)
# define SETUP_XfOrM135(x) SETUP(XfOrM135_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  jitter -> depth += n ; 
  if (jitter -> depth > jitter -> max_depth )
    jitter -> max_depth = jitter -> depth ; 
  jitter -> self_pos += n ; 
  if (! jitter -> mappings [jitter -> num_mappings ] || (jitter -> mappings [jitter -> num_mappings ] & 0x3 ) ) {
#   define XfOrM136_COUNT (0+XfOrM135_COUNT)
#   define SETUP_XfOrM136(x) SETUP_XfOrM135(x)
    FUNCCALL(SETUP_XfOrM136(_), new_mapping (jitter ) ); 
  }
  jitter -> mappings [jitter -> num_mappings ] += (n << 2 ) ; 
  jitter -> need_set_rs = 1 ; 
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void mz_runstack_closure_pushed (mz_jit_state * jitter , int a , int flags ) {
  PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(jitter, 0)));
# define XfOrM137_COUNT (1)
# define SETUP_XfOrM137(x) SETUP(XfOrM137_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  jitter -> depth += 1 ; 
  if (jitter -> depth > jitter -> max_depth )
    jitter -> max_depth = jitter -> depth ; 
  jitter -> self_pos += 1 ; 
  FUNCCALL(SETUP_XfOrM137(_), new_mapping (jitter ) ); 
  jitter -> mappings [jitter -> num_mappings ] = (a << 4 ) | (flags << 2 ) | 0x2 ; 
  jitter -> need_set_rs = 1 ; 
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void mz_runstack_popped (mz_jit_state * jitter , int n ) {
  /* No conversion */
  int v ; 
  jitter -> depth -= n ; 
  jitter -> self_pos -= n ; 
  v = (jitter -> mappings [jitter -> num_mappings ] ) >> 2 ; 
  v -= n ; 
  if (! v )
    -- jitter -> num_mappings ; 
  else jitter -> mappings [jitter -> num_mappings ] = (v << 2 ) ; 
  jitter -> need_set_rs = 1 ; 
}
static int mz_try_runstack_pop (mz_jit_state * jitter , int n ) {
  /* No conversion */
  if (jitter -> mappings [jitter -> num_mappings ] & 0x3 )
    return 0 ; 
  if ((jitter -> mappings [jitter -> num_mappings ] >> 2 ) < n )
    return 0 ; 
  mz_runstack_popped (jitter , n ) ; 
  return 1 ; 
}
static void mz_runstack_saved (mz_jit_state * jitter ) {
  /* No conversion */
  new_mapping (jitter ) ; 
}
static int mz_runstack_restored (mz_jit_state * jitter ) {
  /* No conversion */
  int amt = 0 , c ; 
  while ((c = jitter -> mappings [jitter -> num_mappings ] ) ) {
    if (c & 0x1 ) {
      c >>= 1 ; 
      if (c > 0 )
        amt += c ; 
    }
    else if (c & 0x2 ) {
      amt ++ ; 
      jitter -> self_pos -- ; 
    }
    else {
      c = (c >> 2 ) ; 
      amt += c ; 
      jitter -> self_pos -= c ; 
    }
    -- jitter -> num_mappings ; 
  }
  -- jitter -> num_mappings ; 
  if (amt )
    jitter -> need_set_rs = 1 ; 
  jitter -> depth -= amt ; 
  return amt ; 
}
static int mz_remap_it (mz_jit_state * jitter , int i ) {
  /* No conversion */
  int j = i , p = jitter -> num_mappings , c ; 
  while (p && (j >= 0 ) ) {
    c = jitter -> mappings [p ] ; 
    if (c & 0x1 ) {
      c >>= 1 ; 
      i += c ; 
      if (c < 0 )
        j += c ; 
    }
    else if (c & 0x2 ) {
      j -- ; 
    }
    else {
      j -= (c >> 2 ) ; 
    }
    -- p ; 
  }
  return i ; 
}
static int mz_is_closure (mz_jit_state * jitter , int i , int arity , int * _flags ) {
  /* No conversion */
  int j = i , p = jitter -> num_mappings , c ; 
  while (p && (j >= 0 ) ) {
    c = jitter -> mappings [p ] ; 
    if (c & 0x1 ) {
      c >>= 1 ; 
      if (c < 0 )
        j += c ; 
    }
    else if (c & 0x2 ) {
      if (! j ) {
        if ((arity == (c >> 4 ) ) || (arity == - 1 ) ) {
          * _flags = (c >> 2 ) & 0x3 ; 
          return 1 ; 
        }
      }
      j -- ; 
    }
    else {
      j -= (c >> 2 ) ; 
    }
    -- p ; 
  }
  return 0 ; 
}
static int stack_safety (mz_jit_state * jitter , int cnt , int offset ) {
  /* No conversion */
  int i ; 
  for (i = 0 ; i < cnt ; i ++ ) {
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((i + offset ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i + offset ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i + offset ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((i + offset ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i + offset ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i + offset ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((i + offset ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i + offset ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i + offset ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      return 0 ; 
    ; 
  }
  return 1 ; 
}
extern unsigned long GC_gen0_alloc_page_ptr ; 
long GC_initial_word (int sizeb ) ; 
long GC_compute_alloc_size (long sizeb ) ; 
long GC_alloc_alignment (void ) ; 
static void * retry_alloc_code ; 
static void * retry_alloc_code_keep_r0_r1 ; 
static void * retry_alloc_code_keep_fpr1 ; 
static void * retry_alloc_r1 ; 
static double save_fp ; 
static void * prepare_retry_alloc (void * p , void * p2 ) {
  long avail , algn ; 
  DECL_RET_SAVE (void * ) PREPARE_VAR_STACK_ONCE(2);
  BLOCK_SETUP_TOP((PUSH(p2, 0), PUSH(p, 1)));
# define XfOrM175_COUNT (2)
# define SETUP_XfOrM175(x) SETUP(XfOrM175_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  algn = FUNCCALL(SETUP_XfOrM175(_), GC_alloc_alignment () ); 
  avail = algn - (GC_gen0_alloc_page_ptr & (algn - 1 ) ) ; 
  if (! avail )
    avail = 1 ; 
  else if (avail == algn )
    avail = 1 ; 
  if (avail > sizeof (long ) )
    avail -= sizeof (long ) ; 
  FUNCCALL(SETUP_XfOrM175(_), GC_malloc_atomic (avail ) ); 
  retry_alloc_r1 = p2 ; 
  RET_VALUE_START (p ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
long scheme_read_first_word (void * sp ) {
  /* No conversion */
  return * (long * ) sp ; 
}
static long initial_tag_word (Scheme_Type tag ) {
  /* No conversion */
  GC_CAN_IGNORE Scheme_Small_Object sp ; 
  memset (& sp , 0 , sizeof (Scheme_Small_Object ) ) ; 
  sp . iso . so . type = tag ; 
  return scheme_read_first_word ((void * ) & sp ) ; 
}
static int inline_alloc (mz_jit_state * jitter , int amt , Scheme_Type ty , int keep_r0_r1 , int keep_fpr1 ) {
  GC_CAN_IGNORE jit_insn * ref , * reffail ; 
  long a_word , sz , algn ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(jitter, 0)));
# define XfOrM178_COUNT (1)
# define SETUP_XfOrM178(x) SETUP(XfOrM178_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  sz = FUNCCALL(SETUP_XfOrM178(_), GC_compute_alloc_size (amt ) ); 
  algn = FUNCCALL(SETUP_XfOrM178(_), GC_alloc_alignment () ); 
  ; 
  reffail = (jitter -> js ) . x . pc ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& GC_gen0_alloc_page_ptr ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& GC_gen0_alloc_page_ptr ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& GC_gen0_alloc_page_ptr ) ) ) ) ^ (((unsigned long ) (((& GC_gen0_alloc_page_ptr ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& GC_gen0_alloc_page_ptr ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& GC_gen0_alloc_page_ptr ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& GC_gen0_alloc_page_ptr ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& GC_gen0_alloc_page_ptr ) ) ) ) ^ (((unsigned long ) (((& GC_gen0_alloc_page_ptr ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& GC_gen0_alloc_page_ptr ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& GC_gen0_alloc_page_ptr ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& GC_gen0_alloc_page_ptr ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& GC_gen0_alloc_page_ptr ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& GC_gen0_alloc_page_ptr ) ) ) ) ^ (((unsigned long ) (((& GC_gen0_alloc_page_ptr ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& GC_gen0_alloc_page_ptr ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& GC_gen0_alloc_page_ptr ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == (((0x40 + (2 ) ) ) ) ) ? (((! ((((unsigned long ) ((- (1 ) ) ) ) ^ (((unsigned long ) ((- (1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (1 ) ) ) ) ^ (((unsigned long ) ((- (1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (1 ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (1 ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (1 ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? (((((- (1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (1 ) ) ) ) ^ (((unsigned long ) ((- (1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (1 ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (1 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (1 ) ) ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (1 ) ) ) ) ^ (((unsigned long ) ((- (1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (1 ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (1 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (1 ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (1 ) ) ) ) ^ (((unsigned long ) ((- (1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (1 ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (1 ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
  ((((0x40 + (2 ) ) ) == ((0x40 + (2 ) ) ) ) ? (((! ((((unsigned long ) (((algn - 1 ) ) ) ) ^ (((unsigned long ) (((algn - 1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (((algn - 1 ) ) ) ) ^ (((unsigned long ) (((algn - 1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((algn - 1 ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((algn - 1 ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , (((! ((((unsigned long ) (((algn - 1 ) ) ) ) ^ (((unsigned long ) (((algn - 1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (((algn - 1 ) ) ) ) ^ (((unsigned long ) (((algn - 1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((algn - 1 ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((algn - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  ref = ((((algn - sz ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x8 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x8 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((algn - sz ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ; 
  if (keep_r0_r1 ) {
    (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (retry_alloc_code_keep_r0_r1 ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  }
  else if (keep_fpr1 ) {
    (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (retry_alloc_code_keep_fpr1 ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  }
  else {
    (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (retry_alloc_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  }
  ; 
  (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (reffail ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  ; 
  ; 
  (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
  ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == (((0x40 + (2 ) ) ) ) ) ? (((! ((((unsigned long ) (((sz ) ) ) ) ^ (((unsigned long ) (((sz ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (((sz ) ) ) ) ^ (((unsigned long ) (((sz ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((sz ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((sz ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((sz ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? ((((((sz ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((sz ) ) ) ) ^ (((unsigned long ) (((sz ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((sz ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((sz ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((sz ) ) ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((sz ) ) ) ) ^ (((unsigned long ) (((sz ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((sz ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((sz ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((sz ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((sz ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((sz ) ) ) ) ^ (((unsigned long ) (((sz ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((sz ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((sz ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
  (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& GC_gen0_alloc_page_ptr ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? (((((& GC_gen0_alloc_page_ptr ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& GC_gen0_alloc_page_ptr ) ) ) ^ (((unsigned long ) ((& GC_gen0_alloc_page_ptr ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& GC_gen0_alloc_page_ptr ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& GC_gen0_alloc_page_ptr ) ) ) ) ) ) ) ) ) ) ) ) : (((((& GC_gen0_alloc_page_ptr ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& GC_gen0_alloc_page_ptr ) ) ) ^ (((unsigned long ) ((& GC_gen0_alloc_page_ptr ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& GC_gen0_alloc_page_ptr ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& GC_gen0_alloc_page_ptr ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& GC_gen0_alloc_page_ptr ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& GC_gen0_alloc_page_ptr ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& GC_gen0_alloc_page_ptr ) ) ) ^ (((unsigned long ) ((& GC_gen0_alloc_page_ptr ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& GC_gen0_alloc_page_ptr ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& GC_gen0_alloc_page_ptr ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  a_word = FUNCCALL(SETUP_XfOrM178(_), GC_initial_word (amt ) ); 
  ((a_word ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((a_word ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((a_word ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  a_word = FUNCCALL(SETUP_XfOrM178(_), initial_tag_word (ty ) ); 
  ((a_word ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((a_word ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((a_word ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((sizeof (long ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ? (((((sizeof (long ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((sizeof (long ) ) ) ) ^ (((unsigned long ) ((sizeof (long ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((sizeof (long ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((sizeof (long ) ) ) == 0 ) && ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((sizeof (long ) ) ) ) ^ (((unsigned long ) ((sizeof (long ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((sizeof (long ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((sizeof (long ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((sizeof (long ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((sizeof (long ) ) ) ) ^ (((unsigned long ) ((sizeof (long ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((sizeof (long ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ; 
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * extract_global (Scheme_Object * o , Scheme_Native_Closure * nc ) {
  /* No conversion */
  Scheme_Object * * globs ; 
  globs = (Scheme_Object * * ) nc -> vals [nc -> code -> u2 . orig_code -> closure_size - 1 ] ; 
  return globs [(((Scheme_Toplevel * ) (o ) ) -> position ) ] ; 
}
static int inlineable_struct_prim (Scheme_Object * o , mz_jit_state * jitter ) {
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(1);
# define XfOrM183_COUNT (0)
# define SETUP_XfOrM183(x) SETUP(XfOrM183_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  if (jitter -> nc && ((Scheme_Type ) (((((long ) (o ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (o ) ) -> type ) ) == (Scheme_Type ) (scheme_toplevel_type ) ) ) {
    Scheme_Object * p ; 
    BLOCK_SETUP((PUSH(p, 0+XfOrM183_COUNT)));
#   define XfOrM184_COUNT (1+XfOrM183_COUNT)
#   define SETUP_XfOrM184(x) SETUP(XfOrM184_COUNT)
    p = NULLED_OUT ; 
    p = FUNCCALL(SETUP_XfOrM184(_), extract_global (o , jitter -> nc ) ); 
    p = ((Scheme_Bucket * ) p ) -> val ; 
    if (p && ((Scheme_Type ) (((((long ) (p ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (p ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) ) {
      if (((Scheme_Primitive_Proc * ) p ) -> pp . flags & 16 )
        RET_VALUE_START (1 ) RET_VALUE_END ; 
      else if (((Scheme_Primitive_Proc * ) p ) -> pp . flags & 8 )
        RET_VALUE_START (2 ) RET_VALUE_END ; 
    }
  }
  RET_VALUE_START (0 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int inlined_unary_prim (Scheme_Object * o , Scheme_Object * _app , mz_jit_state * jitter ) {
  /* No conversion */
  if (((Scheme_Type ) (((((long ) (o ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (o ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) && ((((Scheme_Prim_Proc_Header * ) o ) -> flags ) & 16384 ) )
    return 1 ; 
  if (inlineable_struct_prim (o , jitter ) )
    return 1 ; 
  return 0 ; 
}
static int inlined_binary_prim (Scheme_Object * o , Scheme_Object * _app ) {
  /* No conversion */
  return (((Scheme_Type ) (((((long ) (o ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (o ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) && ((((Scheme_Prim_Proc_Header * ) o ) -> flags ) & 1024 ) ) ; 
}
static int inlined_nary_prim (Scheme_Object * o , Scheme_Object * _app ) {
  /* No conversion */
  return (((Scheme_Type ) (((((long ) (o ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (o ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) && ((((Scheme_Prim_Proc_Header * ) o ) -> flags ) & 32768 ) && (((Scheme_App_Rec * ) _app ) -> num_args == ((Scheme_Primitive_Proc * ) o ) -> mina ) ) ; 
}
static int is_noncm (Scheme_Object * a , mz_jit_state * jitter , int depth , int stack_start ) {
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(4);
  BLOCK_SETUP_TOP((PUSH(a, 0), PUSH(jitter, 1)));
# define XfOrM189_COUNT (2)
# define SETUP_XfOrM189(x) SETUP(XfOrM189_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  if (((Scheme_Type ) (((((long ) (a ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (a ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) ) {
    int opts ; 
    opts = ((Scheme_Prim_Proc_Header * ) a ) -> flags & (1 | 2 ) ; 
    if (opts >= 1 )
      if (! (((Scheme_Prim_Proc_Header * ) a ) -> flags & 16 ) )
      RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  if (depth && jitter -> nc && ((Scheme_Type ) (((((long ) (a ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (a ) ) -> type ) ) == (Scheme_Type ) (scheme_toplevel_type ) ) && ((& ((Scheme_Toplevel * ) (a ) ) -> iso ) -> so . keyex & 0x1 ) ) {
    Scheme_Object * p ; 
    BLOCK_SETUP((PUSH(p, 0+XfOrM189_COUNT)));
#   define XfOrM194_COUNT (1+XfOrM189_COUNT)
#   define SETUP_XfOrM194(x) SETUP(XfOrM194_COUNT)
    p = NULLED_OUT ; 
    p = FUNCCALL(SETUP_XfOrM194(_), extract_global (a , jitter -> nc ) ); 
    p = ((Scheme_Bucket * ) p ) -> val ; 
    if (p && ((Scheme_Type ) (((((long ) (p ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (p ) ) -> type ) ) == (Scheme_Type ) (scheme_native_closure_type ) ) ) {
      Scheme_Native_Closure_Data * ndata = ((Scheme_Native_Closure * ) p ) -> code ; 
      BLOCK_SETUP((PUSH(ndata, 0+XfOrM194_COUNT)));
#     define XfOrM195_COUNT (1+XfOrM194_COUNT)
#     define SETUP_XfOrM195(x) SETUP(XfOrM195_COUNT)
      if (ndata -> closure_size >= 0 ) {
#       define XfOrM196_COUNT (0+XfOrM195_COUNT)
#       define SETUP_XfOrM196(x) SETUP_XfOrM195(x)
        if (FUNCCALL(SETUP_XfOrM196(_), lambda_has_been_jitted (ndata ) )) {
          if ((& (ndata ) -> iso ) -> so . keyex & 0x1 )
            RET_VALUE_START (1 ) RET_VALUE_END ; 
        }
        else {
          if ((& (ndata -> u2 . orig_code ) -> iso ) -> so . keyex & 4 )
            RET_VALUE_START (1 ) RET_VALUE_END ; 
        }
      }
    }
  }
  if (((Scheme_Type ) (((((long ) (a ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (a ) ) -> type ) ) == (Scheme_Type ) (scheme_local_type ) ) ) {
    int pos = (((Scheme_Local * ) (a ) ) -> position ) - stack_start ; 
#   define XfOrM191_COUNT (0+XfOrM189_COUNT)
#   define SETUP_XfOrM191(x) SETUP_XfOrM189(x)
    if (pos >= 0 ) {
      int flags ; 
#     define XfOrM192_COUNT (0+XfOrM191_COUNT)
#     define SETUP_XfOrM192(x) SETUP_XfOrM191(x)
      if (FUNCCALL(SETUP_XfOrM192(_), mz_is_closure (jitter , pos , - 1 , & flags ) )) {
        RET_VALUE_START ((flags & 0x1 ) ) RET_VALUE_END ; 
      }
    }
  }
  if (depth && ((Scheme_Type ) (((((long ) (a ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (a ) ) -> type ) ) == (Scheme_Type ) (scheme_closure_type ) ) ) {
    Scheme_Closure_Data * data ; 
    data = NULLED_OUT ; 
    data = ((Scheme_Closure * ) a ) -> code ; 
    if ((& (data ) -> iso ) -> so . keyex & 4 )
      RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  RET_VALUE_START (0 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int is_simple (Scheme_Object * obj , int depth , int just_markless , mz_jit_state * jitter , int stack_start ) {
  Scheme_Type type ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(3);
  BLOCK_SETUP_TOP((PUSH(jitter, 0), PUSH(obj, 1)));
# define XfOrM200_COUNT (2)
# define SETUP_XfOrM200(x) SETUP(XfOrM200_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  type = ((((long ) (obj ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (obj ) ) -> type ) ; 
  switch (type ) {
#   define XfOrM201_COUNT (0+XfOrM200_COUNT)
#   define SETUP_XfOrM201(x) SETUP_XfOrM200(x)
    case scheme_syntax_type : {
      int t ; 
      t = (((Scheme_Simple_Object * ) (obj ) ) -> u . ptr_int_val . pint ) ; 
      RET_VALUE_START ((t == 3 ) ) RET_VALUE_END ; 
    }
    break ; 
    case scheme_branch_type : if (depth ) {
      Scheme_Branch_Rec * b = (Scheme_Branch_Rec * ) obj ; 
      BLOCK_SETUP((PUSH(b, 0+XfOrM201_COUNT)));
#     define XfOrM209_COUNT (1+XfOrM201_COUNT)
#     define SETUP_XfOrM209(x) SETUP(XfOrM209_COUNT)
      RET_VALUE_START ((FUNCCALL(SETUP_XfOrM209(_), is_simple (b -> tbranch , depth - 1 , just_markless , jitter , stack_start ) )&& FUNCCALL(SETUP_XfOrM209(_), is_simple (b -> fbranch , depth - 1 , just_markless , jitter , stack_start ) )) ) RET_VALUE_END ; 
    }
    break ; 
    case scheme_let_value_type : if (depth ) {
#     define XfOrM208_COUNT (0+XfOrM201_COUNT)
#     define SETUP_XfOrM208(x) SETUP_XfOrM201(x)
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(is_simple (((Scheme_Let_Value * ) obj ) -> body , depth - 1 , just_markless , jitter , stack_start ) )) RET_VALUE_EMPTY_END ; 
    }
    break ; 
    case scheme_let_one_type : if (just_markless && depth ) {
#     define XfOrM207_COUNT (0+XfOrM201_COUNT)
#     define SETUP_XfOrM207(x) SETUP_XfOrM201(x)
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(is_simple (((Scheme_Let_One * ) obj ) -> body , depth - 1 , just_markless , jitter , stack_start + 1 ) )) RET_VALUE_EMPTY_END ; 
    }
    break ; 
    case scheme_let_void_type : if (just_markless && depth ) {
#     define XfOrM206_COUNT (0+XfOrM201_COUNT)
#     define SETUP_XfOrM206(x) SETUP_XfOrM201(x)
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(is_simple (((Scheme_Let_Void * ) obj ) -> body , depth - 1 , just_markless , jitter , stack_start + ((Scheme_Let_Void * ) obj ) -> count ) )) RET_VALUE_EMPTY_END ; 
    }
    break ; 
    case scheme_letrec_type : if (just_markless && depth ) {
#     define XfOrM205_COUNT (0+XfOrM201_COUNT)
#     define SETUP_XfOrM205(x) SETUP_XfOrM201(x)
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(is_simple (((Scheme_Letrec * ) obj ) -> body , depth - 1 , just_markless , jitter , stack_start + ((Scheme_Letrec * ) obj ) -> count ) )) RET_VALUE_EMPTY_END ; 
    }
    break ; 
    case scheme_application_type : if (FUNCCALL(SETUP_XfOrM201(_), inlined_nary_prim (((Scheme_App_Rec * ) obj ) -> args [0 ] , obj ) ))
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    if (just_markless ) {
#     define XfOrM204_COUNT (0+XfOrM201_COUNT)
#     define SETUP_XfOrM204(x) SETUP_XfOrM201(x)
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(is_noncm (((Scheme_App_Rec * ) obj ) -> args [0 ] , jitter , depth , stack_start + ((Scheme_App_Rec * ) obj ) -> num_args ) )) RET_VALUE_EMPTY_END ; 
    }
    break ; 
    case scheme_application2_type : if (FUNCCALL(SETUP_XfOrM201(_), inlined_unary_prim (((Scheme_App2_Rec * ) obj ) -> rator , obj , jitter ) ))
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    else if (just_markless ) {
#     define XfOrM203_COUNT (0+XfOrM201_COUNT)
#     define SETUP_XfOrM203(x) SETUP_XfOrM201(x)
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(is_noncm (((Scheme_App2_Rec * ) obj ) -> rator , jitter , depth , stack_start + 1 ) )) RET_VALUE_EMPTY_END ; 
    }
    break ; 
    case scheme_application3_type : if (FUNCCALL(SETUP_XfOrM201(_), inlined_binary_prim (((Scheme_App2_Rec * ) obj ) -> rator , obj ) ))
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    else if (just_markless ) {
#     define XfOrM202_COUNT (0+XfOrM201_COUNT)
#     define SETUP_XfOrM202(x) SETUP_XfOrM201(x)
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(is_noncm (((Scheme_App3_Rec * ) obj ) -> rator , jitter , depth , stack_start + 2 ) )) RET_VALUE_EMPTY_END ; 
    }
    break ; 
    case scheme_toplevel_type : case scheme_quote_syntax_type : case scheme_local_type : case scheme_local_unbox_type : case scheme_unclosed_procedure_type : RET_VALUE_START (1 ) RET_VALUE_END ; 
    break ; 
  }
  RET_VALUE_START ((type > _scheme_values_types_ ) ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int is_non_gc (Scheme_Object * obj , int depth ) {
  Scheme_Type type ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(2);
  BLOCK_SETUP_TOP((PUSH(obj, 0)));
# define XfOrM211_COUNT (1)
# define SETUP_XfOrM211(x) SETUP(XfOrM211_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  type = ((((long ) (obj ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (obj ) ) -> type ) ; 
  switch (type ) {
#   define XfOrM212_COUNT (0+XfOrM211_COUNT)
#   define SETUP_XfOrM212(x) SETUP_XfOrM211(x)
    case scheme_syntax_type : break ; 
    case scheme_branch_type : if (depth ) {
      Scheme_Branch_Rec * b = (Scheme_Branch_Rec * ) obj ; 
      BLOCK_SETUP((PUSH(b, 0+XfOrM212_COUNT)));
#     define XfOrM216_COUNT (1+XfOrM212_COUNT)
#     define SETUP_XfOrM216(x) SETUP(XfOrM216_COUNT)
      RET_VALUE_START ((FUNCCALL(SETUP_XfOrM216(_), is_non_gc (b -> test , depth - 1 ) )&& FUNCCALL(SETUP_XfOrM216(_), is_non_gc (b -> tbranch , depth - 1 ) )&& FUNCCALL(SETUP_XfOrM216(_), is_non_gc (b -> fbranch , depth - 1 ) )) ) RET_VALUE_END ; 
    }
    break ; 
    case scheme_let_value_type : if (depth ) {
      Scheme_Let_Value * lv = (Scheme_Let_Value * ) obj ; 
      BLOCK_SETUP((PUSH(lv, 0+XfOrM212_COUNT)));
#     define XfOrM215_COUNT (1+XfOrM212_COUNT)
#     define SETUP_XfOrM215(x) SETUP(XfOrM215_COUNT)
      if ((& lv -> iso ) -> so . keyex )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      RET_VALUE_START (FUNCCALL(SETUP_XfOrM215(_), is_non_gc (lv -> body , depth - 1 ) )) RET_VALUE_END ; 
    }
    break ; 
    case scheme_let_one_type : if (depth ) {
#     define XfOrM214_COUNT (0+XfOrM212_COUNT)
#     define SETUP_XfOrM214(x) SETUP_XfOrM212(x)
      RET_VALUE_START ((FUNCCALL(SETUP_XfOrM214(_), is_non_gc (((Scheme_Let_One * ) obj ) -> value , depth - 1 ) )&& FUNCCALL(SETUP_XfOrM214(_), is_non_gc (((Scheme_Let_One * ) obj ) -> body , depth - 1 ) )) ) RET_VALUE_END ; 
    }
    break ; 
    case scheme_let_void_type : if (depth ) {
      Scheme_Let_Void * lv = (Scheme_Let_Void * ) obj ; 
      BLOCK_SETUP((PUSH(lv, 0+XfOrM212_COUNT)));
#     define XfOrM213_COUNT (1+XfOrM212_COUNT)
#     define SETUP_XfOrM213(x) SETUP(XfOrM213_COUNT)
      if ((& lv -> iso ) -> so . keyex )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      RET_VALUE_START (FUNCCALL(SETUP_XfOrM213(_), is_non_gc (lv -> body , depth - 1 ) )) RET_VALUE_END ; 
    }
    break ; 
    case scheme_letrec_type : break ; 
    case scheme_application_type : break ; 
    case scheme_application2_type : break ; 
    case scheme_application3_type : break ; 
    case scheme_toplevel_type : break ; 
    case scheme_unclosed_procedure_type : break ; 
    case scheme_quote_syntax_type : case scheme_local_type : case scheme_local_unbox_type : RET_VALUE_START (1 ) RET_VALUE_END ; 
    break ; 
  }
  RET_VALUE_START ((type > _scheme_values_types_ ) ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int ok_to_move_local (Scheme_Object * obj ) {
  /* No conversion */
  if (((Scheme_Type ) (((((long ) (obj ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (obj ) ) -> type ) ) == (Scheme_Type ) (scheme_local_type ) ) && ! ((& ((Scheme_Local * ) (obj ) ) -> iso ) -> so . keyex & 0x3 ) ) {
    return 1 ; 
  }
  else return 0 ; 
}
static int is_constant_and_avoids_r1 (Scheme_Object * obj ) {
  /* No conversion */
  Scheme_Type t = ((((long ) (obj ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (obj ) ) -> type ) ; 
  if (((Scheme_Type ) (t ) == (Scheme_Type ) (scheme_toplevel_type ) ) ) {
    return (((& ((Scheme_Toplevel * ) (obj ) ) -> iso ) -> so . keyex & 0x1 ) ? 1 : 0 ) ; 
  }
  else if (((Scheme_Type ) (t ) == (Scheme_Type ) (scheme_local_type ) ) && ok_to_move_local (obj ) ) {
    return 1 ; 
  }
  else return (t >= _scheme_compiled_values_types_ ) ; 
}
static int generate_direct_prim_tail_call (mz_jit_state * jitter , int num_rands ) {
  /* No conversion */
  if (num_rands == 1 ) {
    ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) && (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
    ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  }
  ((num_rands ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((num_rands ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
  ((jitter -> js ) . jitl . argssize += ((2 ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  ((void ) 0 , ((((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xff ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((2 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  (((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((2 << 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((2 << 2 ) ) ) ) ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x47 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x46 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x43 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x45 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc3 ) & 0xff ) ) ) ) ) ) ) ; 
  return 1 ; 
}
static int generate_tail_call (mz_jit_state * jitter , int num_rands , int direct_native , int need_set_rs ) {
  /* No conversion */
  int i ; 
  GC_CAN_IGNORE jit_insn * ref , * ref2 , * ref4 , * ref5 ; 
  ; 
  if (! direct_native ) {
    ref = (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0x26 || (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0x27 ) ? 0x10 : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ref2 = (((scheme_native_closure_type ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((scheme_native_closure_type ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      return 0 ; 
    ; 
  }
  else {
    ref = ref2 = ((void * ) 0 ) ; 
  }
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ^ (((unsigned long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ^ (((unsigned long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ^ (((unsigned long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack_start ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack_start ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack_start ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack_start ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack_start ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack_start ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  (((((0x40 + (1 ) ) ) ) == (((0x40 + (1 ) ) ) ) ) ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((3 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) == (((0x40 + (1 ) ) ) ) ) ? (void ) 0 : (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  ref4 = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x2 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x2 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  (void ) ((((long ) (& scheme_fuel_counter ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (& scheme_fuel_counter ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (& scheme_fuel_counter ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((0x40 + (1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ref5 = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0 ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xe ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xe ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  if (num_rands >= 0 ) {
    if (num_rands ) {
      ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) == (((((0x40 + (2 ) ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) == 0 ) && (((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
      ; 
      for (i = num_rands ; i -- ; ) {
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((i ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (2 ) ) ) ) ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((i ) << 2 ) ) ) ) == 0 ) && ((((0x40 + (2 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          return 0 ; 
        ; 
      }
      ((void ) (((((0x40 + (2 ) ) ) ) ) == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
    }
    else {
      ((void ) ((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
    }
    if (direct_native > 1 ) {
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x45 ) ) ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) && (((0x45 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      ((2 ) <= 3 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((((0x40 + (1 ) ) ) ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((0x40 + (1 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) : ((((0x40 + (1 ) ) ) == ((0x40 + (1 ) ) ) ) ? ((((2 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((2 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((2 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((2 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ) ; 
      ((((((0x40 + (1 ) ) ) ) ) == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((3 ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) : ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (void ) 0 : (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
      ; 
    }
  }
  else {
  }
  ((void ) ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == ((((0x40 + (2 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  if (direct_native ) {
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  }
  else {
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  }
  ((void ) (((((0x40 + (2 ) ) ) ) ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  if (num_rands >= 0 ) {
    ((num_rands ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((num_rands ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
    if (direct_native > 1 ) {
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x45 ) ) ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) && (((0x45 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      ((((0x40 + (2 ) ) ) == ((0x40 + (1 ) ) ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x01 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((((0x40 + (1 ) ) ) == ((0x40 + (1 ) ) ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x01 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((((0x40 + (2 ) ) ) ) == 0 ) ? (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((0x40 + (1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((0x40 + (2 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ) ; 
    }
  }
  else {
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x45 ) ) ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) && (((0x45 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  }
  ((void ) ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == ((((0x40 + (2 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  if (need_set_rs ) {
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  }
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xff ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  if (! direct_native ) {
    (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
    (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
  }
  (* ((_sl * ) ((ref4 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref4 ) ) ) ) ; 
  (* ((_sl * ) ((ref5 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref5 ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  if (need_set_rs ) {
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  }
  if (direct_native > 1 ) {
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& fixup_runstack_base ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& fixup_runstack_base ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& fixup_runstack_base ) ) ) ) ^ (((unsigned long ) (((& fixup_runstack_base ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& fixup_runstack_base ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& fixup_runstack_base ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& fixup_runstack_base ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& fixup_runstack_base ) ) ) ) ^ (((unsigned long ) (((& fixup_runstack_base ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& fixup_runstack_base ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& fixup_runstack_base ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& fixup_runstack_base ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& fixup_runstack_base ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& fixup_runstack_base ) ) ) ) ^ (((unsigned long ) (((& fixup_runstack_base ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& fixup_runstack_base ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& fixup_runstack_base ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x45 ) ) ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) && (((0x45 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& fixup_already_in_place ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? (((((& fixup_already_in_place ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& fixup_already_in_place ) ) ) ^ (((unsigned long ) ((& fixup_already_in_place ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& fixup_already_in_place ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& fixup_already_in_place ) ) ) ) ) ) ) ) ) ) ) ) : (((((& fixup_already_in_place ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& fixup_already_in_place ) ) ) ^ (((unsigned long ) ((& fixup_already_in_place ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& fixup_already_in_place ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& fixup_already_in_place ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& fixup_already_in_place ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& fixup_already_in_place ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& fixup_already_in_place ) ) ) ^ (((unsigned long ) ((& fixup_already_in_place ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& fixup_already_in_place ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& fixup_already_in_place ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  }
  if (num_rands >= 0 ) {
    ((num_rands ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((num_rands ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
  }
  else {
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x45 ) ) ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) && (((0x45 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  }
  ; 
  if (direct_native > 1 ) {
    (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (finish_tail_call_fixup_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  }
  else {
    (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (finish_tail_call_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  }
  return 1 ; 
}
static int generate_finish_tail_call (mz_jit_state * jitter , int direct_native ) {
  /* No conversion */
  ((jitter -> js ) . jitl . argssize += ((3 ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (0 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  if (direct_native > 1 ) {
    (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((_scheme_tail_apply_from_native_fixup_args ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
  }
  else {
    (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((_scheme_tail_apply_from_native ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
  }
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  (((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((2 << 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((2 << 2 ) ) ) ) ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x47 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x46 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x43 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x45 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc3 ) & 0xff ) ) ) ) ) ) ) ; 
  return 1 ; 
}
static int generate_direct_prim_non_tail_call (mz_jit_state * jitter , int num_rands , int multi_ok , int pop_and_jump ) {
  /* No conversion */
  if (pop_and_jump ) {
    ; 
  }
  if (num_rands == 1 ) {
    ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) && (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
    ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  }
  ((num_rands ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((num_rands ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
  ((jitter -> js ) . jitl . argssize += ((2 ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  ((void ) 0 , ((((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xff ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((2 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  ((void ) ((void ) ((0x40 ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((0x40 ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
  ; 
  if (num_rands == 1 ) {
    (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) && ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
    jitter -> need_set_rs = 1 ; 
  }
  if (pop_and_jump ) {
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc3 ) & 0xff ) ) ) ) ) ) ; 
  }
  return 1 ; 
}
static int generate_retry_call (mz_jit_state * jitter , int num_rands , int multi_ok , GC_CAN_IGNORE jit_insn * reftop ) {
  /* No conversion */
  GC_CAN_IGNORE jit_insn * ref , * ref2 , * refloop ; 
  if (! reftop ) {
    reftop = shared_non_tail_retry_code [multi_ok ? 1 : 0 ] ; 
  }
  (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_thread ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_thread ) ) ) ) ^ (((unsigned long ) (((& scheme_current_thread ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_thread ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_thread ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_thread ) ) ) ) ^ (((unsigned long ) (((& scheme_current_thread ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_thread ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_thread ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_thread ) ) ) ) ^ (((unsigned long ) (((& scheme_current_thread ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_thread ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (1 ) ) ) ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) == 0 ) && (((0x40 + (1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  if (num_rands >= 0 ) {
    ((0 ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0 ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((0 ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
  }
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack_start ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack_start ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack_start ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack_start ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack_start ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack_start ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  (((((0x40 + (0 ) ) ) ) == (((0x40 + (0 ) ) ) ) ) ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((3 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) == (((0x40 + (0 ) ) ) ) ) ? (void ) 0 : (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) == ((0x40 + (2 ) ) ) ) ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((3 ) << 3 ) | ((((0x40 + (2 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) : (((((0x40 + (2 ) ) ) == ((0x40 + (2 ) ) ) ) ? (void ) 0 : (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  ((2 ) <= 3 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((((0x40 + (2 ) ) ) ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((0x40 + (2 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) : ((((0x40 + (2 ) ) ) == ((0x40 + (2 ) ) ) ) ? ((((2 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((2 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((2 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((2 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ) ; 
  ref = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x2 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x2 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  ((((0x40 + (2 ) ) ) == (((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) & 0xF ) ) << 3 ) | ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((3 ) << 3 ) | (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) : ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) == (((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ? (void ) 0 : (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) & 0xF ) ) << 3 ) | ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (1 ) ) ) ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) == 0 ) && (((0x40 + (1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (1 ) ) ) ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) == 0 ) && (((0x40 + (1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((2 ) <= 3 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((((0x40 + (2 ) ) ) ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((0x40 + (2 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) : ((((0x40 + (2 ) ) ) == ((0x40 + (2 ) ) ) ) ? ((((2 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((2 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((2 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((2 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  refloop = (jitter -> js ) . x . pc ; 
  ref2 = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0 ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xe ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xe ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  (((((0x40 + (2 ) ) ) ) == (((0x40 + (2 ) ) ) ) ) ? (((! ((((unsigned long ) ((- ((1 << 2 ) ) ) ) ) ^ (((unsigned long ) ((- ((1 << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- ((1 << 2 ) ) ) ) ) ^ (((unsigned long ) ((- ((1 << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- ((1 << 2 ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- ((1 << 2 ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- ((1 << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (2 ) ) ) ) ) ? (((((- ((1 << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- ((1 << 2 ) ) ) ) ) ^ (((unsigned long ) ((- ((1 << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- ((1 << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- ((1 << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- ((1 << 2 ) ) ) ) == 0 ) && ((((0x40 + (2 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- ((1 << 2 ) ) ) ) ) ^ (((unsigned long ) ((- ((1 << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- ((1 << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- ((1 << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- ((1 << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- ((1 << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- ((1 << 2 ) ) ) ) ) ^ (((unsigned long ) ((- ((1 << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- ((1 << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- ((1 << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (2 ) ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && ((((0x40 + (2 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (refloop ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (1 ) ) ) ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) == 0 ) && (((0x40 + (1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (1 ) ) ) ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) == 0 ) && (((0x40 + (1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ; 
  (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (reftop ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  ; 
  (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
  ((((Scheme_Object * ) 0x4 ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((Scheme_Object * ) 0x4 ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((Scheme_Object * ) 0x4 ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
  return 1 ; 
}
static int generate_non_tail_call (mz_jit_state * jitter , int num_rands , int direct_native , int need_set_rs , int multi_ok , int pop_and_jump ) {
  GC_CAN_IGNORE jit_insn * ref , * ref2 , * ref4 , * ref5 , * ref6 , * ref7 , * ref8 , * ref9 ; 
  GC_CAN_IGNORE jit_insn * ref10 , * ref11 , * reftop = ((void * ) 0 ) ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(jitter, 0)));
# define XfOrM258_COUNT (1)
# define SETUP_XfOrM258(x) SETUP(XfOrM258_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  ; 
  if (pop_and_jump ) {
    if (num_rands != - 1 ) {
      ; 
    }
    else {
      reftop = (jitter -> js ) . x . pc ; 
    }
  }
  if (! direct_native ) {
    ref = (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0x26 || (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0x27 ) ? 0x10 : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ref2 = (((scheme_native_closure_type ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((scheme_native_closure_type ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  else {
    ref = ref2 = ((void * ) 0 ) ; 
  }
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (2 ) ) ) ) ? (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ^ (((unsigned long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) == 0 ) && (((0x40 + (2 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ^ (((unsigned long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ^ (((unsigned long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack_start ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack_start ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack_start ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack_start ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack_start ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack_start ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  (((((0x40 + (1 ) ) ) ) == (((0x40 + (1 ) ) ) ) ) ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((3 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) == (((0x40 + (1 ) ) ) ) ) ? (void ) 0 : (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  ref4 = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x2 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x2 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  (void ) ((((long ) (& scheme_stack_boundary ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (& scheme_stack_boundary ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (& scheme_stack_boundary ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((0x40 + (1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ref9 = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0xF ) ) << 3 ) | ((((0x44 ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x2 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x2 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  (void ) ((((long ) (& scheme_fuel_counter ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (& scheme_fuel_counter ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (& scheme_fuel_counter ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((0x40 + (1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ref11 = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0 ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xe ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xe ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  {
    jit_insn * refr ; 
    refr = NULLED_OUT ; 
    if (num_rands < 0 ) {
      ((void ) ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == ((((0x40 + (2 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
      ((void ) (((((0x40 + (0 ) ) ) ) ) == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
    }
    refr = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x45 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x45 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x43 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x46 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x47 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
    if (num_rands >= 0 ) {
      ((void ) ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
      ((num_rands ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((num_rands ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
      ((void ) ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == ((((0x40 + (2 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
      (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == (((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (((num_rands ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((num_rands ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (((num_rands ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((num_rands ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (((num_rands ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((((((long ) (((num_rands ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((num_rands ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((num_rands ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((num_rands ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (((num_rands ) << 2 ) ) ) ) ) == 0 ) && ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((num_rands ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((num_rands ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((num_rands ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (((num_rands ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((num_rands ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((num_rands ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((num_rands ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
    }
    else {
      ((2 ) <= 3 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) : (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) == ((0x40 + (1 ) ) ) ) ? ((((2 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((2 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((2 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((2 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ) ; 
      ((((((0x40 + (1 ) ) ) ) ) == (((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x01 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == (((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x01 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((((((0x40 + (1 ) ) ) ) ) ) == 0 ) ? ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((((0x40 + (1 ) ) ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ) ; 
      ((void ) (((((0x40 + (2 ) ) ) ) ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
      ((void ) ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) == ((0x40 + (1 ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
      ((void ) ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == ((((0x40 + (2 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
    }
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    (((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((2 << 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((2 << 2 ) ) ) ) ) ) ) ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    if (direct_native ) {
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    }
    else {
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      if (need_set_rs ) {
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      }
    }
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xff ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
    (* ((_sl * ) ((refr ) - sizeof (long ) ) ) = ((_sl ) ((((jitter -> js ) . x . pc ) ) ) ) ) ; 
    ; 
  }
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((void ) ((void ) ((0x40 ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((0x40 ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
  ; 
  if (! multi_ok ) {
    jit_insn * refm ; 
    refm = NULLED_OUT ; 
    ; 
    refm = (((((((Scheme_Object * ) 0x6 ) ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
    (* ((_sl * ) ((refm ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (bad_result_arity_code ) - (refm ) ) ) ) ; 
    ; 
  }
  ref6 = (((((((Scheme_Object * ) 0x4 ) ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((((Scheme_Object * ) 0x4 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
  if (pop_and_jump ) {
#   define XfOrM282_COUNT (0+XfOrM258_COUNT)
#   define SETUP_XfOrM282(x) SETUP_XfOrM258(x)
    FUNCCALL(SETUP_XfOrM282(_), generate_retry_call (jitter , num_rands , multi_ok , reftop ) ); 
  }
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  if (need_set_rs ) {
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  }
  ((jitter -> js ) . jitl . argssize += ((1 ) ) ) ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (0 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  if (multi_ok ) {
    (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_force_value_same_mark ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
  }
  else {
    (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_force_one_value_same_mark ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
  }
  ref5 = (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  if (! direct_native ) {
#   define XfOrM270_COUNT (0+XfOrM258_COUNT)
#   define SETUP_XfOrM270(x) SETUP_XfOrM258(x)
    (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
    ref2 = (((scheme_prim_type ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((scheme_prim_type ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) ) ) ) ) ) ) ) : (0x44 == ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ? (((((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) ) ^ (((unsigned long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) == 0 ) && ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) ) ^ (((unsigned long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) ) ^ (((unsigned long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    if (num_rands >= 0 ) {
      ref7 = (((num_rands ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((num_rands ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
    }
    else {
      ref7 = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    }
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? ((((((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    if (need_set_rs ) {
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    }
    ((jitter -> js ) . jitl . argssize += ((3 ) ) ) ; 
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
    if (num_rands < 0 ) {
      ((void ) (((((0x40 + (0 ) ) ) ) ) == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
    }
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (2 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
    (void ) ((void ) 0 , ((((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xff ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((2 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ((void ) ((void ) ((0x40 ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((0x40 ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
    ; 
    if (! multi_ok ) {
      jit_insn * refm ; 
      refm = NULLED_OUT ; 
      ; 
      refm = (((((((Scheme_Object * ) 0x6 ) ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
      (* ((_sl * ) ((refm ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (bad_result_arity_code ) - (refm ) ) ) ) ; 
      ; 
    }
    ref10 = (((((((Scheme_Object * ) 0x4 ) ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((((Scheme_Object * ) 0x4 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
    if (pop_and_jump ) {
#     define XfOrM273_COUNT (0+XfOrM270_COUNT)
#     define SETUP_XfOrM273(x) SETUP_XfOrM270(x)
      FUNCCALL(SETUP_XfOrM273(_), generate_retry_call (jitter , num_rands , multi_ok , reftop ) ); 
    }
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ((jitter -> js ) . jitl . argssize += ((1 ) ) ) ; 
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (0 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
    if (multi_ok ) {
      (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_force_value_same_mark ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
    }
    else {
      (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_force_one_value_same_mark ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
    }
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ref8 = (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  }
  else {
    ref2 = ref7 = ref8 = ref10 = ((void * ) 0 ) ; 
  }
  if (! direct_native ) {
    (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
    (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
    (* ((_sl * ) ((ref7 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref7 ) ) ) ) ; 
  }
  (* ((_sl * ) ((ref4 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref4 ) ) ) ) ; 
  (* ((_sl * ) ((ref9 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref9 ) ) ) ) ; 
  (* ((_sl * ) ((ref11 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref11 ) ) ) ) ; 
  if (need_set_rs ) {
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  }
  if (num_rands >= 0 ) {
    ((num_rands ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((num_rands ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
  }
  ((jitter -> js ) . jitl . argssize += ((3 ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (0 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  if (num_rands < 0 ) {
    ((void ) (((((0x40 + (0 ) ) ) ) ) == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  }
  if (multi_ok ) {
    (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((_scheme_apply_multi_from_native ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
  }
  else {
    (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((_scheme_apply_from_native ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
  }
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  (* ((_sl * ) ((ref5 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref5 ) ) ) ) ; 
  if (! direct_native ) {
    (* ((_sl * ) ((ref8 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref8 ) ) ) ) ; 
  }
  ((void ) ((void ) ((0x40 ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((0x40 ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
  ; 
  (* ((_sl * ) ((ref6 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref6 ) ) ) ) ; 
  if (! direct_native ) {
    (* ((_sl * ) ((ref10 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref10 ) ) ) ) ; 
  }
  if (num_rands < 0 ) {
    ((2 ) <= 3 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) : (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) == ((0x40 + (1 ) ) ) ) ? ((((2 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((2 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((2 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((2 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ) ; 
    ((((((0x40 + (1 ) ) ) ) ) == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x01 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x01 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((((((0x40 + (1 ) ) ) ) ) ) == 0 ) ? ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((((0x40 + (1 ) ) ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ) ; 
  }
  if (pop_and_jump ) {
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc3 ) & 0xff ) ) ) ) ) ) ; 
  }
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ; 
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_self_tail_call (Scheme_Object * rator , mz_jit_state * jitter , int num_rands , jit_insn * slow_code , int args_already_in_place ) {
  jit_insn * refslow ; 
  int i ; 
  int closure_size = jitter -> self_closure_size ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(2);
  BLOCK_SETUP_TOP((PUSH(slow_code, 0), PUSH(jitter, 1)));
# define XfOrM296_COUNT (2)
# define SETUP_XfOrM296(x) SETUP(XfOrM296_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  refslow = NULLED_OUT ; 
  closure_size += 1 ; 
  ; 
  (void ) ((((long ) (& scheme_fuel_counter ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (& scheme_fuel_counter ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (& scheme_fuel_counter ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((0x40 + (1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  refslow = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0 ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xe ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xe ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  ; 
  ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) == (((((0x40 + (2 ) ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) == 0 ) && (((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
  if (num_rands ) {
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (2 ) ) ) ) ) ? ((((((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) == 0 ) && ((((0x40 + (2 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    for (i = num_rands - 1 ; i -- ; ) {
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((i ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (2 ) ) ) ) ) ? ((((((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) == 0 ) && ((((0x40 + (2 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
    }
  }
  ((void ) (((((0x40 + (2 ) ) ) ) ) == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (jitter -> self_restart_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ; 
  (* ((_sl * ) ((refslow ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (refslow ) ) ) ) ; 
  ; 
  if (args_already_in_place ) {
    ((args_already_in_place ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((args_already_in_place ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((args_already_in_place ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x45 ) ) ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) && (((0x45 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  }
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((num_rands - 1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((num_rands - 1 ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((num_rands - 1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((num_rands - 1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((num_rands - 1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((num_rands - 1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((num_rands - 1 ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((num_rands - 1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((num_rands - 1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((num_rands - 1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((num_rands - 1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((num_rands - 1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((num_rands - 1 ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((num_rands - 1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((num_rands - 1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((num_rands - 1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((num_rands - 1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  FUNCCALL(SETUP_XfOrM296(_), generate (rator , jitter , 0 , 0 ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((void ) (((((0x40 + (0 ) ) ) ) ) == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (slow_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
typedef struct {
  int num_rands ; 
  mz_jit_state * old_jitter ; 
  int multi_ok ; 
  int is_tail ; 
  int direct_prim , direct_native ; 
}
Generate_Call_Data ; 
/* this far 2132 */
int do_generate_shared_call (mz_jit_state * jitter , void * _data ) {
  Generate_Call_Data * data = (Generate_Call_Data * ) _data ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(4);
  BLOCK_SETUP_TOP((PUSH(data, 0), PUSH(jitter, 1)));
# define XfOrM301_COUNT (2)
# define SETUP_XfOrM301(x) SETUP(XfOrM301_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  if (data -> is_tail ) {
#   define XfOrM303_COUNT (0+XfOrM301_COUNT)
#   define SETUP_XfOrM303(x) SETUP_XfOrM301(x)
    if (data -> direct_prim )
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(generate_direct_prim_tail_call (jitter , data -> num_rands ) )) RET_VALUE_EMPTY_END ; 
    else RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(generate_tail_call (jitter , data -> num_rands , data -> direct_native , 1 ) )) RET_VALUE_EMPTY_END ; 
  }
  else {
    int ok ; 
    void * code , * code_end ; 
    BLOCK_SETUP((PUSH(code_end, 0+XfOrM301_COUNT), PUSH(code, 1+XfOrM301_COUNT)));
#   define XfOrM302_COUNT (2+XfOrM301_COUNT)
#   define SETUP_XfOrM302(x) SETUP(XfOrM302_COUNT)
    code = NULLED_OUT ; 
    code_end = NULLED_OUT ; 
    code = ((jitter -> js ) . x . code ) . ptr ; 
    if (data -> direct_prim )
      ok = FUNCCALL(SETUP_XfOrM302(_), generate_direct_prim_non_tail_call (jitter , data -> num_rands , data -> multi_ok , 1 ) ); 
    else ok = FUNCCALL(SETUP_XfOrM302(_), generate_non_tail_call (jitter , data -> num_rands , data -> direct_native , 1 , data -> multi_ok , 1 ) ); 
    code_end = ((jitter -> js ) . x . code ) . ptr ; 
    if (jitter -> retain_start )
      FUNCCALL_EMPTY(add_symbol ((unsigned long ) code , (unsigned long ) code_end - 1 , scheme_false , 0 ) ); 
    RET_VALUE_START (ok ) RET_VALUE_END ; 
  }
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void * generate_shared_call (int num_rands , mz_jit_state * old_jitter , int multi_ok , int is_tail , int direct_prim , int direct_native ) {
  Generate_Call_Data data ; 
  DECL_RET_SAVE (void * ) PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(data.old_jitter, 0)));
# define XfOrM304_COUNT (1)
# define SETUP_XfOrM304(x) SETUP(XfOrM304_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  data.old_jitter = NULLED_OUT ; 
  data . num_rands = num_rands ; 
  data . old_jitter = old_jitter ; 
  data . multi_ok = multi_ok ; 
  data . is_tail = is_tail ; 
  data . direct_prim = direct_prim ; 
  data . direct_native = direct_native ; 
  RET_VALUE_START (FUNCCALL(SETUP_XfOrM304(_), generate_one (old_jitter , do_generate_shared_call , & data , 0 , ((void * ) 0 ) , ((void * ) 0 ) ) )) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void ensure_retry_available (mz_jit_state * jitter , int multi_ok ) {
  int mo = multi_ok ? 1 : 0 ; 
  PREPARE_VAR_STACK(1);
# define XfOrM305_COUNT (0)
# define SETUP_XfOrM305(x) SETUP(XfOrM305_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  if (! shared_non_tail_retry_code [mo ] ) {
    void * code ; 
    BLOCK_SETUP((PUSH(code, 0+XfOrM305_COUNT)));
#   define XfOrM306_COUNT (1+XfOrM305_COUNT)
#   define SETUP_XfOrM306(x) SETUP(XfOrM306_COUNT)
    code = NULLED_OUT ; 
    code = FUNCCALL(SETUP_XfOrM306(_), generate_shared_call (- 1 , jitter , multi_ok , 0 , 0 , 0 ) ); 
    shared_non_tail_retry_code [mo ] = code ; 
  }
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int is_a_procedure (Scheme_Object * v , mz_jit_state * jitter ) {
  Scheme_Type t ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(1);
# define XfOrM307_COUNT (0)
# define SETUP_XfOrM307(x) SETUP(XfOrM307_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  if ((! (((long ) (v ) ) & 0x1 ) && ((((v ) -> type ) >= scheme_prim_type ) && (((v ) -> type ) <= scheme_native_closure_type ) ) ) )
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  t = ((((long ) (v ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (v ) ) -> type ) ; 
  if (((Scheme_Type ) (t ) == (Scheme_Type ) (scheme_closure_type ) ) || ((Scheme_Type ) (t ) == (Scheme_Type ) (scheme_unclosed_procedure_type ) ) )
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  else if (((Scheme_Type ) (t ) == (Scheme_Type ) (scheme_syntax_type ) ) ) {
    RET_VALUE_START (((((Scheme_Simple_Object * ) (v ) ) -> u . ptr_int_val . pint ) == 3 ) ) RET_VALUE_END ; 
  }
  else if (((Scheme_Type ) (t ) == (Scheme_Type ) (scheme_local_type ) ) ) {
    int flags ; 
#   define XfOrM311_COUNT (0+XfOrM307_COUNT)
#   define SETUP_XfOrM311(x) SETUP_XfOrM307(x)
    RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(mz_is_closure (jitter , (((Scheme_Local * ) (v ) ) -> position ) , - 1 , & flags ) )) RET_VALUE_EMPTY_END ; 
  }
  else if (t == scheme_toplevel_type ) {
#   define XfOrM308_COUNT (0+XfOrM307_COUNT)
#   define SETUP_XfOrM308(x) SETUP_XfOrM307(x)
    if ((& ((Scheme_Toplevel * ) (v ) ) -> iso ) -> so . keyex & 0x1 ) {
#     define XfOrM309_COUNT (0+XfOrM308_COUNT)
#     define SETUP_XfOrM309(x) SETUP_XfOrM308(x)
      if (jitter -> nc ) {
        Scheme_Object * p ; 
        BLOCK_SETUP((PUSH(p, 0+XfOrM309_COUNT)));
#       define XfOrM310_COUNT (1+XfOrM309_COUNT)
#       define SETUP_XfOrM310(x) SETUP(XfOrM310_COUNT)
        p = NULLED_OUT ; 
        p = FUNCCALL(SETUP_XfOrM310(_), extract_global (v , jitter -> nc ) ); 
        p = ((Scheme_Bucket * ) p ) -> val ; 
        RET_VALUE_START (((Scheme_Type ) (((((long ) (p ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (p ) ) -> type ) ) == (Scheme_Type ) (scheme_native_closure_type ) ) ) RET_VALUE_END ; 
      }
    }
  }
  RET_VALUE_START (0 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_app (Scheme_App_Rec * app , Scheme_Object * * alt_rands , int num_rands , mz_jit_state * jitter , int is_tail , int multi_ok ) {
  int i , offset , need_safety = 0 ; 
  int direct_prim = 0 , need_non_tail = 0 , direct_native = 0 , direct_self = 0 ; 
  int proc_already_in_place = 0 ; 
  Scheme_Object * rator , * v , * arg ; 
  int reorder_ok = 0 ; 
  int args_already_in_place = 0 ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(7);
  BLOCK_SETUP_TOP((PUSH(rator, 0), PUSH(app, 1), PUSH(alt_rands, 2), PUSH(jitter, 3), PUSH(arg, 4), PUSH(v, 5)));
# define XfOrM313_COUNT (6)
# define SETUP_XfOrM313(x) SETUP(XfOrM313_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  rator = NULLED_OUT ; 
  v = NULLED_OUT ; 
  arg = NULLED_OUT ; 
  ; 
  rator = (alt_rands ? alt_rands [0 ] : app -> args [0 ] ) ; 
  if (((Scheme_Type ) (((((long ) (rator ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (rator ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) ) {
#   define XfOrM379_COUNT (0+XfOrM313_COUNT)
#   define SETUP_XfOrM379(x) SETUP_XfOrM313(x)
    if ((num_rands >= ((Scheme_Primitive_Proc * ) rator ) -> mina ) && ((num_rands <= ((Scheme_Primitive_Proc * ) rator ) -> mu . maxa ) || (((Scheme_Primitive_Proc * ) rator ) -> mina < 0 ) ) && (FUNCCALL(SETUP_XfOrM379(_), is_noncm (rator , jitter , 0 , 0 ) )|| (multi_ok && ((rator ) == (scheme_values_func ) ) ) ) )
      direct_prim = 1 ; 
  }
  else {
    Scheme_Type t ; 
#   define XfOrM366_COUNT (0+XfOrM313_COUNT)
#   define SETUP_XfOrM366(x) SETUP_XfOrM313(x)
    t = ((((long ) (rator ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (rator ) ) -> type ) ; 
    if ((t == scheme_local_type ) && FUNCCALL(SETUP_XfOrM366(_), ok_to_move_local (rator ) )) {
#     define XfOrM375_COUNT (0+XfOrM366_COUNT)
#     define SETUP_XfOrM375(x) SETUP_XfOrM366(x)
      reorder_ok = 1 ; 
      {
        int pos , flags ; 
#       define XfOrM376_COUNT (0+XfOrM375_COUNT)
#       define SETUP_XfOrM376(x) SETUP_XfOrM375(x)
        pos = (((Scheme_Local * ) (rator ) ) -> position ) - num_rands ; 
        if (FUNCCALL(SETUP_XfOrM376(_), mz_is_closure (jitter , pos , num_rands , & flags ) )) {
          direct_native = 1 ; 
          if (is_tail && (pos == jitter -> self_pos ) && (num_rands < 25 ) ) {
            direct_self = 1 ; 
          }
        }
      }
    }
    else if ((t == scheme_toplevel_type ) && ((& ((Scheme_Toplevel * ) (rator ) ) -> iso ) -> so . keyex & 0x1 ) ) {
#     define XfOrM370_COUNT (0+XfOrM366_COUNT)
#     define SETUP_XfOrM370(x) SETUP_XfOrM366(x)
      reorder_ok = 1 ; 
      if (jitter -> nc ) {
        Scheme_Object * p ; 
        BLOCK_SETUP((PUSH(p, 0+XfOrM370_COUNT)));
#       define XfOrM371_COUNT (1+XfOrM370_COUNT)
#       define SETUP_XfOrM371(x) SETUP(XfOrM371_COUNT)
        p = NULLED_OUT ; 
        p = FUNCCALL(SETUP_XfOrM371(_), extract_global (rator , jitter -> nc ) ); 
        p = ((Scheme_Bucket * ) p ) -> val ; 
        if (((Scheme_Type ) (((((long ) (p ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (p ) ) -> type ) ) == (Scheme_Type ) (scheme_native_closure_type ) ) ) {
#         define XfOrM372_COUNT (0+XfOrM371_COUNT)
#         define SETUP_XfOrM372(x) SETUP_XfOrM371(x)
          if (FUNCCALL(SETUP_XfOrM372(_), scheme_native_arity_check (p , num_rands ) )&& ! FUNCCALL(SETUP_XfOrM372(_), scheme_native_arity_check (p , num_rands + 1 ) )) {
            direct_native = 1 ; 
            if (is_tail && ((((Scheme_Toplevel * ) (rator ) ) -> position ) == jitter -> self_toplevel_pos ) && (num_rands < 25 ) ) {
              direct_self = 1 ; 
            }
          }
        }
      }
    }
    else if (((Scheme_Type ) (t ) == (Scheme_Type ) (scheme_closure_type ) ) ) {
      Scheme_Closure_Data * data ; 
      data = NULLED_OUT ; 
      data = ((Scheme_Closure * ) rator ) -> code ; 
      if ((data -> num_params == num_rands ) && ! ((& (data ) -> iso ) -> so . keyex & 1 ) ) {
        direct_native = 1 ; 
        if (is_tail && ((data -> u . jit_clone ) == (jitter -> self_data ) ) && (num_rands < 25 ) )
          direct_self = 1 ; 
      }
      reorder_ok = 1 ; 
    }
    else if (t > _scheme_values_types_ ) {
      reorder_ok = 1 ; 
    }
    if (direct_self )
      reorder_ok = 0 ; 
  }
  if (direct_native && is_tail && num_rands && (num_rands == jitter -> self_data -> num_params ) && ! ((& (jitter -> self_data ) -> iso ) -> so . keyex & 1 ) ) {
#   define XfOrM360_COUNT (0+XfOrM313_COUNT)
#   define SETUP_XfOrM360(x) SETUP_XfOrM313(x)
    FUNCCALL(SETUP_XfOrM360(_), mz_runstack_skipped (jitter , num_rands ) ); 
    for (i = 0 ; i < num_rands ; i ++ ) {
#     define XfOrM364_COUNT (0+XfOrM360_COUNT)
#     define SETUP_XfOrM364(x) SETUP_XfOrM360(x)
      v = (alt_rands ? alt_rands [i + 1 ] : app -> args [i + 1 ] ) ; 
      if (((Scheme_Type ) (((((long ) (v ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (v ) ) -> type ) ) == (Scheme_Type ) (scheme_local_type ) ) && ! ((& ((Scheme_Local * ) (v ) ) -> iso ) -> so . keyex & 0x2 ) ) {
        int pos ; 
#       define XfOrM365_COUNT (0+XfOrM364_COUNT)
#       define SETUP_XfOrM365(x) SETUP_XfOrM364(x)
        pos = FUNCCALL(SETUP_XfOrM365(_), mz_remap_it (jitter , (((Scheme_Local * ) (v ) ) -> position ) ) ); 
        if (pos == (jitter -> depth + args_already_in_place ) )
          args_already_in_place ++ ; 
        else break ; 
      }
      else break ; 
    }
    FUNCCALL(SETUP_XfOrM360(_), mz_runstack_unskipped (jitter , num_rands ) ); 
    if (args_already_in_place ) {
#     define XfOrM361_COUNT (0+XfOrM360_COUNT)
#     define SETUP_XfOrM361(x) SETUP_XfOrM360(x)
      direct_native = 2 ; 
      FUNCCALL(SETUP_XfOrM361(_), mz_runstack_skipped (jitter , args_already_in_place ) ); 
      num_rands -= args_already_in_place ; 
    }
  }
  if (num_rands ) {
#   define XfOrM357_COUNT (0+XfOrM313_COUNT)
#   define SETUP_XfOrM357(x) SETUP_XfOrM313(x)
    if (! direct_prim || (num_rands > 1 ) ) {
#     define XfOrM359_COUNT (0+XfOrM357_COUNT)
#     define SETUP_XfOrM359(x) SETUP_XfOrM357(x)
      ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) == 0 ) && (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
      need_safety = num_rands ; 
      ; 
      FUNCCALL(SETUP_XfOrM359(_), mz_runstack_pushed (jitter , num_rands ) ); 
    }
    else {
#     define XfOrM358_COUNT (0+XfOrM357_COUNT)
#     define SETUP_XfOrM358(x) SETUP_XfOrM357(x)
      FUNCCALL(SETUP_XfOrM358(_), mz_runstack_skipped (jitter , 1 ) ); 
    }
  }
  for (i = num_rands + args_already_in_place + 1 ; i -- ; ) {
#   define XfOrM355_COUNT (0+XfOrM313_COUNT)
#   define SETUP_XfOrM355(x) SETUP_XfOrM313(x)
    v = (alt_rands ? alt_rands [i ] : app -> args [i ] ) ; 
    if (! FUNCCALL(SETUP_XfOrM355(_), is_simple (v , 10 , 1 , jitter , 0 ) )) {
      need_non_tail = 1 ; 
      break ; 
    }
  }
  if (need_non_tail ) {
#   define XfOrM352_COUNT (0+XfOrM313_COUNT)
#   define SETUP_XfOrM352(x) SETUP_XfOrM313(x)
    offset = FUNCCALL(SETUP_XfOrM352(_), generate_non_tail_mark_pos_prefix (jitter ) ); 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  else offset = 0 ; 
  if (! direct_prim && ! reorder_ok && ! direct_self ) {
#   define XfOrM346_COUNT (0+XfOrM313_COUNT)
#   define SETUP_XfOrM346(x) SETUP_XfOrM313(x)
    if (need_safety && ! FUNCCALL(SETUP_XfOrM346(_), is_non_gc (rator , 10 ) )) {
#     define XfOrM351_COUNT (0+XfOrM346_COUNT)
#     define SETUP_XfOrM351(x) SETUP_XfOrM346(x)
      FUNCCALL(SETUP_XfOrM351(_), stack_safety (jitter , need_safety , offset ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      need_safety = 0 ; 
    }
    FUNCCALL(SETUP_XfOrM346(_), generate_non_tail (rator , jitter , 0 , ! need_non_tail ) ); 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    if (num_rands ) {
      Scheme_Type t ; 
      t = ((((long ) ((alt_rands ? alt_rands [1 + args_already_in_place ] : app -> args [1 + args_already_in_place ] ) ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) ((alt_rands ? alt_rands [1 + args_already_in_place ] : app -> args [1 + args_already_in_place ] ) ) ) -> type ) ; 
      if ((num_rands == 1 ) && (((Scheme_Type ) (scheme_local_type ) == (Scheme_Type ) (t ) ) || (t >= _scheme_values_types_ ) ) ) {
        ((void ) (((((0x40 + (0 ) ) ) ) ) == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
        proc_already_in_place = 1 ; 
      }
      else {
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((num_rands - 1 + offset ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((num_rands - 1 + offset ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((num_rands - 1 + offset ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((num_rands - 1 + offset ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((num_rands - 1 + offset ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((num_rands - 1 + offset ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((num_rands - 1 + offset ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((num_rands - 1 + offset ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((num_rands - 1 + offset ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((num_rands - 1 + offset ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((num_rands - 1 + offset ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((num_rands - 1 + offset ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((num_rands - 1 + offset ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((num_rands - 1 + offset ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((num_rands - 1 + offset ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((num_rands - 1 + offset ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((num_rands - 1 + offset ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        if (need_safety )
          need_safety -- ; 
      }
    }
    else {
      ((void ) (((((0x40 + (0 ) ) ) ) ) == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
    }
  }
  for (i = 0 ; i < num_rands ; i ++ ) {
#   define XfOrM342_COUNT (0+XfOrM313_COUNT)
#   define SETUP_XfOrM342(x) SETUP_XfOrM313(x)
    ; 
    arg = (alt_rands ? alt_rands [i + 1 + args_already_in_place ] : app -> args [i + 1 + args_already_in_place ] ) ; 
    if (need_safety && ! FUNCCALL(SETUP_XfOrM342(_), is_non_gc (arg , 10 ) )) {
#     define XfOrM345_COUNT (0+XfOrM342_COUNT)
#     define SETUP_XfOrM345(x) SETUP_XfOrM342(x)
      FUNCCALL(SETUP_XfOrM345(_), stack_safety (jitter , need_safety - i , offset + i ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      need_safety = 0 ; 
    }
    FUNCCALL(SETUP_XfOrM342(_), generate_non_tail (arg , jitter , 0 , ! need_non_tail ) ); 
    ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    if ((i == num_rands - 1 ) && ! direct_prim && ! reorder_ok && ! direct_self && ! proc_already_in_place ) {
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((i + offset ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i + offset ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i + offset ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((i + offset ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i + offset ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i + offset ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((i + offset ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i + offset ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i + offset ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    }
    if ((! direct_prim || (num_rands > 1 ) ) && (! direct_self || (i + 1 < num_rands ) ) ) {
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((i + offset ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i + offset ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i + offset ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((i + offset ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i + offset ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i + offset ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((i + offset ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i + offset ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i + offset ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i + offset ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    }
  }
  if (need_non_tail ) {
#   define XfOrM337_COUNT (0+XfOrM313_COUNT)
#   define SETUP_XfOrM337(x) SETUP_XfOrM313(x)
    FUNCCALL(SETUP_XfOrM337(_), generate_non_tail_mark_pos_suffix (jitter ) ); 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  if (direct_prim ) {
#   define XfOrM333_COUNT (0+XfOrM313_COUNT)
#   define SETUP_XfOrM333(x) SETUP_XfOrM313(x)
    (void ) ((((long ) (((Scheme_Primitive_Proc * ) rator ) -> prim_val ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((Scheme_Primitive_Proc * ) rator ) -> prim_val ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (((Scheme_Primitive_Proc * ) rator ) -> prim_val ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
    if (num_rands == 1 ) {
#     define XfOrM336_COUNT (0+XfOrM333_COUNT)
#     define SETUP_XfOrM336(x) SETUP_XfOrM333(x)
      FUNCCALL(SETUP_XfOrM336(_), mz_runstack_unskipped (jitter , 1 ) ); 
    }
    else {
      if (jitter -> need_set_rs ) {
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        jitter -> need_set_rs = 0 ; 
      }
      ; 
    }
    ; 
  }
  if (reorder_ok ) {
#   define XfOrM332_COUNT (0+XfOrM313_COUNT)
#   define SETUP_XfOrM332(x) SETUP_XfOrM313(x)
    FUNCCALL(SETUP_XfOrM332(_), generate (rator , jitter , 0 , 0 ) ); 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ((void ) (((((0x40 + (0 ) ) ) ) ) == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  }
  ; 
  if (direct_prim || direct_native || direct_self )
    scheme_direct_call_count ++ ; 
  else scheme_indirect_call_count ++ ; 
  if (num_rands >= 25 ) {
#   define XfOrM326_COUNT (0+XfOrM313_COUNT)
#   define SETUP_XfOrM326(x) SETUP_XfOrM313(x)
    ; 
    if (is_tail ) {
#     define XfOrM328_COUNT (0+XfOrM326_COUNT)
#     define SETUP_XfOrM328(x) SETUP_XfOrM326(x)
      if (direct_prim ) {
#       define XfOrM331_COUNT (0+XfOrM328_COUNT)
#       define SETUP_XfOrM331(x) SETUP_XfOrM328(x)
        FUNCCALL(SETUP_XfOrM331(_), generate_direct_prim_tail_call (jitter , num_rands ) ); 
      }
      else {
#       define XfOrM329_COUNT (0+XfOrM328_COUNT)
#       define SETUP_XfOrM329(x) SETUP_XfOrM328(x)
        if (args_already_in_place ) {
          ((args_already_in_place ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((args_already_in_place ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((args_already_in_place ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x45 ) ) ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) && (((0x45 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        }
        FUNCCALL(SETUP_XfOrM329(_), generate_tail_call (jitter , num_rands , direct_native , jitter -> need_set_rs ) ); 
      }
    }
    else {
#     define XfOrM327_COUNT (0+XfOrM326_COUNT)
#     define SETUP_XfOrM327(x) SETUP_XfOrM326(x)
      if (direct_prim )
        FUNCCALL(SETUP_XfOrM327(_), generate_direct_prim_non_tail_call (jitter , num_rands , multi_ok , 0 ) ); 
      else FUNCCALL(SETUP_XfOrM327(_), generate_non_tail_call (jitter , num_rands , direct_native , jitter -> need_set_rs , multi_ok , 0 ) ); 
    }
  }
  else {
    void * code ; 
    int dp = (direct_prim ? 1 : (direct_native ? (1 + direct_native ) : 0 ) ) ; 
    BLOCK_SETUP((PUSH(code, 0+XfOrM313_COUNT)));
#   define XfOrM314_COUNT (1+XfOrM313_COUNT)
#   define SETUP_XfOrM314(x) SETUP(XfOrM314_COUNT)
    code = NULLED_OUT ; 
    if (is_tail ) {
#     define XfOrM321_COUNT (0+XfOrM314_COUNT)
#     define SETUP_XfOrM321(x) SETUP_XfOrM314(x)
      if (! shared_tail_code [dp ] [num_rands ] ) {
#       define XfOrM325_COUNT (0+XfOrM321_COUNT)
#       define SETUP_XfOrM325(x) SETUP_XfOrM321(x)
        code = FUNCCALL(SETUP_XfOrM325(_), generate_shared_call (num_rands , jitter , multi_ok , is_tail , direct_prim , direct_native ) ); 
        shared_tail_code [dp ] [num_rands ] = code ; 
      }
      code = shared_tail_code [dp ] [num_rands ] ; 
      if (direct_self ) {
#       define XfOrM324_COUNT (0+XfOrM321_COUNT)
#       define SETUP_XfOrM324(x) SETUP_XfOrM321(x)
        ; 
        FUNCCALL(SETUP_XfOrM324(_), generate_self_tail_call (rator , jitter , num_rands , code , args_already_in_place ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
      }
      else {
        ; 
        if (args_already_in_place ) {
          ((args_already_in_place ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((args_already_in_place ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((args_already_in_place ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x45 ) ) ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) && (((0x45 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        }
        (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      }
    }
    else {
      int mo = (multi_ok ? 1 : 0 ) ; 
#     define XfOrM315_COUNT (0+XfOrM314_COUNT)
#     define SETUP_XfOrM315(x) SETUP_XfOrM314(x)
      if (! shared_non_tail_code [dp ] [num_rands ] [mo ] ) {
#       define XfOrM320_COUNT (0+XfOrM315_COUNT)
#       define SETUP_XfOrM320(x) SETUP_XfOrM315(x)
        FUNCCALL(SETUP_XfOrM320(_), ensure_retry_available (jitter , multi_ok ) ); 
        code = FUNCCALL(SETUP_XfOrM320(_), generate_shared_call (num_rands , jitter , multi_ok , is_tail , direct_prim , direct_native ) ); 
        shared_non_tail_code [dp ] [num_rands ] [mo ] = code ; 
      }
      ; 
      code = shared_non_tail_code [dp ] [num_rands ] [mo ] ; 
      (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      if (direct_prim ) {
        if (num_rands == 1 ) {
          jitter -> need_set_rs = 1 ; 
        }
        else {
          jitter -> need_set_rs = 0 ; 
        }
      }
      else {
        jitter -> need_set_rs = 1 ; 
      }
    }
  }
  ; 
  RET_VALUE_START (is_tail ? 2 : 1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static jit_insn * generate_arith_slow_path (mz_jit_state * jitter , Scheme_Object * rator , jit_insn * * _ref , jit_insn * * _ref4 , jit_insn * * for_branch , int orig_args , int reversed , int arith , int use_v , int v ) {
  /* No conversion */
  jit_insn * ref , * ref4 , * refslow ; 
  refslow = (jitter -> js ) . x . pc ; 
  (void ) ((((long ) (((Scheme_Primitive_Proc * ) rator ) -> prim_val ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((Scheme_Primitive_Proc * ) rator ) -> prim_val ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (((Scheme_Primitive_Proc * ) rator ) -> prim_val ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
  if (for_branch ) {
    ref4 = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x45 ) ) ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) && (((0x45 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  }
  else ref4 = ((void * ) 0 ) ; 
  ref = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  if (orig_args == 1 ) {
    if (for_branch ) {
      (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (call_original_unary_arith_for_branch_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    }
    else {
      (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (call_original_unary_arith_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    }
  }
  else {
    if (use_v ) {
      (void ) ((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
      reversed = ! reversed ; 
    }
    if (for_branch ) {
      if (reversed ) {
        (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (call_original_binary_rev_arith_for_branch_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      }
      else {
        (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (call_original_binary_arith_for_branch_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      }
    }
    else {
      if (reversed ) {
        (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (call_original_binary_rev_arith_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      }
      else {
        (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (call_original_binary_arith_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      }
    }
  }
  * _ref = ref ; 
  * _ref4 = ref4 ; 
  if (arith == 6 ) {
    ref = (jitter -> js ) . x . pc ; 
    if (reversed || use_v ) {
      ((((0x40 + (0 ) ) ) == ((0x40 + (0 ) ) ) ) ? ((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((0x40 + (0 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((((0x40 + (0 ) ) ) ) == 0x26 || (((0x40 + (0 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (0 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x1 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((0x40 + (0 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((((0x40 + (0 ) ) ) ) == 0x26 || (((0x40 + (0 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (0 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x1 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
    }
    else {
      ((((0x40 + (1 ) ) ) == ((0x40 + (1 ) ) ) ) ? ((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((0x40 + (1 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((((0x40 + (1 ) ) ) ) == 0x26 || (((0x40 + (1 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (1 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x1 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((0x40 + (1 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((((0x40 + (1 ) ) ) ) == 0x26 || (((0x40 + (1 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (1 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x1 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
    }
    ; 
    (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    ; 
    return ref ; 
  }
  else {
    return refslow ; 
  }
}
static int can_fast_double (int arith , int cmp , int two_args ) {
  /* No conversion */
  if ((arith == 1 ) || (arith == - 1 ) || (arith == 2 ) || (arith == - 2 ) || (arith == 11 ) )
    return 1 ; 
  if (! arith || ((arith == 9 ) && two_args ) || ((arith == 10 ) && two_args ) )
    return 1 ; 
  return 0 ; 
}
static int generate_double_arith (mz_jit_state * jitter , int arith , int cmp , int reversed , int two_args , int second_const , jit_insn * * _refd , jit_insn * * _refdt , int branch_short ) {
  GC_CAN_IGNORE jit_insn * ref8 , * ref9 , * ref10 , * refd , * refdt ; 
  int no_alloc = 0 ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(_refdt, 0), PUSH(jitter, 1), PUSH(_refd, 2)));
# define XfOrM398_COUNT (3)
# define SETUP_XfOrM398(x) SETUP(XfOrM398_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  ; 
  if (two_args ) {
    (((((0x40 + (1 ) ) ) ) == (((0x40 + (2 ) ) ) ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x09 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) == (((0x40 + (2 ) ) ) ) ) ? (void ) 0 : (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x09 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
    ref8 = (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (2 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (2 ) ) ) ) ) == 0x26 || ((((0x40 + (2 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (2 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  }
  else ref8 = ((void * ) 0 ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ref9 = (((((scheme_double_type ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((scheme_double_type ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
  if (two_args ) {
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (1 ) ) ) ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) && (((0x40 + (1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ref10 = (((((scheme_double_type ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((scheme_double_type ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
  }
  else ref10 = ((void * ) 0 ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ; 
  if (! two_args && ! second_const && ((arith == 2 ) || ((arith == - 2 ) && reversed ) ) ) {
    (void ) ((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
  }
  else {
#   define XfOrM400_COUNT (0+XfOrM398_COUNT)
#   define SETUP_XfOrM400(x) SETUP_XfOrM398(x)
    (((void ) 0 ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (40 >> 3 ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? (((((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ^ (((unsigned long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ^ (((unsigned long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ^ (((unsigned long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
    if (two_args ) {
      (((void ) 0 ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (40 >> 3 ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (1 ) ) ) ) ? (((((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ^ (((unsigned long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) == 0 ) && (((0x40 + (1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ^ (((unsigned long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ^ (((unsigned long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
    }
    else if ((arith == - 1 ) && ! second_const && reversed ) {
      reversed = 0 ; 
    }
    else if (arith == 11 ) {
    }
    else {
      double d = second_const ; 
      (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x68 ) & 0xff ) ) ) ) ) ) , (jitter -> js ) . x . uc_pc [4 ] = 0x68 , ((union jit_double_imm * ) ((jitter -> js ) . x . uc_pc + 5 ) ) -> d = (double ) d , * ((int * ) (jitter -> js ) . x . uc_pc ) = ((union jit_double_imm * ) ((jitter -> js ) . x . uc_pc + 5 ) ) -> i [1 ] , (jitter -> js ) . x . uc_pc += 9 ) , (((void ) 0 ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (40 >> 3 ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((0x44 ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == ((0x44 ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && ((0x44 ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | ((((0x44 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | ((((0x44 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | ((((0x44 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((0x44 ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((0x44 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((0x44 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((0x44 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) , (((! ((((unsigned long ) (8 ) ) ^ (((unsigned long ) (8 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (8 ) ) ^ (((unsigned long ) (8 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((8 ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((8 ) ) ) ) ) ) ) ) ) ; 
      reversed = ! reversed ; 
      cmp = - cmp ; 
    }
    if (arith ) {
#     define XfOrM403_COUNT (0+XfOrM400_COUNT)
#     define SETUP_XfOrM403(x) SETUP_XfOrM400(x)
      switch (arith ) {
        case 1 : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (48 >> 3 ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((48 & 7 ) ) << 3 ) | (1 ) ) & 0xff ) ) ) ) ) ) ) ; 
        break ; 
        case 2 : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (49 >> 3 ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((49 & 7 ) ) << 3 ) | (1 ) ) & 0xff ) ) ) ) ) ) ) ; 
        break ; 
        case - 2 : if (reversed )
          (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (55 >> 3 ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((55 & 7 ) ) << 3 ) | (1 ) ) & 0xff ) ) ) ) ) ) ) ; 
        else (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (54 >> 3 ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((54 & 7 ) ) << 3 ) | (1 ) ) & 0xff ) ) ) ) ) ) ) ; 
        break ; 
        case - 1 : {
          if (! two_args && ! second_const && ! reversed ) {
            ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xd9e0 ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xd9e0 ) ) & 0xff ) ) ) ) ) ) ) ; 
          }
          else if (reversed )
            (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (53 >> 3 ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((53 & 7 ) ) << 3 ) | (1 ) ) & 0xff ) ) ) ) ) ) ) ; 
          else (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (52 >> 3 ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((52 & 7 ) ) << 3 ) | (1 ) ) & 0xff ) ) ) ) ) ) ) ; 
        }
        break ; 
        case 9 : case 10 : {
          GC_CAN_IGNORE jit_insn * refc , * refn ; 
          ; 
          refn = (((((1 ) ) ) == 0 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (2 >> 3 ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((2 & 7 ) ) << 3 ) | ((((1 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (8 >> 3 ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((8 & 7 ) ) << 3 ) | ((((1 ) ) ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (45 >> 3 ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((45 & 7 ) ) << 3 ) | ((((1 ) ) ) + 1 ) ) & 0xff ) ) ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x40 ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((0x40 == 0x20 || 0x40 == 0x40 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xdfe0 ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xdfe0 ) ) & 0xff ) ) ) ) ) ) : 0 ) , (((8 ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (8 ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) , (void ) ((0x45 ) ? (((! ((((unsigned long ) ((0x45 ) ) ) ^ (((unsigned long ) ((0x45 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x45 ) ) ) ^ (((unsigned long ) ((0x45 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x45 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x45 ) ) ) ) ) ) ) ) ) : 0 ) , ((0x40 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((0x10 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x40 ) ) ) ) ) ) ) ) : 0 ) , (void ) (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x40 ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
          ((void ) (((((0x40 + (0 ) ) ) ) ) == ((((0x40 + (1 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
          (* ((_sl * ) ((refn ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (refn ) ) ) ) ; 
          if (arith == 9 ) {
            refc = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (21 >> 3 ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((21 & 7 ) ) << 3 ) | (1 ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x40 ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((0x40 == 0x20 || 0x40 == 0x40 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xdfe0 ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xdfe0 ) ) & 0xff ) ) ) ) ) ) : 0 ) , (((9 ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (9 ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) , (void ) ((0 ) ? (((! ((((unsigned long ) ((0 ) ) ) ^ (((unsigned long ) ((0 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0 ) ) ) ^ (((unsigned long ) ((0 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0 ) ) ) ) ) ) ) ) ) : 0 ) , (void ) ((0 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((0x10 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0 ) ) ) ) ) ) ) ) : 0 ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x40 ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x3 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x3 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
          }
          else {
            refc = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (9 >> 3 ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((9 & 7 ) ) << 3 ) | (1 ) ) & 0xff ) ) ) ) ) ) , (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (21 >> 3 ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((21 & 7 ) ) << 3 ) | (1 ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x40 ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((0x40 == 0x20 || 0x40 == 0x40 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xdfe0 ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xdfe0 ) ) & 0xff ) ) ) ) ) ) : 0 ) , (((8 ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (8 ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) , (void ) ((0x45 ) ? (((! ((((unsigned long ) ((0x45 ) ) ) ^ (((unsigned long ) ((0x45 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x45 ) ) ) ^ (((unsigned long ) ((0x45 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x45 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x45 ) ) ) ) ) ) ) ) ) : 0 ) , (void ) ((0 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((0x10 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0 ) ) ) ) ) ) ) ) : 0 ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x40 ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
          }
          ((void ) (((((0x40 + (1 ) ) ) ) ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
          (* ((_sl * ) ((refc ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (refc ) ) ) ) ; 
          ; 
          no_alloc = 1 ; 
        }
        break ; 
        case 11 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xd9e1 ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xd9e1 ) ) & 0xff ) ) ) ) ) ) ) ; 
        break ; 
        default : break ; 
      }
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (! no_alloc ) {
#       define XfOrM404_COUNT (0+XfOrM403_COUNT)
#       define SETUP_XfOrM404(x) SETUP_XfOrM403(x)
        FUNCCALL(SETUP_XfOrM404(_), inline_alloc (jitter , sizeof (Scheme_Double ) , scheme_double_type , 0 , 1 ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == ((((0x40 + (0 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (sizeof (long ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) ? (((((((long ) (sizeof (long ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (sizeof (long ) ) ) ) ) == 0 ) && ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (sizeof (long ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
        (void ) (((void ) 0 ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (43 >> 3 ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((43 & 7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? (((((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((43 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ^ (((unsigned long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((43 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((43 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((43 & 7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ^ (((unsigned long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((43 & 7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((43 & 7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((43 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((43 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ^ (((unsigned long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((43 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((43 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
      }
    }
    else {
      ; 
      switch (cmp ) {
        case - 2 : refd = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (9 >> 3 ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((9 & 7 ) ) << 3 ) | (1 ) ) & 0xff ) ) ) ) ) ) , (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (21 >> 3 ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((21 & 7 ) ) << 3 ) | (1 ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x40 ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((0x40 == 0x20 || 0x40 == 0x40 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xdfe0 ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xdfe0 ) ) & 0xff ) ) ) ) ) ) : 0 ) , (((8 ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (8 ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) , (void ) ((0x45 ) ? (((! ((((unsigned long ) ((0x45 ) ) ) ^ (((unsigned long ) ((0x45 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x45 ) ) ) ^ (((unsigned long ) ((0x45 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x45 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x45 ) ) ) ) ) ) ) ) ) : 0 ) , (void ) ((0 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((0x10 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0 ) ) ) ) ) ) ) ) : 0 ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x40 ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
        break ; 
        case - 1 : refd = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (9 >> 3 ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((9 & 7 ) ) << 3 ) | (1 ) ) & 0xff ) ) ) ) ) ) , (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (21 >> 3 ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((21 & 7 ) ) << 3 ) | (1 ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x40 ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((0x40 == 0x20 || 0x40 == 0x40 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xdfe0 ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xdfe0 ) ) & 0xff ) ) ) ) ) ) : 0 ) , (((9 ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (9 ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) , (void ) ((0 ) ? (((! ((((unsigned long ) ((0 ) ) ) ^ (((unsigned long ) ((0 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0 ) ) ) ^ (((unsigned long ) ((0 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0 ) ) ) ) ) ) ) ) ) : 0 ) , (void ) ((0 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((0x10 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0 ) ) ) ) ) ) ) ) : 0 ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x40 ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x2 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x2 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
        break ; 
        case 0 : refd = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (21 >> 3 ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((21 & 7 ) ) << 3 ) | (1 ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x40 ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((0x40 == 0x20 || 0x40 == 0x40 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xdfe0 ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xdfe0 ) ) & 0xff ) ) ) ) ) ) : 0 ) , (((8 ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (8 ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) , (void ) ((0x45 ) ? (((! ((((unsigned long ) ((0x45 ) ) ) ^ (((unsigned long ) ((0x45 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x45 ) ) ) ^ (((unsigned long ) ((0x45 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x45 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x45 ) ) ) ) ) ) ) ) ) : 0 ) , (void ) ((0x40 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((0x10 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x40 ) ) ) ) ) ) ) ) : 0 ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x40 ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        break ; 
        case 1 : refd = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (21 >> 3 ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((21 & 7 ) ) << 3 ) | (1 ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x40 ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((0x40 == 0x20 || 0x40 == 0x40 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xdfe0 ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xdfe0 ) ) & 0xff ) ) ) ) ) ) : 0 ) , (((9 ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (9 ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) , (void ) ((0 ) ? (((! ((((unsigned long ) ((0 ) ) ) ^ (((unsigned long ) ((0 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0 ) ) ) ^ (((unsigned long ) ((0 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0 ) ) ) ) ) ) ) ) ) : 0 ) , (void ) ((0 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((0x10 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0 ) ) ) ) ) ) ) ) : 0 ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x40 ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x2 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x2 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        break ; 
        case 2 : refd = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (21 >> 3 ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((21 & 7 ) ) << 3 ) | (1 ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x40 ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((0x40 == 0x20 || 0x40 == 0x40 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xdfe0 ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xdfe0 ) ) & 0xff ) ) ) ) ) ) : 0 ) , (((8 ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (8 ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) , (void ) ((0x45 ) ? (((! ((((unsigned long ) ((0x45 ) ) ) ^ (((unsigned long ) ((0x45 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x45 ) ) ) ^ (((unsigned long ) ((0x45 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x45 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x45 ) ) ) ) ) ) ) ) ) : 0 ) , (void ) ((0 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((0x10 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0 ) ) ) ) ) ) ) ) : 0 ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x40 ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        break ; 
        default : refd = ((void * ) 0 ) ; 
        break ; 
      }
      ; 
      * _refd = refd ; 
    }
  }
  ; 
  refdt = (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  * _refdt = refdt ; 
  ; 
  ; 
  if (two_args ) {
    (* ((_sl * ) ((ref8 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref8 ) ) ) ) ; 
    (* ((_sl * ) ((ref10 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref10 ) ) ) ) ; 
  }
  (* ((_sl * ) ((ref9 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref9 ) ) ) ) ; 
  ; 
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_arith (mz_jit_state * jitter , Scheme_Object * rator , Scheme_Object * rand , Scheme_Object * rand2 , int orig_args , int arith , int cmp , int v , jit_insn * * for_branch , int branch_short ) {
  GC_CAN_IGNORE jit_insn * ref , * ref2 , * ref3 , * ref4 , * refd = ((void * ) 0 ) , * refdt = ((void * ) 0 ) , * refslow ; 
  int skipped , simple_rand , reversed = 0 , has_fixnum_fast = 1 ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(7);
  BLOCK_SETUP_TOP((PUSH(rand2, 0), PUSH(rator, 1), PUSH(for_branch, 2), PUSH(jitter, 3), PUSH(rand, 4)));
# define XfOrM418_COUNT (5)
# define SETUP_XfOrM418(x) SETUP(XfOrM418_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  ; 
  if (rand2 ) {
#   define XfOrM493_COUNT (0+XfOrM418_COUNT)
#   define SETUP_XfOrM493(x) SETUP_XfOrM418(x)
    if ((((long ) (rand2 ) ) & 0x1 ) && 1 && ((arith != 6 ) || (((((long ) (rand2 ) ) >> 1 ) <= 30 ) && ((((long ) (rand2 ) ) >> 1 ) >= - 30 ) ) ) ) {
      v = (((long ) (rand2 ) ) >> 1 ) ; 
      rand2 = ((void * ) 0 ) ; 
    }
    else if ((((long ) (rand ) ) & 0x1 ) && 1 && (arith != 6 ) ) {
      v = (((long ) (rand ) ) >> 1 ) ; 
      cmp = - cmp ; 
      rand = rand2 ; 
      rand2 = ((void * ) 0 ) ; 
      reversed = 1 ; 
    }
    else if ((FUNCCALL(SETUP_XfOrM493(_), ok_to_move_local (rand2 ) )|| (((long ) (rand2 ) ) & 0x1 ) ) && ! (FUNCCALL(SETUP_XfOrM493(_), ok_to_move_local (rand ) )|| (((long ) (rand ) ) & 0x1 ) ) ) {
      Scheme_Object * t = rand2 ; 
      rand2 = rand ; 
      rand = t ; 
      cmp = - cmp ; 
      reversed = 1 ; 
    }
  }
  if ((arith == - 1 ) && (orig_args == 1 ) && ! v ) {
    reversed = 1 ; 
  }
  if (rand2 ) {
#   define XfOrM491_COUNT (0+XfOrM418_COUNT)
#   define SETUP_XfOrM491(x) SETUP_XfOrM418(x)
    simple_rand = (FUNCCALL(SETUP_XfOrM491(_), ok_to_move_local (rand ) )|| (((long ) (rand ) ) & 0x1 ) ) ; 
  }
  else simple_rand = 0 ; 
  if (rand2 && ! simple_rand )
    skipped = orig_args - 1 ; 
  else skipped = orig_args ; 
  FUNCCALL(SETUP_XfOrM418(_), mz_runstack_skipped (jitter , skipped ) ); 
  if (rand2 && ! simple_rand ) {
#   define XfOrM490_COUNT (0+XfOrM418_COUNT)
#   define SETUP_XfOrM490(x) SETUP_XfOrM418(x)
    FUNCCALL(SETUP_XfOrM490(_), mz_runstack_skipped (jitter , 1 ) ); 
    FUNCCALL(SETUP_XfOrM490(_), generate_non_tail (rand , jitter , 0 , 1 ) ); 
    FUNCCALL_AGAIN(mz_runstack_unskipped (jitter , 1 ) ); 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) && (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
    ; 
    FUNCCALL(SETUP_XfOrM490(_), mz_runstack_pushed (jitter , 1 ) ); 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  }
  FUNCCALL(SETUP_XfOrM418(_), generate_non_tail (rand2 ? rand2 : rand , jitter , 0 , 1 ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  if (arith == 2 ) {
    if (rand2 || ((v != 0 ) && (v != 1 ) ) )
      has_fixnum_fast = 0 ; 
  }
  else if (arith == - 2 ) {
    if (rand2 || (v != 1 ) || reversed )
      has_fixnum_fast = 0 ; 
  }
  if (simple_rand ) {
    int pos , va ; 
#   define XfOrM482_COUNT (0+XfOrM418_COUNT)
#   define SETUP_XfOrM482(x) SETUP_XfOrM418(x)
    if ((((long ) (rand ) ) & 0x1 ) ) {
      (void ) ((((long ) (rand ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (rand ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (rand ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
      va = (0x40 + (0 ) ) ; 
    }
    else {
#     define XfOrM486_COUNT (0+XfOrM482_COUNT)
#     define SETUP_XfOrM486(x) SETUP_XfOrM482(x)
      pos = FUNCCALL(SETUP_XfOrM486(_), mz_remap_it (jitter , (((Scheme_Local * ) (rand ) ) -> position ) ) ); 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((pos ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      (((((0x40 + (1 ) ) ) ) == (((0x40 + (2 ) ) ) ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x21 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) == (((0x40 + (2 ) ) ) ) ) ? (void ) 0 : (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x21 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
      va = (0x40 + (2 ) ) ; 
    }
    ; 
    ref2 = (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((va ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((va ) ) ) == 0x26 || (((va ) ) ) == 0x27 ) ? 0x10 : ((((va ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((va ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((va ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    ; 
    if (! (((long ) (rand ) ) & 0x1 ) && FUNCCALL(SETUP_XfOrM482(_), can_fast_double (arith , cmp , 1 ) )) {
#     define XfOrM485_COUNT (0+XfOrM482_COUNT)
#     define SETUP_XfOrM485(x) SETUP_XfOrM482(x)
      FUNCCALL(SETUP_XfOrM485(_), generate_double_arith (jitter , arith , cmp , reversed , 1 , 0 , & refd , & refdt , branch_short ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
    }
    if (! has_fixnum_fast ) {
      ; 
      (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
      ; 
    }
    refslow = FUNCCALL(SETUP_XfOrM482(_), generate_arith_slow_path (jitter , rator , & ref , & ref4 , for_branch , orig_args , reversed , arith , 0 , 0 ) ); 
    if (has_fixnum_fast ) {
      ; 
      (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
      ; 
    }
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  else if (rand2 ) {
#   define XfOrM478_COUNT (0+XfOrM418_COUNT)
#   define SETUP_XfOrM478(x) SETUP_XfOrM418(x)
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) && ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
    FUNCCALL(SETUP_XfOrM478(_), mz_runstack_popped (jitter , 1 ) ); 
    (((((0x40 + (1 ) ) ) ) == (((0x40 + (2 ) ) ) ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x21 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) == (((0x40 + (2 ) ) ) ) ) ? (void ) 0 : (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x21 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
    ; 
    ref2 = (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (2 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (2 ) ) ) ) ) == 0x26 || ((((0x40 + (2 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (2 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    if (FUNCCALL(SETUP_XfOrM478(_), can_fast_double (arith , cmp , 1 ) )) {
#     define XfOrM481_COUNT (0+XfOrM478_COUNT)
#     define SETUP_XfOrM481(x) SETUP_XfOrM478(x)
      FUNCCALL(SETUP_XfOrM481(_), generate_double_arith (jitter , arith , cmp , reversed , 1 , 0 , & refd , & refdt , branch_short ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
    }
    if (! has_fixnum_fast ) {
      ; 
      (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
      ; 
    }
    refslow = FUNCCALL(SETUP_XfOrM478(_), generate_arith_slow_path (jitter , rator , & ref , & ref4 , for_branch , orig_args , reversed , arith , 0 , 0 ) ); 
    if (has_fixnum_fast ) {
      ; 
      (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
      ; 
    }
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  else {
#   define XfOrM474_COUNT (0+XfOrM418_COUNT)
#   define SETUP_XfOrM474(x) SETUP_XfOrM418(x)
    ; 
    ref2 = (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (0 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) == 0x26 || ((((0x40 + (0 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    ; 
    if ((orig_args != 2 ) && FUNCCALL(SETUP_XfOrM474(_), can_fast_double (arith , cmp , 0 ) )&& ((arith != - 2 ) || v || reversed ) ) {
#     define XfOrM477_COUNT (0+XfOrM474_COUNT)
#     define SETUP_XfOrM477(x) SETUP_XfOrM474(x)
      FUNCCALL(SETUP_XfOrM477(_), generate_double_arith (jitter , arith , cmp , reversed , 0 , v , & refd , & refdt , branch_short ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
    }
    if (! has_fixnum_fast ) {
      ; 
      (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
      ; 
    }
    refslow = FUNCCALL(SETUP_XfOrM474(_), generate_arith_slow_path (jitter , rator , & ref , & ref4 , for_branch , orig_args , reversed , arith , 1 , v ) ); 
    if (has_fixnum_fast ) {
      ; 
      (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
      ; 
    }
  }
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  FUNCCALL(SETUP_XfOrM418(_), mz_runstack_unskipped (jitter , skipped ) ); 
  ; 
  if (arith ) {
#   define XfOrM433_COUNT (0+XfOrM418_COUNT)
#   define SETUP_XfOrM433(x) SETUP_XfOrM418(x)
    if (rand2 ) {
#     define XfOrM459_COUNT (0+XfOrM433_COUNT)
#     define SETUP_XfOrM459(x) SETUP_XfOrM433(x)
      if (arith == 1 ) {
        (((((0x40 + (1 ) ) ) ) == (((0x40 + (2 ) ) ) ) ) ? (((! ((((unsigned long ) ((((~ 0x1 ) ) ) ) ) ^ (((unsigned long ) ((((~ 0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((~ 0x1 ) ) ) ) ) ^ (((unsigned long ) ((((~ 0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((~ 0x1 ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((~ 0x1 ) ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , (((! ((((unsigned long ) ((((~ 0x1 ) ) ) ) ) ^ (((unsigned long ) ((((~ 0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((~ 0x1 ) ) ) ) ) ^ (((unsigned long ) ((((~ 0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((~ 0x1 ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((~ 0x1 ) ) ) ) ) ) ) ) ) ) ) ) ) ; 
        (void ) (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x01 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x0 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x0 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        ((void ) (((((0x40 + (2 ) ) ) ) ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
      }
      else if (arith == - 1 ) {
        if (reversed ) {
          ((void ) (((((0x40 + (0 ) ) ) ) ) == ((((0x40 + (2 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
          (void ) (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x0 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x0 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        }
        else {
          ((void ) (((((0x40 + (1 ) ) ) ) ) == ((((0x40 + (2 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
          (void ) (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x0 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x0 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        }
        (((((0x40 + (2 ) ) ) ) == (((0x40 + (0 ) ) ) ) ) ? ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (0 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) == 0x26 || ((((0x40 + (0 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) (((0x1 ) ) ) ) ^ (((unsigned long ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (((0x1 ) ) ) ) ^ (((unsigned long ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x1 ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (0 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) == 0x26 || ((((0x40 + (0 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) (((0x1 ) ) ) ) ^ (((unsigned long ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (((0x1 ) ) ) ) ^ (((unsigned long ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x1 ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) ) ) ; 
      }
      else if (arith == 2 ) {
        if (has_fixnum_fast ) {
          (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        }
      }
      else if (arith == - 2 ) {
        if (has_fixnum_fast ) {
          (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        }
      }
      else if (arith == 3 ) {
        (((((0x40 + (0 ) ) ) ) == (((0x40 + (0 ) ) ) ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x21 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((((0x40 + (1 ) ) ) ) == (((0x40 + (0 ) ) ) ) ) ? (void ) 0 : (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x21 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
      }
      else if (arith == 4 ) {
        (((((0x40 + (0 ) ) ) ) == (((0x40 + (0 ) ) ) ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x09 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((((0x40 + (1 ) ) ) ) == (((0x40 + (0 ) ) ) ) ) ? (void ) 0 : (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x09 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
      }
      else if (arith == 5 ) {
        (((((0x40 + (0 ) ) ) ) == (((0x40 + (0 ) ) ) ) ) ? (((! ((((unsigned long ) ((((~ 0x1 ) ) ) ) ) ^ (((unsigned long ) ((((~ 0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((~ 0x1 ) ) ) ) ) ^ (((unsigned long ) ((((~ 0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((~ 0x1 ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((~ 0x1 ) ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , (((! ((((unsigned long ) ((((~ 0x1 ) ) ) ) ) ^ (((unsigned long ) ((((~ 0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((~ 0x1 ) ) ) ) ) ^ (((unsigned long ) ((((~ 0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((~ 0x1 ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((~ 0x1 ) ) ) ) ) ) ) ) ) ) ) ) ) ; 
        (((((0x40 + (0 ) ) ) ) == (((0x40 + (0 ) ) ) ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((((0x40 + (1 ) ) ) ) == (((0x40 + (0 ) ) ) ) ) ? (void ) 0 : (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
      }
      else if (arith == 6 ) {
        int v1 = (reversed ? (0x40 + (0 ) ) : (0x40 + (1 ) ) ) ; 
        int v2 = (reversed ? (0x40 + (1 ) ) : (0x40 + (0 ) ) ) ; 
        jit_insn * refi , * refc ; 
        BLOCK_SETUP((PUSH(refc, 0+XfOrM459_COUNT), PUSH(refi, 1+XfOrM459_COUNT)));
#       define XfOrM462_COUNT (2+XfOrM459_COUNT)
#       define SETUP_XfOrM462(x) SETUP(XfOrM462_COUNT)
        refi = NULLED_OUT ; 
        refc = NULLED_OUT ; 
        refi = ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((v2 ) ) & 0xF ) ) << 3 ) | ((((v2 ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x9 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x9 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((v2 ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xd ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xd ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
        (void ) (((((Scheme_Object * ) (void * ) (long ) ((((long ) (- 30 ) ) << 1 ) | 0x1 ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((v2 ) ) & 0xF ) ) << 3 ) | ((((v2 ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x8 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x8 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((v2 ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((Scheme_Object * ) (void * ) (long ) ((((long ) (- 30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
        ((((v2 ) ) == ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? ((! (((unsigned long ) ((~ 0L ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((6 ) << 3 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0x26 || (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0x27 ) ? 0x10 : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((~ 0L ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((~ 0L ) ) ) ^ (((unsigned long ) ((~ 0L ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((6 ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((~ 0L ) ) ) ^ (((unsigned long ) ((~ 0L ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((~ 0L ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((~ 0L ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((v2 ) ) ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((! (((unsigned long ) ((~ 0L ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((6 ) << 3 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0x26 || (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0x27 ) ? 0x10 : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((~ 0L ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((~ 0L ) ) ) ^ (((unsigned long ) ((~ 0L ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((6 ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((~ 0L ) ) ) ^ (((unsigned long ) ((~ 0L ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((~ 0L ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((~ 0L ) ) ) ) ) ) ) ) ) ) ) ) ; 
        (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) == (((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ? ((((0x1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0x1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
        (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) == (((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ? (((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x1 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((0x1 ) ) ) ) ) ) ) ) ) : (0x44 == ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ? (((((0x1 ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((0x1 ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((0x1 ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x1 ) ) == 0 ) && ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((0x1 ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((0x1 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((0x1 ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((0x1 ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((0x1 ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((0x1 ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        ((void ) ((v1 ) == ((0x40 + (2 ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((v1 ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
        ((((0x40 + (2 ) ) ) == 0x41 ) ? FUNCCALL(SETUP_XfOrM462(_), jit_fail ("sorry, unimplemented: " "Register conflict for " "jit_qop_ (((0x40 + (2))), ((0x40 + (2))), SARQrr(_CL, ((0x40 + (2)))) )" , "./../src/jit.c" , 3057 , __func__ ) ): ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) == 0x41 ) ? ((((0x40 + (2 ) ) ) == ((0x40 + (2 ) ) ) ) ? (((0x11 ) == 0x11 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd3 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : 0 ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , (((0x11 ) == 0x11 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd3 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : 0 ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x41 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | (((0x41 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0x40 + (2 ) ) ) == ((0x40 + (2 ) ) ) ) ? (((0x11 ) == 0x11 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd3 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : 0 ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , (((0x11 ) == 0x11 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd3 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : 0 ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x41 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
        ((((0x40 + (2 ) ) ) == ((0x40 + (0 ) ) ) ) ? ((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((0x40 + (0 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((((0x40 + (0 ) ) ) ) == 0x26 || (((0x40 + (0 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (0 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x1 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((0x40 + (0 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((((0x40 + (0 ) ) ) ) == 0x26 || (((0x40 + (0 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (0 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x1 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
        refc = (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        (* ((_sl * ) ((refi ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (refi ) ) ) ) ; 
        (void ) (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((v2 ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xf ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xf ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        (((v2 ) == (((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ? ((((0x1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((v2 ) ) & 0xF ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0x1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
        (((v1 ) == (v1 ) ) ? (((! ((((unsigned long ) (((~ 0x1 ) ) ) ) ^ (((unsigned long ) (((~ 0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((v1 ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (((~ 0x1 ) ) ) ) ^ (((unsigned long ) (((~ 0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((~ 0x1 ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((~ 0x1 ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((v1 ) ) & 0xF ) ) << 3 ) | ((((v1 ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , (((! ((((unsigned long ) (((~ 0x1 ) ) ) ) ^ (((unsigned long ) (((~ 0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((v1 ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (((~ 0x1 ) ) ) ) ^ (((unsigned long ) (((~ 0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((~ 0x1 ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((~ 0x1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
        ((void ) ((v1 ) == ((0x40 + (2 ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((v1 ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
        ((((0x40 + (2 ) ) ) == 0x41 ) ? FUNCCALL(SETUP_XfOrM462(_), jit_fail ("sorry, unimplemented: " "Register conflict for " "jit_qop_ (((0x40 + (2))), ((0x40 + (2))), SHLQrr(_CL, ((0x40 + (2)))) )" , "./../src/jit.c" , 3073 , __func__ ) ): ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) == 0x41 ) ? ((((0x40 + (2 ) ) ) == ((0x40 + (2 ) ) ) ) ? (((0x11 ) == 0x11 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd3 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : 0 ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , (((0x11 ) == 0x11 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd3 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : 0 ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x41 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | (((0x41 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0x40 + (2 ) ) ) == ((0x40 + (2 ) ) ) ) ? (((0x11 ) == 0x11 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd3 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : 0 ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , (((0x11 ) == 0x11 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd3 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : 0 ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x41 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        ((((0x40 + (2 ) ) ) == 0x41 ) ? FUNCCALL(SETUP_XfOrM462(_), jit_fail ("sorry, unimplemented: " "Register conflict for " "jit_qop_ ((((1) == 0 ? 0x43 : 0x46 + (1) - 1)), ((0x40 + (2))), SARQrr(_CL, (((1) == 0 ? 0x43 : 0x46 + (1) - 1))) )" , "./../src/jit.c" , 3079 , __func__ ) ): ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) == 0x41 ) ? ((((0x40 + (2 ) ) ) == (((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ? (((0x11 ) == 0x11 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd3 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : 0 ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , (((0x11 ) == 0x11 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd3 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : 0 ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x41 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | (((0x41 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0x40 + (2 ) ) ) == (((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ? (((0x11 ) == 0x11 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd3 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : 0 ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , (((0x11 ) == 0x11 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd3 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : 0 ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x41 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
        (void ) (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((v1 ) ) ) ) & 0xF ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        ((((0x40 + (2 ) ) ) == ((0x40 + (0 ) ) ) ) ? ((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((0x40 + (0 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((((0x40 + (0 ) ) ) ) == 0x26 || (((0x40 + (0 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (0 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x1 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((0x40 + (0 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((((0x40 + (0 ) ) ) ) == 0x26 || (((0x40 + (0 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (0 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x1 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
        (* ((_sl * ) ((refc ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (refc ) ) ) ) ; 
      }
      else if (arith == 9 ) {
        jit_insn * refc ; 
        refc = NULLED_OUT ; 
        refc = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        ((void ) (((0x40 + (1 ) ) ) == ((0x40 + (0 ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
        (* ((_sl * ) ((refc ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (refc ) ) ) ) ; 
      }
      else if (arith == 10 ) {
        jit_insn * refc ; 
        refc = NULLED_OUT ; 
        refc = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xf ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xf ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        ((void ) (((0x40 + (1 ) ) ) == ((0x40 + (0 ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
        (* ((_sl * ) ((refc ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (refc ) ) ) ) ; 
      }
    }
    else {
      if (arith == 1 ) {
        ((void ) (((((0x40 + (0 ) ) ) ) ) == ((((0x40 + (2 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
        (void ) ((((! ((((unsigned long ) ((v << 1 ) ) ) ^ (((unsigned long ) ((v << 1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((v << 1 ) ) ) ^ (((unsigned long ) ((v << 1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((v << 1 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((v << 1 ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x0 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x0 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        ((void ) (((((0x40 + (2 ) ) ) ) ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
      }
      else if (arith == - 1 ) {
        if (reversed ) {
          (void ) ((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
          (void ) (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x0 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x0 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
          (((((0x40 + (2 ) ) ) ) == (((0x40 + (0 ) ) ) ) ) ? (((! ((((unsigned long ) (((0x1 ) ) ) ) ^ (((unsigned long ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (((0x1 ) ) ) ) ^ (((unsigned long ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x1 ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((0x1 ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (2 ) ) ) ) ) ? ((((((0x1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((0x1 ) ) ) ) ^ (((unsigned long ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((0x1 ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((0x1 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x1 ) ) ) == 0 ) && ((((0x40 + (2 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((0x1 ) ) ) ) ^ (((unsigned long ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((0x1 ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((0x1 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((0x1 ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((0x1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((0x1 ) ) ) ) ^ (((unsigned long ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((0x1 ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((0x1 ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
        }
        else {
          ((void ) (((((0x40 + (0 ) ) ) ) ) == ((((0x40 + (2 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
          (void ) ((((! ((((unsigned long ) ((v << 1 ) ) ) ^ (((unsigned long ) ((v << 1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((v << 1 ) ) ) ^ (((unsigned long ) ((v << 1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((v << 1 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((v << 1 ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x0 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x0 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
          ((void ) (((((0x40 + (2 ) ) ) ) ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
        }
      }
      else if (arith == 2 ) {
        if (v == 1 ) {
        }
        else if (v == 0 ) {
          (void ) ((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
        }
        else {
          if (has_fixnum_fast ) {
            (void ) ((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
            (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
          }
        }
      }
      else if (arith == - 2 ) {
        if ((v == 1 ) && ! reversed ) {
        }
        else {
          if (has_fixnum_fast ) {
            (void ) ((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
            (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
          }
        }
      }
      else {
        if (arith == 3 ) {
          long l = (long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ; 
          (((((0x40 + (0 ) ) ) ) == (((0x40 + (0 ) ) ) ) ) ? (((! ((((unsigned long ) (((l ) ) ) ) ^ (((unsigned long ) (((l ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (((l ) ) ) ) ^ (((unsigned long ) (((l ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((l ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((l ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , (((! ((((unsigned long ) (((l ) ) ) ) ^ (((unsigned long ) (((l ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (((l ) ) ) ) ^ (((unsigned long ) (((l ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((l ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((l ) ) ) ) ) ) ) ) ) ) ) ) ; 
        }
        else if (arith == 4 ) {
          long l = (long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ; 
          (((((0x40 + (0 ) ) ) ) == (((0x40 + (0 ) ) ) ) ) ? ((! (((unsigned long ) (((l ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (0 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) == 0x26 || ((((0x40 + (0 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((l ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) (((l ) ) ) ) ^ (((unsigned long ) (((l ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (((l ) ) ) ) ^ (((unsigned long ) (((l ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((l ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((l ) ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((! (((unsigned long ) (((l ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (0 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) == 0x26 || ((((0x40 + (0 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((l ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) (((l ) ) ) ) ^ (((unsigned long ) (((l ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (((l ) ) ) ) ^ (((unsigned long ) (((l ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((l ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((l ) ) ) ) ) ) ) ) ) ) ) ) ) ; 
        }
        else if (arith == 5 ) {
          (((((0x40 + (0 ) ) ) ) == (((0x40 + (0 ) ) ) ) ) ? ((! (((unsigned long ) (((v << 1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (0 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((6 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) == 0x26 || ((((0x40 + (0 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((v << 1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) (((v << 1 ) ) ) ) ^ (((unsigned long ) (((v << 1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((6 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (((v << 1 ) ) ) ) ^ (((unsigned long ) (((v << 1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((v << 1 ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((v << 1 ) ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((! (((unsigned long ) (((v << 1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (0 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((6 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) == 0x26 || ((((0x40 + (0 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((v << 1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) (((v << 1 ) ) ) ) ^ (((unsigned long ) (((v << 1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((6 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (((v << 1 ) ) ) ) ^ (((unsigned long ) (((v << 1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((v << 1 ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((v << 1 ) ) ) ) ) ) ) ) ) ) ) ) ) ; 
        }
        else if (arith == 6 ) {
          if (v <= 0 ) {
            ((((0x40 + (0 ) ) ) == ((0x40 + (0 ) ) ) ) ? ((((- v ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((- v ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((- v ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((- v ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
            ((((0x40 + (0 ) ) ) == ((0x40 + (0 ) ) ) ) ? ((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((0x40 + (0 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((((0x40 + (0 ) ) ) ) == 0x26 || (((0x40 + (0 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (0 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x1 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((0x40 + (0 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((((0x40 + (0 ) ) ) ) == 0x26 || (((0x40 + (0 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (0 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x1 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
          }
          else {
            ((((0x40 + (0 ) ) ) == ((0x40 + (0 ) ) ) ) ? (((! ((((unsigned long ) (((~ 0x1 ) ) ) ) ^ (((unsigned long ) (((~ 0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (((~ 0x1 ) ) ) ) ^ (((unsigned long ) (((~ 0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((~ 0x1 ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((~ 0x1 ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , (((! ((((unsigned long ) (((~ 0x1 ) ) ) ) ^ (((unsigned long ) (((~ 0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (((~ 0x1 ) ) ) ) ^ (((unsigned long ) (((~ 0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((~ 0x1 ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((~ 0x1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
            ((v ) <= 3 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((((0x40 + (0 ) ) ) ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (v ) ) == 1 ) ? 0 : (((1 << (v ) ) == 2 ) ? 1 : (((1 << (v ) ) == 4 ) ? 2 : (((1 << (v ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (v ) ) == 1 ) ? 0 : (((1 << (v ) ) == 2 ) ? 1 : (((1 << (v ) ) == 4 ) ? 2 : (((1 << (v ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (v ) ) == 1 ) ? 0 : (((1 << (v ) ) == 2 ) ? 1 : (((1 << (v ) ) == 4 ) ? 2 : (((1 << (v ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (v ) ) == 1 ) ? 0 : (((1 << (v ) ) == 2 ) ? 1 : (((1 << (v ) ) == 4 ) ? 2 : (((1 << (v ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) : ((((0x40 + (0 ) ) ) == ((0x40 + (2 ) ) ) ) ? ((((v ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((v ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((v ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((v ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ) ; 
            ((((0x40 + (2 ) ) ) == (((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ? ((((v ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((v ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((v ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((v ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
            (void ) (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
            ((((0x40 + (2 ) ) ) == ((0x40 + (0 ) ) ) ) ? ((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((0x40 + (0 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((((0x40 + (0 ) ) ) ) == 0x26 || (((0x40 + (0 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (0 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x1 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((0x40 + (0 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((((0x40 + (0 ) ) ) ) == 0x26 || (((0x40 + (0 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (0 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x1 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
          }
        }
        else if (arith == 7 ) {
          (((((0x40 + (0 ) ) ) ) == (((0x40 + (0 ) ) ) ) ) ? ((! (((unsigned long ) ((~ 0L ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (0 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((6 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) == 0x26 || ((((0x40 + (0 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((~ 0L ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((~ 0L ) ) ) ^ (((unsigned long ) ((~ 0L ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((6 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((~ 0L ) ) ) ^ (((unsigned long ) ((~ 0L ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((~ 0L ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((~ 0L ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((! (((unsigned long ) ((~ 0L ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (0 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((6 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) == 0x26 || ((((0x40 + (0 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((~ 0L ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((~ 0L ) ) ) ^ (((unsigned long ) ((~ 0L ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((6 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((~ 0L ) ) ) ^ (((unsigned long ) ((~ 0L ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((~ 0L ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((~ 0L ) ) ) ) ) ) ) ) ) ) ) ) ; 
          (((((0x40 + (0 ) ) ) ) == (((0x40 + (0 ) ) ) ) ) ? ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (0 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) == 0x26 || ((((0x40 + (0 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) (((0x1 ) ) ) ) ^ (((unsigned long ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (((0x1 ) ) ) ) ^ (((unsigned long ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x1 ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (0 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) == 0x26 || ((((0x40 + (0 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) (((0x1 ) ) ) ) ^ (((unsigned long ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (((0x1 ) ) ) ) ^ (((unsigned long ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x1 ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) ) ) ; 
        }
        else if (arith == 9 ) {
          jit_insn * refc ; 
          refc = NULLED_OUT ; 
          refc = ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x8 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x8 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
          (((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
          (* ((_sl * ) ((refc ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (refc ) ) ) ) ; 
        }
        else if (arith == 10 ) {
          jit_insn * refc ; 
          refc = NULLED_OUT ; 
          refc = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xf ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xf ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
          (((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
          (* ((_sl * ) ((refc ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (refc ) ) ) ) ; 
        }
        else if (arith == 11 ) {
          jit_insn * refc ; 
          refc = NULLED_OUT ; 
          refc = ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x9 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x9 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xd ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xd ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
          (void ) ((((((void * ) (((long ) 1 << ((8 * (1 << 2 ) ) - 1 ) ) | 0x1 ) ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((void * ) (((long ) 1 << ((8 * (1 << 2 ) ) - 1 ) ) | 0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
          ((((0x40 + (0 ) ) ) == ((0x40 + (0 ) ) ) ) ? ((((1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
          ((0 ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0 ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((0 ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
          ((((0x40 + (0 ) ) ) == ((0x40 + (0 ) ) ) ) ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((3 ) << 3 ) | ((((0x40 + (0 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) : (((((0x40 + (1 ) ) ) == ((0x40 + (0 ) ) ) ) ? (void ) 0 : (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
          ((1 ) <= 3 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((((0x40 + (0 ) ) ) ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (1 ) ) == 1 ) ? 0 : (((1 << (1 ) ) == 2 ) ? 1 : (((1 << (1 ) ) == 4 ) ? 2 : (((1 << (1 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (1 ) ) == 1 ) ? 0 : (((1 << (1 ) ) == 2 ) ? 1 : (((1 << (1 ) ) == 4 ) ? 2 : (((1 << (1 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (1 ) ) == 1 ) ? 0 : (((1 << (1 ) ) == 2 ) ? 1 : (((1 << (1 ) ) == 4 ) ? 2 : (((1 << (1 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (1 ) ) == 1 ) ? 0 : (((1 << (1 ) ) == 2 ) ? 1 : (((1 << (1 ) ) == 4 ) ? 2 : (((1 << (1 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) : ((((0x40 + (0 ) ) ) == ((0x40 + (0 ) ) ) ) ? ((((1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ) ; 
          ((((0x40 + (0 ) ) ) == ((0x40 + (0 ) ) ) ) ? ((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((0x40 + (0 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((((0x40 + (0 ) ) ) ) == 0x26 || (((0x40 + (0 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (0 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x1 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((0x40 + (0 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((((0x40 + (0 ) ) ) ) == 0x26 || (((0x40 + (0 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (0 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x1 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
          (* ((_sl * ) ((refc ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (refc ) ) ) ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
        }
      }
    }
    if (refdt )
      (* ((_sl * ) ((refdt ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (refdt ) ) ) ) ; 
    (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((((jitter -> js ) . x . pc ) ) ) ) ) ; 
  }
  else {
    switch (cmp ) {
      case - 2 : if (rand2 ) {
        ref3 = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xd ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xd ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      }
      else {
        ref3 = ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x9 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x9 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xd ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xd ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
      }
      break ; 
      case - 1 : if (rand2 ) {
        ref3 = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xf ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xf ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      }
      else {
        ref3 = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xf ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xf ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      }
      break ; 
      case 0 : if (rand2 ) {
        ref3 = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      }
      else {
        ref3 = ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
      }
      break ; 
      case 1 : if (rand2 ) {
        ref3 = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      }
      else {
        ref3 = ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x8 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x8 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
      }
      break ; 
      case 2 : default : if (rand2 ) {
        ref3 = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xe ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xe ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      }
      else {
        ref3 = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xe ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xe ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      }
      break ; 
    }
    if (refdt )
      (* ((_sl * ) ((refdt ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (refdt ) ) ) ) ; 
    if (for_branch ) {
      for_branch [0 ] = ref3 ; 
      for_branch [1 ] = refd ; 
      for_branch [2 ] = ref ; 
      (* ((_sl * ) ((ref4 ) - sizeof (long ) ) ) = ((_sl ) ((((jitter -> js ) . x . pc ) ) ) ) ) ; 
    }
    else {
      (void ) ((((long ) (scheme_true ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (scheme_true ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (scheme_true ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
      ref2 = (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      (* ((_sl * ) ((ref3 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref3 ) ) ) ) ; 
      if (refd )
        (* ((_sl * ) ((refd ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (refd ) ) ) ) ; 
      (void ) ((((long ) (scheme_false ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (scheme_false ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (scheme_false ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
      (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
      (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((((jitter -> js ) . x . pc ) ) ) ) ) ; 
    }
  }
  ; 
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_inlined_constant_test (mz_jit_state * jitter , Scheme_App2_Rec * app , Scheme_Object * cnst , Scheme_Object * cnst2 , jit_insn * * for_branch , int branch_short ) {
  GC_CAN_IGNORE jit_insn * ref , * ref2 ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(5);
  BLOCK_SETUP_TOP((PUSH(cnst2, 0), PUSH(for_branch, 1), PUSH(jitter, 2), PUSH(cnst, 3), PUSH(app, 4)));
# define XfOrM497_COUNT (5)
# define SETUP_XfOrM497(x) SETUP(XfOrM497_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  ; 
  FUNCCALL(SETUP_XfOrM497(_), mz_runstack_skipped (jitter , 1 ) ); 
  FUNCCALL_AGAIN(generate_non_tail (app -> rand , jitter , 0 , 1 ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  FUNCCALL(SETUP_XfOrM497(_), mz_runstack_unskipped (jitter , 1 ) ); 
  ; 
  if (cnst2 ) {
    ref2 = (((((cnst ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((cnst ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
    ref = (((((cnst2 ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((cnst2 ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
    (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
  }
  else {
    ref = (((((cnst ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((cnst ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
  }
  if (for_branch ) {
    for_branch [0 ] = ref ; 
  }
  else {
    (void ) ((((long ) (scheme_true ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (scheme_true ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (scheme_true ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
    ref2 = (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
    (void ) ((((long ) (scheme_false ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (scheme_false ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (scheme_false ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
    (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
  }
  ; 
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_inlined_type_test (mz_jit_state * jitter , Scheme_App2_Rec * app , Scheme_Type lo_ty , Scheme_Type hi_ty , jit_insn * * for_branch , int branch_short ) {
  GC_CAN_IGNORE jit_insn * ref , * ref2 , * ref3 , * ref4 ; 
  int int_ok ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(for_branch, 0), PUSH(jitter, 1), PUSH(app, 2)));
# define XfOrM502_COUNT (3)
# define SETUP_XfOrM502(x) SETUP(XfOrM502_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  int_ok = ((lo_ty <= scheme_integer_type ) && (scheme_integer_type <= hi_ty ) ) ; 
  ; 
  FUNCCALL(SETUP_XfOrM502(_), mz_runstack_skipped (jitter , 1 ) ); 
  FUNCCALL_AGAIN(generate_non_tail (app -> rand , jitter , 0 , 1 ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  FUNCCALL(SETUP_XfOrM502(_), mz_runstack_unskipped (jitter , 1 ) ); 
  ; 
  ref = (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (0 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) == 0x26 || ((((0x40 + (0 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  if (lo_ty == hi_ty ) {
    ref3 = (((((lo_ty ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((lo_ty ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
    ref4 = ((void * ) 0 ) ; 
  }
  else {
    ref3 = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((lo_ty ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x2 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x2 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    ref4 = ((((hi_ty ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((hi_ty ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x7 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
  }
  if (int_ok ) {
    (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
  }
  if (for_branch ) {
    if (! int_ok ) {
      for_branch [0 ] = ref ; 
    }
    for_branch [1 ] = ref3 ; 
    for_branch [3 ] = ref4 ; 
  }
  else {
    if ((lo_ty <= scheme_integer_type ) && (scheme_integer_type <= hi_ty ) ) {
      (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
    }
    (void ) ((((long ) (scheme_true ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (scheme_true ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (scheme_true ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
    ref2 = (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    if (! int_ok ) {
      (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
    }
    (* ((_sl * ) ((ref3 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref3 ) ) ) ) ; 
    if (ref4 ) {
      (* ((_sl * ) ((ref4 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref4 ) ) ) ) ; 
    }
    (void ) ((((long ) (scheme_false ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (scheme_false ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (scheme_false ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
    (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
  }
  ; 
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_inlined_struct_op (int kind , mz_jit_state * jitter , Scheme_Object * rator , Scheme_Object * rand , jit_insn * * for_branch , int branch_short ) {
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(4);
  BLOCK_SETUP_TOP((PUSH(rator, 0), PUSH(for_branch, 1), PUSH(jitter, 2), PUSH(rand, 3)));
# define XfOrM512_COUNT (4)
# define SETUP_XfOrM512(x) SETUP(XfOrM512_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  FUNCCALL(SETUP_XfOrM512(_), mz_runstack_skipped (jitter , 1 ) ); 
  FUNCCALL(SETUP_XfOrM512(_), generate (rator , jitter , 0 , 0 ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  if (((Scheme_Type ) (scheme_local_type ) == (Scheme_Type ) (((((long ) (rand ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (rand ) ) -> type ) ) ) ) {
#   define XfOrM517_COUNT (0+XfOrM512_COUNT)
#   define SETUP_XfOrM517(x) SETUP_XfOrM512(x)
    ((void ) (((((0x40 + (0 ) ) ) ) ) == ((((0x40 + (1 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
    FUNCCALL(SETUP_XfOrM517(_), generate (rand , jitter , 0 , 0 ) ); 
    FUNCCALL_AGAIN(mz_runstack_unskipped (jitter , 1 ) ); 
  }
  else {
#   define XfOrM516_COUNT (0+XfOrM512_COUNT)
#   define SETUP_XfOrM516(x) SETUP_XfOrM512(x)
    FUNCCALL(SETUP_XfOrM516(_), mz_runstack_unskipped (jitter , 1 ) ); 
    ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) && (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
    ; 
    FUNCCALL(SETUP_XfOrM516(_), mz_runstack_pushed (jitter , 1 ) ); 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    FUNCCALL(SETUP_XfOrM516(_), generate_non_tail (rand , jitter , 0 , 1 ) ); 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) && ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
    FUNCCALL(SETUP_XfOrM516(_), mz_runstack_popped (jitter , 1 ) ); 
  }
  if (for_branch ) {
    for_branch [2 ] = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (struct_pred_branch_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  }
  else if (kind == 1 ) {
    (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (struct_pred_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  }
  else {
    (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (struct_get_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  }
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_inlined_unary (mz_jit_state * jitter , Scheme_App2_Rec * app , int is_tail , int multi_ok , jit_insn * * for_branch , int branch_short ) {
  Scheme_Object * rator = app -> rator ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(5);
  BLOCK_SETUP_TOP((PUSH(app, 0), PUSH(rator, 1), PUSH(for_branch, 2), PUSH(jitter, 3)));
# define XfOrM518_COUNT (4)
# define SETUP_XfOrM518(x) SETUP(XfOrM518_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  {
    int k ; 
#   define XfOrM594_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM594(x) SETUP_XfOrM518(x)
    k = FUNCCALL(SETUP_XfOrM594(_), inlineable_struct_prim (rator , jitter ) ); 
    if (k == 1 ) {
#     define XfOrM596_COUNT (0+XfOrM594_COUNT)
#     define SETUP_XfOrM596(x) SETUP_XfOrM594(x)
      FUNCCALL(SETUP_XfOrM596(_), generate_inlined_struct_op (1 , jitter , rator , app -> rand , for_branch , branch_short ) ); 
      scheme_direct_call_count ++ ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((k == 2 ) && ! for_branch ) {
#     define XfOrM595_COUNT (0+XfOrM594_COUNT)
#     define SETUP_XfOrM595(x) SETUP_XfOrM594(x)
      FUNCCALL(SETUP_XfOrM595(_), generate_inlined_struct_op (2 , jitter , rator , app -> rand , for_branch , branch_short ) ); 
      scheme_direct_call_count ++ ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
  }
  if (! ((Scheme_Type ) (((((long ) (rator ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (rator ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  if (! ((((Scheme_Prim_Proc_Header * ) rator ) -> flags ) & 16384 ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  scheme_direct_call_count ++ ; 
  if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "not" ) ) ) ) {
#   define XfOrM593_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM593(x) SETUP_XfOrM518(x)
    FUNCCALL(SETUP_XfOrM593(_), generate_inlined_constant_test (jitter , app , scheme_false , ((void * ) 0 ) , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "null?" ) ) ) ) {
#   define XfOrM592_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM592(x) SETUP_XfOrM518(x)
    FUNCCALL(SETUP_XfOrM592(_), generate_inlined_constant_test (jitter , app , scheme_null , ((void * ) 0 ) , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "pair?" ) ) ) ) {
#   define XfOrM591_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM591(x) SETUP_XfOrM518(x)
    FUNCCALL(SETUP_XfOrM591(_), generate_inlined_type_test (jitter , app , scheme_pair_type , scheme_pair_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "mpair?" ) ) ) ) {
#   define XfOrM590_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM590(x) SETUP_XfOrM518(x)
    FUNCCALL(SETUP_XfOrM590(_), generate_inlined_type_test (jitter , app , scheme_mutable_pair_type , scheme_mutable_pair_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "symbol?" ) ) ) ) {
#   define XfOrM589_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM589(x) SETUP_XfOrM518(x)
    FUNCCALL(SETUP_XfOrM589(_), generate_inlined_type_test (jitter , app , scheme_symbol_type , scheme_symbol_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "syntax?" ) ) ) ) {
#   define XfOrM588_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM588(x) SETUP_XfOrM518(x)
    FUNCCALL(SETUP_XfOrM588(_), generate_inlined_type_test (jitter , app , scheme_stx_type , scheme_stx_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "char?" ) ) ) ) {
#   define XfOrM587_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM587(x) SETUP_XfOrM518(x)
    FUNCCALL(SETUP_XfOrM587(_), generate_inlined_type_test (jitter , app , scheme_char_type , scheme_char_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "boolean?" ) ) ) ) {
#   define XfOrM586_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM586(x) SETUP_XfOrM518(x)
    FUNCCALL(SETUP_XfOrM586(_), generate_inlined_constant_test (jitter , app , scheme_false , scheme_true , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "number?" ) ) ) ) {
#   define XfOrM585_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM585(x) SETUP_XfOrM518(x)
    FUNCCALL(SETUP_XfOrM585(_), generate_inlined_type_test (jitter , app , scheme_integer_type , scheme_complex_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "real?" ) ) ) ) {
#   define XfOrM584_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM584(x) SETUP_XfOrM518(x)
    FUNCCALL(SETUP_XfOrM584(_), generate_inlined_type_test (jitter , app , scheme_integer_type , scheme_double_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "exact-integer?" ) ) ) ) {
#   define XfOrM583_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM583(x) SETUP_XfOrM518(x)
    FUNCCALL(SETUP_XfOrM583(_), generate_inlined_type_test (jitter , app , scheme_integer_type , scheme_bignum_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "fixnum?" ) ) ) ) {
#   define XfOrM582_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM582(x) SETUP_XfOrM518(x)
    FUNCCALL(SETUP_XfOrM582(_), generate_inlined_type_test (jitter , app , scheme_integer_type , scheme_integer_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "inexact-real?" ) ) ) ) {
#   define XfOrM581_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM581(x) SETUP_XfOrM518(x)
    FUNCCALL(SETUP_XfOrM581(_), generate_inlined_type_test (jitter , app , scheme_double_type , scheme_double_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "procedure?" ) ) ) ) {
#   define XfOrM580_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM580(x) SETUP_XfOrM518(x)
    FUNCCALL(SETUP_XfOrM580(_), generate_inlined_type_test (jitter , app , scheme_prim_type , scheme_native_closure_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "vector?" ) ) ) ) {
#   define XfOrM579_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM579(x) SETUP_XfOrM518(x)
    FUNCCALL(SETUP_XfOrM579(_), generate_inlined_type_test (jitter , app , scheme_vector_type , scheme_vector_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "box?" ) ) ) ) {
#   define XfOrM578_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM578(x) SETUP_XfOrM518(x)
    FUNCCALL(SETUP_XfOrM578(_), generate_inlined_type_test (jitter , app , scheme_box_type , scheme_box_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "string?" ) ) ) ) {
#   define XfOrM577_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM577(x) SETUP_XfOrM518(x)
    FUNCCALL(SETUP_XfOrM577(_), generate_inlined_type_test (jitter , app , scheme_char_string_type , scheme_char_string_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "bytes?" ) ) ) ) {
#   define XfOrM576_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM576(x) SETUP_XfOrM518(x)
    FUNCCALL(SETUP_XfOrM576(_), generate_inlined_type_test (jitter , app , scheme_byte_string_type , scheme_byte_string_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "eof-object?" ) ) ) ) {
#   define XfOrM575_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM575(x) SETUP_XfOrM518(x)
    FUNCCALL(SETUP_XfOrM575(_), generate_inlined_constant_test (jitter , app , scheme_eof , ((void * ) 0 ) , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "zero?" ) ) ) ) {
#   define XfOrM574_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM574(x) SETUP_XfOrM518(x)
    FUNCCALL(SETUP_XfOrM574(_), generate_arith (jitter , rator , app -> rand , ((void * ) 0 ) , 1 , 0 , 0 , 0 , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "negative?" ) ) ) ) {
#   define XfOrM573_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM573(x) SETUP_XfOrM518(x)
    FUNCCALL(SETUP_XfOrM573(_), generate_arith (jitter , rator , app -> rand , ((void * ) 0 ) , 1 , 0 , - 2 , 0 , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "positive?" ) ) ) ) {
#   define XfOrM572_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM572(x) SETUP_XfOrM518(x)
    FUNCCALL(SETUP_XfOrM572(_), generate_arith (jitter , rator , app -> rand , ((void * ) 0 ) , 1 , 0 , 2 , 0 , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "exact-nonnegative-integer?" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "exact-positive-integer?" ) ) ) ) {
    GC_CAN_IGNORE jit_insn * ref , * ref2 , * ref3 , * ref4 ; 
#   define XfOrM567_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM567(x) SETUP_XfOrM518(x)
    ; 
    FUNCCALL(SETUP_XfOrM567(_), mz_runstack_skipped (jitter , 1 ) ); 
    FUNCCALL_AGAIN(generate_non_tail (app -> rand , jitter , 0 , 1 ) ); 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    FUNCCALL(SETUP_XfOrM567(_), mz_runstack_unskipped (jitter , 1 ) ); 
    ; 
    ref = (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (0 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) == 0x26 || ((((0x40 + (0 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    ; 
    ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ref2 = (((((scheme_bignum_type ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((scheme_bignum_type ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? (((((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) ^ (((unsigned long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) ) ) ) ) ) ) ) ) ) : (((((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) ^ (((unsigned long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) ^ (((unsigned long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ref3 = (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (2 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (2 ) ) ) ) ) == 0x26 || ((((0x40 + (2 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (2 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    ; 
    (void ) ((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (1 ) ) << 1 ) | 0x1 ) ) ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (1 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (1 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
    ; 
    (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
    ; 
    ; 
    ((((0x40 + (0 ) ) ) == ((0x40 + (0 ) ) ) ) ? ((((0x1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0x1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
    if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "exact-nonnegative-integer?" ) ) ) ) {
      ref4 = (((0 ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x8 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x8 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0 ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
    }
    else {
      ref4 = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0 ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xe ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xe ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    }
    if (for_branch ) {
      for_branch [0 ] = ref2 ; 
      for_branch [1 ] = ref3 ; 
      for_branch [3 ] = ref4 ; 
    }
    else {
      (void ) ((((long ) (scheme_true ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (scheme_true ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (scheme_true ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
      ref = (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
      (* ((_sl * ) ((ref3 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref3 ) ) ) ) ; 
      (* ((_sl * ) ((ref4 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref4 ) ) ) ) ; 
      (void ) ((((long ) (scheme_false ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (scheme_false ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (scheme_false ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
      (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
    }
    ; 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if (! for_branch ) {
#   define XfOrM520_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM520(x) SETUP_XfOrM518(x)
    if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "car" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "cdr" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "cadr" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "cdar" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "caar" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "cddr" ) ) ) ) {
      GC_CAN_IGNORE jit_insn * reffail = ((void * ) 0 ) , * ref ; 
      int steps , i ; 
      const char * name = ((Scheme_Primitive_Proc * ) rator ) -> name ; 
      BLOCK_SETUP((PUSH(name, 0+XfOrM520_COUNT)));
#     define XfOrM533_COUNT (1+XfOrM520_COUNT)
#     define SETUP_XfOrM533(x) SETUP(XfOrM533_COUNT)
      ; 
      for (steps = 0 ; name [steps + 1 ] != 'r' ; steps ++ ) {
      }
      FUNCCALL(SETUP_XfOrM533(_), mz_runstack_skipped (jitter , 1 ) ); 
      FUNCCALL(SETUP_XfOrM533(_), generate_non_tail (app -> rand , jitter , 0 , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      FUNCCALL(SETUP_XfOrM533(_), mz_runstack_unskipped (jitter , 1 ) ); 
      ; 
      if (steps > 1 ) {
        ((void ) (((((0x40 + (0 ) ) ) ) ) == ((((0x40 + (2 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
      }
      for (i = 0 ; i < steps ; i ++ ) {
        if (! i ) {
          ref = (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (0 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) == 0x26 || ((((0x40 + (0 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
          reffail = (jitter -> js ) . x . pc ; 
          ; 
          if (steps == 1 ) {
            if (name [1 ] == 'a' ) {
              (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (bad_car_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
            }
            else {
              (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (bad_cdr_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
            }
          }
          else {
            if (name [1 ] == 'a' ) {
              if (name [2 ] == 'a' ) {
                (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (bad_caar_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
              }
              else {
                (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (bad_cadr_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
              }
            }
            else {
              if (name [2 ] == 'a' ) {
                (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (bad_cdar_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
              }
              else {
                (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (bad_cddr_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
              }
            }
          }
          ; 
          (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
        }
        else {
          (void ) (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (0 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) == 0x26 || ((((0x40 + (0 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        }
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        (void ) (((scheme_pair_type ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((scheme_pair_type ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
        if (name [steps - i ] == 'a' ) {
          (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        }
        else {
          (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        }
        ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
      }
      ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "mcar" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "mcdr" ) ) ) ) {
      GC_CAN_IGNORE jit_insn * reffail = ((void * ) 0 ) , * ref ; 
      const char * name = ((Scheme_Primitive_Proc * ) rator ) -> name ; 
      BLOCK_SETUP((PUSH(name, 0+XfOrM520_COUNT)));
#     define XfOrM528_COUNT (1+XfOrM520_COUNT)
#     define SETUP_XfOrM528(x) SETUP(XfOrM528_COUNT)
      ; 
      FUNCCALL(SETUP_XfOrM528(_), mz_runstack_skipped (jitter , 1 ) ); 
      FUNCCALL_AGAIN(generate_non_tail (app -> rand , jitter , 0 , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      FUNCCALL(SETUP_XfOrM528(_), mz_runstack_unskipped (jitter , 1 ) ); 
      ; 
      ref = (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (0 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) == 0x26 || ((((0x40 + (0 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      reffail = (jitter -> js ) . x . pc ; 
      ; 
      if (name [2 ] == 'a' ) {
        (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (bad_mcar_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      }
      else {
        (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (bad_mcdr_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      }
      ; 
      (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      (void ) (((scheme_mutable_pair_type ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((scheme_mutable_pair_type ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
      if (name [2 ] == 'a' ) {
        (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      }
      else {
        (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      }
      ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "unbox" ) ) ) ) {
      GC_CAN_IGNORE jit_insn * reffail , * ref ; 
#     define XfOrM527_COUNT (0+XfOrM520_COUNT)
#     define SETUP_XfOrM527(x) SETUP_XfOrM520(x)
      ; 
      FUNCCALL(SETUP_XfOrM527(_), mz_runstack_skipped (jitter , 1 ) ); 
      FUNCCALL_AGAIN(generate_non_tail (app -> rand , jitter , 0 , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      FUNCCALL(SETUP_XfOrM527(_), mz_runstack_unskipped (jitter , 1 ) ); 
      ; 
      ref = (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (0 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) == 0x26 || ((((0x40 + (0 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      ; 
      reffail = (jitter -> js ) . x . pc ; 
      (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (bad_unbox_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      ; 
      (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      (void ) (((scheme_box_type ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((scheme_box_type ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
      ; 
      (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) ) ^ (((unsigned long ) (((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) ) ^ (((unsigned long ) (((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) ) ^ (((unsigned long ) (((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "syntax-e" ) ) ) ) {
#     define XfOrM526_COUNT (0+XfOrM520_COUNT)
#     define SETUP_XfOrM526(x) SETUP_XfOrM520(x)
      ; 
      FUNCCALL(SETUP_XfOrM526(_), mz_runstack_skipped (jitter , 1 ) ); 
      FUNCCALL_AGAIN(generate_non_tail (app -> rand , jitter , 0 , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      FUNCCALL(SETUP_XfOrM526(_), mz_runstack_unskipped (jitter , 1 ) ); 
      (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (syntax_e_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "add1" ) ) ) ) {
#     define XfOrM525_COUNT (0+XfOrM520_COUNT)
#     define SETUP_XfOrM525(x) SETUP_XfOrM520(x)
      FUNCCALL(SETUP_XfOrM525(_), generate_arith (jitter , rator , app -> rand , ((void * ) 0 ) , 1 , 1 , 0 , 1 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "sub1" ) ) ) ) {
#     define XfOrM524_COUNT (0+XfOrM520_COUNT)
#     define SETUP_XfOrM524(x) SETUP_XfOrM520(x)
      FUNCCALL(SETUP_XfOrM524(_), generate_arith (jitter , rator , app -> rand , ((void * ) 0 ) , 1 , - 1 , 0 , 1 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "-" ) ) ) ) {
#     define XfOrM523_COUNT (0+XfOrM520_COUNT)
#     define SETUP_XfOrM523(x) SETUP_XfOrM520(x)
      FUNCCALL(SETUP_XfOrM523(_), generate_arith (jitter , rator , app -> rand , ((void * ) 0 ) , 1 , - 1 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "abs" ) ) ) ) {
#     define XfOrM522_COUNT (0+XfOrM520_COUNT)
#     define SETUP_XfOrM522(x) SETUP_XfOrM520(x)
      FUNCCALL(SETUP_XfOrM522(_), generate_arith (jitter , rator , app -> rand , ((void * ) 0 ) , 1 , 11 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "bitwise-not" ) ) ) ) {
#     define XfOrM521_COUNT (0+XfOrM520_COUNT)
#     define SETUP_XfOrM521(x) SETUP_XfOrM520(x)
      FUNCCALL(SETUP_XfOrM521(_), generate_arith (jitter , rator , app -> rand , ((void * ) 0 ) , 1 , 7 , 0 , 9 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
  }
  if (! for_branch ) {
#   define XfOrM519_COUNT (0+XfOrM518_COUNT)
#   define SETUP_XfOrM519(x) SETUP_XfOrM518(x)
    FUNCCALL_EMPTY(scheme_console_printf ("Inlining expected.\n" ) ); 
    FUNCCALL_EMPTY(abort () ); 
  }
  -- scheme_direct_call_count ; 
  RET_VALUE_START (0 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_two_args (Scheme_Object * rand1 , Scheme_Object * rand2 , mz_jit_state * jitter , int order_matters ) {
  int simple1 , simple2 , direction = 1 ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(rand1, 0), PUSH(jitter, 1), PUSH(rand2, 2)));
# define XfOrM597_COUNT (3)
# define SETUP_XfOrM597(x) SETUP(XfOrM597_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  simple1 = FUNCCALL(SETUP_XfOrM597(_), is_constant_and_avoids_r1 (rand1 ) ); 
  simple2 = FUNCCALL(SETUP_XfOrM597(_), is_constant_and_avoids_r1 (rand2 ) ); 
  if (! simple1 ) {
#   define XfOrM601_COUNT (0+XfOrM597_COUNT)
#   define SETUP_XfOrM601(x) SETUP_XfOrM597(x)
    if (simple2 ) {
#     define XfOrM603_COUNT (0+XfOrM601_COUNT)
#     define SETUP_XfOrM603(x) SETUP_XfOrM601(x)
      FUNCCALL(SETUP_XfOrM603(_), mz_runstack_skipped (jitter , 2 ) ); 
      FUNCCALL(SETUP_XfOrM603(_), generate_non_tail (rand1 , jitter , 0 , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ((void ) (((((0x40 + (0 ) ) ) ) ) == ((((0x40 + (1 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
      FUNCCALL(SETUP_XfOrM603(_), generate (rand2 , jitter , 0 , 0 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (order_matters ) {
        ((void ) (((((0x40 + (0 ) ) ) ) ) == ((((0x40 + (2 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
        ((void ) (((((0x40 + (1 ) ) ) ) ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
        ((void ) (((((0x40 + (2 ) ) ) ) ) == ((((0x40 + (1 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
      }
      else direction = - 1 ; 
      FUNCCALL(SETUP_XfOrM603(_), mz_runstack_unskipped (jitter , 2 ) ); 
    }
    else {
#     define XfOrM602_COUNT (0+XfOrM601_COUNT)
#     define SETUP_XfOrM602(x) SETUP_XfOrM601(x)
      FUNCCALL(SETUP_XfOrM602(_), mz_runstack_skipped (jitter , 2 ) ); 
      FUNCCALL(SETUP_XfOrM602(_), generate_non_tail (rand1 , jitter , 0 , 1 ) ); 
      FUNCCALL_AGAIN(mz_runstack_unskipped (jitter , 2 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) && (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
      ; 
      FUNCCALL(SETUP_XfOrM602(_), mz_runstack_pushed (jitter , 1 ) ); 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      FUNCCALL(SETUP_XfOrM602(_), mz_runstack_skipped (jitter , 1 ) ); 
      FUNCCALL_AGAIN(generate_non_tail (rand2 , jitter , 0 , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ((void ) (((((0x40 + (0 ) ) ) ) ) == ((((0x40 + (1 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      FUNCCALL(SETUP_XfOrM602(_), mz_runstack_unskipped (jitter , 1 ) ); 
      (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) && ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
      FUNCCALL(SETUP_XfOrM602(_), mz_runstack_popped (jitter , 1 ) ); 
    }
  }
  else {
#   define XfOrM598_COUNT (0+XfOrM597_COUNT)
#   define SETUP_XfOrM598(x) SETUP_XfOrM597(x)
    FUNCCALL(SETUP_XfOrM598(_), mz_runstack_skipped (jitter , 2 ) ); 
    if (simple2 ) {
#     define XfOrM600_COUNT (0+XfOrM598_COUNT)
#     define SETUP_XfOrM600(x) SETUP_XfOrM598(x)
      FUNCCALL(SETUP_XfOrM600(_), generate (rand2 , jitter , 0 , 0 ) ); 
    }
    else {
#     define XfOrM599_COUNT (0+XfOrM598_COUNT)
#     define SETUP_XfOrM599(x) SETUP_XfOrM598(x)
      FUNCCALL(SETUP_XfOrM599(_), generate_non_tail (rand2 , jitter , 0 , 1 ) ); 
    }
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ((void ) (((((0x40 + (0 ) ) ) ) ) == ((((0x40 + (1 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
    FUNCCALL(SETUP_XfOrM598(_), generate (rand1 , jitter , 0 , 0 ) ); 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    FUNCCALL_EMPTY(mz_runstack_unskipped (jitter , 2 ) ); 
  }
  RET_VALUE_START (direction ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_binary_char (mz_jit_state * jitter , Scheme_App3_Rec * app , jit_insn * * for_branch , int branch_short ) {
  Scheme_Object * r1 , * r2 , * rator = app -> rator ; 
  GC_CAN_IGNORE jit_insn * reffail = ((void * ) 0 ) , * ref ; 
  int direct = 0 , direction ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(5);
  BLOCK_SETUP_TOP((PUSH(rator, 0), PUSH(r1, 1), PUSH(for_branch, 2), PUSH(jitter, 3), PUSH(r2, 4)));
# define XfOrM605_COUNT (5)
# define SETUP_XfOrM605(x) SETUP(XfOrM605_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  r1 = NULLED_OUT ; 
  r2 = NULLED_OUT ; 
  ; 
  r1 = app -> rand1 ; 
  r2 = app -> rand2 ; 
  direction = FUNCCALL(SETUP_XfOrM605(_), generate_two_args (r1 , r2 , jitter , 1 ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ; 
  if (! ((Scheme_Type ) (((((long ) (r1 ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (r1 ) ) -> type ) ) == (Scheme_Type ) (scheme_char_type ) ) ) {
    GC_CAN_IGNORE jit_insn * pref ; 
    pref = (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (0 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) == 0x26 || ((((0x40 + (0 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    reffail = (jitter -> js ) . x . pc ; 
    (void ) ((((long ) (((Scheme_Primitive_Proc * ) rator ) -> prim_val ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((Scheme_Primitive_Proc * ) rator ) -> prim_val ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (((Scheme_Primitive_Proc * ) rator ) -> prim_val ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
    ; 
    if (direction > 0 ) {
      (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (call_original_binary_rev_arith_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    }
    else {
      (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (call_original_binary_arith_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    }
    ; 
    (* ((_sl * ) ((pref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (pref ) ) ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? ((((((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : ((((((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    (void ) (((scheme_char_type ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((scheme_char_type ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  else {
    if (! direct )
      direct = ((((Scheme_Small_Object * ) (r1 ) ) -> u . char_val ) < 256 ) ; 
  }
  if (! ((Scheme_Type ) (((((long ) (r2 ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (r2 ) ) -> type ) ) == (Scheme_Type ) (scheme_char_type ) ) ) {
    if (! reffail ) {
      GC_CAN_IGNORE jit_insn * pref ; 
      pref = (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (1 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (1 ) ) ) ) ) == 0x26 || ((((0x40 + (1 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (1 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      reffail = (jitter -> js ) . x . pc ; 
      (void ) ((((long ) (((Scheme_Primitive_Proc * ) rator ) -> prim_val ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((Scheme_Primitive_Proc * ) rator ) -> prim_val ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (((Scheme_Primitive_Proc * ) rator ) -> prim_val ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
      ; 
      if (direction > 0 ) {
        (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (call_original_binary_rev_arith_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      }
      else {
        (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (call_original_binary_arith_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      }
      ; 
      (* ((_sl * ) ((pref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (pref ) ) ) ) ; 
    }
    else {
      (void ) (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (1 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (1 ) ) ) ) ) == 0x26 || ((((0x40 + (1 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (1 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    }
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (1 ) ) ) ) ? ((((((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : ((((((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) && (((0x40 + (1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    (void ) (((scheme_char_type ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((scheme_char_type ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  else {
    if (! direct )
      direct = ((((Scheme_Small_Object * ) (r2 ) ) -> u . char_val ) < 256 ) ; 
  }
  if (! direct ) {
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? ((((((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) ^ (((unsigned long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) ^ (((unsigned long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) ^ (((unsigned long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (1 ) ) ) ) ? ((((((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) ^ (((unsigned long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) == 0 ) && (((0x40 + (1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) ^ (((unsigned long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) ^ (((unsigned long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ref = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  }
  else {
    ref = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  }
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  if (for_branch ) {
    for_branch [0 ] = ref ; 
  }
  else {
    GC_CAN_IGNORE jit_insn * ref2 ; 
    (void ) ((((long ) (scheme_true ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (scheme_true ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (scheme_true ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
    ref2 = (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
    (void ) ((((long ) (scheme_false ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (scheme_false ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (scheme_false ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
    (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
  }
  ; 
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_inlined_binary (mz_jit_state * jitter , Scheme_App3_Rec * app , int is_tail , int multi_ok , jit_insn * * for_branch , int branch_short ) {
  Scheme_Object * rator = app -> rator ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(6);
  BLOCK_SETUP_TOP((PUSH(rator, 0), PUSH(for_branch, 1), PUSH(jitter, 2), PUSH(app, 3)));
# define XfOrM620_COUNT (4)
# define SETUP_XfOrM620(x) SETUP(XfOrM620_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  if (! ((Scheme_Type ) (((((long ) (rator ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (rator ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  if (! ((((Scheme_Prim_Proc_Header * ) rator ) -> flags ) & 1024 ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  scheme_direct_call_count ++ ; 
  if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "eq?" ) ) ) ) {
    Scheme_Object * a1 , * a2 ; 
    GC_CAN_IGNORE jit_insn * ref , * ref2 ; 
    BLOCK_SETUP((PUSH(a1, 0+XfOrM620_COUNT), PUSH(a2, 1+XfOrM620_COUNT)));
#   define XfOrM652_COUNT (2+XfOrM620_COUNT)
#   define SETUP_XfOrM652(x) SETUP(XfOrM652_COUNT)
    a1 = NULLED_OUT ; 
    a2 = NULLED_OUT ; 
    ; 
    a1 = app -> rand1 ; 
    if (((((long ) (a1 ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (a1 ) ) -> type ) > _scheme_values_types_ ) {
      a2 = app -> rand2 ; 
    }
    else {
      a1 = app -> rand2 ; 
      a2 = app -> rand1 ; 
    }
    if (((((long ) (a1 ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (a1 ) ) -> type ) > _scheme_values_types_ ) {
      int retptr ; 
#     define XfOrM656_COUNT (0+XfOrM652_COUNT)
#     define SETUP_XfOrM656(x) SETUP_XfOrM652(x)
      FUNCCALL(SETUP_XfOrM656(_), mz_runstack_skipped (jitter , 2 ) ); 
      FUNCCALL(SETUP_XfOrM656(_), generate_non_tail (a2 , jitter , 0 , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      FUNCCALL(SETUP_XfOrM656(_), mz_runstack_unskipped (jitter , 2 ) ); 
      if (! (((long ) (a1 ) ) & 0x1 ) && ! (((a1 ) ) == (scheme_false ) ) && ! (((a1 ) ) == (scheme_void ) ) && ! ((a1 ) == (scheme_true ) ) )
        retptr = FUNCCALL(SETUP_XfOrM656(_), mz_retain_it (jitter , a1 ) ); 
      else retptr = 0 ; 
      ; 
      if (retptr ) {
#       define XfOrM659_COUNT (0+XfOrM656_COUNT)
#       define SETUP_XfOrM659(x) SETUP_XfOrM656(x)
        FUNCCALL(SETUP_XfOrM659(_), mz_load_retained (jitter , (0x40 + (1 ) ) , retptr ) ); 
        ref = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      }
      else ref = (((((a1 ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((a1 ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
      if (for_branch ) {
        for_branch [0 ] = ref ; 
      }
      else {
        (void ) ((((long ) (scheme_true ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (scheme_true ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (scheme_true ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
        ref2 = (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
        (void ) ((((long ) (scheme_false ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (scheme_false ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (scheme_false ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
        (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
      }
      ; 
    }
    else {
#     define XfOrM653_COUNT (0+XfOrM652_COUNT)
#     define SETUP_XfOrM653(x) SETUP_XfOrM652(x)
      FUNCCALL(SETUP_XfOrM653(_), generate_two_args (a2 , a1 , jitter , 0 ) ); 
      ; 
      ref = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      if (for_branch ) {
        for_branch [0 ] = ref ; 
      }
      else {
        (void ) ((((long ) (scheme_true ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (scheme_true ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (scheme_true ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
        ref2 = (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
        (void ) ((((long ) (scheme_false ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (scheme_false ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (scheme_false ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
        (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
      }
      ; 
    }
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "=" ) ) ) ) {
#   define XfOrM651_COUNT (0+XfOrM620_COUNT)
#   define SETUP_XfOrM651(x) SETUP_XfOrM620(x)
    FUNCCALL(SETUP_XfOrM651(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 0 , 0 , 0 , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "<=" ) ) ) ) {
#   define XfOrM650_COUNT (0+XfOrM620_COUNT)
#   define SETUP_XfOrM650(x) SETUP_XfOrM620(x)
    FUNCCALL(SETUP_XfOrM650(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 0 , - 1 , 0 , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "<" ) ) ) ) {
#   define XfOrM649_COUNT (0+XfOrM620_COUNT)
#   define SETUP_XfOrM649(x) SETUP_XfOrM620(x)
    FUNCCALL(SETUP_XfOrM649(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 0 , - 2 , 0 , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , ">=" ) ) ) ) {
#   define XfOrM648_COUNT (0+XfOrM620_COUNT)
#   define SETUP_XfOrM648(x) SETUP_XfOrM620(x)
    FUNCCALL(SETUP_XfOrM648(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 0 , 1 , 0 , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , ">" ) ) ) ) {
#   define XfOrM647_COUNT (0+XfOrM620_COUNT)
#   define SETUP_XfOrM647(x) SETUP_XfOrM620(x)
    FUNCCALL(SETUP_XfOrM647(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 0 , 2 , 0 , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "char=?" ) ) ) ) {
#   define XfOrM646_COUNT (0+XfOrM620_COUNT)
#   define SETUP_XfOrM646(x) SETUP_XfOrM620(x)
    FUNCCALL(SETUP_XfOrM646(_), generate_binary_char (jitter , app , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if (! for_branch ) {
#   define XfOrM622_COUNT (0+XfOrM620_COUNT)
#   define SETUP_XfOrM622(x) SETUP_XfOrM620(x)
    if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "+" ) ) ) ) {
#     define XfOrM645_COUNT (0+XfOrM622_COUNT)
#     define SETUP_XfOrM645(x) SETUP_XfOrM622(x)
      FUNCCALL(SETUP_XfOrM645(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 1 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "-" ) ) ) ) {
#     define XfOrM644_COUNT (0+XfOrM622_COUNT)
#     define SETUP_XfOrM644(x) SETUP_XfOrM622(x)
      FUNCCALL(SETUP_XfOrM644(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , - 1 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "*" ) ) ) ) {
#     define XfOrM643_COUNT (0+XfOrM622_COUNT)
#     define SETUP_XfOrM643(x) SETUP_XfOrM622(x)
      FUNCCALL(SETUP_XfOrM643(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 2 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "/" ) ) ) ) {
#     define XfOrM642_COUNT (0+XfOrM622_COUNT)
#     define SETUP_XfOrM642(x) SETUP_XfOrM622(x)
      FUNCCALL(SETUP_XfOrM642(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , - 2 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "min" ) ) ) ) {
#     define XfOrM641_COUNT (0+XfOrM622_COUNT)
#     define SETUP_XfOrM641(x) SETUP_XfOrM622(x)
      FUNCCALL(SETUP_XfOrM641(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 9 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "max" ) ) ) ) {
#     define XfOrM640_COUNT (0+XfOrM622_COUNT)
#     define SETUP_XfOrM640(x) SETUP_XfOrM622(x)
      FUNCCALL(SETUP_XfOrM640(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 10 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "bitwise-and" ) ) ) ) {
#     define XfOrM639_COUNT (0+XfOrM622_COUNT)
#     define SETUP_XfOrM639(x) SETUP_XfOrM622(x)
      FUNCCALL(SETUP_XfOrM639(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 3 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "bitwise-ior" ) ) ) ) {
#     define XfOrM638_COUNT (0+XfOrM622_COUNT)
#     define SETUP_XfOrM638(x) SETUP_XfOrM622(x)
      FUNCCALL(SETUP_XfOrM638(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 4 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "bitwise-xor" ) ) ) ) {
#     define XfOrM637_COUNT (0+XfOrM622_COUNT)
#     define SETUP_XfOrM637(x) SETUP_XfOrM622(x)
      FUNCCALL(SETUP_XfOrM637(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 5 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "arithmetic-shift" ) ) ) ) {
#     define XfOrM636_COUNT (0+XfOrM622_COUNT)
#     define SETUP_XfOrM636(x) SETUP_XfOrM622(x)
      FUNCCALL(SETUP_XfOrM636(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 6 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "vector-ref" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "string-ref" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "bytes-ref" ) ) ) ) {
      int simple ; 
      int which ; 
#     define XfOrM626_COUNT (0+XfOrM622_COUNT)
#     define SETUP_XfOrM626(x) SETUP_XfOrM622(x)
      if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "vector-ref" ) ) ) )
        which = 0 ; 
      else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "string-ref" ) ) ) )
        which = 1 ; 
      else which = 2 ; 
      ; 
      simple = ((((long ) (app -> rand2 ) ) & 0x1 ) && ((((long ) (app -> rand2 ) ) >> 1 ) >= 0 ) ) ; 
      if (simple )
        FUNCCALL(SETUP_XfOrM626(_), mz_runstack_skipped (jitter , 2 ) ); 
      else FUNCCALL(SETUP_XfOrM626(_), mz_runstack_skipped (jitter , 1 ) ); 
      if (! simple ) {
#       define XfOrM635_COUNT (0+XfOrM626_COUNT)
#       define SETUP_XfOrM635(x) SETUP_XfOrM626(x)
        FUNCCALL(SETUP_XfOrM635(_), mz_runstack_skipped (jitter , 1 ) ); 
      }
      FUNCCALL(SETUP_XfOrM626(_), generate_non_tail (app -> rand1 , jitter , 0 , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (! simple ) {
#       define XfOrM631_COUNT (0+XfOrM626_COUNT)
#       define SETUP_XfOrM631(x) SETUP_XfOrM626(x)
        FUNCCALL(SETUP_XfOrM631(_), mz_runstack_unskipped (jitter , 1 ) ); 
        ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) && (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
        ; 
        FUNCCALL(SETUP_XfOrM631(_), mz_runstack_pushed (jitter , 1 ) ); 
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        FUNCCALL(SETUP_XfOrM631(_), generate_non_tail (app -> rand2 , jitter , 0 , 1 ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        ((void ) (((((0x40 + (0 ) ) ) ) ) == ((((0x40 + (1 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) && ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
        FUNCCALL(SETUP_XfOrM631(_), mz_runstack_popped (jitter , 1 ) ); 
        if (! which ) {
          (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (vector_ref_check_index_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        }
        else if (which == 1 ) {
          (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (string_ref_check_index_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        }
        else {
          (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (bytes_ref_check_index_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        }
      }
      else {
        long offset ; 
        offset = (((long ) (app -> rand2 ) ) >> 1 ) ; 
        (void ) ((((long ) (offset ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (offset ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (offset ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
        if (! which )
          offset = ((int ) & (((Scheme_Vector * ) (0x0 ) ) -> els ) ) + ((offset ) << 2 ) ; 
        else if (which == 1 )
          offset = offset << 2 ; 
        ((offset ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((offset ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((offset ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
        if (! which ) {
          (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (vector_ref_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        }
        else if (which == 1 ) {
          (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (string_ref_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        }
        else {
          (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (bytes_ref_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        }
      }
      if (simple )
        FUNCCALL(SETUP_XfOrM626(_), mz_runstack_unskipped (jitter , 2 ) ); 
      else FUNCCALL(SETUP_XfOrM626(_), mz_runstack_unskipped (jitter , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "set-mcar!" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "set-mcdr!" ) ) ) ) {
      GC_CAN_IGNORE jit_insn * reffail , * ref ; 
      int set_mcar ; 
#     define XfOrM625_COUNT (0+XfOrM622_COUNT)
#     define SETUP_XfOrM625(x) SETUP_XfOrM622(x)
      set_mcar = (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "set-mcar!" ) ) ) ; 
      ; 
      FUNCCALL(SETUP_XfOrM625(_), generate_two_args (app -> rand1 , app -> rand2 , jitter , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ; 
      ref = (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (0 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) == 0x26 || ((((0x40 + (0 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      reffail = (jitter -> js ) . x . pc ; 
      ; 
      if (set_mcar )
        (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (bad_set_mcar_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      else (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (bad_set_mcdr_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      ; 
      (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      (void ) (((scheme_mutable_pair_type ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((scheme_mutable_pair_type ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
      ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (set_mcar )
        (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      else (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      (void ) ((((long ) (scheme_void ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (scheme_void ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (scheme_void ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "cons" ) ) ) ) {
#     define XfOrM624_COUNT (0+XfOrM622_COUNT)
#     define SETUP_XfOrM624(x) SETUP_XfOrM622(x)
      ; 
      FUNCCALL(SETUP_XfOrM624(_), generate_two_args (app -> rand1 , app -> rand2 , jitter , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      FUNCCALL(SETUP_XfOrM624(_), inline_alloc (jitter , sizeof (Scheme_Simple_Object ) , scheme_pair_type , 1 , 0 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? (((((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ^ (((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ^ (((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ^ (((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? (((((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ^ (((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ^ (((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ^ (((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == ((((0x40 + (0 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (sizeof (long ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) ? (((((((long ) (sizeof (long ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (sizeof (long ) ) ) ) ) == 0 ) && ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (sizeof (long ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "mcons" ) ) ) ) {
#     define XfOrM623_COUNT (0+XfOrM622_COUNT)
#     define SETUP_XfOrM623(x) SETUP_XfOrM622(x)
      ; 
      FUNCCALL(SETUP_XfOrM623(_), generate_two_args (app -> rand1 , app -> rand2 , jitter , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      FUNCCALL(SETUP_XfOrM623(_), inline_alloc (jitter , sizeof (Scheme_Simple_Object ) , scheme_mutable_pair_type , 1 , 0 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? (((((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ^ (((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ^ (((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ^ (((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? (((((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ^ (((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ^ (((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ^ (((unsigned long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == ((((0x40 + (0 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (sizeof (long ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) ? (((((((long ) (sizeof (long ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (sizeof (long ) ) ) ) ) == 0 ) && ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (sizeof (long ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
  }
  if (! for_branch ) {
#   define XfOrM621_COUNT (0+XfOrM620_COUNT)
#   define SETUP_XfOrM621(x) SETUP_XfOrM620(x)
    FUNCCALL_EMPTY(scheme_console_printf ("Inlining expected.\n" ) ); 
    FUNCCALL_EMPTY(abort () ); 
  }
  -- scheme_direct_call_count ; 
  RET_VALUE_START (0 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_inlined_nary (mz_jit_state * jitter , Scheme_App_Rec * app , int is_tail , int multi_ok , jit_insn * * for_branch , int branch_short ) {
  Scheme_Object * rator = app -> args [0 ] ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(for_branch, 0), PUSH(jitter, 1), PUSH(app, 2)));
# define XfOrM662_COUNT (3)
# define SETUP_XfOrM662(x) SETUP(XfOrM662_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  if (! ((Scheme_Type ) (((((long ) (rator ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (rator ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  if (! ((((Scheme_Prim_Proc_Header * ) rator ) -> flags ) & 32768 ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  if (app -> num_args != ((Scheme_Primitive_Proc * ) rator ) -> mina )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  scheme_direct_call_count ++ ; 
  if (! for_branch ) {
#   define XfOrM664_COUNT (0+XfOrM662_COUNT)
#   define SETUP_XfOrM664(x) SETUP_XfOrM662(x)
    if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "vector-set!" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "string-set!" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "bytes-set!" ) ) ) ) {
      int simple , constval ; 
      int which ; 
      int pushed ; 
#     define XfOrM665_COUNT (0+XfOrM664_COUNT)
#     define SETUP_XfOrM665(x) SETUP_XfOrM664(x)
      if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "vector-set!" ) ) ) )
        which = 0 ; 
      else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "string-set!" ) ) ) )
        which = 1 ; 
      else which = 2 ; 
      ; 
      simple = ((((long ) (app -> args [2 ] ) ) & 0x1 ) && ((((long ) (app -> args [2 ] ) ) >> 1 ) >= 0 ) ) ; 
      constval = (((((long ) (app -> args [3 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (app -> args [3 ] ) ) -> type ) > _scheme_values_types_ ) ; 
      if (constval && simple )
        pushed = 1 ; 
      else pushed = 2 ; 
      FUNCCALL(SETUP_XfOrM665(_), mz_runstack_skipped (jitter , 3 - pushed ) ); 
      if (pushed ) {
#       define XfOrM682_COUNT (0+XfOrM665_COUNT)
#       define SETUP_XfOrM682(x) SETUP_XfOrM665(x)
        ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) == 0 ) && (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
        ; 
        FUNCCALL(SETUP_XfOrM682(_), mz_runstack_pushed (jitter , pushed ) ); 
        FUNCCALL_AGAIN(stack_safety (jitter , pushed , 0 ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
      }
      FUNCCALL(SETUP_XfOrM665(_), generate_non_tail (app -> args [1 ] , jitter , 0 , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (! constval || ! simple ) {
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      }
      else {
        ((void ) (((((0x40 + (0 ) ) ) ) ) == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
      }
      if (! simple ) {
#       define XfOrM677_COUNT (0+XfOrM665_COUNT)
#       define SETUP_XfOrM677(x) SETUP_XfOrM665(x)
        FUNCCALL(SETUP_XfOrM677(_), generate_non_tail (app -> args [2 ] , jitter , 0 , 1 ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        if (! constval ) {
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((1 ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((1 ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((1 ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        }
        else {
          ((void ) (((((0x40 + (0 ) ) ) ) ) == ((((0x40 + (1 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
        }
      }
      FUNCCALL(SETUP_XfOrM665(_), generate_non_tail (app -> args [3 ] , jitter , 0 , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (! constval || ! simple ) {
        ((void ) (((((0x40 + (0 ) ) ) ) ) == ((((0x40 + (2 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        if (! simple && ! constval ) {
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((1 ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((1 ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((1 ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        }
      }
      else {
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        ((void ) ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
      }
      if (! simple ) {
        if (! which ) {
          (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (vector_set_check_index_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        }
        else if (which == 1 ) {
          (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (string_set_check_index_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        }
        else {
          (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (bytes_set_check_index_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        }
      }
      else {
        long offset ; 
        offset = (((long ) (app -> args [2 ] ) ) >> 1 ) ; 
        (void ) ((((long ) (offset ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (offset ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (offset ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
        if (! which )
          offset = ((int ) & (((Scheme_Vector * ) (0x0 ) ) -> els ) ) + ((offset ) << 2 ) ; 
        else if (which == 1 )
          offset = offset << 2 ; 
        ((offset ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((offset ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((offset ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
        if (! which ) {
          (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (vector_set_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        }
        else if (which == 1 ) {
          (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (string_set_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        }
        else {
          (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (bytes_set_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        }
      }
      (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (((pushed ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((pushed ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (((pushed ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((pushed ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (((pushed ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((((((long ) (((pushed ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((pushed ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((pushed ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((pushed ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (((pushed ) << 2 ) ) ) ) ) == 0 ) && ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((pushed ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((pushed ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((pushed ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (((pushed ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((pushed ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((pushed ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((pushed ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
      FUNCCALL(SETUP_XfOrM665(_), mz_runstack_popped (jitter , pushed ) ); 
      FUNCCALL_AGAIN(mz_runstack_unskipped (jitter , 3 - pushed ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
  }
  if (! for_branch ) {
#   define XfOrM663_COUNT (0+XfOrM662_COUNT)
#   define SETUP_XfOrM663(x) SETUP_XfOrM662(x)
    FUNCCALL_EMPTY(scheme_console_printf ("Inlining expected.\n" ) ); 
    FUNCCALL_EMPTY(abort () ); 
  }
  -- scheme_direct_call_count ; 
  RET_VALUE_START (0 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
int generate_inlined_test (mz_jit_state * jitter , Scheme_Object * obj , int branch_short , jit_insn * * refs ) {
  /* No conversion */
  switch (((((long ) (obj ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (obj ) ) -> type ) ) {
    case scheme_application2_type : return generate_inlined_unary (jitter , (Scheme_App2_Rec * ) obj , 0 , 0 , refs , branch_short ) ; 
    case scheme_application3_type : return generate_inlined_binary (jitter , (Scheme_App3_Rec * ) obj , 0 , 0 , refs , branch_short ) ; 
  }
  return 0 ; 
}
static Scheme_Object example_so = {
  scheme_native_closure_type , 0 }
; 
static void ensure_closure_native (Scheme_Closure_Data * data , Scheme_Native_Closure_Data * case_lam ) {
  PREPARE_VAR_STACK(2);
  BLOCK_SETUP_TOP((PUSH(data, 0)));
# define XfOrM685_COUNT (1)
# define SETUP_XfOrM685(x) SETUP(XfOrM685_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  if (! data -> u . native_code || ((((Scheme_Object * ) data -> u . native_code ) ) == (scheme_false ) ) ) {
    Scheme_Native_Closure_Data * code ; 
    BLOCK_SETUP((PUSH(code, 0+XfOrM685_COUNT)));
#   define XfOrM686_COUNT (1+XfOrM685_COUNT)
#   define SETUP_XfOrM686(x) SETUP(XfOrM686_COUNT)
    code = NULLED_OUT ; 
    code = FUNCCALL(SETUP_XfOrM686(_), scheme_generate_lambda (data , 0 , case_lam ) ); 
    data -> u . native_code = code ; 
  }
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_closure (Scheme_Closure_Data * data , mz_jit_state * jitter , int immediately_filled ) {
  Scheme_Native_Closure_Data * code ; 
  int retptr ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(data, 0), PUSH(jitter, 1), PUSH(code, 2)));
# define XfOrM687_COUNT (3)
# define SETUP_XfOrM687(x) SETUP(XfOrM687_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  code = NULLED_OUT ; 
  FUNCCALL(SETUP_XfOrM687(_), ensure_closure_native (data , ((void * ) 0 ) ) ); 
  code = data -> u . native_code ; 
  if (data -> closure_size < 100 ) {
    int sz ; 
    long init_word ; 
#   define XfOrM689_COUNT (0+XfOrM687_COUNT)
#   define SETUP_XfOrM689(x) SETUP_XfOrM687(x)
    sz = (sizeof (Scheme_Native_Closure ) + ((data -> closure_size - 1 ) * sizeof (Scheme_Object * ) ) ) ; 
    if (immediately_filled ) {
#     define XfOrM694_COUNT (0+XfOrM689_COUNT)
#     define SETUP_XfOrM694(x) SETUP_XfOrM689(x)
      FUNCCALL(SETUP_XfOrM694(_), inline_alloc (jitter , sz , scheme_native_closure_type , 0 , 0 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == ((((0x40 + (0 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (sizeof (long ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) ? (((((((long ) (sizeof (long ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (sizeof (long ) ) ) ) ) == 0 ) && ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (sizeof (long ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (sizeof (long ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
    }
    else {
      if (jitter -> need_set_rs ) {
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        jitter -> need_set_rs = 0 ; 
      }
      ; 
      ((sz ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((sz ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((sz ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
      ((jitter -> js ) . jitl . argssize += ((1 ) ) ) ; 
      (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (0 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
      if (immediately_filled ) {
        (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((GC_malloc_one_small_dirty_tagged ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
      }
      else {
        (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((GC_malloc_one_small_tagged ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
      }
      ((void ) ((void ) ((0x40 ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((0x40 ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
      init_word = * (long * ) (void * ) & example_so ; 
      ((init_word ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((init_word ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((init_word ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    }
    retptr = FUNCCALL(SETUP_XfOrM689(_), mz_retain_it (jitter , code ) ); 
    FUNCCALL(SETUP_XfOrM689(_), mz_load_retained (jitter , (0x40 + (1 ) ) , retptr ) ); 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? (((((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) ((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) ((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) ((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  if (jitter -> need_set_rs ) {
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    jitter -> need_set_rs = 0 ; 
  }
  ; 
  ((jitter -> js ) . jitl . argssize += ((1 ) ) ) ; 
  retptr = FUNCCALL(SETUP_XfOrM687(_), mz_retain_it (jitter , code ) ); 
  FUNCCALL_AGAIN(mz_load_retained (jitter , (0x40 + (0 ) ) , retptr ) ); 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (0 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_make_native_closure ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
  ((void ) ((void ) ((0x40 ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((0x40 ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_closure_fill (Scheme_Closure_Data * data , mz_jit_state * jitter ) {
  int j , size , pos ; 
  mzshort * map ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(2);
  BLOCK_SETUP_TOP((PUSH(map, 0), PUSH(jitter, 1)));
# define XfOrM695_COUNT (2)
# define SETUP_XfOrM695(x) SETUP(XfOrM695_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  map = NULLED_OUT ; 
  size = data -> closure_size ; 
  map = data -> closure_map ; 
  ((((((0x40 + (0 ) ) ) ) ) == ((((0x40 + (2 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) ^ (((unsigned long ) ((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) ^ (((unsigned long ) ((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0x40 + (0 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0x40 + (0 ) ) ) ) ) ) ? (((((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) ^ (((unsigned long ) ((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) == 0 ) && (((((0x40 + (0 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) ^ (((unsigned long ) ((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0x40 + (0 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) ^ (((unsigned long ) ((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
  for (j = 0 ; j < size ; j ++ ) {
#   define XfOrM697_COUNT (0+XfOrM695_COUNT)
#   define SETUP_XfOrM697(x) SETUP_XfOrM695(x)
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    pos = FUNCCALL(SETUP_XfOrM697(_), mz_remap_it (jitter , map [j ] ) ); 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((pos ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((j ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (2 ) ) ) ) ) ? ((((((((j ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((j ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((j ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((j ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((j ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((j ) << 2 ) ) ) ) == 0 ) && ((((0x40 + (2 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((j ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((j ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((j ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((j ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((j ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((j ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((j ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((j ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((j ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((j ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  }
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Native_Closure_Data * scheme_generate_case_lambda (Scheme_Case_Lambda * c ) {
  Scheme_Closure_Data * data ; 
  Scheme_Native_Closure_Data * ndata ; 
  Scheme_Object * name , * o ; 
  int max_let_depth = 0 , i , count , is_method = 0 ; 
  DECL_RET_SAVE (Scheme_Native_Closure_Data * ) PREPARE_VAR_STACK_ONCE(5);
  BLOCK_SETUP_TOP((PUSH(data, 0), PUSH(c, 1), PUSH(o, 2), PUSH(ndata, 3), PUSH(name, 4)));
# define XfOrM698_COUNT (5)
# define SETUP_XfOrM698(x) SETUP(XfOrM698_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  data = NULLED_OUT ; 
  ndata = NULLED_OUT ; 
  name = NULLED_OUT ; 
  o = NULLED_OUT ; 
  ndata = ((Scheme_Native_Closure_Data * ) FUNCCALL(SETUP_XfOrM698(_), GC_malloc_one_small_tagged ((((sizeof (Scheme_Native_Closure_Data ) * (1 ) + (1 << 2 ) - 1 ) >> 2 ) << 2 ) ) )) ; 
  ndata -> iso . so . type = scheme_rt_native_code ; 
  name = c -> name ; 
  if (name && ((Scheme_Type ) (((((long ) (name ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (name ) ) -> type ) ) == (Scheme_Type ) (scheme_box_type ) ) ) {
    name = (((Scheme_Small_Object * ) (name ) ) -> u . ptr_val ) ; 
    is_method = 1 ; 
  }
  ndata -> u2 . name = name ; 
  count = c -> count ; 
  for (i = 0 ; i < count ; i ++ ) {
#   define XfOrM701_COUNT (0+XfOrM698_COUNT)
#   define SETUP_XfOrM701(x) SETUP_XfOrM698(x)
    o = c -> array [i ] ; 
    if ((! (((long ) (o ) ) & 0x1 ) && ((((o ) -> type ) >= scheme_prim_type ) && (((o ) -> type ) <= scheme_native_closure_type ) ) ) )
      o = (Scheme_Object * ) ((Scheme_Closure * ) o ) -> code ; 
    data = (Scheme_Closure_Data * ) o ; 
    FUNCCALL(SETUP_XfOrM701(_), ensure_closure_native (data , ndata ) ); 
    if (data -> u . native_code -> max_let_depth > max_let_depth )
      max_let_depth = data -> u . native_code -> max_let_depth ; 
  }
  ndata -> max_let_depth = max_let_depth ; 
  ndata -> closure_size = - (count + 1 ) ; 
  if (count ) {
    o = c -> array [0 ] ; 
    if ((! (((long ) (o ) ) & 0x1 ) && ((((o ) -> type ) >= scheme_prim_type ) && (((o ) -> type ) <= scheme_native_closure_type ) ) ) )
      o = (Scheme_Object * ) ((Scheme_Closure * ) o ) -> code ; 
    data = (Scheme_Closure_Data * ) o ; 
    is_method = (((& (data ) -> iso ) -> so . keyex & 16 ) ? 1 : 0 ) ; 
  }
  FUNCCALL(SETUP_XfOrM698(_), generate_case_lambda (c , ndata , is_method ) ); 
  RET_VALUE_START (ndata ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void ensure_case_closure_native (Scheme_Case_Lambda * c ) {
  PREPARE_VAR_STACK(2);
  BLOCK_SETUP_TOP((PUSH(c, 0)));
# define XfOrM703_COUNT (1)
# define SETUP_XfOrM703(x) SETUP(XfOrM703_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  if (! c -> native_code || ((((Scheme_Object * ) c -> native_code ) ) == (scheme_false ) ) ) {
    Scheme_Native_Closure_Data * ndata ; 
    BLOCK_SETUP((PUSH(ndata, 0+XfOrM703_COUNT)));
#   define XfOrM704_COUNT (1+XfOrM703_COUNT)
#   define SETUP_XfOrM704(x) SETUP(XfOrM704_COUNT)
    ndata = NULLED_OUT ; 
    ndata = FUNCCALL(SETUP_XfOrM704(_), scheme_generate_case_lambda (c ) ); 
    c -> native_code = ndata ; 
  }
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_case_closure (Scheme_Object * obj , mz_jit_state * jitter ) {
  Scheme_Case_Lambda * c = (Scheme_Case_Lambda * ) obj ; 
  Scheme_Native_Closure_Data * ndata ; 
  Scheme_Closure_Data * data ; 
  Scheme_Object * o ; 
  int i , offset , count , retptr ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(5);
  BLOCK_SETUP_TOP((PUSH(o, 0), PUSH(ndata, 1), PUSH(data, 2), PUSH(jitter, 3), PUSH(c, 4)));
# define XfOrM705_COUNT (5)
# define SETUP_XfOrM705(x) SETUP(XfOrM705_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  ndata = NULLED_OUT ; 
  data = NULLED_OUT ; 
  o = NULLED_OUT ; 
  FUNCCALL(SETUP_XfOrM705(_), ensure_case_closure_native (c ) ); 
  ndata = c -> native_code ; 
  if (jitter -> need_set_rs ) {
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    jitter -> need_set_rs = 0 ; 
  }
  ; 
  ((jitter -> js ) . jitl . argssize += ((1 ) ) ) ; 
  retptr = FUNCCALL(SETUP_XfOrM705(_), mz_retain_it (jitter , ndata ) ); 
  FUNCCALL_AGAIN(mz_load_retained (jitter , (0x40 + (0 ) ) , retptr ) ); 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (0 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_make_native_case_closure ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
  ((void ) ((void ) ((0x40 ) == ((((0x40 + (1 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((0x40 ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  count = c -> count ; 
  for (i = 0 ; i < count ; i ++ ) {
#   define XfOrM707_COUNT (0+XfOrM705_COUNT)
#   define SETUP_XfOrM707(x) SETUP_XfOrM705(x)
    o = c -> array [i ] ; 
    if ((! (((long ) (o ) ) & 0x1 ) && ((((o ) -> type ) >= scheme_prim_type ) && (((o ) -> type ) <= scheme_native_closure_type ) ) ) )
      o = (Scheme_Object * ) ((Scheme_Closure * ) o ) -> code ; 
    data = (Scheme_Closure_Data * ) o ; 
    FUNCCALL(SETUP_XfOrM707(_), mz_pushr_p_it (jitter , (0x40 + (1 ) ) ) ); 
    FUNCCALL_AGAIN(generate_closure (data , jitter , 1 ) ); 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    FUNCCALL(SETUP_XfOrM707(_), generate_closure_fill (data , jitter ) ); 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    FUNCCALL(SETUP_XfOrM707(_), mz_popr_p_it (jitter , (0x40 + (1 ) ) ) ); 
    offset = ((i ) << 2 ) + (unsigned long ) & ((Scheme_Native_Closure * ) 0x0 ) -> vals ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (1 ) ) ) ) ) ? ((((((offset ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((offset ) ) ) ) ^ (((unsigned long ) (((offset ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((offset ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((offset ) ) ) == 0 ) && ((((0x40 + (1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((offset ) ) ) ) ^ (((unsigned long ) (((offset ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((offset ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((offset ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((offset ) ) ) ) ^ (((unsigned long ) (((offset ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((offset ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  ((void ) (((((0x40 + (1 ) ) ) ) ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_non_tail_mark_pos_prefix (mz_jit_state * jitter ) {
  /* No conversion */
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? (((((& scheme_current_cont_mark_pos ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) ^ (((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) ) ) ) ) ) ) ) ) ) : (((((& scheme_current_cont_mark_pos ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) ^ (((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& scheme_current_cont_mark_pos ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) ^ (((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((0x40 + (2 ) ) ) == ((0x40 + (2 ) ) ) ) ? (((! ((((unsigned long ) ((2 ) ) ) ^ (((unsigned long ) ((2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((2 ) ) ) ^ (((unsigned long ) ((2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((2 ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((2 ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (2 ) ) ) ) ? (((((2 ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((2 ) ) ) ^ (((unsigned long ) ((2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((2 ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((2 ) ) ) ) ) ) ) ) ) ) ) ) : (((((2 ) ) == 0 ) && (((0x40 + (2 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((2 ) ) ) ^ (((unsigned long ) ((2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((2 ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((2 ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((2 ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((2 ) ) ) ^ (((unsigned long ) ((2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((2 ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((2 ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? (((((& scheme_current_cont_mark_pos ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) ^ (((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) ) ) ) ) ) ) ) ) ) : (((((& scheme_current_cont_mark_pos ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) ^ (((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& scheme_current_cont_mark_pos ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) ^ (((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  return 0 ; 
}
static void generate_non_tail_mark_pos_suffix (mz_jit_state * jitter ) {
  /* No conversion */
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? (((((& scheme_current_cont_mark_pos ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) ^ (((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) ) ) ) ) ) ) ) ) ) : (((((& scheme_current_cont_mark_pos ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) ^ (((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& scheme_current_cont_mark_pos ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) ^ (((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  (((((0x40 + (2 ) ) ) ) == (((0x40 + (2 ) ) ) ) ) ? (((! ((((unsigned long ) ((- (2 ) ) ) ) ^ (((unsigned long ) ((- (2 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (2 ) ) ) ) ^ (((unsigned long ) ((- (2 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (2 ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (2 ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (2 ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (2 ) ) ) ) ) ? (((((- (2 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (2 ) ) ) ) ^ (((unsigned long ) ((- (2 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (2 ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (2 ) ) ) == 0 ) && ((((0x40 + (2 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (2 ) ) ) ) ^ (((unsigned long ) ((- (2 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (2 ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (2 ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (2 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (2 ) ) ) ) ^ (((unsigned long ) ((- (2 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (2 ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (2 ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? (((((& scheme_current_cont_mark_pos ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) ^ (((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) ) ) ) ) ) ) ) ) ) : (((((& scheme_current_cont_mark_pos ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) ^ (((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& scheme_current_cont_mark_pos ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) ^ (((unsigned long ) ((& scheme_current_cont_mark_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& scheme_current_cont_mark_pos ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
}
static int generate_non_tail (Scheme_Object * obj , mz_jit_state * jitter , int multi_ok , int mark_pos_ends ) {
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(2);
  BLOCK_SETUP_TOP((PUSH(jitter, 0), PUSH(obj, 1)));
# define XfOrM711_COUNT (2)
# define SETUP_XfOrM711(x) SETUP(XfOrM711_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  if (FUNCCALL(SETUP_XfOrM711(_), is_simple (obj , 10 , 0 , jitter , 0 ) )) {
    int v ; 
#   define XfOrM721_COUNT (0+XfOrM711_COUNT)
#   define SETUP_XfOrM721(x) SETUP_XfOrM711(x)
    ; 
    v = FUNCCALL(SETUP_XfOrM721(_), generate (obj , jitter , 0 , multi_ok ) ); 
    ; 
    RET_VALUE_START (v ) RET_VALUE_END ; 
  }
  {
    int amt , need_ends = 1 , using_local1 = 0 ; 
#   define XfOrM712_COUNT (0+XfOrM711_COUNT)
#   define SETUP_XfOrM712(x) SETUP_XfOrM711(x)
    ; 
    if (FUNCCALL(SETUP_XfOrM712(_), is_simple (obj , 10 , 1 , jitter , 0 ) )) {
      need_ends = 0 ; 
    }
    else {
#     define XfOrM717_COUNT (0+XfOrM712_COUNT)
#     define SETUP_XfOrM717(x) SETUP_XfOrM712(x)
      ; 
      if (mark_pos_ends )
        FUNCCALL(SETUP_XfOrM717(_), generate_non_tail_mark_pos_prefix (jitter ) ); 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_cont_mark_stack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_cont_mark_stack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_cont_mark_stack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_cont_mark_stack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_cont_mark_stack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_cont_mark_stack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_cont_mark_stack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_cont_mark_stack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_cont_mark_stack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_cont_mark_stack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_cont_mark_stack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_cont_mark_stack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      if (! jitter -> local1_busy ) {
        using_local1 = 1 ; 
        jitter -> local1_busy = 1 ; 
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x45 ) ) ) ? (((((((- ((1 << 2 ) * 4 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((- ((1 << 2 ) * 4 ) ) ) ) ) == 0 ) && (((0x45 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((- ((1 << 2 ) * 4 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      }
      else {
#       define XfOrM718_COUNT (0+XfOrM717_COUNT)
#       define SETUP_XfOrM718(x) SETUP_XfOrM717(x)
        ((0x1 ) <= 3 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((((0x40 + (2 ) ) ) ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (0x1 ) ) == 1 ) ? 0 : (((1 << (0x1 ) ) == 2 ) ? 1 : (((1 << (0x1 ) ) == 4 ) ? 2 : (((1 << (0x1 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((0x40 + (2 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (0x1 ) ) == 1 ) ? 0 : (((1 << (0x1 ) ) == 2 ) ? 1 : (((1 << (0x1 ) ) == 4 ) ? 2 : (((1 << (0x1 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (0x1 ) ) == 1 ) ? 0 : (((1 << (0x1 ) ) == 2 ) ? 1 : (((1 << (0x1 ) ) == 4 ) ? 2 : (((1 << (0x1 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (0x1 ) ) == 1 ) ? 0 : (((1 << (0x1 ) ) == 2 ) ? 1 : (((1 << (0x1 ) ) == 4 ) ? 2 : (((1 << (0x1 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) : ((((0x40 + (2 ) ) ) == ((0x40 + (2 ) ) ) ) ? ((((0x1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0x1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ) ; 
        ((((0x40 + (2 ) ) ) == ((0x40 + (2 ) ) ) ) ? ((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((0x40 + (2 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((((0x40 + (2 ) ) ) ) == 0x26 || (((0x40 + (2 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (2 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x1 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((0x40 + (2 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((((0x40 + (2 ) ) ) ) == 0x26 || (((0x40 + (2 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (2 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x1 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
        FUNCCALL(SETUP_XfOrM718(_), mz_pushr_p_it (jitter , (0x40 + (2 ) ) ) ); 
      }
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
    }
    FUNCCALL(SETUP_XfOrM712(_), mz_runstack_saved (jitter ) ); 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ; 
    ; 
    FUNCCALL(SETUP_XfOrM712(_), generate (obj , jitter , 0 , multi_ok ) ); 
    ; 
    ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    amt = FUNCCALL(SETUP_XfOrM712(_), mz_runstack_restored (jitter ) ); 
    if (amt ) {
      (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (((amt ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((((((long ) (((amt ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (((amt ) << 2 ) ) ) ) ) == 0 ) && ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (((amt ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
    }
    if (need_ends ) {
#     define XfOrM713_COUNT (0+XfOrM712_COUNT)
#     define SETUP_XfOrM713(x) SETUP_XfOrM712(x)
      if (using_local1 ) {
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x45 ) ) ) ? (((((((- ((1 << 2 ) * 4 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((- ((1 << 2 ) * 4 ) ) ) ) ) == 0 ) && (((0x45 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((- ((1 << 2 ) * 4 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 4 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        jitter -> local1_busy = 0 ; 
      }
      else {
#       define XfOrM714_COUNT (0+XfOrM713_COUNT)
#       define SETUP_XfOrM714(x) SETUP_XfOrM713(x)
        FUNCCALL(SETUP_XfOrM714(_), mz_popr_p_it (jitter , (0x40 + (2 ) ) ) ); 
        ((((0x40 + (2 ) ) ) == ((0x40 + (2 ) ) ) ) ? ((((0x1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0x1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
      }
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_cont_mark_stack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_cont_mark_stack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_cont_mark_stack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_cont_mark_stack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_cont_mark_stack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_cont_mark_stack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_cont_mark_stack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_cont_mark_stack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_cont_mark_stack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_cont_mark_stack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_cont_mark_stack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_cont_mark_stack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      if (mark_pos_ends )
        FUNCCALL(SETUP_XfOrM713(_), generate_non_tail_mark_pos_suffix (jitter ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
    }
    ; 
  }
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_ignored_non_tail (Scheme_Object * obj , mz_jit_state * jitter , int multi_ok , int need_ends ) {
  Scheme_Type t = ((((long ) (obj ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (obj ) ) -> type ) ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(2);
  BLOCK_SETUP_TOP((PUSH(jitter, 0), PUSH(obj, 1)));
# define XfOrM722_COUNT (2)
# define SETUP_XfOrM722(x) SETUP(XfOrM722_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  if (((Scheme_Type ) (t ) == (Scheme_Type ) (scheme_local_type ) ) || ((Scheme_Type ) (t ) == (Scheme_Type ) (scheme_local_unbox_type ) ) ) {
#   define XfOrM723_COUNT (0+XfOrM722_COUNT)
#   define SETUP_XfOrM723(x) SETUP_XfOrM722(x)
    if ((& ((Scheme_Local * ) (obj ) ) -> iso ) -> so . keyex & 0x1 ) {
      int pos ; 
#     define XfOrM724_COUNT (0+XfOrM723_COUNT)
#     define SETUP_XfOrM724(x) SETUP_XfOrM723(x)
      ; 
      pos = FUNCCALL(SETUP_XfOrM724(_), mz_remap_it (jitter , (((Scheme_Local * ) (obj ) ) -> position ) ) ); 
      ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((pos ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      ; 
    }
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(generate_non_tail (obj , jitter , multi_ok , need_ends ) )) RET_VALUE_EMPTY_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * generate_k (void ) {
  /* No conversion */
  Scheme_Thread * p = scheme_current_thread ; 
  Scheme_Object * obj = (Scheme_Object * ) p -> ku . k . p1 ; 
  mz_jit_state * jitter = (mz_jit_state * ) p -> ku . k . p2 ; 
  int v ; 
  p -> ku . k . p1 = ((void * ) 0 ) ; 
  p -> ku . k . p2 = ((void * ) 0 ) ; 
  v = generate (obj , jitter , p -> ku . k . i1 , p -> ku . k . i2 ) ; 
  return ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ; 
}
static int generate (Scheme_Object * obj , mz_jit_state * jitter , int is_tail , int multi_ok ) {
  Scheme_Type type ; 
  unsigned long _stk_pos ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(7);
  BLOCK_SETUP_TOP((PUSH(jitter, 0), PUSH(obj, 1)));
# define XfOrM726_COUNT (2)
# define SETUP_XfOrM726(x) SETUP(XfOrM726_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  _stk_pos = (unsigned long ) & _stk_pos ; 
  if (((_stk_pos ) < (scheme_stack_boundary ) ) ) {
    Scheme_Object * ok ; 
    Scheme_Thread * p = scheme_current_thread ; 
    mz_jit_state * jitter_copy ; 
    BLOCK_SETUP((PUSH(jitter_copy, 0+XfOrM726_COUNT), PUSH(ok, 1+XfOrM726_COUNT), PUSH(p, 2+XfOrM726_COUNT)));
#   define XfOrM825_COUNT (3+XfOrM726_COUNT)
#   define SETUP_XfOrM825(x) SETUP(XfOrM825_COUNT)
    ok = NULLED_OUT ; 
    jitter_copy = NULLED_OUT ; 
    jitter_copy = ((mz_jit_state * ) FUNCCALL(SETUP_XfOrM825(_), GC_malloc_one_small_tagged ((((sizeof (mz_jit_state ) * (1 ) + (1 << 2 ) - 1 ) >> 2 ) << 2 ) ) )) ; 
    (memcpy (jitter_copy , jitter , sizeof (mz_jit_state ) ) ) ; 
    jitter_copy -> type = scheme_rt_jitter_data ; 
    p -> ku . k . p1 = (void * ) obj ; 
    p -> ku . k . p2 = (void * ) jitter_copy ; 
    p -> ku . k . i1 = is_tail ; 
    p -> ku . k . i2 = multi_ok ; 
    ok = FUNCCALL(SETUP_XfOrM825(_), scheme_handle_stack_overflow (generate_k ) ); 
    (memcpy (jitter , jitter_copy , sizeof (mz_jit_state ) ) ) ; 
    RET_VALUE_START ((((long ) (ok ) ) >> 1 ) ) RET_VALUE_END ; 
  }
  type = ((((long ) (obj ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (obj ) ) -> type ) ; 
  switch (type ) {
#   define XfOrM727_COUNT (0+XfOrM726_COUNT)
#   define SETUP_XfOrM727(x) SETUP_XfOrM726(x)
    case scheme_toplevel_type : {
      int pos ; 
#     define XfOrM823_COUNT (0+XfOrM727_COUNT)
#     define SETUP_XfOrM823(x) SETUP_XfOrM727(x)
      ; 
      ; 
      pos = FUNCCALL(SETUP_XfOrM823(_), mz_remap_it (jitter , (((Scheme_Toplevel * ) (obj ) ) -> depth ) ) ); 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((pos ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      pos = (((Scheme_Toplevel * ) (obj ) ) -> position ) ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (2 ) ) ) ) ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((pos ) << 2 ) ) ) ) == 0 ) && ((((0x40 + (2 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (2 ) ) ) ) ) ? ((((((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) ) ^ (((unsigned long ) (((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) == 0 ) && ((((0x40 + (2 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) ) ^ (((unsigned long ) (((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) ) ^ (((unsigned long ) (((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (! ((& ((Scheme_Toplevel * ) (obj ) ) -> iso ) -> so . keyex & (0x1 | 0x2 ) ) ) {
        (void ) (((((0 ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unbound_global_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((0 ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unbound_global_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
      }
      ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    case scheme_local_type : {
      int pos ; 
#     define XfOrM820_COUNT (0+XfOrM727_COUNT)
#     define SETUP_XfOrM820(x) SETUP_XfOrM727(x)
      ; 
      pos = FUNCCALL(SETUP_XfOrM820(_), mz_remap_it (jitter , (((Scheme_Local * ) (obj ) ) -> position ) ) ); 
      ; 
      if (pos || (((jitter -> status_at_ptr == (jitter -> js ) . x . pc ) ? jitter -> reg_status : 0 ) != 0x1 ) ) {
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((pos ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        ; 
      }
      if ((& ((Scheme_Local * ) (obj ) ) -> iso ) -> so . keyex & 0x1 ) {
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((pos ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      }
      ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    case scheme_local_unbox_type : {
      int pos ; 
#     define XfOrM818_COUNT (0+XfOrM727_COUNT)
#     define SETUP_XfOrM818(x) SETUP_XfOrM727(x)
      ; 
      ; 
      pos = FUNCCALL(SETUP_XfOrM818(_), mz_remap_it (jitter , (((Scheme_Local * ) (obj ) ) -> position ) ) ); 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((pos ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      if ((& ((Scheme_Local * ) (obj ) ) -> iso ) -> so . keyex & 0x1 ) {
        ; 
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((pos ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      }
      ; 
      ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    case scheme_syntax_type : {
      int pos ; 
#     define XfOrM788_COUNT (0+XfOrM727_COUNT)
#     define SETUP_XfOrM788(x) SETUP_XfOrM727(x)
      pos = (((Scheme_Simple_Object * ) (obj ) ) -> u . ptr_int_val . pint ) ; 
      switch (pos ) {
#       define XfOrM789_COUNT (0+XfOrM788_COUNT)
#       define SETUP_XfOrM789(x) SETUP_XfOrM788(x)
        case 3 : {
#         define XfOrM817_COUNT (0+XfOrM789_COUNT)
#         define SETUP_XfOrM817(x) SETUP_XfOrM789(x)
          ; 
          ; 
          FUNCCALL(SETUP_XfOrM817(_), generate_case_closure ((((Scheme_Simple_Object * ) (obj ) ) -> u . ptr_int_val . ptr ) , jitter ) ); 
          ; 
        }
        break ; 
        case 4 : {
          Scheme_Sequence * seq ; 
          jit_insn * ref , * ref2 ; 
          int i ; 
          BLOCK_SETUP((PUSH(ref, 0+XfOrM789_COUNT), PUSH(seq, 1+XfOrM789_COUNT), PUSH(ref2, 2+XfOrM789_COUNT)));
#         define XfOrM814_COUNT (3+XfOrM789_COUNT)
#         define SETUP_XfOrM814(x) SETUP(XfOrM814_COUNT)
          seq = NULLED_OUT ; 
          ref = NULLED_OUT ; 
          ref2 = NULLED_OUT ; 
          ; 
          ; 
          seq = (Scheme_Sequence * ) (((Scheme_Simple_Object * ) (obj ) ) -> u . ptr_int_val . ptr ) ; 
          FUNCCALL(SETUP_XfOrM814(_), generate_non_tail (seq -> array [0 ] , jitter , 1 , 1 ) ); 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          ((void ) (((((0x40 + (0 ) ) ) ) ) == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
          FUNCCALL(SETUP_XfOrM814(_), mz_pushr_p_it (jitter , ((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ); 
          FUNCCALL_AGAIN(mz_pushr_p_it (jitter , ((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ); 
          FUNCCALL_AGAIN(mz_pushr_p_it (jitter , ((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ); 
          ; 
          ref = (((((((Scheme_Object * ) 0x6 ) ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          FUNCCALL(SETUP_XfOrM814(_), mz_popr_p_it (jitter , ((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ); 
          FUNCCALL_AGAIN(mz_popr_p_it (jitter , ((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ); 
          FUNCCALL_AGAIN(mz_popr_p_it (jitter , ((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ); 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_thread ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_thread ) ) ) ) ^ (((unsigned long ) (((& scheme_current_thread ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_thread ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_thread ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_thread ) ) ) ) ^ (((unsigned long ) (((& scheme_current_thread ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_thread ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_thread ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_thread ) ) ) ) ^ (((unsigned long ) (((& scheme_current_thread ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_thread ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          ((0x1 ) <= 3 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (0x1 ) ) == 1 ) ? 0 : (((1 << (0x1 ) ) == 2 ) ? 1 : (((1 << (0x1 ) ) == 4 ) ? 2 : (((1 << (0x1 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (0x1 ) ) == 1 ) ? 0 : (((1 << (0x1 ) ) == 2 ) ? 1 : (((1 << (0x1 ) ) == 4 ) ? 2 : (((1 << (0x1 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (0x1 ) ) == 1 ) ? 0 : (((1 << (0x1 ) ) == 2 ) ? 1 : (((1 << (0x1 ) ) == 4 ) ? 2 : (((1 << (0x1 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (0x1 ) ) == 1 ) ? 0 : (((1 << (0x1 ) ) == 2 ) ? 1 : (((1 << (0x1 ) ) == 4 ) ? 2 : (((1 << (0x1 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) : (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) == (((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ? ((((0x1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0x1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ) ; 
          (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) == (((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ? ((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0x26 || ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0x27 ) ? 0x10 : (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x1 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0x26 || ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0x27 ) ? 0x10 : (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x1 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
          FUNCCALL(SETUP_XfOrM814(_), mz_pushr_p_it (jitter , ((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ); 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          FUNCCALL(SETUP_XfOrM814(_), mz_pushr_p_it (jitter , ((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ); 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          (void ) ((((long ) (0x0 ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (0x0 ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (0x0 ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
          FUNCCALL(SETUP_XfOrM814(_), mz_pushr_p_it (jitter , (0x40 + (1 ) ) ) ); 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          ref2 = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
          (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
          ; 
          for (i = 1 ; i < seq -> count ; i ++ ) {
#           define XfOrM816_COUNT (0+XfOrM814_COUNT)
#           define SETUP_XfOrM816(x) SETUP_XfOrM814(x)
            FUNCCALL(SETUP_XfOrM816(_), generate_ignored_non_tail (seq -> array [i ] , jitter , 1 , 1 ) ); 
            if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
              RET_VALUE_START (0 ) RET_VALUE_END ; 
            ; 
          }
          FUNCCALL(SETUP_XfOrM814(_), mz_popr_p_it (jitter , (0x40 + (0 ) ) ) ); 
          FUNCCALL(SETUP_XfOrM814(_), mz_popr_p_it (jitter , (0x40 + (1 ) ) ) ); 
          FUNCCALL_AGAIN(mz_popr_p_it (jitter , (0x40 + (2 ) ) ) ); 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          ; 
          ref = (((((0x0 ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((0x0 ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_thread ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_thread ) ) ) ) ^ (((unsigned long ) (((& scheme_current_thread ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_thread ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_thread ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_thread ) ) ) ) ^ (((unsigned long ) (((& scheme_current_thread ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_thread ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_thread ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_thread ) ) ) ) ^ (((unsigned long ) (((& scheme_current_thread ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_thread ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          ((((0x40 + (2 ) ) ) == ((0x40 + (2 ) ) ) ) ? ((((0x1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0x1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          (void ) ((((long ) (((Scheme_Object * ) 0x6 ) ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
          (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
          ; 
          ; 
        }
        break ; 
        case 2 : {
          Scheme_Object * p , * v ; 
          int pos , set_undef ; 
          BLOCK_SETUP((PUSH(v, 0+XfOrM789_COUNT)));
#         define XfOrM812_COUNT (1+XfOrM789_COUNT)
#         define SETUP_XfOrM812(x) SETUP(XfOrM812_COUNT)
          p = NULLED_OUT ; 
          v = NULLED_OUT ; 
          ; 
          ; 
          p = (((Scheme_Simple_Object * ) (obj ) ) -> u . ptr_int_val . ptr ) ; 
          v = (((Scheme_Simple_Object * ) (p ) ) -> u . pair_val . car ) ; 
          set_undef = (! (((v ) ) == (scheme_false ) ) ) ; 
          p = (((Scheme_Simple_Object * ) (p ) ) -> u . pair_val . cdr ) ; 
          v = (((Scheme_Simple_Object * ) (p ) ) -> u . pair_val . car ) ; 
          p = (((Scheme_Simple_Object * ) (p ) ) -> u . pair_val . cdr ) ; 
          FUNCCALL(SETUP_XfOrM812(_), generate_non_tail (p , jitter , 0 , 1 ) ); 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          pos = FUNCCALL(SETUP_XfOrM812(_), mz_remap_it (jitter , (((Scheme_Toplevel * ) (v ) ) -> depth ) ) ); 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((pos ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          pos = (((Scheme_Toplevel * ) (v ) ) -> position ) ; 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (2 ) ) ) ) ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((pos ) << 2 ) ) ) ) == 0 ) && ((((0x40 + (2 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          if (jitter -> need_set_rs ) {
            ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
            jitter -> need_set_rs = 0 ; 
          }
          ; 
          ((jitter -> js ) . jitl . argssize += ((3 ) ) ) ; 
          (void ) ((set_undef ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((set_undef ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
          (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
          (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (0 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
          (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (2 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((call_set_global_bucket ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          (void ) ((((long ) (scheme_void ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (scheme_void ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (scheme_void ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
          ; 
        }
        break ; 
        case 10 : {
          Scheme_Object * p , * v ; 
          GC_CAN_IGNORE jit_insn * ref , * ref2 , * ref3 , * ref5 , * refloop ; 
          BLOCK_SETUP((PUSH(p, 0+XfOrM789_COUNT), PUSH(v, 1+XfOrM789_COUNT)));
#         define XfOrM796_COUNT (2+XfOrM789_COUNT)
#         define SETUP_XfOrM796(x) SETUP(XfOrM796_COUNT)
          p = NULLED_OUT ; 
          v = NULLED_OUT ; 
          ; 
          ; 
          p = (((Scheme_Simple_Object * ) (obj ) ) -> u . ptr_int_val . ptr ) ; 
          v = (((Scheme_Simple_Object * ) (p ) ) -> u . pair_val . car ) ; 
          p = (((Scheme_Simple_Object * ) (p ) ) -> u . pair_val . cdr ) ; 
          FUNCCALL(SETUP_XfOrM796(_), generate_non_tail (v , jitter , 0 , 1 ) ); 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          if (! FUNCCALL(SETUP_XfOrM796(_), is_a_procedure (v , jitter ) )) {
            (void ) (((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((0x40 + (0 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0x40 + (0 ) ) ) ) == 0x26 || (((0x40 + (0 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (0 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0x40 + (0 ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (bad_app_vals_target ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
            ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
            (void ) (((scheme_prim_type ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x8 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x8 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (bad_app_vals_target ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((scheme_prim_type ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (bad_app_vals_target ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
            (void ) (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((scheme_native_closure_type ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xf ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xf ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (bad_app_vals_target ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
            if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
              RET_VALUE_START (0 ) RET_VALUE_END ; 
            ; 
          }
          FUNCCALL(SETUP_XfOrM796(_), mz_pushr_p_it (jitter , (0x40 + (0 ) ) ) ); 
          FUNCCALL(SETUP_XfOrM796(_), generate_non_tail (p , jitter , 1 , 1 ) ); 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          FUNCCALL(SETUP_XfOrM796(_), mz_popr_p_it (jitter , ((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ); 
          ; 
          ref = (((((((Scheme_Object * ) 0x6 ) ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
          if (is_tail ) {
            ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) && (((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
          }
          else {
            ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) && (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
          }
          ; 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          ((1 ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((1 ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((1 ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
          ref2 = (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
          (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_thread ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_thread ) ) ) ) ^ (((unsigned long ) (((& scheme_current_thread ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_thread ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_thread ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_thread ) ) ) ) ^ (((unsigned long ) (((& scheme_current_thread ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_thread ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_thread ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_thread ) ) ) ) ^ (((unsigned long ) (((& scheme_current_thread ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_thread ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (1 ) ) ) ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) == 0 ) && (((0x40 + (1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack_start ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack_start ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack_start ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack_start ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack_start ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack_start ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          if (is_tail ) {
            (((((0x40 + (0 ) ) ) ) == (((0x40 + (0 ) ) ) ) ) ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((3 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) : (((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) == (((0x40 + (0 ) ) ) ) ) ? (void ) 0 : (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
          }
          else {
            (((((0x40 + (0 ) ) ) ) == (((0x40 + (0 ) ) ) ) ) ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((3 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) == (((0x40 + (0 ) ) ) ) ) ? (void ) 0 : (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
          }
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          ((2 ) <= 3 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((((0x40 + (2 ) ) ) ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((0x40 + (2 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) : ((((0x40 + (2 ) ) ) == ((0x40 + (2 ) ) ) ) ? ((((2 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((2 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((2 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((2 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ) ; 
          if (is_tail ) {
            ; 
            (void ) (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x2 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x2 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (app_values_tail_slow_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
            ; 
            ref5 = 0 ; 
          }
          else {
            GC_CAN_IGNORE jit_insn * refok ; 
            refok = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x3 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x3 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
            ; 
            if (multi_ok ) {
              (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (app_values_multi_slow_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
            }
            else {
              (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (app_values_slow_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
            }
            ; 
            ref5 = (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
            (* ((_sl * ) ((refok ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (refok ) ) ) ) ; 
          }
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          if (is_tail ) {
            (((((0x40 + (2 ) ) ) ) == ((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((3 ) << 3 ) | ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) : (((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) == ((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? (void ) 0 : (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
          }
          else {
            (((((0x40 + (2 ) ) ) ) == ((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((3 ) << 3 ) | ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) == ((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? (void ) 0 : (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
          }
          ; 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (1 ) ) ) ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) == 0 ) && (((0x40 + (1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          refloop = (jitter -> js ) . x . pc ; 
          ref3 = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0 ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xe ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xe ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
          (((((0x40 + (2 ) ) ) ) == (((0x40 + (2 ) ) ) ) ) ? (((! ((((unsigned long ) ((- ((1 << 2 ) ) ) ) ) ^ (((unsigned long ) ((- ((1 << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- ((1 << 2 ) ) ) ) ) ^ (((unsigned long ) ((- ((1 << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- ((1 << 2 ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- ((1 << 2 ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- ((1 << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (2 ) ) ) ) ) ? (((((- ((1 << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- ((1 << 2 ) ) ) ) ) ^ (((unsigned long ) ((- ((1 << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- ((1 << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- ((1 << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- ((1 << 2 ) ) ) ) == 0 ) && ((((0x40 + (2 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- ((1 << 2 ) ) ) ) ) ^ (((unsigned long ) ((- ((1 << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- ((1 << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- ((1 << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- ((1 << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- ((1 << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- ((1 << 2 ) ) ) ) ) ^ (((unsigned long ) ((- ((1 << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- ((1 << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- ((1 << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? ((((((0x40 + (1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (1 ) ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && ((((0x40 + (1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (2 ) ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && ((((0x40 + (2 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (refloop ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          (* ((_sl * ) ((ref3 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref3 ) ) ) ) ; 
          (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_thread ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_thread ) ) ) ) ^ (((unsigned long ) (((& scheme_current_thread ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_thread ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_thread ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_thread ) ) ) ) ^ (((unsigned long ) (((& scheme_current_thread ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_thread ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_thread ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_thread ) ) ) ) ^ (((unsigned long ) (((& scheme_current_thread ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_thread ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
          ; 
          if (is_tail ) {
#           define XfOrM799_COUNT (0+XfOrM796_COUNT)
#           define SETUP_XfOrM799(x) SETUP_XfOrM796(x)
            if (! shared_tail_argc_code ) {
#             define XfOrM800_COUNT (0+XfOrM799_COUNT)
#             define SETUP_XfOrM800(x) SETUP_XfOrM799(x)
              shared_tail_argc_code = FUNCCALL(SETUP_XfOrM800(_), generate_shared_call (- 1 , jitter , 1 , 1 , 0 , 0 ) ); 
            }
            ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x45 ) ) ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) && (((0x45 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
            (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (shared_tail_argc_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
          }
          else {
            int mo = multi_ok ? 1 : 0 ; 
            void * code ; 
            BLOCK_SETUP((PUSH(code, 0+XfOrM796_COUNT)));
#           define XfOrM797_COUNT (1+XfOrM796_COUNT)
#           define SETUP_XfOrM797(x) SETUP(XfOrM797_COUNT)
            code = NULLED_OUT ; 
            if (! shared_non_tail_argc_code [mo ] ) {
#             define XfOrM798_COUNT (0+XfOrM797_COUNT)
#             define SETUP_XfOrM798(x) SETUP_XfOrM797(x)
              FUNCCALL(SETUP_XfOrM798(_), ensure_retry_available (jitter , multi_ok ) ); 
              code = FUNCCALL(SETUP_XfOrM798(_), generate_shared_call (- 2 , jitter , multi_ok , 0 , 0 , 0 ) ); 
              shared_non_tail_argc_code [mo ] = code ; 
            }
            code = shared_non_tail_argc_code [mo ] ; 
            (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
            jitter -> need_set_rs = 1 ; 
            (* ((_sl * ) ((ref5 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref5 ) ) ) ) ; 
          }
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          ; 
          if (is_tail )
            RET_VALUE_START (2 ) RET_VALUE_END ; 
        }
        break ; 
        case 5 : {
          Scheme_Object * p , * v ; 
          int pos ; 
          BLOCK_SETUP((PUSH(p, 0+XfOrM789_COUNT)));
#         define XfOrM794_COUNT (1+XfOrM789_COUNT)
#         define SETUP_XfOrM794(x) SETUP(XfOrM794_COUNT)
          p = NULLED_OUT ; 
          v = NULLED_OUT ; 
          ; 
          ; 
          if (jitter -> need_set_rs ) {
            ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
            jitter -> need_set_rs = 0 ; 
          }
          ; 
          p = (Scheme_Object * ) (((Scheme_Simple_Object * ) (obj ) ) -> u . ptr_int_val . ptr ) ; 
          v = (((Scheme_Simple_Object * ) (p ) ) -> u . pair_val . car ) ; 
          pos = FUNCCALL(SETUP_XfOrM794(_), mz_remap_it (jitter , (((long ) (v ) ) >> 1 ) ) ); 
          p = (((Scheme_Simple_Object * ) (p ) ) -> u . pair_val . cdr ) ; 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((pos ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          ((jitter -> js ) . jitl . argssize += ((1 ) ) ) ; 
          (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (2 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
          (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_make_envunbox ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
          ((void ) ((void ) ((0x40 ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((0x40 ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((pos ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          FUNCCALL(SETUP_XfOrM794(_), generate (p , jitter , is_tail , multi_ok ) ); 
          ; 
        }
        break ; 
        case 9 : {
#         define XfOrM793_COUNT (0+XfOrM789_COUNT)
#         define SETUP_XfOrM793(x) SETUP_XfOrM789(x)
          obj = (((Scheme_Simple_Object * ) (obj ) ) -> u . ptr_int_val . ptr ) ; 
          pos = FUNCCALL(SETUP_XfOrM793(_), mz_remap_it (jitter , (((Scheme_Toplevel * ) (obj ) ) -> depth ) ) ); 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((pos ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          pos = (((Scheme_Toplevel * ) (obj ) ) -> position ) ; 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (2 ) ) ) ) ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((pos ) << 2 ) ) ) ) == 0 ) && ((((0x40 + (2 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          ((jitter -> js ) . jitl . argssize += ((1 ) ) ) ; 
          (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (2 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
          (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((make_global_ref ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          ((void ) ((void ) ((0x40 ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((0x40 ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
          ; 
        }
        break ; 
        case 11 : {
#         define XfOrM792_COUNT (0+XfOrM789_COUNT)
#         define SETUP_XfOrM792(x) SETUP_XfOrM789(x)
          FUNCCALL_EMPTY(scheme_signal_error ("cannot JIT a top-level splice form" ) ); 
        }
        break ; 
        default : {
          if (jitter -> need_set_rs ) {
            ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
            jitter -> need_set_rs = 0 ; 
          }
          ; 
          obj = (((Scheme_Simple_Object * ) (obj ) ) -> u . ptr_int_val . ptr ) ; 
          (void ) (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((obj ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          ((jitter -> js ) . jitl . argssize += ((1 ) ) ) ; 
          (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (2 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
          (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_syntax_executers [pos ] ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          ((void ) ((void ) ((0x40 ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((0x40 ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
          ; 
        }
      }
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    case scheme_application_type : {
      Scheme_App_Rec * app = (Scheme_App_Rec * ) obj ; 
      int r ; 
      BLOCK_SETUP((PUSH(app, 0+XfOrM727_COUNT)));
#     define XfOrM787_COUNT (1+XfOrM727_COUNT)
#     define SETUP_XfOrM787(x) SETUP(XfOrM787_COUNT)
      ; 
      r = FUNCCALL(SETUP_XfOrM787(_), generate_inlined_nary (jitter , app , is_tail , multi_ok , ((void * ) 0 ) , 1 ) ); 
      if (r )
        RET_VALUE_START (r ) RET_VALUE_END ; 
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(generate_app (app , ((void * ) 0 ) , app -> num_args , jitter , is_tail , multi_ok ) )) RET_VALUE_EMPTY_END ; 
    }
    case scheme_application2_type : {
      Scheme_App2_Rec * app = (Scheme_App2_Rec * ) obj ; 
      Scheme_Object * args [2 ] ; 
      int r ; 
      BLOCK_SETUP((PUSHARRAY(args, 2, 0+XfOrM727_COUNT), PUSH(app, 3+XfOrM727_COUNT)));
#     define XfOrM786_COUNT (4+XfOrM727_COUNT)
#     define SETUP_XfOrM786(x) SETUP(XfOrM786_COUNT)
      args[0] = NULLED_OUT ; 
      args[1] = NULLED_OUT ; 
      r = FUNCCALL(SETUP_XfOrM786(_), generate_inlined_unary (jitter , app , is_tail , multi_ok , ((void * ) 0 ) , 1 ) ); 
      if (r )
        RET_VALUE_START (r ) RET_VALUE_END ; 
      ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      args [0 ] = app -> rator ; 
      args [1 ] = app -> rand ; 
      RET_VALUE_START (FUNCCALL(SETUP_XfOrM786(_), generate_app (((void * ) 0 ) , args , 1 , jitter , is_tail , multi_ok ) )) RET_VALUE_END ; 
    }
    case scheme_application3_type : {
      Scheme_App3_Rec * app = (Scheme_App3_Rec * ) obj ; 
      Scheme_Object * args [3 ] ; 
      int r ; 
      BLOCK_SETUP((PUSHARRAY(args, 3, 0+XfOrM727_COUNT), PUSH(app, 3+XfOrM727_COUNT)));
#     define XfOrM785_COUNT (4+XfOrM727_COUNT)
#     define SETUP_XfOrM785(x) SETUP(XfOrM785_COUNT)
      args[0] = NULLED_OUT ; 
      args[1] = NULLED_OUT ; 
      args[2] = NULLED_OUT ; 
      r = FUNCCALL(SETUP_XfOrM785(_), generate_inlined_binary (jitter , app , is_tail , multi_ok , ((void * ) 0 ) , 1 ) ); 
      if (r )
        RET_VALUE_START (r ) RET_VALUE_END ; 
      ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      args [0 ] = app -> rator ; 
      args [1 ] = app -> rand1 ; 
      args [2 ] = app -> rand2 ; 
      RET_VALUE_START (FUNCCALL(SETUP_XfOrM785(_), generate_app (((void * ) 0 ) , args , 2 , jitter , is_tail , multi_ok ) )) RET_VALUE_END ; 
    }
    case scheme_sequence_type : {
      Scheme_Sequence * seq = (Scheme_Sequence * ) obj ; 
      int cnt = seq -> count , i ; 
      BLOCK_SETUP((PUSH(seq, 0+XfOrM727_COUNT)));
#     define XfOrM782_COUNT (1+XfOrM727_COUNT)
#     define SETUP_XfOrM782(x) SETUP(XfOrM782_COUNT)
      ; 
      ; 
      for (i = 0 ; i < cnt - 1 ; i ++ ) {
#       define XfOrM784_COUNT (0+XfOrM782_COUNT)
#       define SETUP_XfOrM784(x) SETUP_XfOrM782(x)
        FUNCCALL(SETUP_XfOrM784(_), generate_ignored_non_tail (seq -> array [i ] , jitter , 1 , 1 ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
      }
      ; 
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(generate (seq -> array [cnt - 1 ] , jitter , is_tail , multi_ok ) )) RET_VALUE_EMPTY_END ; 
    }
    case scheme_branch_type : {
      Scheme_Branch_Rec * branch = (Scheme_Branch_Rec * ) obj ; 
      jit_insn * refs [6 ] , * ref2 ; 
      int nsrs , nsrs1 , g1 , g2 , amt ; 
      int then_short_ok = 1 ; 
      BLOCK_SETUP((PUSHARRAY(refs, 6, 0+XfOrM727_COUNT), PUSH(ref2, 3+XfOrM727_COUNT), PUSH(branch, 4+XfOrM727_COUNT)));
#     define XfOrM767_COUNT (5+XfOrM727_COUNT)
#     define SETUP_XfOrM767(x) SETUP(XfOrM767_COUNT)
      NULL_OUT_ARRAY (refs ) ; 
      ref2 = NULLED_OUT ; 
      ; 
      ; 
      refs [0 ] = ((void * ) 0 ) ; 
      refs [1 ] = ((void * ) 0 ) ; 
      refs [2 ] = ((void * ) 0 ) ; 
      refs [3 ] = ((void * ) 0 ) ; 
      refs [4 ] = ((void * ) 0 ) ; 
      refs [5 ] = ((void * ) 0 ) ; 
      if (! FUNCCALL(SETUP_XfOrM767(_), generate_inlined_test (jitter , branch -> test , then_short_ok , refs ) )) {
#       define XfOrM781_COUNT (0+XfOrM767_COUNT)
#       define SETUP_XfOrM781(x) SETUP_XfOrM767(x)
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        FUNCCALL(SETUP_XfOrM781(_), generate_non_tail (branch -> test , jitter , 0 , 1 ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        ; 
        refs [0 ] = (((((scheme_false ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((scheme_false ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
        ; 
      }
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      FUNCCALL(SETUP_XfOrM767(_), mz_runstack_saved (jitter ) ); 
      nsrs = jitter -> need_set_rs ; 
      ; 
      ; 
      ; 
      g1 = FUNCCALL(SETUP_XfOrM767(_), generate (branch -> tbranch , jitter , is_tail , multi_ok ) ); 
      ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      amt = FUNCCALL(SETUP_XfOrM767(_), mz_runstack_restored (jitter ) ); 
      if (g1 != 2 ) {
        if (amt && ! is_tail ) {
          (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (((amt ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((((((long ) (((amt ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (((amt ) << 2 ) ) ) ) ) == 0 ) && ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (((amt ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
        }
        ; 
        ref2 = (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        ; 
        nsrs1 = jitter -> need_set_rs ; 
      }
      else {
        ref2 = 0 ; 
        nsrs1 = 0 ; 
      }
      jitter -> need_set_rs = nsrs ; 
      FUNCCALL(SETUP_XfOrM767(_), mz_runstack_saved (jitter ) ); 
      ; 
      if (refs [0 ] ) {
        (* ((_sl * ) ((refs [0 ] ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (refs [0 ] ) ) ) ) ; 
      }
      if (refs [1 ] ) {
        (* ((_sl * ) ((refs [1 ] ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (refs [1 ] ) ) ) ) ; 
      }
      if (refs [2 ] ) {
        (* ((_sl * ) ((refs [2 ] ) - sizeof (long ) ) ) = ((_sl ) ((((jitter -> js ) . x . pc ) ) ) ) ) ; 
      }
      if (refs [3 ] ) {
        (* ((_sl * ) ((refs [3 ] ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (refs [3 ] ) ) ) ) ; 
      }
      if (refs [4 ] ) {
        (* ((_sl * ) ((refs [4 ] ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (refs [4 ] ) ) ) ) ; 
      }
      if (refs [5 ] ) {
        (* ((_sl * ) ((refs [5 ] ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (refs [5 ] ) ) ) ) ; 
      }
      ; 
      ; 
      ; 
      ; 
      ; 
      g2 = FUNCCALL(SETUP_XfOrM767(_), generate (branch -> fbranch , jitter , is_tail , multi_ok ) ); 
      ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      amt = FUNCCALL(SETUP_XfOrM767(_), mz_runstack_restored (jitter ) ); 
      if (g2 != 2 ) {
        if (amt && ! is_tail ) {
          (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (((amt ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((((((long ) (((amt ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (((amt ) << 2 ) ) ) ) ) == 0 ) && ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (((amt ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
        }
      }
      else {
        jitter -> need_set_rs = 0 ; 
      }
      if (g1 != 2 ) {
        ; 
        (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
        ; 
      }
      ; 
      ; 
      if ((g1 == 2 ) && (g2 == 2 ) )
        RET_VALUE_START (2 ) RET_VALUE_END ; 
      if (nsrs1 )
        jitter -> need_set_rs = 1 ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    case scheme_unclosed_procedure_type : {
      Scheme_Closure_Data * data = (Scheme_Closure_Data * ) obj ; 
      BLOCK_SETUP((PUSH(data, 0+XfOrM727_COUNT)));
#     define XfOrM766_COUNT (1+XfOrM727_COUNT)
#     define SETUP_XfOrM766(x) SETUP(XfOrM766_COUNT)
      ; 
      ; 
      FUNCCALL(SETUP_XfOrM766(_), generate_closure (data , jitter , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      FUNCCALL(SETUP_XfOrM766(_), generate_closure_fill (data , jitter ) ); 
      ; 
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    }
    case scheme_let_value_type : {
      Scheme_Let_Value * lv = (Scheme_Let_Value * ) obj ; 
      int ab = (& lv -> iso ) -> so . keyex , i , pos ; 
      BLOCK_SETUP((PUSH(lv, 0+XfOrM727_COUNT)));
#     define XfOrM754_COUNT (1+XfOrM727_COUNT)
#     define SETUP_XfOrM754(x) SETUP(XfOrM754_COUNT)
      ; 
      ; 
      if (lv -> count == 1 ) {
#       define XfOrM763_COUNT (0+XfOrM754_COUNT)
#       define SETUP_XfOrM763(x) SETUP_XfOrM754(x)
        FUNCCALL(SETUP_XfOrM763(_), generate_non_tail (lv -> value , jitter , 0 , 1 ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        if (ab ) {
#         define XfOrM765_COUNT (0+XfOrM763_COUNT)
#         define SETUP_XfOrM765(x) SETUP_XfOrM763(x)
          pos = FUNCCALL(SETUP_XfOrM765(_), mz_remap_it (jitter , lv -> position ) ); 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((pos ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (2 ) ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && ((((0x40 + (2 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        }
        else {
#         define XfOrM764_COUNT (0+XfOrM763_COUNT)
#         define SETUP_XfOrM764(x) SETUP_XfOrM763(x)
          pos = FUNCCALL(SETUP_XfOrM764(_), mz_remap_it (jitter , lv -> position ) ); 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((pos ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        }
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
      }
      else {
        jit_insn * ref , * ref2 , * ref3 ; 
        BLOCK_SETUP((PUSH(ref, 0+XfOrM754_COUNT), PUSH(ref2, 1+XfOrM754_COUNT), PUSH(ref3, 2+XfOrM754_COUNT)));
#       define XfOrM755_COUNT (3+XfOrM754_COUNT)
#       define SETUP_XfOrM755(x) SETUP(XfOrM755_COUNT)
        ref = NULLED_OUT ; 
        ref2 = NULLED_OUT ; 
        ref3 = NULLED_OUT ; 
        FUNCCALL(SETUP_XfOrM755(_), generate_non_tail (lv -> value , jitter , 1 , 1 ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        ; 
        ref = (((((((Scheme_Object * ) 0x6 ) ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_thread ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_thread ) ) ) ) ^ (((unsigned long ) (((& scheme_current_thread ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_thread ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_thread ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_thread ) ) ) ) ^ (((unsigned long ) (((& scheme_current_thread ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_thread ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_thread ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_thread ) ) ) ) ^ (((unsigned long ) (((& scheme_current_thread ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_thread ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (2 ) ) ) ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) == 0 ) && (((0x40 + (2 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (2 ) ) ) ) ) ? ((((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) == 0 ) && ((((0x40 + (2 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        ref2 = (((lv -> count ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((lv -> count ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
        ref3 = (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
        ((1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((1 ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
        ((void ) (((((0x40 + (0 ) ) ) ) ) == ((((0x40 + (2 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        (* ((_sl * ) ((ref3 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref3 ) ) ) ) ; 
        if (jitter -> need_set_rs ) {
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        }
        ; 
        ((jitter -> js ) . jitl . argssize += ((3 ) ) ) ; 
        (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (2 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
        (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        ((lv -> count ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((lv -> count ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
        (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
        (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((lexical_binding_wrong_return_arity ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
        ; 
        for (i = 0 ; i < lv -> count ; i ++ ) {
#         define XfOrM759_COUNT (0+XfOrM755_COUNT)
#         define SETUP_XfOrM759(x) SETUP_XfOrM755(x)
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (2 ) ) ) ) ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((i ) << 2 ) ) ) ) == 0 ) && ((((0x40 + (2 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          if (ab ) {
#           define XfOrM761_COUNT (0+XfOrM759_COUNT)
#           define SETUP_XfOrM761(x) SETUP_XfOrM759(x)
            pos = FUNCCALL(SETUP_XfOrM761(_), mz_remap_it (jitter , lv -> position + i ) ); 
            ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((pos ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
            ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          }
          else {
#           define XfOrM760_COUNT (0+XfOrM759_COUNT)
#           define SETUP_XfOrM760(x) SETUP_XfOrM759(x)
            pos = FUNCCALL(SETUP_XfOrM760(_), mz_remap_it (jitter , lv -> position + i ) ); 
            ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((pos ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((pos ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((pos ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((pos ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((pos ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((pos ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          }
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
        }
      }
      ; 
      ; 
      RET_VALUE_START (FUNCCALL(SETUP_XfOrM754(_), generate (lv -> body , jitter , is_tail , multi_ok ) )) RET_VALUE_END ; 
    }
    case scheme_let_void_type : {
      Scheme_Let_Void * lv = (Scheme_Let_Void * ) obj ; 
      int c = lv -> count ; 
      BLOCK_SETUP((PUSH(lv, 0+XfOrM727_COUNT)));
#     define XfOrM749_COUNT (1+XfOrM727_COUNT)
#     define SETUP_XfOrM749(x) SETUP(XfOrM749_COUNT)
      ; 
      ; 
      ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((c ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((c ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((c ) << 2 ) ) ) ) ) ) == 0 ) && (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((c ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
      ; 
      FUNCCALL(SETUP_XfOrM749(_), stack_safety (jitter , c , 0 ) ); 
      FUNCCALL_AGAIN(mz_runstack_pushed (jitter , c ) ); 
      if ((& lv -> iso ) -> so . keyex ) {
        int i ; 
        if (jitter -> need_set_rs ) {
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          jitter -> need_set_rs = 0 ; 
        }
        ; 
        for (i = 0 ; i < c ; i ++ ) {
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          (void ) ((((long ) (scheme_undefined ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (scheme_undefined ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (scheme_undefined ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
          ((jitter -> js ) . jitl . argssize += ((1 ) ) ) ; 
          (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (0 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
          (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_make_envunbox ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
          ((void ) ((void ) ((0x40 ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((0x40 ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((i ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        }
      }
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ; 
      ; 
      RET_VALUE_START (FUNCCALL(SETUP_XfOrM749(_), generate (lv -> body , jitter , is_tail , multi_ok ) )) RET_VALUE_END ; 
    }
    case scheme_letrec_type : {
      Scheme_Letrec * l = (Scheme_Letrec * ) obj ; 
      int i , nsrs ; 
      BLOCK_SETUP((PUSH(l, 0+XfOrM727_COUNT)));
#     define XfOrM739_COUNT (1+XfOrM727_COUNT)
#     define SETUP_XfOrM739(x) SETUP(XfOrM739_COUNT)
      ; 
      ; 
      for (i = 0 ; i < l -> count ; i ++ ) {
#       define XfOrM748_COUNT (0+XfOrM739_COUNT)
#       define SETUP_XfOrM748(x) SETUP_XfOrM739(x)
        ((Scheme_Closure_Data * ) l -> procs [i ] ) -> context = (Scheme_Object * ) l ; 
        FUNCCALL(SETUP_XfOrM748(_), generate_closure ((Scheme_Closure_Data * ) l -> procs [i ] , jitter , i + 1 == l -> count ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((i ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      }
      for (i = l -> count ; i -- ; ) {
#       define XfOrM745_COUNT (0+XfOrM739_COUNT)
#       define SETUP_XfOrM745(x) SETUP_XfOrM739(x)
        if (i != l -> count - 1 ) {
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((i ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        }
        FUNCCALL(SETUP_XfOrM745(_), generate_closure_fill ((Scheme_Closure_Data * ) l -> procs [i ] , jitter ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
      }
      ; 
      ; 
      nsrs = jitter -> need_set_rs ; 
      if (FUNCCALL(SETUP_XfOrM739(_), mz_try_runstack_pop (jitter , l -> count ) )) {
        int i ; 
#       define XfOrM740_COUNT (0+XfOrM739_COUNT)
#       define SETUP_XfOrM740(x) SETUP_XfOrM739(x)
        for (i = l -> count ; i -- ; ) {
          Scheme_Closure_Data * data2 = (Scheme_Closure_Data * ) l -> procs [i ] ; 
          BLOCK_SETUP((PUSH(data2, 0+XfOrM740_COUNT)));
#         define XfOrM742_COUNT (1+XfOrM740_COUNT)
#         define SETUP_XfOrM742(x) SETUP(XfOrM742_COUNT)
          FUNCCALL(SETUP_XfOrM742(_), mz_runstack_closure_pushed (jitter , (data2 -> num_params - (((& (data2 ) -> iso ) -> so . keyex & 1 ) ? 1 : 0 ) ) , ((((& (data2 ) -> iso ) -> so . keyex & 4 ) ? 0x1 : 0 ) | (((& (data2 ) -> iso ) -> so . keyex & 32 ) ? 0x2 : 0 ) ) ) ); 
        }
        jitter -> need_set_rs = nsrs ; 
      }
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(generate (l -> body , jitter , is_tail , multi_ok ) )) RET_VALUE_EMPTY_END ; 
    }
    case scheme_let_one_type : {
      Scheme_Let_One * lv = (Scheme_Let_One * ) obj ; 
      BLOCK_SETUP((PUSH(lv, 0+XfOrM727_COUNT)));
#     define XfOrM738_COUNT (1+XfOrM727_COUNT)
#     define SETUP_XfOrM738(x) SETUP(XfOrM738_COUNT)
      ; 
      ; 
      FUNCCALL(SETUP_XfOrM738(_), mz_runstack_skipped (jitter , 1 ) ); 
      ; 
      FUNCCALL_AGAIN(generate_non_tail (lv -> value , jitter , 0 , 1 ) ); 
      ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      FUNCCALL(SETUP_XfOrM738(_), mz_runstack_unskipped (jitter , 1 ) ); 
      ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) && (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
      ; 
      FUNCCALL(SETUP_XfOrM738(_), mz_runstack_pushed (jitter , 1 ) ); 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      ; 
      ; 
      (jitter -> status_at_ptr = (jitter -> js ) . x . pc , jitter -> reg_status = (0x1 ) ) ; 
      RET_VALUE_START (FUNCCALL(SETUP_XfOrM738(_), generate (lv -> body , jitter , is_tail , multi_ok ) )) RET_VALUE_END ; 
    }
    case scheme_with_cont_mark_type : {
      Scheme_With_Continuation_Mark * wcm = (Scheme_With_Continuation_Mark * ) obj ; 
      BLOCK_SETUP((PUSH(wcm, 0+XfOrM727_COUNT)));
#     define XfOrM734_COUNT (1+XfOrM727_COUNT)
#     define SETUP_XfOrM734(x) SETUP(XfOrM734_COUNT)
      ; 
      ; 
      FUNCCALL(SETUP_XfOrM734(_), generate_non_tail (wcm -> key , jitter , 0 , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (((((long ) (wcm -> val ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (wcm -> val ) ) -> type ) > _scheme_values_types_ ) {
#       define XfOrM737_COUNT (0+XfOrM734_COUNT)
#       define SETUP_XfOrM737(x) SETUP_XfOrM734(x)
        ((void ) (((((0x40 + (0 ) ) ) ) ) == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
        FUNCCALL(SETUP_XfOrM737(_), generate_non_tail (wcm -> val , jitter , 0 , 1 ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
      }
      else {
#       define XfOrM736_COUNT (0+XfOrM734_COUNT)
#       define SETUP_XfOrM736(x) SETUP_XfOrM734(x)
        FUNCCALL(SETUP_XfOrM736(_), mz_pushr_p_it (jitter , (0x40 + (0 ) ) ) ); 
        FUNCCALL(SETUP_XfOrM736(_), generate_non_tail (wcm -> val , jitter , 0 , 1 ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        FUNCCALL(SETUP_XfOrM736(_), mz_popr_p_it (jitter , ((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ); 
      }
      if (jitter -> need_set_rs ) {
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        jitter -> need_set_rs = 0 ; 
      }
      ; 
      ((jitter -> js ) . jitl . argssize += ((2 ) ) ) ; 
      (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (0 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
      (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
      (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_set_cont_mark ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ; 
      ; 
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(generate (wcm -> body , jitter , is_tail , multi_ok ) )) RET_VALUE_EMPTY_END ; 
    }
    case scheme_quote_syntax_type : {
      Scheme_Quote_Syntax * qs = (Scheme_Quote_Syntax * ) obj ; 
      int i , c , p ; 
      BLOCK_SETUP((PUSH(qs, 0+XfOrM727_COUNT)));
#     define XfOrM733_COUNT (1+XfOrM727_COUNT)
#     define SETUP_XfOrM733(x) SETUP(XfOrM733_COUNT)
      ; 
      ; 
      i = qs -> position ; 
      c = FUNCCALL(SETUP_XfOrM733(_), mz_remap_it (jitter , qs -> depth ) ); 
      p = qs -> midpoint ; 
      ((((c ) << 2 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((c ) << 2 ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
      ((((i + p + 1 ) << 2 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((i + p + 1 ) << 2 ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
      ((((p ) << 2 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((p ) << 2 ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
      (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (quote_syntax_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    default : {
      int retptr ; 
      Scheme_Type type = ((((long ) (obj ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (obj ) ) -> type ) ; 
#     define XfOrM728_COUNT (0+XfOrM727_COUNT)
#     define SETUP_XfOrM728(x) SETUP_XfOrM727(x)
      ; 
      ; 
      if (jitter -> retain_start ) {
#       define XfOrM730_COUNT (0+XfOrM728_COUNT)
#       define SETUP_XfOrM730(x) SETUP_XfOrM728(x)
        if (type == scheme_closure_type ) {
          Scheme_Closure * c = (Scheme_Closure * ) obj ; 
#         define XfOrM732_COUNT (0+XfOrM730_COUNT)
#         define SETUP_XfOrM732(x) SETUP_XfOrM730(x)
          if (! (c -> code -> closure_size ) )
            obj = FUNCCALL(SETUP_XfOrM732(_), scheme_jit_closure ((Scheme_Object * ) c -> code , ((void * ) 0 ) ) ); 
        }
        else if (type == scheme_case_closure_type ) {
#         define XfOrM731_COUNT (0+XfOrM730_COUNT)
#         define SETUP_XfOrM731(x) SETUP_XfOrM730(x)
          obj = FUNCCALL(SETUP_XfOrM731(_), scheme_unclose_case_lambda (obj , 1 ) ); 
        }
      }
      if (! (((long ) (obj ) ) & 0x1 ) && ! ((obj ) == (scheme_true ) ) && ! ((obj ) == (scheme_false ) ) && ! ((obj ) == (scheme_void ) ) && ! ((obj ) == (scheme_null ) ) ) {
#       define XfOrM729_COUNT (0+XfOrM728_COUNT)
#       define SETUP_XfOrM729(x) SETUP_XfOrM728(x)
        retptr = FUNCCALL(SETUP_XfOrM729(_), mz_retain_it (jitter , obj ) ); 
      }
      else retptr = 0 ; 
      if (retptr )
        FUNCCALL(SETUP_XfOrM728(_), mz_load_retained (jitter , (0x40 + (0 ) ) , retptr ) ); 
      else (void ) (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((obj ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
  }
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void generate_function_prolog (mz_jit_state * jitter , void * code , int max_let_depth ) {
  /* No conversion */
  int in ; 
  ; 
  ((jitter -> js ) . jitl . framesize = 8 , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x45 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x45 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x43 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x46 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x47 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  in = (((jitter -> js ) . jitl . framesize += sizeof (long ) ) - sizeof (long ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x45 ) ) ) ? (((((((in ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((in ) ) ) ) ) ^ (((unsigned long ) ((((in ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((in ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((in ) ) ) ) == 0 ) && (((0x45 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((in ) ) ) ) ) ^ (((unsigned long ) ((((in ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((in ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((in ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((in ) ) ) ) ) ^ (((unsigned long ) ((((in ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((in ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ; 
  in = (((jitter -> js ) . jitl . framesize += sizeof (int ) ) - sizeof (int ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((0x45 ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((in ) ) ) ) ) ) ) ) ) ) : (0x44 == ((0x45 ) ) ? ((((((in ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((in ) ) ) ) ^ (((unsigned long ) (((in ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((in ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((in ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((in ) ) ) == 0 ) && ((0x45 ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((0x45 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((in ) ) ) ) ^ (((unsigned long ) (((in ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((0x45 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((in ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((0x45 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((in ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((0x45 ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((in ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((in ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((0x45 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((in ) ) ) ) ^ (((unsigned long ) (((in ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((0x45 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((in ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((0x45 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((in ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ; 
  in = (((jitter -> js ) . jitl . framesize += sizeof (long ) ) - sizeof (long ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x45 ) ) ) ? (((((((in ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((in ) ) ) ) ) ^ (((unsigned long ) ((((in ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((in ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((in ) ) ) ) == 0 ) && (((0x45 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((in ) ) ) ) ) ^ (((unsigned long ) ((((in ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((in ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((in ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((in ) ) ) ) ) ^ (((unsigned long ) ((((in ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((in ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ; 
}
static int generate_function_getarg (mz_jit_state * jitter , int has_rest , int num_params ) {
  /* No conversion */
  int i , cnt ; 
  jit_insn * ref ; 
  int set_ref ; 
  (((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((2 << 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((2 << 2 ) ) ) ) ) ) ) ) ) ; 
  if (! has_rest && num_params ) {
    ((2 ) <= 3 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((((0x40 + (1 ) ) ) ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((0x40 + (1 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) : ((((0x40 + (1 ) ) ) == (((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ? ((((2 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((2 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0xF ) ) << 3 ) | ((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((2 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((2 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ) ; 
    (((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) == (((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x01 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) == (((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x01 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) == 0 ) ? (((((((0x40 + (2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0x40 + (2 ) ) ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0x40 + (2 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0x40 + (2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ) ; 
    ; 
    ref = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    ; 
    set_ref = 1 ; 
  }
  else {
    ref = 0 ; 
    set_ref = 0 ; 
  }
  ((void ) ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == (((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  cnt = num_params ; 
  if (cnt ) {
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      return 0 ; 
    ; 
    ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) == 0 ) && (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
    ; 
    if (has_rest )
      -- cnt ; 
  }
  for (i = cnt ; i -- ; ) {
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (2 ) ) ) ) ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((i ) << 2 ) ) ) ) == 0 ) && ((((0x40 + (2 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((i ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      return 0 ; 
    ; 
  }
  if (set_ref ) {
    ; 
    (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
    ; 
  }
  return cnt ; 
}
/* this far 6601 */
/* this far 6601 */
static int do_generate_common (mz_jit_state * jitter , void * _data ) {
  int in , i , ii , iii ; 
  GC_CAN_IGNORE jit_insn * ref , * ref2 ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(12);
  BLOCK_SETUP_TOP((PUSH(jitter, 0)));
# define XfOrM834_COUNT (1)
# define SETUP_XfOrM834(x) SETUP(XfOrM834_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  check_arity_code = (Native_Check_Arity_Proc ) ((jitter -> js ) . x . code ) . ptr ; 
  ((jitter -> js ) . jitl . framesize = 8 , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x45 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x45 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x43 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x46 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x47 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  in = (((jitter -> js ) . jitl . framesize += sizeof (long ) ) - sizeof (long ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x45 ) ) ) ? (((((((in ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((in ) ) ) ) ) ^ (((unsigned long ) ((((in ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((in ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((in ) ) ) ) == 0 ) && (((0x45 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((in ) ) ) ) ) ^ (((unsigned long ) ((((in ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((in ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((in ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((in ) ) ) ) ) ^ (((unsigned long ) ((((in ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((in ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ; 
  in = (((jitter -> js ) . jitl . framesize += sizeof (long ) ) - sizeof (long ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((0x45 ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((in ) ) ) ) ) ) ) ) ) ) : (0x44 == ((0x45 ) ) ? ((((((in ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((in ) ) ) ) ^ (((unsigned long ) (((in ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((in ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((in ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((in ) ) ) == 0 ) && ((0x45 ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((0x45 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((in ) ) ) ) ^ (((unsigned long ) (((in ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((0x45 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((in ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((0x45 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((in ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((0x45 ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((in ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((in ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((0x45 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((in ) ) ) ) ^ (((unsigned long ) (((in ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((0x45 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((in ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((0x45 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((in ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ; 
  (((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((2 << 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((2 << 2 ) ) ) ) ) ) ) ) ) ; 
  ((- 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- 1 ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xff ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  get_arity_code = (Native_Get_Arity_Proc ) ((jitter -> js ) . x . code ) . ptr ; 
  ((jitter -> js ) . jitl . framesize = 8 , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x45 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x45 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x43 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x46 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x47 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  in = (((jitter -> js ) . jitl . framesize += sizeof (long ) ) - sizeof (long ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x45 ) ) ) ? (((((((in ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((in ) ) ) ) ) ^ (((unsigned long ) ((((in ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((in ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((in ) ) ) ) == 0 ) && (((0x45 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((in ) ) ) ) ) ^ (((unsigned long ) ((((in ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((in ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((in ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((in ) ) ) ) ) ^ (((unsigned long ) ((((in ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((in ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ; 
  (((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((2 << 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((2 << 2 ) ) ) ) ) ) ) ) ) ; 
  ((- 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- 1 ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
  (void ) ((((long ) (0x0 ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (0x0 ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (0x0 ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xff ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  bad_result_arity_code = (Native_Get_Arity_Proc ) ((jitter -> js ) . x . code ) . ptr ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_thread ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_thread ) ) ) ) ^ (((unsigned long ) (((& scheme_current_thread ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_thread ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_thread ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_thread ) ) ) ) ^ (((unsigned long ) (((& scheme_current_thread ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_thread ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_thread ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_thread ) ) ) ) ^ (((unsigned long ) (((& scheme_current_thread ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_thread ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_thread ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (2 ) ) ) ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) == 0 ) && (((0x40 + (2 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ^ (((unsigned long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (2 ) ) ) ) ) ? ((((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) == 0 ) && ((((0x40 + (2 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((jitter -> js ) . jitl . argssize += ((3 ) ) ) ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (2 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((1 ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((call_wrong_return_arity ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  unbound_global_code = ((jitter -> js ) . x . code ) . ptr ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((jitter -> js ) . jitl . argssize += ((1 ) ) ) ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (2 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_unbound_global ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  quote_syntax_code = ((jitter -> js ) . x . code ) . ptr ; 
  ; 
  ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x45 ) ) ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) && (((0x45 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , ((((((0x40 + (1 ) ) ) ) ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : ((((((0x40 + (1 ) ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ref = (((((0x0 ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((0x0 ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((void ) (((((0x40 + (1 ) ) ) ) ) == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  ((((((0x40 + (2 ) ) ) ) ) == ((((0x40 + (1 ) ) ) ) ) ) ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((3 ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) : (((((((0x40 + (1 ) ) ) ) ) == ((((0x40 + (1 ) ) ) ) ) ) ? (void ) 0 : (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  (((((((0x40 + (1 ) ) ) ) ) ) == (((((0x40 + (1 ) ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0x40 + (1 ) ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((((0x40 + (1 ) ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0x40 + (1 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((((0x40 + (1 ) ) ) ) ) ) ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0x40 + (1 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0x40 + (1 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0x40 + (1 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) && ((((((0x40 + (1 ) ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0x40 + (1 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0x40 + (1 ) ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0x40 + (1 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0x40 + (1 ) ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0x40 + (1 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0x40 + (1 ) ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((0x40 + (1 ) ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0x40 + (1 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0x40 + (1 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0x40 + (1 ) ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0x40 + (1 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0x40 + (1 ) ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0x40 + (1 ) ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((((0x40 + (1 ) ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
  ((((0x40 + (1 ) ) ) == ((0x40 + (1 ) ) ) ) ? ((((2 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((2 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((2 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((2 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((jitter -> js ) . jitl . argssize += ((2 ) ) ) ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (0 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_delayed_rename ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((void ) ((void ) ((0x40 ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((0x40 ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x45 ) ) ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) && (((0x45 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , ((((((0x40 + (1 ) ) ) ) ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : ((((((0x40 + (1 ) ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((((((0x40 + (1 ) ) ) ) ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : ((((((0x40 + (1 ) ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
  ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc3 ) & 0xff ) ) ) ) ) ) ; 
  for (i = 0 ; i < 8 ; i ++ ) {
    switch (i ) {
      case 0 : bad_car_code = ((jitter -> js ) . x . code ) . ptr ; 
      break ; 
      case 1 : bad_cdr_code = ((jitter -> js ) . x . code ) . ptr ; 
      break ; 
      case 2 : bad_caar_code = ((jitter -> js ) . x . code ) . ptr ; 
      break ; 
      case 3 : bad_cadr_code = ((jitter -> js ) . x . code ) . ptr ; 
      break ; 
      case 4 : bad_cdar_code = ((jitter -> js ) . x . code ) . ptr ; 
      break ; 
      case 5 : bad_cddr_code = ((jitter -> js ) . x . code ) . ptr ; 
      break ; 
      case 6 : bad_mcar_code = ((jitter -> js ) . x . code ) . ptr ; 
      break ; 
      case 7 : bad_mcdr_code = ((jitter -> js ) . x . code ) . ptr ; 
      break ; 
    }
    ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) && (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
    ; 
    if ((i < 2 ) || (i > 5 ) ) {
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    }
    else {
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    }
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ((1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((1 ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
    ((jitter -> js ) . jitl . argssize += ((2 ) ) ) ; 
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
    switch (i ) {
      case 0 : (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_checked_car ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
      break ; 
      case 1 : (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_checked_cdr ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
      break ; 
      case 2 : (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_checked_caar ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
      break ; 
      case 3 : (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_checked_cadr ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
      break ; 
      case 4 : (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_checked_cdar ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
      break ; 
      case 5 : (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_checked_cddr ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
      break ; 
      case 6 : (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_checked_mcar ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
      break ; 
      case 7 : (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_checked_mcdr ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
      break ; 
    }
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  for (i = 0 ; i < 2 ; i ++ ) {
    switch (i ) {
      case 0 : bad_set_mcar_code = ((jitter -> js ) . x . code ) . ptr ; 
      break ; 
      case 1 : bad_set_mcdr_code = ((jitter -> js ) . x . code ) . ptr ; 
      break ; 
    }
    ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((2 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((2 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((2 ) << 2 ) ) ) ) ) ) == 0 ) && (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((2 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
    ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((1 ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((1 ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((1 ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ((2 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((2 ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
    ((jitter -> js ) . jitl . argssize += ((2 ) ) ) ; 
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
    switch (i ) {
      case 0 : (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_checked_set_mcar ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
      break ; 
      case 1 : (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_checked_set_mcdr ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
      break ; 
    }
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  bad_unbox_code = ((jitter -> js ) . x . code ) . ptr ; 
  ((jitter -> js ) . jitl . argssize += ((1 ) ) ) ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (0 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_unbox ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  for (i = 0 ; i < 3 ; i ++ ) {
    int argc , j ; 
    for (j = 0 ; j < 2 ; j ++ ) {
      if (! i ) {
        if (! j )
          call_original_unary_arith_code = ((jitter -> js ) . x . code ) . ptr ; 
        else call_original_unary_arith_for_branch_code = ((jitter -> js ) . x . code ) . ptr ; 
        argc = 1 ; 
      }
      else if (i == 1 ) {
        if (! j )
          call_original_binary_arith_code = ((jitter -> js ) . x . code ) . ptr ; 
        else call_original_binary_arith_for_branch_code = ((jitter -> js ) . x . code ) . ptr ; 
        argc = 2 ; 
      }
      else {
        if (! j )
          call_original_binary_rev_arith_code = ((jitter -> js ) . x . code ) . ptr ; 
        else call_original_binary_rev_arith_for_branch_code = ((jitter -> js ) . x . code ) . ptr ; 
        argc = 2 ; 
      }
      ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((argc ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((argc ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((argc ) << 2 ) ) ) ) ) ) == 0 ) && (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((argc ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
      ; 
      if (i == 2 ) {
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((1 ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((1 ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((1 ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      }
      else if (i == 1 ) {
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((1 ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((1 ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((1 ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      }
      else {
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      }
      ((argc ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((argc ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      ((jitter -> js ) . jitl . argssize += ((2 ) ) ) ; 
      (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
      (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
      (void ) ((void ) 0 , ((((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xff ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((2 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ((void ) ((void ) ((0x40 ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((0x40 ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
      ; 
      (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (((argc ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((argc ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (((argc ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((argc ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (((argc ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((argc ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((argc ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((((((long ) (((argc ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((argc ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((argc ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((argc ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((argc ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (((argc ) << 2 ) ) ) ) ) == 0 ) && ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((argc ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((argc ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((argc ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((argc ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((argc ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (((argc ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((argc ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((argc ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((argc ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((argc ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      if (! j ) {
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xff ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
      }
      else {
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x45 ) ) ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) && (((0x45 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((- ((1 << 2 ) * 5 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ^ (((unsigned long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((- ((1 << 2 ) * 5 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        ; 
        ref = (((((scheme_true ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((scheme_true ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xff ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
        (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xff ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((0x40 + (1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
        ; 
      }
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
    }
  }
  on_demand_jit_code = ((jitter -> js ) . x . code ) . ptr ; 
  ((jitter -> js ) . jitl . framesize = 8 , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x45 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x45 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x43 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x46 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x47 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  in = (((jitter -> js ) . jitl . framesize += sizeof (long ) ) - sizeof (long ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x45 ) ) ) ? (((((((in ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((in ) ) ) ) ) ^ (((unsigned long ) ((((in ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((in ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((in ) ) ) ) == 0 ) && (((0x45 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((in ) ) ) ) ) ^ (((unsigned long ) ((((in ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((in ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((in ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((in ) ) ) ) ) ^ (((unsigned long ) ((((in ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((in ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ; 
  in = (((jitter -> js ) . jitl . framesize += sizeof (int ) ) - sizeof (int ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((0x45 ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((in ) ) ) ) ) ) ) ) ) ) : (0x44 == ((0x45 ) ) ? ((((((in ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((in ) ) ) ) ^ (((unsigned long ) (((in ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((in ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((in ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((in ) ) ) == 0 ) && ((0x45 ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((0x45 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((in ) ) ) ) ^ (((unsigned long ) (((in ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((0x45 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((in ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((0x45 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((in ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((0x45 ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((in ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((in ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((0x45 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((in ) ) ) ) ^ (((unsigned long ) (((in ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((0x45 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((in ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((0x45 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((in ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ; 
  in = (((jitter -> js ) . jitl . framesize += sizeof (long ) ) - sizeof (long ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x45 ) ) ) ? (((((((in ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((in ) ) ) ) ) ^ (((unsigned long ) ((((in ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((in ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((in ) ) ) ) == 0 ) && (((0x45 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((in ) ) ) ) ) ^ (((unsigned long ) ((((in ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((in ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x45 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((in ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((in ) ) ) ) ) ^ (((unsigned long ) ((((in ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x45 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((in ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x45 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((in ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  (((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((2 << 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((2 << 2 ) ) ) ) ) ) ) ) ) ; 
  on_demand_jit_arity_code = ((jitter -> js ) . x . code ) . ptr ; 
  ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((3 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((3 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((3 ) << 2 ) ) ) ) ) ) == 0 ) && (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((3 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
  ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  (((0x1 ) ) <= 3 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , ((((((0x40 + (1 ) ) ) ) ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((0x1 ) ) ) == 1 ) ? 0 : (((1 << ((0x1 ) ) ) == 2 ) ? 1 : (((1 << ((0x1 ) ) ) == 4 ) ? 2 : (((1 << ((0x1 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : ((((((0x40 + (1 ) ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((0x1 ) ) ) == 1 ) ? 0 : (((1 << ((0x1 ) ) ) == 2 ) ? 1 : (((1 << ((0x1 ) ) ) == 4 ) ? 2 : (((1 << ((0x1 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((0x1 ) ) ) == 1 ) ? 0 : (((1 << ((0x1 ) ) ) == 2 ) ? 1 : (((1 << ((0x1 ) ) ) == 4 ) ? 2 : (((1 << ((0x1 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((0x1 ) ) ) == 1 ) ? 0 : (((1 << ((0x1 ) ) ) == 2 ) ? 1 : (((1 << ((0x1 ) ) ) == 4 ) ? 2 : (((1 << ((0x1 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) : (((((0x40 + (1 ) ) ) ) == (((0x40 + (1 ) ) ) ) ) ? (((((0x1 ) ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , (((((0x1 ) ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ) ; 
  (((((0x40 + (1 ) ) ) ) == (((0x40 + (1 ) ) ) ) ) ? ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (1 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((((((0x40 + (1 ) ) ) ) ) == 0x26 || ((((0x40 + (1 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (1 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) (((0x1 ) ) ) ) ^ (((unsigned long ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (((0x1 ) ) ) ) ^ (((unsigned long ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x1 ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (1 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((((((0x40 + (1 ) ) ) ) ) == 0x26 || ((((0x40 + (1 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (1 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) (((0x1 ) ) ) ) ^ (((unsigned long ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (((0x1 ) ) ) ) ^ (((unsigned long ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x1 ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((1 ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((1 ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((1 ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((2 ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((2 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((2 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((2 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((2 ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((2 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((2 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((2 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((2 ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((2 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((2 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((2 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  (void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (on_demand ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((1 ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((1 ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((1 ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((0x40 + (1 ) ) ) == ((0x40 + (1 ) ) ) ) ? ((((0x1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0x1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((2 ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((2 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((2 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((2 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((2 ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((2 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((2 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((2 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((2 ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((2 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((2 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((2 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (((3 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((3 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (((3 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((3 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (((3 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((3 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((3 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((((((long ) (((3 ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((3 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((3 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((3 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((3 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (((3 ) << 2 ) ) ) ) ) == 0 ) && ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((3 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((3 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((3 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((3 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((3 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (((3 ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((3 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((3 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((3 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((3 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ref = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ) ) ) ) ) ) : (0x44 == ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ? (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ^ (((unsigned long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) == 0 ) && ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ^ (((unsigned long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ^ (((unsigned long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack_start ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack_start ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack_start ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack_start ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack_start ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack_start ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack_start ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack_start ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) == ((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | (((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((3 ) << 3 ) | ((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) == ((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ? (void ) 0 : (void ) ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | (((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x29 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | (((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  ref2 = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) << 3 ) | ((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x2 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x2 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((void ) (((((0x40 + (1 ) ) ) ) ) == (((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  (((2 ) ) <= 3 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((2 ) ) ) == 1 ) ? 0 : (((1 << ((2 ) ) ) == 2 ) ? 1 : (((1 << ((2 ) ) ) == 4 ) ? 2 : (((1 << ((2 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((2 ) ) ) == 1 ) ? 0 : (((1 << ((2 ) ) ) == 2 ) ? 1 : (((1 << ((2 ) ) ) == 4 ) ? 2 : (((1 << ((2 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((2 ) ) ) == 1 ) ? 0 : (((1 << ((2 ) ) ) == 2 ) ? 1 : (((1 << ((2 ) ) ) == 4 ) ? 2 : (((1 << ((2 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((2 ) ) ) == 1 ) ? 0 : (((1 << ((2 ) ) ) == 2 ) ? 1 : (((1 << ((2 ) ) ) == 4 ) ? 2 : (((1 << ((2 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) : ((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) == ((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ? (((((2 ) ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((2 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | (((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , (((((2 ) ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((2 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ) ; 
  (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == (((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x01 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : (((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) == (((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x01 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == ((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && ((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) << 3 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) << 3 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((2 ) == 0 ? 0x43 : 0x46 + (2 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xff ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
  (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((jitter -> js ) . jitl . argssize += ((3 ) ) ) ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (2 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (0 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((_scheme_apply_multi_from_native ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  (((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((2 << 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((2 << 2 ) ) ) ) ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x47 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x46 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x43 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x45 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc3 ) & 0xff ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  app_values_tail_slow_code = ((jitter -> js ) . x . code ) . ptr ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((jitter -> js ) . jitl . argssize += ((1 ) ) ) ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((tail_call_with_values_from_multiple_result ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
  ((void ) ((void ) ((0x40 ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((0x40 ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
  ; 
  (((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((2 << 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((2 << 2 ) ) ) ) ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x47 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x46 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x43 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x45 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc3 ) & 0xff ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  finish_tail_call_code = ((jitter -> js ) . x . code ) . ptr ; 
  FUNCCALL(SETUP_XfOrM834(_), generate_finish_tail_call (jitter , 0 ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  finish_tail_call_fixup_code = ((jitter -> js ) . x . code ) . ptr ; 
  FUNCCALL(SETUP_XfOrM834(_), generate_finish_tail_call (jitter , 2 ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  get_stack_pointer_code = ((jitter -> js ) . x . code ) . ptr ; 
  ((jitter -> js ) . jitl . framesize = 8 , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x45 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x45 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x43 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x46 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x47 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  ((void ) ((((0x45 ) ) ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x45 ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((void ) (((((0x40 + (0 ) ) ) ) ) == (((0x40 ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x47 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x46 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x43 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x45 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc3 ) & 0xff ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  stack_cache_pop_code = ((jitter -> js ) . x . code ) . ptr ; 
  ((void ) ((((0x40 ) ) ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& stack_cache_stack_pos ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? (((((& stack_cache_stack_pos ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& stack_cache_stack_pos ) ) ) ^ (((unsigned long ) ((& stack_cache_stack_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& stack_cache_stack_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& stack_cache_stack_pos ) ) ) ) ) ) ) ) ) ) ) ) : (((((& stack_cache_stack_pos ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& stack_cache_stack_pos ) ) ) ^ (((unsigned long ) ((& stack_cache_stack_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& stack_cache_stack_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& stack_cache_stack_pos ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& stack_cache_stack_pos ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& stack_cache_stack_pos ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& stack_cache_stack_pos ) ) ) ^ (((unsigned long ) ((& stack_cache_stack_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& stack_cache_stack_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& stack_cache_stack_pos ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  (((((0x40 + (1 ) ) ) ) == (((0x40 + (2 ) ) ) ) ) ? (((! ((((unsigned long ) ((- (1 ) ) ) ) ^ (((unsigned long ) ((- (1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (1 ) ) ) ) ^ (((unsigned long ) ((- (1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (1 ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (1 ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (1 ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (1 ) ) ) ) ) ? (((((- (1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (1 ) ) ) ) ^ (((unsigned long ) ((- (1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (1 ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (1 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (1 ) ) ) == 0 ) && ((((0x40 + (1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (1 ) ) ) ) ^ (((unsigned long ) ((- (1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (1 ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (1 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (1 ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (1 ) ) ) ) ^ (((unsigned long ) ((- (1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (1 ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (1 ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& stack_cache_stack_pos ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? (((((& stack_cache_stack_pos ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& stack_cache_stack_pos ) ) ) ^ (((unsigned long ) ((& stack_cache_stack_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& stack_cache_stack_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& stack_cache_stack_pos ) ) ) ) ) ) ) ) ) ) ) ) : (((((& stack_cache_stack_pos ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& stack_cache_stack_pos ) ) ) ^ (((unsigned long ) ((& stack_cache_stack_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& stack_cache_stack_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& stack_cache_stack_pos ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& stack_cache_stack_pos ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& stack_cache_stack_pos ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& stack_cache_stack_pos ) ) ) ^ (((unsigned long ) ((& stack_cache_stack_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& stack_cache_stack_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& stack_cache_stack_pos ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  (((2 + 2 ) ) <= 3 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((((0x40 + (1 ) ) ) ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((2 + 2 ) ) ) == 1 ) ? 0 : (((1 << ((2 + 2 ) ) ) == 2 ) ? 1 : (((1 << ((2 + 2 ) ) ) == 4 ) ? 2 : (((1 << ((2 + 2 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((0x40 + (1 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((2 + 2 ) ) ) == 1 ) ? 0 : (((1 << ((2 + 2 ) ) ) == 2 ) ? 1 : (((1 << ((2 + 2 ) ) ) == 4 ) ? 2 : (((1 << ((2 + 2 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((2 + 2 ) ) ) == 1 ) ? 0 : (((1 << ((2 + 2 ) ) ) == 2 ) ? 1 : (((1 << ((2 + 2 ) ) ) == 4 ) ? 2 : (((1 << ((2 + 2 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((2 + 2 ) ) ) == 1 ) ? 0 : (((1 << ((2 + 2 ) ) ) == 2 ) ? 1 : (((1 << ((2 + 2 ) ) ) == 4 ) ? 2 : (((1 << ((2 + 2 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) : ((((0x40 + (1 ) ) ) == ((0x40 + (1 ) ) ) ) ? (((((2 + 2 ) ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((2 + 2 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , (((((2 + 2 ) ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((2 + 2 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ) ; 
  ((((0x40 + (1 ) ) ) == ((0x40 + (1 ) ) ) ) ? (((! ((((unsigned long ) (((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) ^ (((unsigned long ) (((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) ^ (((unsigned long ) (((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (1 ) ) ) ) ? ((((((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) ^ (((unsigned long ) (((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) ) ) ) ) ) ) ) ) ) : ((((((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) == 0 ) && (((0x40 + (1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) ^ (((unsigned long ) (((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) ^ (((unsigned long ) (((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
  (void ) ((((long ) (& stack_cache_stack ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (& stack_cache_stack ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (& stack_cache_stack ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , ((((((0x40 + (1 ) ) ) ) ) == 0 ) ? ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (2 ) ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && ((((0x40 + (2 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : ((((((0x40 + (1 ) ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((void ) (((((0x40 + (0 ) ) ) ) ) == (((0x40 ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xff ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((0x40 + (2 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  bad_app_vals_target = ((jitter -> js ) . x . code ) . ptr ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((jitter -> js ) . jitl . argssize += ((1 ) ) ) ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (0 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((raise_bad_call_with_values ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  for (i = 0 ; i < 2 ; i ++ ) {
    if (i )
      app_values_multi_slow_code = ((jitter -> js ) . x . code ) . ptr ; 
    else app_values_slow_code = ((jitter -> js ) . x . code ) . ptr ; 
    ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ((jitter -> js ) . jitl . argssize += ((1 ) ) ) ; 
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
    if (i ) {
      (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((call_with_values_from_multiple_result_multi ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
    }
    else {
      (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((call_with_values_from_multiple_result ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
    }
    ((void ) ((void ) ((0x40 ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((0x40 ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
    ; 
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc3 ) & 0xff ) ) ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  for (iii = 0 ; iii < 2 ; iii ++ ) {
#   define XfOrM1042_COUNT (0+XfOrM834_COUNT)
#   define SETUP_XfOrM1042(x) SETUP_XfOrM834(x)
    for (ii = 0 ; ii < 3 ; ii ++ ) {
#     define XfOrM1120_COUNT (0+XfOrM1042_COUNT)
#     define SETUP_XfOrM1120(x) SETUP_XfOrM1042(x)
      for (i = 0 ; i < 2 ; i ++ ) {
        jit_insn * ref , * reffail ; 
        Scheme_Type ty ; 
        int offset , count_offset , log_elem_size ; 
        BLOCK_SETUP((PUSH(ref, 0+XfOrM1120_COUNT), PUSH(reffail, 1+XfOrM1120_COUNT)));
#       define XfOrM1159_COUNT (2+XfOrM1120_COUNT)
#       define SETUP_XfOrM1159(x) SETUP(XfOrM1159_COUNT)
        ref = NULLED_OUT ; 
        reffail = NULLED_OUT ; 
        switch (ii ) {
          case 0 : ty = scheme_vector_type ; 
          offset = (int ) & (((Scheme_Vector * ) (0x0 ) ) -> els ) ; 
          count_offset = (int ) & (((Scheme_Vector * ) (0x0 ) ) -> size ) ; 
          log_elem_size = 2 ; 
          if (! iii ) {
            if (! i ) {
              vector_ref_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
            else {
              vector_ref_check_index_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
          }
          else {
            if (! i ) {
              vector_set_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
            else {
              vector_set_check_index_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
          }
          break ; 
          case 1 : ty = scheme_char_string_type ; 
          offset = (int ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . char_str_val . string_val ) ; 
          count_offset = (int ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . char_str_val . tag_val ) ; 
          log_elem_size = 2 ; 
          if (! iii ) {
            if (! i ) {
              string_ref_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
            else {
              string_ref_check_index_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
          }
          else {
            if (! i ) {
              string_set_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
            else {
              string_set_check_index_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
          }
          break ; 
          default : case 2 : ty = scheme_byte_string_type ; 
          offset = (int ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . byte_str_val . string_val ) ; 
          count_offset = (int ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . byte_str_val . tag_val ) ; 
          log_elem_size = 0 ; 
          if (! iii ) {
            if (! i ) {
              bytes_ref_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
            else {
              bytes_ref_check_index_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
          }
          else {
            if (! i ) {
              bytes_set_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
            else {
              bytes_set_check_index_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
          }
          break ; 
        }
        ; 
        ; 
        ref = (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (0 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) == 0x26 || ((((0x40 + (0 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        reffail = (jitter -> js ) . x . pc ; 
        if (! i ) {
          (((1 ) ) <= 3 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , ((((((0x40 + (1 ) ) ) ) ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((1 ) ) ) == 1 ) ? 0 : (((1 << ((1 ) ) ) == 2 ) ? 1 : (((1 << ((1 ) ) ) == 4 ) ? 2 : (((1 << ((1 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : ((((((0x40 + (1 ) ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((1 ) ) ) == 1 ) ? 0 : (((1 << ((1 ) ) ) == 2 ) ? 1 : (((1 << ((1 ) ) ) == 4 ) ? 2 : (((1 << ((1 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((1 ) ) ) == 1 ) ? 0 : (((1 << ((1 ) ) ) == 2 ) ? 1 : (((1 << ((1 ) ) ) == 4 ) ? 2 : (((1 << ((1 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((1 ) ) ) == 1 ) ? 0 : (((1 << ((1 ) ) ) == 2 ) ? 1 : (((1 << ((1 ) ) ) == 4 ) ? 2 : (((1 << ((1 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) : (((((0x40 + (1 ) ) ) ) == (((0x40 + (1 ) ) ) ) ) ? (((((1 ) ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , (((((1 ) ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ) ; 
          (((((0x40 + (1 ) ) ) ) == (((0x40 + (1 ) ) ) ) ) ? ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (1 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((((((0x40 + (1 ) ) ) ) ) == 0x26 || ((((0x40 + (1 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (1 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) (((0x1 ) ) ) ) ^ (((unsigned long ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (((0x1 ) ) ) ) ^ (((unsigned long ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x1 ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (1 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((((((0x40 + (1 ) ) ) ) ) == 0x26 || ((((0x40 + (1 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (1 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) (((0x1 ) ) ) ) ^ (((unsigned long ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (((0x1 ) ) ) ) ^ (((unsigned long ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x1 ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) ) ) ; 
        }
        ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((2 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((2 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((2 ) << 2 ) ) ) ) ) ) == 0 ) && (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((2 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
        ; 
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((1 ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((1 ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((1 ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((1 ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((1 ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        if (! iii ) {
          ((2 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((2 ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
        }
        else {
          ((3 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((3 ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
        }
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        ((jitter -> js ) . jitl . argssize += ((2 ) ) ) ; 
        (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
        (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
        switch (ii ) {
          case 0 : if (! iii ) {
            (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_checked_vector_ref ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
          }
          else {
            (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_checked_vector_set ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
          }
          break ; 
          case 1 : if (! iii ) {
            (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_checked_string_ref ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
            (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (((2 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((2 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (((2 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((2 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (((2 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((((((long ) (((2 ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((2 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((2 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((2 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (((2 ) << 2 ) ) ) ) ) == 0 ) && ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((2 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((2 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((2 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (((2 ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((2 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((2 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((2 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
            ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
            ((void ) ((void ) ((0x40 ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((0x40 ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
            (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc3 ) & 0xff ) ) ) ) ) ) ; 
          }
          else {
            (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_checked_string_set ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
          }
          break ; 
          case 2 : if (! iii ) {
            (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_checked_byte_string_ref ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
          }
          else {
            (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_checked_byte_string_set ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
          }
          break ; 
        }
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
        if (i ) {
          (void ) (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (1 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (1 ) ) ) ) ) == 0x26 || ((((0x40 + (1 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (1 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
          (void ) (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x0 ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xe ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xe ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        }
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        (void ) (((ty ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((ty ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
        if (iii ) {
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? (((((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) ) ^ (((unsigned long ) ((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) ) ^ (((unsigned long ) ((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) ) ^ (((unsigned long ) ((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          (void ) (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (2 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (2 ) ) ) ) ) == 0x26 || ((((0x40 + (2 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (2 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        }
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((count_offset ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? (((((count_offset ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((count_offset ) ) ) ^ (((unsigned long ) ((count_offset ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((count_offset ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((count_offset ) ) ) ) ) ) ) ) ) ) ) ) : (((((count_offset ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((count_offset ) ) ) ^ (((unsigned long ) ((count_offset ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((count_offset ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((count_offset ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((count_offset ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((count_offset ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((count_offset ) ) ) ^ (((unsigned long ) ((count_offset ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((count_offset ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((count_offset ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        if (i ) {
          ((((0x40 + (1 ) ) ) == (((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ? ((((1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0xF ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
          (void ) (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x6 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x6 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
          if (log_elem_size )
            (((log_elem_size ) ) <= 3 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((log_elem_size ) ) ) == 1 ) ? 0 : (((1 << ((log_elem_size ) ) ) == 2 ) ? 1 : (((1 << ((log_elem_size ) ) ) == 4 ) ? 2 : (((1 << ((log_elem_size ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((log_elem_size ) ) ) == 1 ) ? 0 : (((1 << ((log_elem_size ) ) ) == 2 ) ? 1 : (((1 << ((log_elem_size ) ) ) == 4 ) ? 2 : (((1 << ((log_elem_size ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((log_elem_size ) ) ) == 1 ) ? 0 : (((1 << ((log_elem_size ) ) ) == 2 ) ? 1 : (((1 << ((log_elem_size ) ) ) == 4 ) ? 2 : (((1 << ((log_elem_size ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((log_elem_size ) ) ) == 1 ) ? 0 : (((1 << ((log_elem_size ) ) ) == 2 ) ? 1 : (((1 << ((log_elem_size ) ) ) == 4 ) ? 2 : (((1 << ((log_elem_size ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? (((((log_elem_size ) ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((log_elem_size ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , (((((log_elem_size ) ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((log_elem_size ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ) ; 
          if (! ii )
            (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (offset ) ) ) ) ) ^ (((unsigned long ) ((((long ) (offset ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (offset ) ) ) ) ) ^ (((unsigned long ) ((((long ) (offset ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (offset ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (offset ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (offset ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) ? (((((((long ) (offset ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (offset ) ) ) ) ) ^ (((unsigned long ) ((((long ) (offset ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (offset ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (offset ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (offset ) ) ) ) == 0 ) && ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (offset ) ) ) ) ) ^ (((unsigned long ) ((((long ) (offset ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (offset ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (offset ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (offset ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (offset ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (offset ) ) ) ) ) ^ (((unsigned long ) ((((long ) (offset ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (offset ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (offset ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
        }
        else {
          (void ) (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x6 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x6 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        }
        if (! iii ) {
          switch (ii ) {
            case 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
            break ; 
            case 1 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((offset ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((offset ) ) ) ) ^ (((unsigned long ) (((offset ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((offset ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((offset ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((offset ) ) ) ) ^ (((unsigned long ) (((offset ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((offset ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((offset ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((offset ) ) ) ) ^ (((unsigned long ) (((offset ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((offset ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
            ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((((0x40 + (2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (2 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((0x40 + (2 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
            (((32 ) <= 3 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (32 ) ) == 1 ) ? 0 : (((1 << (32 ) ) == 2 ) ? 1 : (((1 << (32 ) ) == 4 ) ? 2 : (((1 << (32 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (32 ) ) == 1 ) ? 0 : (((1 << (32 ) ) == 2 ) ? 1 : (((1 << (32 ) ) == 4 ) ? 2 : (((1 << (32 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (32 ) ) == 1 ) ? 0 : (((1 << (32 ) ) == 2 ) ? 1 : (((1 << (32 ) ) == 4 ) ? 2 : (((1 << (32 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (32 ) ) == 1 ) ? 0 : (((1 << (32 ) ) == 2 ) ? 1 : (((1 << (32 ) ) == 4 ) ? 2 : (((1 << (32 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) : (((((0x40 + (2 ) ) ) ) == (((0x40 + (2 ) ) ) ) ) ? ((((32 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((32 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((32 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((32 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ) , (((((0x40 + (2 ) ) ) ) == (((0x40 + (2 ) ) ) ) ) ? ((((32 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((32 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((32 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((32 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ) ; 
            (void ) (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((255 ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xf ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xf ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
            ((2 ) <= 3 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((((0x40 + (2 ) ) ) ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((0x40 + (2 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (2 ) ) == 1 ) ? 0 : (((1 << (2 ) ) == 2 ) ? 1 : (((1 << (2 ) ) == 4 ) ? 2 : (((1 << (2 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) : ((((0x40 + (2 ) ) ) == ((0x40 + (2 ) ) ) ) ? ((((2 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((2 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((2 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((2 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ) ; 
            (void ) ((((long ) (scheme_char_constants ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (scheme_char_constants ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (scheme_char_constants ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
            ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
            break ; 
            case 2 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((offset ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((offset ) ) ) ) ^ (((unsigned long ) (((offset ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((offset ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((offset ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((offset ) ) ) ) ^ (((unsigned long ) (((offset ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((offset ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((offset ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((offset ) ) ) ) ^ (((unsigned long ) (((offset ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((offset ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
            ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbe ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbe ) ) & 0xff ) ) ) ) ) ) , ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
            ((((((0x40 + (0 ) ) ) ) ) == ((((0x40 + (0 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((0xFF ) ) ) ^ (((unsigned long ) ((0xFF ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0xFF ) ) ) ^ (((unsigned long ) ((0xFF ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xFF ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0xFF ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , (((! ((((unsigned long ) ((0xFF ) ) ) ^ (((unsigned long ) ((0xFF ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0xFF ) ) ) ^ (((unsigned long ) ((0xFF ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xFF ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0xFF ) ) ) ) ) ) ) ) ) ) ) ; 
            ((0x1 ) <= 3 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((((0x40 + (0 ) ) ) ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (0x1 ) ) == 1 ) ? 0 : (((1 << (0x1 ) ) == 2 ) ? 1 : (((1 << (0x1 ) ) == 4 ) ? 2 : (((1 << (0x1 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (0x1 ) ) == 1 ) ? 0 : (((1 << (0x1 ) ) == 2 ) ? 1 : (((1 << (0x1 ) ) == 4 ) ? 2 : (((1 << (0x1 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (0x1 ) ) == 1 ) ? 0 : (((1 << (0x1 ) ) == 2 ) ? 1 : (((1 << (0x1 ) ) == 4 ) ? 2 : (((1 << (0x1 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << (0x1 ) ) == 1 ) ? 0 : (((1 << (0x1 ) ) == 2 ) ? 1 : (((1 << (0x1 ) ) == 4 ) ? 2 : (((1 << (0x1 ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) : ((((0x40 + (0 ) ) ) == ((0x40 + (0 ) ) ) ) ? ((((0x1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0x1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ) ; 
            ((((0x40 + (0 ) ) ) == ((0x40 + (0 ) ) ) ) ? ((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((0x40 + (0 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((((0x40 + (0 ) ) ) ) == 0x26 || (((0x40 + (0 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (0 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x1 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((0x40 + (0 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x80 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | ((((((((0x40 + (0 ) ) ) ) == 0x26 || (((0x40 + (0 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (0 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : (((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((1 ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((0x1 ) ) ) ^ (((unsigned long ) ((0x1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x1 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
            break ; 
          }
        }
        else {
#         define XfOrM1160_COUNT (0+XfOrM1159_COUNT)
#         define SETUP_XfOrM1160(x) SETUP_XfOrM1159(x)
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
          switch (ii ) {
#           define XfOrM1161_COUNT (0+XfOrM1160_COUNT)
#           define SETUP_XfOrM1161(x) SETUP_XfOrM1160(x)
            case 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
            break ; 
            case 1 : (void ) (((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((0x40 + (2 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0x40 + (2 ) ) ) ) == 0x26 || (((0x40 + (2 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (2 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0x40 + (2 ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
            ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (2 ) ) ) ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) && (((0x40 + (2 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
            (void ) (((scheme_char_type ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((scheme_char_type ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
            ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
            ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (2 ) ) ) ) ? (((((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) ) ^ (((unsigned long ) ((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) == 0 ) && (((0x40 + (2 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) ) ^ (((unsigned long ) ((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) ) ^ (((unsigned long ) ((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
            ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((offset ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((offset ) ) ) ) ^ (((unsigned long ) (((offset ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((offset ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((offset ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((offset ) ) ) ) ^ (((unsigned long ) (((offset ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((offset ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((offset ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((offset ) ) ) ) ^ (((unsigned long ) (((offset ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((offset ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
            ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((((0x40 + (0 ) ) ) ) == 0 ) ? ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
            break ; 
            case 2 : (void ) (((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((0x40 + (2 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0x40 + (2 ) ) ) ) == 0x26 || (((0x40 + (2 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (2 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) ((0x1 ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0x40 + (2 ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) ((0x1 ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x1 ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
            ((((0x40 + (2 ) ) ) == ((0x40 + (2 ) ) ) ) ? ((((1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((1 ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((5 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((1 ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
            (void ) (((! (((unsigned long ) ((~ 0xFF ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((0x40 + (2 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0x40 + (2 ) ) ) ) == 0x26 || (((0x40 + (2 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (2 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((~ 0xFF ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) ((~ 0xFF ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0x40 + (2 ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) ((~ 0xFF ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((~ 0xFF ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
            ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((offset ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((offset ) ) ) ) ^ (((unsigned long ) (((offset ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((offset ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((offset ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((offset ) ) ) ) ^ (((unsigned long ) (((offset ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((offset ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((offset ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((offset ) ) ) ) ^ (((unsigned long ) (((offset ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((offset ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
            (((((0x40 + (2 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x88 ) & 0xff ) ) ) ) ) ) , (((((0x40 + (0 ) ) ) ) == 0 ) ? ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) == 0x26 || (((0x40 + (2 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (2 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) == 0x26 || (((0x40 + (2 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (2 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) == 0x26 || (((0x40 + (2 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (2 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) == 0x26 || (((0x40 + (2 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (2 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) == 0x26 || (((0x40 + (2 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (2 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) == 0x26 || (((0x40 + (2 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (2 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) == 0x26 || (((0x40 + (2 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (2 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) == 0x26 || (((0x40 + (2 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (2 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) == 0x26 || (((0x40 + (2 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (2 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) == 0x26 || (((0x40 + (2 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (2 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0x40 + (2 ) ) ) ) == 0x26 || (((0x40 + (2 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (2 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) : ((0x43 == 0x40 ) ? FUNCCALL(SETUP_XfOrM1161(_), jit_fail ("sorry, unimplemented: " "Register conflict for " "MOVBrm(_AL, 0, (((1) == 0 ? 0x43 : 0x46 + (1) - 1)), ((0x40 + (0))), 1)" , "./../src/jit.c" , 6356 , __func__ ) ): (((0x40 + (2 ) ) ) == 0x40 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x88 ) & 0xff ) ) ) ) ) ) , (((((0x40 + (0 ) ) ) ) == 0 ) ? ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((0x10 ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((0x10 ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((0x10 ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((0x10 ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((0x10 ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((0x10 ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((0x10 ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((0x10 ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((0x10 ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((0x10 ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((0x10 ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x88 ) & 0xff ) ) ) ) ) ) , (((((0x40 + (0 ) ) ) ) == 0 ) ? ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((0x10 ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((0x10 ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((0x10 ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((0x10 ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((0x10 ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((0x10 ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((0x10 ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((0x10 ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((0x10 ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((0x10 ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((0x10 ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x40 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
            break ; 
          }
          (void ) ((((long ) (scheme_void ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (scheme_void ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (scheme_void ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
        }
        (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc3 ) & 0xff ) ) ) ) ) ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        ; 
      }
    }
  }
  {
    jit_insn * ref , * reffail ; 
    ref = NULLED_OUT ; 
    reffail = NULLED_OUT ; 
    syntax_e_code = ((jitter -> js ) . x . code ) . ptr ; 
    ; 
    ; 
    ref = (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (0 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) == 0x26 || ((((0x40 + (0 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    reffail = (jitter -> js ) . x . pc ; 
    ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) && (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
    ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ((1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((1 ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ((jitter -> js ) . jitl . argssize += ((2 ) ) ) ; 
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
    (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_checked_syntax_e ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
    ((void ) ((void ) ((0x40 ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((0x40 ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
    (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) && ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc3 ) & 0xff ) ) ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    (void ) (((scheme_stx_type ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((scheme_stx_type ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? (((((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) ) ^ (((unsigned long ) ((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) ) ^ (((unsigned long ) ((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) ) ^ (((unsigned long ) ((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ref = (((0x0 ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0xF ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x0 ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? (((((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) ^ (((unsigned long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) ) ) ) ) ) ) ) ) ) : (((((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) ^ (((unsigned long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) ^ (((unsigned long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    (void ) (((! (((unsigned long ) (((0x2 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (2 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (2 ) ) ) ) ) == 0x26 || ((((0x40 + (2 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (2 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x2 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x2 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x2 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x2 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc3 ) & 0xff ) ) ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ; 
  }
  {
#   define XfOrM847_COUNT (0+XfOrM834_COUNT)
#   define SETUP_XfOrM847(x) SETUP_XfOrM834(x)
    for (i = 0 ; i < 3 ; i ++ ) {
      void * code , * code_end ; 
      int kind , for_branch ; 
      jit_insn * ref , * ref2 , * refslow , * bref1 , * bref2 , * bref3 , * bref4 , * bref5 , * bref6 ; 
      BLOCK_SETUP((PUSH(bref6, 0+XfOrM847_COUNT), PUSH(bref4, 1+XfOrM847_COUNT), PUSH(code_end, 2+XfOrM847_COUNT), PUSH(bref1, 3+XfOrM847_COUNT), PUSH(ref, 4+XfOrM847_COUNT), PUSH(bref5, 5+XfOrM847_COUNT), PUSH(bref2, 6+XfOrM847_COUNT), PUSH(code, 7+XfOrM847_COUNT), PUSH(refslow, 8+XfOrM847_COUNT), PUSH(bref3, 9+XfOrM847_COUNT), PUSH(ref2, 10+XfOrM847_COUNT)));
#     define XfOrM867_COUNT (11+XfOrM847_COUNT)
#     define SETUP_XfOrM867(x) SETUP(XfOrM867_COUNT)
      code = NULLED_OUT ; 
      code_end = NULLED_OUT ; 
      ref = NULLED_OUT ; 
      ref2 = NULLED_OUT ; 
      refslow = NULLED_OUT ; 
      bref1 = NULLED_OUT ; 
      bref2 = NULLED_OUT ; 
      bref3 = NULLED_OUT ; 
      bref4 = NULLED_OUT ; 
      bref5 = NULLED_OUT ; 
      bref6 = NULLED_OUT ; 
      code = ((jitter -> js ) . x . code ) . ptr ; 
      if (! i ) {
        kind = 1 ; 
        for_branch = 0 ; 
        struct_pred_code = ((jitter -> js ) . x . code ) . ptr ; 
      }
      else if (i == 1 ) {
        kind = 1 ; 
        for_branch = 1 ; 
        struct_pred_branch_code = ((jitter -> js ) . x . code ) . ptr ; 
        (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
      }
      else {
        kind = 2 ; 
        for_branch = 0 ; 
        struct_get_code = ((jitter -> js ) . x . code ) . ptr ; 
      }
      ; 
      ; 
      ref = (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (1 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (1 ) ) ) ) ) == 0x26 || ((((0x40 + (1 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (1 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      refslow = (jitter -> js ) . x . pc ; 
      ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) && (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
      ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      ((1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((1 ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
      ((jitter -> js ) . jitl . argssize += ((3 ) ) ) ; 
      (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
      (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
      (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
      (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((_scheme_apply_from_native ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
      ((void ) ((void ) ((0x40 ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((0x40 ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
      ; 
      (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (((1 ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ? (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) && ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (((1 ) << 2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      if (! for_branch ) {
        (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc3 ) & 0xff ) ) ) ) ) ) ; 
        bref5 = ((void * ) 0 ) ; 
        bref6 = ((void * ) 0 ) ; 
      }
      else {
        bref5 = (((((scheme_false ) ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((scheme_false ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
        bref6 = (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      }
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (1 ) ) ) ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) && (((0x40 + (1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      (void ) (((scheme_prim_type ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((scheme_prim_type ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (1 ) ) ) ) ? (((((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) ) ^ (((unsigned long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) == 0 ) && (((0x40 + (1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) ) ^ (((unsigned long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) ) ^ (((unsigned long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      (void ) (((! (((unsigned long ) ((((kind == 1 ) ? 16 : 8 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && ((((0x40 + (2 ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0x40 + (2 ) ) ) ) == 0x26 || (((0x40 + (2 ) ) ) ) == 0x27 ) ? 0x10 : ((((0x40 + (2 ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) ((((kind == 1 ) ? 16 : 8 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) ((((kind == 1 ) ? 16 : 8 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((0x40 + (2 ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) ((((kind == 1 ) ? 16 : 8 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((kind == 1 ) ? 16 : 8 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (kind == 1 ) {
        bref1 = (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (0 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) == 0x26 || ((((0x40 + (0 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        ref2 = (((scheme_structure_type ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((scheme_structure_type ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
        bref2 = (((scheme_proc_struct_type ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((scheme_proc_struct_type ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
      }
      else {
        (void ) (((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) && (((((0x40 + (0 ) ) ) ) ) <= 0x43 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf6 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) == 0x26 || ((((0x40 + (0 ) ) ) ) ) == 0x27 ) ? 0x10 : (((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x10 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) : ((! (((unsigned long ) (((0x1 ) ) ) ) & ~ ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) && 1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x66 ) & 0xff ) ) ) ) ) ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0x17 ) | 0x20 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . us_pc ++ ) = ((_us ) (((((_ul ) (((0x1 ) ) ) ) & ((unsigned long ) (((long ) 1 << (16 ) ) ) - 1 ) ) ) & 0xffff ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xf7 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((0x1 ) ) ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0fbf ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (0 ) ) ) ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) && (((0x40 + (0 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (0 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Object * ) 0x0 ) -> type ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        ref2 = (((scheme_structure_type ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((scheme_structure_type ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
        (void ) (((scheme_proc_struct_type ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((scheme_proc_struct_type ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
        bref1 = bref2 = ((void * ) 0 ) ; 
      }
      (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (1 ) ) ) ) ) ? ((((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) == 0 ) && ((((0x40 + (1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      if (kind == 2 ) {
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? ((((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ^ (((unsigned long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ^ (((unsigned long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ^ (((unsigned long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      }
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((0x40 + (2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) ) ) ) ) ) ) : (0x44 == (((0x40 + (2 ) ) ) ) ? (((((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) ^ (((unsigned long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) == 0 ) && (((0x40 + (2 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) ^ (((unsigned long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((0x40 + (2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) ^ (((unsigned long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) ) ) ) ) ) ) : (0x44 == ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ? (((((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) ^ (((unsigned long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) == 0 ) && ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) ^ (((unsigned long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) ^ (((unsigned long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      if (kind == 1 ) {
        bref3 = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
      }
      else {
        (void ) (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        bref3 = ((void * ) 0 ) ; 
      }
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      (((2 ) ) <= 3 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((2 ) ) ) == 1 ) ? 0 : (((1 << ((2 ) ) ) == 2 ) ? 1 : (((1 << ((2 ) ) ) == 4 ) ? 2 : (((1 << ((2 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((2 ) ) ) == 1 ) ? 0 : (((1 << ((2 ) ) ) == 2 ) ? 1 : (((1 << ((2 ) ) ) == 4 ) ? 2 : (((1 << ((2 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((2 ) ) ) == 1 ) ? 0 : (((1 << ((2 ) ) ) == 2 ) ? 1 : (((1 << ((2 ) ) ) == 4 ) ? 2 : (((1 << ((2 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((2 ) ) ) == 1 ) ? 0 : (((1 << ((2 ) ) ) == 2 ) ? 1 : (((1 << ((2 ) ) ) == 4 ) ? 2 : (((1 << ((2 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == (((0x40 + (2 ) ) ) ) ) ? (((((2 ) ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((2 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , (((((2 ) ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((2 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ) ; 
      ((((((0x40 + (2 ) ) ) ) ) == ((((0x40 + (2 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) ^ (((unsigned long ) ((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) ^ (((unsigned long ) ((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0x40 + (2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0x40 + (2 ) ) ) ) ) ) ? (((((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) ^ (((unsigned long ) ((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) == 0 ) && (((((0x40 + (2 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) ^ (((unsigned long ) ((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0x40 + (2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) ^ (((unsigned long ) ((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | (((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (1 ) ) ) ) ) ? ((((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) == 0 ) && ((((0x40 + (1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      if (kind == 2 ) {
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? ((((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ^ (((unsigned long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ^ (((unsigned long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ^ (((unsigned long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      }
      if (kind == 1 ) {
        bref4 = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        if (! for_branch ) {
          (void ) ((((long ) (scheme_true ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (scheme_true ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (scheme_true ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
        }
        else {
          (* ((_sl * ) ((bref6 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (bref6 ) ) ) ) ; 
          (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
        }
        (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc3 ) & 0xff ) ) ) ) ) ) ; 
        (* ((_sl * ) ((bref1 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (bref1 ) ) ) ) ; 
        (* ((_sl * ) ((bref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (bref2 ) ) ) ) ; 
        (* ((_sl * ) ((bref3 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (bref3 ) ) ) ) ; 
        (* ((_sl * ) ((bref4 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (bref4 ) ) ) ) ; 
        if (for_branch ) {
          (* ((_sl * ) ((bref5 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (bref5 ) ) ) ) ; 
          (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
          (((! ((((unsigned long ) ((1 << 2 ) ) ) ^ (((unsigned long ) ((1 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((1 << 2 ) ) ) ^ (((unsigned long ) ((1 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((1 << 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((1 << 2 ) ) ) ) ) ) ) ) ) ; 
          ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xff ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
        }
        else {
          (void ) ((((long ) (scheme_false ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (scheme_false ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (scheme_false ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
          (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc3 ) & 0xff ) ) ) ) ) ) ; 
        }
      }
      else {
        (void ) (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
        bref4 = ((void * ) 0 ) ; 
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (1 ) ) ) ) ) ? ((((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) == 0 ) && ((((0x40 + (1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) ) ) ) ) ) ) ) : (0x44 == ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ? (((((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) ) ^ (((unsigned long ) ((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) ) ) ) ) ) ) ) ) ) ) : (((((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) == 0 ) && ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) ) ^ (((unsigned long ) ((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) ) ^ (((unsigned long ) ((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        (((2 ) ) <= 3 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((2 ) ) ) == 1 ) ? 0 : (((1 << ((2 ) ) ) == 2 ) ? 1 : (((1 << ((2 ) ) ) == 4 ) ? 2 : (((1 << ((2 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((2 ) ) ) == 1 ) ? 0 : (((1 << ((2 ) ) ) == 2 ) ? 1 : (((1 << ((2 ) ) ) == 4 ) ? 2 : (((1 << ((2 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((2 ) ) ) == 1 ) ? 0 : (((1 << ((2 ) ) ) == 2 ) ? 1 : (((1 << ((2 ) ) ) == 4 ) ? 2 : (((1 << ((2 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 << ((2 ) ) ) == 1 ) ? 0 : (((1 << ((2 ) ) ) == 2 ) ? 1 : (((1 << ((2 ) ) ) == 4 ) ? 2 : (((1 << ((2 ) ) ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) : ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) == ((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? (((((2 ) ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((2 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , (((((2 ) ) ) == 1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc1 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((_ul ) (((2 ) ) ) ) & ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ) ; 
        (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) ? (((! ((((unsigned long ) ((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) ^ (((unsigned long ) ((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) ^ (((unsigned long ) ((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) ? (((((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) ^ (((unsigned long ) ((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) == 0 ) && ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) ^ (((unsigned long ) ((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) ^ (((unsigned long ) ((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
        ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : ((((0 ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) != 0x44 ) ? ((((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (0 ) ) ^ (((unsigned long ) (0 ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (0 ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (0 ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
        (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc3 ) & 0xff ) ) ) ) ) ) ; 
      }
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ; 
      if (jitter -> retain_start ) {
#       define XfOrM868_COUNT (0+XfOrM867_COUNT)
#       define SETUP_XfOrM868(x) SETUP_XfOrM867(x)
        code_end = ((jitter -> js ) . x . code ) . ptr ; 
        FUNCCALL(SETUP_XfOrM868(_), add_symbol ((unsigned long ) code , (unsigned long ) code_end - 1 , scheme_false , 0 ) ); 
      }
    }
  }
  for (i = 0 ; i < 3 ; i ++ ) {
    if (! i )
      retry_alloc_code = ((jitter -> js ) . x . code ) . ptr ; 
    else if (i == 1 )
      retry_alloc_code_keep_r0_r1 = ((jitter -> js ) . x . code ) . ptr ; 
    else retry_alloc_code_keep_fpr1 = ((jitter -> js ) . x . code ) . ptr ; 
    ; 
    if (i == 2 ) {
      (void ) (((void ) 0 ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (43 >> 3 ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((43 & 7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& save_fp ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? (((((& save_fp ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((43 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& save_fp ) ) ) ^ (((unsigned long ) ((& save_fp ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((43 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& save_fp ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((43 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& save_fp ) ) ) ) ) ) ) ) ) ) ) ) : (((((& save_fp ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((43 & 7 ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& save_fp ) ) ) ^ (((unsigned long ) ((& save_fp ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((43 & 7 ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& save_fp ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((43 & 7 ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& save_fp ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((43 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& save_fp ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& save_fp ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((43 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& save_fp ) ) ) ^ (((unsigned long ) ((& save_fp ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((43 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& save_fp ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((43 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& save_fp ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
    }
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ((jitter -> js ) . jitl . argssize += ((2 ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    if (i == 1 ) {
      (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
      (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (0 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
    }
    else {
      ((((long ) (((void * ) 0 ) ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((void * ) 0 ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (((void * ) 0 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
      (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (0 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
      (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (0 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
    }
    (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((prepare_retry_alloc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
    ((void ) ((void ) ((0x40 ) == ((((0x40 + (0 ) ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((0x40 ) ) & 0xF ) ) << 3 ) | (((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
    if (i == 1 ) {
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& retry_alloc_r1 ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? (((((& retry_alloc_r1 ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& retry_alloc_r1 ) ) ) ^ (((unsigned long ) ((& retry_alloc_r1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& retry_alloc_r1 ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& retry_alloc_r1 ) ) ) ) ) ) ) ) ) ) ) ) : (((((& retry_alloc_r1 ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& retry_alloc_r1 ) ) ) ^ (((unsigned long ) ((& retry_alloc_r1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& retry_alloc_r1 ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& retry_alloc_r1 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& retry_alloc_r1 ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& retry_alloc_r1 ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& retry_alloc_r1 ) ) ) ^ (((unsigned long ) ((& retry_alloc_r1 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& retry_alloc_r1 ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((0x40 + (1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& retry_alloc_r1 ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    }
    if (i == 2 ) {
      (void ) (((void ) 0 ) , ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xd8 | (40 >> 3 ) ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& save_fp ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? (((((& save_fp ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& save_fp ) ) ) ^ (((unsigned long ) ((& save_fp ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& save_fp ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& save_fp ) ) ) ) ) ) ) ) ) ) ) ) : (((((& save_fp ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& save_fp ) ) ) ^ (((unsigned long ) ((& save_fp ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& save_fp ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& save_fp ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& save_fp ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((& save_fp ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((& save_fp ) ) ) ^ (((unsigned long ) ((& save_fp ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((& save_fp ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((40 & 7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((& save_fp ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
    }
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc3 ) & 0xff ) ) ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
typedef struct {
  Scheme_Closure_Data * data ; 
  void * code , * tail_code , * code_end ; 
  int max_extra , max_depth ; 
  Scheme_Native_Closure * nc ; 
}
Generate_Closure_Data ; 
static int do_generate_closure (mz_jit_state * jitter , void * _data ) {
  Generate_Closure_Data * gdata = (Generate_Closure_Data * ) _data ; 
  Scheme_Closure_Data * data = gdata -> data ; 
  void * code , * tail_code , * code_end ; 
  int i , r , cnt , has_rest ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(7);
  BLOCK_SETUP_TOP((PUSH(gdata, 0), PUSH(tail_code, 1), PUSH(data, 2), PUSH(code_end, 3), PUSH(jitter, 4), PUSH(code, 5)));
# define XfOrM1257_COUNT (6)
# define SETUP_XfOrM1257(x) SETUP(XfOrM1257_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  code = NULLED_OUT ; 
  tail_code = NULLED_OUT ; 
  code_end = NULLED_OUT ; 
  code = ((jitter -> js ) . x . code ) . ptr ; 
  jitter -> nc = gdata -> nc ; 
  FUNCCALL(SETUP_XfOrM1257(_), generate_function_prolog (jitter , code , ((data -> max_let_depth + jitter -> max_extra_pushed ) << 2 ) ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  cnt = FUNCCALL(SETUP_XfOrM1257(_), generate_function_getarg (jitter , ((& (data ) -> iso ) -> so . keyex & 1 ) , data -> num_params ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  tail_code = ((jitter -> js ) . x . code ) . ptr ; 
  if (((& (data ) -> iso ) -> so . keyex & 1 ) && data -> num_params ) {
    jit_insn * ref , * ref2 , * ref3 ; 
    BLOCK_SETUP((PUSH(ref2, 0+XfOrM1257_COUNT)));
#   define XfOrM1273_COUNT (1+XfOrM1257_COUNT)
#   define SETUP_XfOrM1273(x) SETUP(XfOrM1273_COUNT)
    ref = NULLED_OUT ; 
    ref2 = NULLED_OUT ; 
    ref3 = NULLED_OUT ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ; 
    ref = (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x39 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (2 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    ref3 = ((((cnt ) ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | ((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((cnt ) ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x7 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) ((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
    ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) == 0 ) && (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
    ; 
    for (i = cnt ; i -- ; ) {
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (2 ) ) ) ) ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((i ) << 2 ) ) ) ) == 0 ) && ((((0x40 + (2 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((i ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
    }
    (void ) ((((long ) (scheme_null ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (scheme_null ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (scheme_null ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((cnt ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((cnt ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((cnt ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((cnt ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((cnt ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((cnt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((cnt ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((cnt ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((cnt ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((cnt ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((cnt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((cnt ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((cnt ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((cnt ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((cnt ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((cnt ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((cnt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ref2 = (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe9 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) (((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
    (* ((_sl * ) ((ref3 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref3 ) ) ) ) ; 
    FUNCCALL(SETUP_XfOrM1273(_), mz_pushr_p_it (jitter , (0x40 + (0 ) ) ) ); 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ((jitter -> js ) . jitl . argssize += ((3 ) ) ) ; 
    ((cnt ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((cnt ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) << 3 ) | ((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (2 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_build_list_offset ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
    ((void ) ((void ) ((0x40 ) == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((0x40 ) ) & 0xF ) ) << 3 ) | ((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ) ; 
    FUNCCALL(SETUP_XfOrM1273(_), mz_popr_p_it (jitter , (0x40 + (0 ) ) ) ); 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((cnt ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((cnt ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((cnt ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((cnt ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((cnt ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((cnt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((cnt ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((cnt ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((cnt ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((cnt ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((cnt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((cnt ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((cnt ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((cnt ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((cnt ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((cnt ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((cnt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ; 
    has_rest = 1 ; 
  }
  else has_rest = 0 ; 
  FUNCCALL(SETUP_XfOrM1257(_), mz_pushr_p_it (jitter , (0x40 + (0 ) ) ) ); 
  cnt = data -> closure_size ; 
  if (cnt ) {
    ((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) == ((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((! ((((unsigned long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) ? (((((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) == 0 ) && (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ^ (((unsigned long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
    ; 
    for (i = cnt ; i -- ; ) {
      int pos ; 
      pos = ((i ) << 2 ) + (long ) & ((Scheme_Native_Closure * ) 0x0 ) -> vals ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((pos ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((pos ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((pos ) ) ) ) ^ (((unsigned long ) (((pos ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((pos ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((pos ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((pos ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((pos ) ) ) ) ^ (((unsigned long ) (((pos ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((pos ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((pos ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((pos ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((pos ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((pos ) ) ) ) ^ (((unsigned long ) (((pos ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((pos ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((pos ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((((i ) << 2 ) ) ) ) == 0 ) && (((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((((i ) << 2 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((((i ) << 2 ) ) ) ) ) ^ (((unsigned long ) (((((i ) << 2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((((i ) << 2 ) ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (1 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((((i ) << 2 ) ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
    }
  }
  if (data -> context && ((Scheme_Type ) (((((long ) (data -> context ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (data -> context ) ) -> type ) ) == (Scheme_Type ) (scheme_letrec_type ) ) ) {
    Scheme_Letrec * lr = (Scheme_Letrec * ) data -> context ; 
    int pos , self_pos = - 1 ; 
    BLOCK_SETUP((PUSH(lr, 0+XfOrM1257_COUNT)));
#   define XfOrM1262_COUNT (1+XfOrM1257_COUNT)
#   define SETUP_XfOrM1262(x) SETUP(XfOrM1262_COUNT)
    for (i = data -> closure_size ; i -- ; ) {
#     define XfOrM1267_COUNT (0+XfOrM1262_COUNT)
#     define SETUP_XfOrM1267(x) SETUP_XfOrM1262(x)
      pos = data -> closure_map [i ] ; 
      if (pos < lr -> count ) {
        Scheme_Closure_Data * data2 = (Scheme_Closure_Data * ) lr -> procs [pos ] ; 
#       define XfOrM1268_COUNT (0+XfOrM1267_COUNT)
#       define SETUP_XfOrM1268(x) SETUP_XfOrM1267(x)
        FUNCCALL(SETUP_XfOrM1268(_), mz_runstack_closure_pushed (jitter , (data2 -> num_params - (((& (data2 ) -> iso ) -> so . keyex & 1 ) ? 1 : 0 ) ) , ((((& (data2 ) -> iso ) -> so . keyex & 4 ) ? 0x1 : 0 ) | (((& (data2 ) -> iso ) -> so . keyex & 32 ) ? 0x2 : 0 ) ) ) ); 
        if (((lr -> procs [pos ] ) == ((Scheme_Object * ) data ) ) ) {
          self_pos = i ; 
        }
      }
      else FUNCCALL(SETUP_XfOrM1267(_), mz_runstack_pushed (jitter , 1 ) ); 
    }
    if ((self_pos >= 0 ) && ! has_rest ) {
      jitter -> self_pos = self_pos ; 
      jitter -> self_closure_size = data -> closure_size ; 
    }
  }
  else {
#   define XfOrM1260_COUNT (0+XfOrM1257_COUNT)
#   define SETUP_XfOrM1260(x) SETUP_XfOrM1257(x)
    FUNCCALL(SETUP_XfOrM1260(_), mz_runstack_pushed (jitter , cnt ) ); 
    if (data -> context && ((Scheme_Type ) (((((long ) (data -> context ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (data -> context ) ) -> type ) ) == (Scheme_Type ) (scheme_toplevel_type ) ) ) {
      jitter -> self_toplevel_pos = (((Scheme_Toplevel * ) (data -> context ) ) -> position ) ; 
      jitter -> self_closure_size = data -> closure_size ; 
    }
  }
  ; 
  ; 
  jitter -> self_data = data ; 
  jitter -> self_restart_code = ((jitter -> js ) . x . code ) . ptr ; 
  jitter -> need_set_rs = 1 ; 
  r = FUNCCALL(SETUP_XfOrM1257(_), generate (data -> code , jitter , 1 , 1 ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  if (r != 2 ) {
    ((void ) (((((0x40 + (0 ) ) ) ) ) == (((0x40 ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
    (((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((2 << 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((2 << 2 ) ) ) ) ) ) ) ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x47 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x46 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x43 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x45 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc3 ) & 0xff ) ) ) ) ) ) ) ; 
  }
  code_end = ((jitter -> js ) . x . code ) . ptr ; 
  if (jitter -> retain_start ) {
    gdata -> code = code ; 
    gdata -> tail_code = tail_code ; 
    gdata -> max_extra = jitter -> max_extra_pushed ; 
    gdata -> max_depth = jitter -> max_depth ; 
    gdata -> code_end = code_end ; 
  }
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
/* this far 6873 */
static void on_demand_generate_lambda (Scheme_Native_Closure * nc ) {
  Scheme_Native_Closure_Data * ndata = nc -> code ; 
  Scheme_Closure_Data * data ; 
  Generate_Closure_Data gdata ; 
  void * code , * tail_code , * arity_code ; 
  int has_rest , is_method , num_params , max_depth ; 
  PREPARE_VAR_STACK_ONCE(10);
  BLOCK_SETUP_TOP((PUSH(data, 0), PUSH(tail_code, 1), PUSH(ndata, 2), PUSH(gdata.data, 3), PUSH(gdata.code, 4), PUSH(gdata.tail_code, 5), PUSH(gdata.code_end, 6), PUSH(gdata.nc, 7), PUSH(arity_code, 8), PUSH(code, 9)));
# define XfOrM1276_COUNT (10)
# define SETUP_XfOrM1276(x) SETUP(XfOrM1276_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  data = NULLED_OUT ; 
  gdata.data = NULLED_OUT ; 
  gdata.code = NULLED_OUT ; 
  gdata.tail_code = NULLED_OUT ; 
  gdata.code_end = NULLED_OUT ; 
  gdata.nc = NULLED_OUT ; 
  code = NULLED_OUT ; 
  tail_code = NULLED_OUT ; 
  arity_code = NULLED_OUT ; 
  data = ndata -> u2 . orig_code ; 
  gdata . data = data ; 
  gdata . nc = nc ; 
  FUNCCALL(SETUP_XfOrM1276(_), scheme_delay_load_closure (data ) ); 
  FUNCCALL_AGAIN(generate_one (((void * ) 0 ) , do_generate_closure , & gdata , 1 , data -> name , ndata ) ); 
  if (gdata . max_depth > data -> max_let_depth ) {
#   define XfOrM1282_COUNT (0+XfOrM1276_COUNT)
#   define SETUP_XfOrM1282(x) SETUP_XfOrM1276(x)
    FUNCCALL(SETUP_XfOrM1282(_), scheme_console_printf ("Bad max depth! Given %d, counted %d.\n" , data -> max_let_depth , gdata . max_depth ) ); 
    FUNCCALL(SETUP_XfOrM1282(_), abort () ); 
  }
  if ((& (data ) -> iso ) -> so . keyex & 4 )
    (& (ndata ) -> iso ) -> so . keyex |= 0x1 ; 
  if ((& (data ) -> iso ) -> so . keyex & 32 )
    (& (ndata ) -> iso ) -> so . keyex |= 0x2 ; 
  code = gdata . code ; 
  tail_code = gdata . tail_code ; 
  if (data -> name ) {
#   define XfOrM1281_COUNT (0+XfOrM1276_COUNT)
#   define SETUP_XfOrM1281(x) SETUP_XfOrM1276(x)
    FUNCCALL(SETUP_XfOrM1281(_), add_symbol ((unsigned long ) code , (unsigned long ) gdata . code_end - 1 , data -> name , 1 ) ); 
  }
  has_rest = (((& (data ) -> iso ) -> so . keyex & 1 ) ? 1 : 0 ) ; 
  is_method = (((& (data ) -> iso ) -> so . keyex & 16 ) ? 1 : 0 ) ; 
  num_params = data -> num_params ; 
  if (num_params && has_rest )
    -- num_params ; 
  if (num_params < 25 ) {
#   define XfOrM1279_COUNT (0+XfOrM1276_COUNT)
#   define SETUP_XfOrM1279(x) SETUP_XfOrM1276(x)
    arity_code = shared_arity_check [num_params ] [has_rest ] [is_method ] ; 
    if (! arity_code ) {
#     define XfOrM1280_COUNT (0+XfOrM1279_COUNT)
#     define SETUP_XfOrM1280(x) SETUP_XfOrM1279(x)
      arity_code = FUNCCALL(SETUP_XfOrM1280(_), generate_lambda_simple_arity_check (num_params , has_rest , is_method , 1 ) ); 
      shared_arity_check [num_params ] [has_rest ] [is_method ] = arity_code ; 
    }
  }
  else arity_code = FUNCCALL(SETUP_XfOrM1276(_), generate_lambda_simple_arity_check (num_params , has_rest , is_method , 0 ) ); 
  max_depth = ((data -> max_let_depth + gdata . max_extra + 2 ) << 2 ) ; 
  if (ndata -> max_let_depth & 0x1 ) {
    data -> code = ((void * ) 0 ) ; 
  }
  data -> context = ((void * ) 0 ) ; 
  if (ndata -> max_let_depth & 0x2 ) {
    Scheme_Native_Closure_Data * case_lam ; 
    case_lam = NULLED_OUT ; 
    case_lam = ((Scheme_Native_Closure_Data_Plus_Case * ) ndata ) -> case_lam ; 
    if (case_lam -> max_let_depth < max_depth )
      case_lam -> max_let_depth = max_depth ; 
  }
  ndata -> code = code ; 
  ndata -> u . tail_code = tail_code ; 
  ndata -> arity_code = arity_code ; 
  ndata -> u2 . name = data -> name ; 
  ndata -> max_let_depth = max_depth ; 
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void on_demand () {
  /* No conversion */
  Scheme_Object * c , * argc , * * argv ; 
  c = scheme_current_runstack [0 ] ; 
  argc = scheme_current_runstack [1 ] ; 
  argv = (Scheme_Object * * ) scheme_current_runstack [2 ] ; 
  on_demand_generate_lambda ((Scheme_Native_Closure * ) c ) ; 
}
Scheme_Native_Closure_Data * scheme_generate_lambda (Scheme_Closure_Data * data , int clear_code_after_jit , Scheme_Native_Closure_Data * case_lam ) {
  Scheme_Native_Closure_Data * ndata ; 
  DECL_RET_SAVE (Scheme_Native_Closure_Data * ) PREPARE_VAR_STACK(4);
  BLOCK_SETUP_TOP((PUSH(ndata, 0), PUSH(data, 1), PUSH(case_lam, 2)));
# define XfOrM1284_COUNT (3)
# define SETUP_XfOrM1284(x) SETUP(XfOrM1284_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  ndata = NULLED_OUT ; 
  if (! check_arity_code ) {
#   define XfOrM1287_COUNT (0+XfOrM1284_COUNT)
#   define SETUP_XfOrM1287(x) SETUP_XfOrM1284(x)
    FUNCCALL(SETUP_XfOrM1287(_), generate_one (((void * ) 0 ) , do_generate_common , ((void * ) 0 ) , 0 , ((void * ) 0 ) , ((void * ) 0 ) ) ); 
  }
  if (! case_lam ) {
#   define XfOrM1286_COUNT (0+XfOrM1284_COUNT)
#   define SETUP_XfOrM1286(x) SETUP_XfOrM1284(x)
    ndata = ((Scheme_Native_Closure_Data * ) FUNCCALL(SETUP_XfOrM1286(_), GC_malloc_one_small_tagged ((((sizeof (Scheme_Native_Closure_Data ) * (1 ) + (1 << 2 ) - 1 ) >> 2 ) << 2 ) ) )) ; 
    ndata -> iso . so . type = scheme_rt_native_code ; 
  }
  else {
    Scheme_Native_Closure_Data_Plus_Case * ndatap ; 
    BLOCK_SETUP((PUSH(ndatap, 0+XfOrM1284_COUNT)));
#   define XfOrM1285_COUNT (1+XfOrM1284_COUNT)
#   define SETUP_XfOrM1285(x) SETUP(XfOrM1285_COUNT)
    ndatap = NULLED_OUT ; 
    ndatap = ((Scheme_Native_Closure_Data_Plus_Case * ) FUNCCALL(SETUP_XfOrM1285(_), GC_malloc_one_small_tagged ((((sizeof (Scheme_Native_Closure_Data_Plus_Case ) * (1 ) + (1 << 2 ) - 1 ) >> 2 ) << 2 ) ) )) ; 
    ndatap -> case_lam = case_lam ; 
    ndata = (Scheme_Native_Closure_Data * ) ndatap ; 
    ndata -> iso . so . type = scheme_rt_native_code_plus_case ; 
  }
  ndata -> code = on_demand_jit_code ; 
  ndata -> u . tail_code = on_demand_jit_arity_code ; 
  ndata -> arity_code = on_demand_jit_arity_code ; 
  ndata -> u2 . orig_code = data ; 
  ndata -> closure_size = data -> closure_size ; 
  ndata -> max_let_depth = 0x4 | (case_lam ? 0x2 : 0 ) | (clear_code_after_jit ? 0x1 : 0 ) ; 
  RET_VALUE_START (ndata ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_simple_arity_check (mz_jit_state * jitter , int num_params , int has_rest , int is_method ) {
  /* No conversion */
  jit_insn * ref , * ref2 ; 
  ; 
  if (! has_rest )
    ref = (((num_params ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((num_params ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
  else ref = (((num_params ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x8 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x8 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((num_params ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xff ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
  ref = (((0x0 ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x8 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x8 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x0 ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
  ((jitter -> js ) . jitl . argssize += ((3 ) ) ) ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (2 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (0 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  (void ) ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((wrong_argument_count ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
  ref = (((0x0 ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0x0 ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x4 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
  (((((0x40 + (2 ) ) ) ) == (((0x40 + (2 ) ) ) ) ) ? (((! ((((unsigned long ) ((- (1 ) ) ) ) ^ (((unsigned long ) ((- (1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((- (1 ) ) ) ) ^ (((unsigned long ) ((- (1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((- (1 ) ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((- (1 ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8d ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (1 ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (2 ) ) ) ) ) ? (((((- (1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (1 ) ) ) ) ^ (((unsigned long ) ((- (1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (1 ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (1 ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((- (1 ) ) ) == 0 ) && ((((0x40 + (2 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (1 ) ) ) ) ^ (((unsigned long ) ((- (1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (1 ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (1 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (2 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (1 ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? (((((- (1 ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) ((- (1 ) ) ) ) ^ (((unsigned long ) ((- (1 ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) ((- (1 ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (2 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) ((- (1 ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ) ; 
  if (! has_rest )
    ref2 = (((num_params ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((num_params ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
  else ref2 = (((num_params ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (2 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x8 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x8 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (2 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((num_params ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  ((1 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | ((((0x40 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((1 ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((0x40 ) ) & 0x7 ) ) << 3 ) | ((((0x40 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
  (((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((2 << 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((2 << 2 ) ) ) ) ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x47 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x46 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x43 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x45 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc3 ) & 0xff ) ) ) ) ) ) ) ; 
  (* ((_sl * ) ((ref2 ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref2 ) ) ) ) ; 
  ((0 ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | ((((0x40 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((0 ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | (((((0x40 ) ) & 0x7 ) ) << 3 ) | ((((0x40 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
  (((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((2 << 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((2 << 2 ) ) ) ) ) ) ) ) ) ; 
  ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x47 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x46 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x43 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x45 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc3 ) & 0xff ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
  if (! has_rest )
    (void ) ((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (num_params ) ) << 1 ) | 0x1 ) ) ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (num_params ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (num_params ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
  else (void ) ((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (- (num_params + 1 ) ) ) << 1 ) | 0x1 ) ) ) ) ) ? (1 ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (- (num_params + 1 ) ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0xb8 ) | (((((0x40 + (0 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ul_pc ++ ) = ((_ul ) (((((long ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (- (num_params + 1 ) ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x31 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (0 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (0 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  if (is_method ) {
    ((jitter -> js ) . jitl . argssize += ((1 ) ) ) ; 
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (0 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
    (void ) ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((scheme_box ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ; 
    (((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((2 << 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((2 << 2 ) ) ) ) ) ) ) ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x47 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x46 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x43 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x45 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc3 ) & 0xff ) ) ) ) ) ) ) ; 
  }
  else {
    ((void ) (((((0x40 + (0 ) ) ) ) ) == (((0x40 ) ) ) ? 0 : ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((((0x40 + (0 ) ) ) ) ) ) & 0xF ) ) << 3 ) | ((((((0x40 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) ) ) ) ; 
    (((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) ((2 << 2 ) ) ) ^ (((unsigned long ) ((2 << 2 ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((2 << 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((2 << 2 ) ) ) ) ) ) ) ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x47 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x46 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x43 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x58 ) | (((0x45 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xc3 ) & 0xff ) ) ) ) ) ) ) ; 
  }
  ; 
  return 1 ; 
}
typedef struct {
  int num_params ; 
  int has_rest ; 
  int is_method ; 
}
Generate_Arity_Check_Data ; 
static int do_generate_lambda_simple_arity_check (mz_jit_state * jitter , void * _data ) {
  /* No conversion */
  Generate_Arity_Check_Data * data = (Generate_Arity_Check_Data * ) _data ; 
  return generate_simple_arity_check (jitter , data -> num_params , data -> has_rest , data -> is_method ) ; 
}
static void * generate_lambda_simple_arity_check (int num_params , int has_rest , int is_method , int permanent ) {
  /* No conversion */
  Generate_Arity_Check_Data data ; 
  data . num_params = num_params ; 
  data . has_rest = has_rest ; 
  data . is_method = is_method ; 
  return generate_one (((void * ) 0 ) , do_generate_lambda_simple_arity_check , & data , ! permanent , ((void * ) 0 ) , ((void * ) 0 ) ) ; 
}
static int generate_case_lambda_dispatch (mz_jit_state * jitter , Scheme_Case_Lambda * c , Scheme_Native_Closure_Data * ndata , int do_getarg ) {
  Scheme_Closure_Data * data ; 
  Scheme_Object * o ; 
  int i , cnt , has_rest , offset , num_params ; 
  jit_insn * ref = ((void * ) 0 ) ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(5);
  BLOCK_SETUP_TOP((PUSH(data, 0), PUSH(o, 1), PUSH(ref, 2), PUSH(jitter, 3), PUSH(c, 4)));
# define XfOrM1293_COUNT (5)
# define SETUP_XfOrM1293(x) SETUP(XfOrM1293_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  data = NULLED_OUT ; 
  o = NULLED_OUT ; 
  cnt = c -> count ; 
  for (i = 0 ; i < cnt ; i ++ ) {
#   define XfOrM1299_COUNT (0+XfOrM1293_COUNT)
#   define SETUP_XfOrM1299(x) SETUP_XfOrM1293(x)
    o = c -> array [i ] ; 
    if ((! (((long ) (o ) ) & 0x1 ) && ((((o ) -> type ) >= scheme_prim_type ) && (((o ) -> type ) <= scheme_native_closure_type ) ) ) )
      o = (Scheme_Object * ) ((Scheme_Closure * ) o ) -> code ; 
    data = (Scheme_Closure_Data * ) o ; 
    num_params = data -> num_params ; 
    has_rest = (((& (data ) -> iso ) -> so . keyex & 1 ) ? 1 : 0 ) ; 
    if (has_rest && num_params )
      -- num_params ; 
    if (! do_getarg || (i < cnt - 1 ) ) {
      if (! has_rest )
        ref = (((num_params ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((num_params ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x5 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
      else ref = (((num_params ) ) == 0 ? (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x85 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((((((0x40 + (1 ) ) ) ) & 0x7 ) ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x8 ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0x8 ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) : (((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((7 ) << 3 ) | (((((0x40 + (1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((num_params ) ) ) ) ) ) ) ) , ((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) >> 8 ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x0f80 | (0xc ) ) ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) ) ; 
    }
    if (do_getarg ) {
#     define XfOrM1301_COUNT (0+XfOrM1299_COUNT)
#     define SETUP_XfOrM1301(x) SETUP_XfOrM1299(x)
      FUNCCALL(SETUP_XfOrM1301(_), generate_function_getarg (jitter , has_rest , num_params + (has_rest ? 1 : 0 ) ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
    }
    offset = ((i ) << 2 ) + (unsigned long ) & ((Scheme_Native_Closure * ) 0x0 ) -> vals ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((offset ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((offset ) ) ) ) ^ (((unsigned long ) (((offset ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((offset ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((offset ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((offset ) ) ) ) ^ (((unsigned long ) (((offset ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((offset ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((offset ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((offset ) ) ) ) ^ (((unsigned long ) (((offset ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((offset ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | (((((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((offset ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) : (0x44 == ((((0x40 + (0 ) ) ) ) ) ? ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) && ((((0x40 + (0 ) ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((0x40 + (0 ) ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | ((((((0x40 + (0 ) ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x8b ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ) ) ) ) : (0x44 == (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) ? ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) == 0 ) && (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ^ (((unsigned long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) ) ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xff ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((4 ) << 3 ) | (((((1 ) == 0 ? 0x43 : 0x46 + (1 ) - 1 ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    if (! do_getarg || (i < cnt - 1 ) ) {
      (* ((_sl * ) ((ref ) - sizeof (long ) ) ) = ((_sl ) ((jit_insn * ) (((jitter -> js ) . x . pc ) ) - (ref ) ) ) ) ; 
    }
  }
  if (! do_getarg ) {
    ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x89 ) & 0xff ) ) ) ) ) ) , (((0 ) == 0 ) ? (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (0x44 == (0 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0x7 ) ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((1 ) == 1 ) ? 0 : (((1 ) == 2 ) ? 1 : (((1 ) == 4 ) ? 2 : (((1 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0x44 ) & 0xF ) ) << 3 ) | (((0x44 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : ((((((& scheme_current_runstack ) ) ) == 0 ) && (0 != 0x45 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) : (((0 ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (5 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) : (((0 ) != 0x44 ) ? ((((((& scheme_current_runstack ) ) ) == 0 ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) : ((! ((((unsigned long ) (((& scheme_current_runstack ) ) ) ) ^ (((unsigned long ) (((& scheme_current_runstack ) ) ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((1 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0x7 ) ) << 3 ) | (((0 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((long ) (((& scheme_current_runstack ) ) ) ) & 0xff ) ) ) ) ) ) : (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((2 ) << 6 ) | ((((((((((0 ) == 0 ? 0x43 : 0x46 + (0 ) - 1 ) ) ) ) & 0xF ) ) & 0x7 ) ) << 3 ) | (4 ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((((((0 ) == 1 ) ? 0 : (((0 ) == 2 ) ? 1 : (((0 ) == 4 ) ? 2 : (((0 ) == 8 ) ? 3 : 0 ) ) ) ) ) ) << 6 ) | ((((0 ) & 0xF ) ) << 3 ) | (((0 ) & 0xF ) ) ) & 0xff ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) (((long ) (((& scheme_current_runstack ) ) ) ) ) ) ) ) ) ) ) ) ) : 0 ) ) ) ) ; 
    ((jitter -> js ) . jitl . argssize += ((3 ) ) ) ; 
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (2 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (1 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
    (((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) (((0x50 ) | ((((0x40 + (0 ) ) ) & 0x7 ) ) ) & 0xff ) ) ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    (void ) ((void ) 0 , ((void ) (((((0 ) == 0 ) && ((0 ) == 0 ) ) ? ((((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0xe8 ) & 0xff ) ) ) ) ) ) , (((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((0 ) ) ) ) ) ) , ((* (((_ui * ) ((jitter -> js ) . x . pc ) ) - 1 ) ) = (((_ul ) ((long ) (((unsigned long ) ((wrong_argument_count ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) ) : 0 ) , (jitter -> js ) . x . pc ) , (((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((0x81 ) | 2 ) ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((0x81 ) & 0xff ) ) ) ) ) ) , ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((((3 ) << 6 ) | ((0 ) << 3 ) | (((0x44 ) & 0x7 ) ) ) & 0xff ) ) ) ) ) , ((! ((((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ^ (((unsigned long ) (sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) << 1 ) ) & ~ ((unsigned long ) (((long ) 1 << (8 ) ) ) - 1 ) ) ) ? ((void ) (((* (jitter -> js ) . x . uc_pc ++ ) = ((_uc ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) & 0xff ) ) ) ) ) : ((void ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((sizeof (long ) * (jitter -> js ) . jitl . argssize ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . argssize = 0 ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
typedef struct {
  Scheme_Case_Lambda * c ; 
  Scheme_Native_Closure_Data * ndata ; 
  int is_method ; 
}
Generate_Case_Dispatch_Data ; 
static int do_generate_case_lambda_dispatch (mz_jit_state * jitter , void * _data ) {
  Generate_Case_Dispatch_Data * data = (Generate_Case_Dispatch_Data * ) _data ; 
  void * code , * arity_code ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(4);
  BLOCK_SETUP_TOP((PUSH(data, 0), PUSH(arity_code, 1), PUSH(code, 2), PUSH(jitter, 3)));
# define XfOrM1303_COUNT (4)
# define SETUP_XfOrM1303(x) SETUP(XfOrM1303_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  code = NULLED_OUT ; 
  arity_code = NULLED_OUT ; 
  code = ((jitter -> js ) . x . code ) . ptr ; 
  FUNCCALL(SETUP_XfOrM1303(_), generate_function_prolog (jitter , code , data -> ndata -> max_let_depth ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  if (FUNCCALL(SETUP_XfOrM1303(_), generate_case_lambda_dispatch (jitter , data -> c , data -> ndata , 1 ) )) {
#   define XfOrM1304_COUNT (0+XfOrM1303_COUNT)
#   define SETUP_XfOrM1304(x) SETUP_XfOrM1303(x)
    arity_code = ((jitter -> js ) . x . code ) . ptr ; 
    if (FUNCCALL(SETUP_XfOrM1304(_), generate_case_lambda_dispatch (jitter , data -> c , data -> ndata , 0 ) )) {
      data -> ndata -> code = code ; 
      data -> ndata -> arity_code = arity_code ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
  }
  RET_VALUE_START (0 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void generate_case_lambda (Scheme_Case_Lambda * c , Scheme_Native_Closure_Data * ndata , int is_method ) {
  Generate_Case_Dispatch_Data gdata ; 
  Scheme_Closure_Data * data ; 
  Scheme_Object * o ; 
  int i , cnt , num_params , has_rest ; 
  mzshort * arities ; 
  PREPARE_VAR_STACK_ONCE(7);
  BLOCK_SETUP_TOP((PUSH(o, 0), PUSH(ndata, 1), PUSH(gdata.c, 2), PUSH(gdata.ndata, 3), PUSH(arities, 4), PUSH(data, 5), PUSH(c, 6)));
# define XfOrM1306_COUNT (7)
# define SETUP_XfOrM1306(x) SETUP(XfOrM1306_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  gdata.c = NULLED_OUT ; 
  gdata.ndata = NULLED_OUT ; 
  data = NULLED_OUT ; 
  o = NULLED_OUT ; 
  arities = NULLED_OUT ; 
  gdata . c = c ; 
  gdata . ndata = ndata ; 
  gdata . is_method = is_method ; 
  FUNCCALL(SETUP_XfOrM1306(_), generate_one (((void * ) 0 ) , do_generate_case_lambda_dispatch , & gdata , 1 , ((void * ) 0 ) , ndata ) ); 
  cnt = c -> count ; 
  arities = (mzshort * ) FUNCCALL(SETUP_XfOrM1306(_), GC_malloc_atomic (sizeof (mzshort ) * (cnt + 1 ) ) ); 
  arities [cnt ] = is_method ; 
  for (i = 0 ; i < cnt ; i ++ ) {
    o = c -> array [i ] ; 
    if ((! (((long ) (o ) ) & 0x1 ) && ((((o ) -> type ) >= scheme_prim_type ) && (((o ) -> type ) <= scheme_native_closure_type ) ) ) )
      o = (Scheme_Object * ) ((Scheme_Closure * ) o ) -> code ; 
    data = (Scheme_Closure_Data * ) o ; 
    num_params = data -> num_params ; 
    has_rest = (((& (data ) -> iso ) -> so . keyex & 1 ) ? 1 : 0 ) ; 
    if (has_rest && num_params )
      -- num_params ; 
    if (! has_rest )
      arities [i ] = num_params ; 
    else arities [i ] = - (num_params + 1 ) ; 
  }
  ndata -> u . arities = arities ; 
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int lambda_has_been_jitted (Scheme_Native_Closure_Data * ndata ) {
  /* No conversion */
  return (ndata -> code != on_demand_jit_code ) ; 
}
int scheme_native_arity_check (Scheme_Object * closure , int argc ) {
  int cnt ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(5);
  BLOCK_SETUP_TOP((PUSH(closure, 0)));
# define XfOrM1310_COUNT (1)
# define SETUP_XfOrM1310(x) SETUP(XfOrM1310_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  cnt = ((Scheme_Native_Closure * ) closure ) -> code -> closure_size ; 
  if (cnt < 0 ) {
    int i ; 
    mzshort * arities , v ; 
    arities = NULLED_OUT ; 
    arities = ((Scheme_Native_Closure * ) closure ) -> code -> u . arities ; 
    cnt = - (cnt + 1 ) ; 
    for (i = 0 ; i < cnt ; i ++ ) {
      v = arities [i ] ; 
      if (v < 0 ) {
        v = - (v + 1 ) ; 
        if (argc >= v )
          RET_VALUE_START (1 ) RET_VALUE_END ; 
      }
      else if (argc == v )
        RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  }
  if (! FUNCCALL(SETUP_XfOrM1310(_), lambda_has_been_jitted (((Scheme_Native_Closure * ) closure ) -> code ) )) {
    Scheme_Closure c ; 
    BLOCK_SETUP((PUSH(c.code, 0+XfOrM1310_COUNT), PUSHARRAY(c.vals, 1, 1+XfOrM1310_COUNT)));
#   define XfOrM1311_COUNT (4+XfOrM1310_COUNT)
#   define SETUP_XfOrM1311(x) SETUP(XfOrM1311_COUNT)
    c.code = NULLED_OUT ; 
    c.vals[0] = NULLED_OUT ; 
    c . so . type = scheme_closure_type ; 
    c . code = ((Scheme_Native_Closure * ) closure ) -> code -> u2 . orig_code ; 
    RET_VALUE_START ((! (((FUNCCALL(SETUP_XfOrM1311(_), scheme_get_or_check_arity ((Scheme_Object * ) & c , argc ) )) ) == (scheme_false ) ) ) ) RET_VALUE_END ; 
  }
  RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(check_arity_code (closure , argc + 1 , 0 ) )) RET_VALUE_EMPTY_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * scheme_get_native_arity (Scheme_Object * closure ) {
  int cnt ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK(6);
  BLOCK_SETUP_TOP((PUSH(closure, 0)));
# define XfOrM1317_COUNT (1)
# define SETUP_XfOrM1317(x) SETUP(XfOrM1317_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  cnt = ((Scheme_Native_Closure * ) closure ) -> code -> closure_size ; 
  if (cnt < 0 ) {
    Scheme_Object * l = scheme_null , * a ; 
    int i , has_rest , is_method ; 
    mzshort * arities , v ; 
    BLOCK_SETUP((PUSH(arities, 0+XfOrM1317_COUNT), PUSH(a, 1+XfOrM1317_COUNT), PUSH(l, 2+XfOrM1317_COUNT)));
#   define XfOrM1319_COUNT (3+XfOrM1317_COUNT)
#   define SETUP_XfOrM1319(x) SETUP(XfOrM1319_COUNT)
    a = NULLED_OUT ; 
    arities = NULLED_OUT ; 
    arities = ((Scheme_Native_Closure * ) closure ) -> code -> u . arities ; 
    cnt = - (cnt + 1 ) ; 
    is_method = arities [cnt ] ; 
    for (i = cnt ; i -- ; ) {
#     define XfOrM1322_COUNT (0+XfOrM1319_COUNT)
#     define SETUP_XfOrM1322(x) SETUP_XfOrM1319(x)
      v = arities [i ] ; 
      if (v < 0 ) {
        v = - (v + 1 ) ; 
        has_rest = 1 ; 
      }
      else has_rest = 0 ; 
      a = FUNCCALL(SETUP_XfOrM1322(_), scheme_make_arity (v , has_rest ? - 1 : v ) ); 
      l = FUNCCALL_AGAIN(scheme_make_pair (a , l ) ); 
    }
    if (is_method )
      l = FUNCCALL(SETUP_XfOrM1319(_), scheme_box (l ) ); 
    RET_VALUE_START (l ) RET_VALUE_END ; 
  }
  if (! FUNCCALL(SETUP_XfOrM1317(_), lambda_has_been_jitted (((Scheme_Native_Closure * ) closure ) -> code ) )) {
    Scheme_Closure c ; 
    Scheme_Object * a ; 
    BLOCK_SETUP((PUSH(a, 0+XfOrM1317_COUNT), PUSH(c.code, 1+XfOrM1317_COUNT), PUSHARRAY(c.vals, 1, 2+XfOrM1317_COUNT)));
#   define XfOrM1318_COUNT (5+XfOrM1317_COUNT)
#   define SETUP_XfOrM1318(x) SETUP(XfOrM1318_COUNT)
    c.code = NULLED_OUT ; 
    c.vals[0] = NULLED_OUT ; 
    a = NULLED_OUT ; 
    c . so . type = scheme_closure_type ; 
    c . code = ((Scheme_Native_Closure * ) closure ) -> code -> u2 . orig_code ; 
    a = FUNCCALL(SETUP_XfOrM1318(_), scheme_get_or_check_arity ((Scheme_Object * ) & c , - 1 ) ); 
    if ((& (c . code ) -> iso ) -> so . keyex & 16 )
      a = FUNCCALL(SETUP_XfOrM1318(_), scheme_box (a ) ); 
    RET_VALUE_START (a ) RET_VALUE_END ; 
  }
  RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(get_arity_code (closure , 0 , 0 ) )) RET_VALUE_EMPTY_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
typedef void * (* Get_Stack_Proc ) () ; 
unsigned long scheme_approx_sp () {
  /* No conversion */
  unsigned long p ; 
  p = (unsigned long ) & p ; 
  return p ; 
}
Scheme_Object * scheme_native_stack_trace (void ) {
  void * p , * q ; 
  unsigned long stack_end , stack_start , halfway ; 
  Get_Stack_Proc gs ; 
  Scheme_Object * name , * last = ((void * ) 0 ) , * first = ((void * ) 0 ) , * tail ; 
  int set_next_push = 0 , prev_had_name = 0 ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(6);
  BLOCK_SETUP_TOP((PUSH(first, 0), PUSH(q, 1), PUSH(last, 2), PUSH(tail, 3), PUSH(p, 4), PUSH(name, 5)));
# define XfOrM1325_COUNT (6)
# define SETUP_XfOrM1325(x) SETUP(XfOrM1325_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  p = NULLED_OUT ; 
  q = NULLED_OUT ; 
  name = NULLED_OUT ; 
  tail = NULLED_OUT ; 
  if (! get_stack_pointer_code )
    RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
  gs = (Get_Stack_Proc ) get_stack_pointer_code ; 
  p = FUNCCALL(SETUP_XfOrM1325(_), gs () ); 
  stack_start = FUNCCALL_AGAIN(scheme_approx_sp () ); 
  if (stack_cache_stack_pos ) {
    stack_end = (unsigned long ) stack_cache_stack [stack_cache_stack_pos ] . stack_frame ; 
    stack_end -= (1 << 2 ) ; 
    tail = stack_cache_stack [stack_cache_stack_pos ] . cache ; 
  }
  else {
    stack_end = (unsigned long ) (scheme_current_thread -> stack_start ) ; 
    tail = scheme_null ; 
  }
  halfway = (((unsigned long ) p ) - (stack_end ) ) / 2 ; 
  if (halfway < 1024 )
    halfway = stack_end ; 
  else {
    halfway += (unsigned long ) p ; 
  }
  while ((((unsigned long ) p ) < (stack_end ) ) && ((stack_start ) < ((unsigned long ) p ) ) ) {
#   define XfOrM1332_COUNT (0+XfOrM1325_COUNT)
#   define SETUP_XfOrM1332(x) SETUP_XfOrM1325(x)
    q = ((void * * ) p ) [1 ] ; 
    name = FUNCCALL(SETUP_XfOrM1332(_), find_symbol ((unsigned long ) q ) ); 
    if ((((name ) ) == (scheme_false ) ) ) {
#     define XfOrM1337_COUNT (0+XfOrM1332_COUNT)
#     define SETUP_XfOrM1337(x) SETUP_XfOrM1332(x)
      q = * (void * * ) p ; 
      q = ((void * * ) q ) [- (3 + 2 + 1 ) ] ; 
      name = FUNCCALL(SETUP_XfOrM1337(_), find_symbol ((unsigned long ) q ) ); 
    }
    if (name ) {
#     define XfOrM1335_COUNT (0+XfOrM1332_COUNT)
#     define SETUP_XfOrM1335(x) SETUP_XfOrM1332(x)
      name = FUNCCALL(SETUP_XfOrM1335(_), scheme_make_pair (name , scheme_null ) ); 
      if (last )
        (((Scheme_Simple_Object * ) (last ) ) -> u . pair_val . cdr ) = name ; 
      else first = name ; 
      last = name ; 
      if (set_next_push ) {
        stack_cache_stack [stack_cache_stack_pos ] . cache = name ; 
        set_next_push = 0 ; 
      }
    }
    if ((((unsigned long ) halfway ) < ((unsigned long ) p ) ) && prev_had_name ) {
      int pos ; 
      if (stack_cache_stack_pos >= (32 - 1 ) ) {
        void * * z ; 
        z = NULLED_OUT ; 
        z = (void * * ) stack_cache_stack [stack_cache_stack_pos ] . stack_frame ; 
        * z = stack_cache_stack [stack_cache_stack_pos ] . orig_return_address ; 
        -- stack_cache_stack_pos ; 
      }
      pos = ++ stack_cache_stack_pos ; 
      stack_cache_stack [pos ] . orig_return_address = ((void * * ) p ) [1 ] ; 
      stack_cache_stack [pos ] . stack_frame = (void * ) (((void * * ) p ) + 1 ) ; 
      stack_cache_stack [pos ] . cache = tail ; 
      set_next_push = 1 ; 
      ((void * * ) p ) [1 ] = stack_cache_pop_code ; 
      halfway = stack_end ; 
    }
    prev_had_name = ! ! name ; 
    q = * (void * * ) p ; 
    if ((((unsigned long ) q ) < ((unsigned long ) p ) ) )
      break ; 
    p = q ; 
  }
  if (last )
    (((Scheme_Simple_Object * ) (last ) ) -> u . pair_val . cdr ) = tail ; 
  else first = tail ; 
  if (((first ) == (scheme_null ) ) )
    RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
  RET_VALUE_START (first ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
void scheme_flush_stack_cache () {
  void * * p ; 
  while (stack_cache_stack_pos ) {
    p = (void * * ) stack_cache_stack [stack_cache_stack_pos ] . stack_frame ; 
    * p = stack_cache_stack [stack_cache_stack_pos ] . orig_return_address ; 
    -- stack_cache_stack_pos ; 
  }
}
void scheme_jit_longjmp (mz_jit_jmp_buf b , int v ) {
  unsigned long limit ; 
  void * * p ; 
  limit = b -> stack_frame ; 
  while (stack_cache_stack_pos && (((unsigned long ) stack_cache_stack [stack_cache_stack_pos ] . stack_frame ) < (limit ) ) ) {
    p = (void * * ) stack_cache_stack [stack_cache_stack_pos ] . stack_frame ; 
    * p = stack_cache_stack [stack_cache_stack_pos ] . orig_return_address ; 
    -- stack_cache_stack_pos ; 
  }
  longjmp (b -> jb , v ) ; 
}
void scheme_jit_setjmp_prepare (mz_jit_jmp_buf b ) {
  void * p ; 
  p = & p ; 
  b -> stack_frame = (unsigned long ) p ; 
}
void scheme_clean_native_symtab (void ) {
  /* No conversion */
}
static void release_native_code (void * fnlized , void * p ) {
  Scheme_Object * len ; 
  PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(p, 0)));
# define XfOrM1342_COUNT (1)
# define SETUP_XfOrM1342(x) SETUP(XfOrM1342_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  len = NULLED_OUT ; 
  len = (((Scheme_Small_Object * ) (fnlized ) ) -> u . ptr_val ) ; 
  scheme_jit_malloced -= (((long ) (len ) ) >> 1 ) ; 
  FUNCCALL(SETUP_XfOrM1342(_), add_symbol ((unsigned long ) p , (unsigned long ) p + (((long ) (len ) ) >> 1 ) , ((void * ) 0 ) , 0 ) ); 
  FUNCCALL_EMPTY(free (p ) ); 
  FUNCCALL_EMPTY(jit_notify_freed_code () ); 
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int native_closure_SIZE (void * p ) {
  Scheme_Native_Closure * c = (Scheme_Native_Closure * ) p ; 
  int closure_size = ((Scheme_Native_Closure_Data * ) GC_resolve (c -> code ) ) -> closure_size ; 
  if (closure_size < 0 ) {
    closure_size = - (closure_size + 1 ) ; 
  }
  return (((sizeof (Scheme_Native_Closure ) + (closure_size - 1 ) * sizeof (Scheme_Object * ) ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int native_closure_MARK (void * p ) {
  Scheme_Native_Closure * c = (Scheme_Native_Closure * ) p ; 
  int closure_size = ((Scheme_Native_Closure_Data * ) GC_resolve (c -> code ) ) -> closure_size ; 
  if (closure_size < 0 ) {
    closure_size = - (closure_size + 1 ) ; 
  }
  {
    int i = closure_size ; 
    while (i -- ) GC_mark (c -> vals [i ] ) ; 
  }
  GC_mark (c -> code ) ; 
  return (((sizeof (Scheme_Native_Closure ) + (closure_size - 1 ) * sizeof (Scheme_Object * ) ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int native_closure_FIXUP (void * p ) {
  Scheme_Native_Closure * c = (Scheme_Native_Closure * ) p ; 
  int closure_size = ((Scheme_Native_Closure_Data * ) GC_resolve (c -> code ) ) -> closure_size ; 
  if (closure_size < 0 ) {
    closure_size = - (closure_size + 1 ) ; 
  }
  {
    int i = closure_size ; 
    while (i -- ) GC_fixup (& (c -> vals [i ] ) ) ; 
  }
  GC_fixup (& (c -> code ) ) ; 
  return (((sizeof (Scheme_Native_Closure ) + (closure_size - 1 ) * sizeof (Scheme_Object * ) ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int mark_jit_state_SIZE (void * p ) {
  return ((sizeof (mz_jit_state ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int mark_jit_state_MARK (void * p ) {
  mz_jit_state * j = (mz_jit_state * ) p ; 
  GC_mark (j -> mappings ) ; 
  GC_mark (j -> self_data ) ; 
  return ((sizeof (mz_jit_state ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int mark_jit_state_FIXUP (void * p ) {
  mz_jit_state * j = (mz_jit_state * ) p ; 
  GC_fixup (& (j -> mappings ) ) ; 
  GC_fixup (& (j -> self_data ) ) ; 
  return ((sizeof (mz_jit_state ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int native_unclosed_proc_SIZE (void * p ) {
  return ((sizeof (Scheme_Native_Closure_Data ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int native_unclosed_proc_MARK (void * p ) {
  Scheme_Native_Closure_Data * d = (Scheme_Native_Closure_Data * ) p ; 
  int i ; 
  GC_mark (d -> u2 . name ) ; 
  for (i = d -> retain_count ; i -- ; ) {
    GC_mark (d -> retained [i ] ) ; 
  }
  if (d -> closure_size < 0 ) {
    GC_mark (d -> u . arities ) ; 
  }
  return ((sizeof (Scheme_Native_Closure_Data ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int native_unclosed_proc_FIXUP (void * p ) {
  Scheme_Native_Closure_Data * d = (Scheme_Native_Closure_Data * ) p ; 
  int i ; 
  GC_fixup (& (d -> u2 . name ) ) ; 
  for (i = d -> retain_count ; i -- ; ) {
    GC_fixup (& (d -> retained [i ] ) ) ; 
  }
  if (d -> closure_size < 0 ) {
    GC_fixup (& (d -> u . arities ) ) ; 
  }
  return ((sizeof (Scheme_Native_Closure_Data ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int native_unclosed_proc_plus_case_SIZE (void * p ) {
  return ((sizeof (Scheme_Native_Closure_Data_Plus_Case ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int native_unclosed_proc_plus_case_MARK (void * p ) {
  Scheme_Native_Closure_Data_Plus_Case * d = (Scheme_Native_Closure_Data_Plus_Case * ) p ; 
  native_unclosed_proc_MARK (p ) ; 
  GC_mark (d -> case_lam ) ; 
  return ((sizeof (Scheme_Native_Closure_Data_Plus_Case ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int native_unclosed_proc_plus_case_FIXUP (void * p ) {
  Scheme_Native_Closure_Data_Plus_Case * d = (Scheme_Native_Closure_Data_Plus_Case * ) p ; 
  native_unclosed_proc_FIXUP (p ) ; 
  GC_fixup (& (d -> case_lam ) ) ; 
  return ((sizeof (Scheme_Native_Closure_Data_Plus_Case ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static void register_traversers (void ) {
  GC_register_traversers (scheme_native_closure_type , native_closure_SIZE , native_closure_MARK , native_closure_FIXUP , 0 , 0 ) ; 
  GC_register_traversers (scheme_rt_jitter_data , mark_jit_state_SIZE , mark_jit_state_MARK , mark_jit_state_FIXUP , 1 , 0 ) ; 
  GC_register_traversers (scheme_rt_native_code , native_unclosed_proc_SIZE , native_unclosed_proc_MARK , native_unclosed_proc_FIXUP , 1 , 0 ) ; 
  GC_register_traversers (scheme_rt_native_code_plus_case , native_unclosed_proc_plus_case_SIZE , native_unclosed_proc_plus_case_MARK , native_unclosed_proc_plus_case_FIXUP , 1 , 0 ) ; 
}
