#include "precomp.h"
Scheme_Object * scheme_arity_at_least , * scheme_date ; 
Scheme_Object * scheme_make_arity_at_least ; 
Scheme_Object * scheme_source_property ; 
Scheme_Object * scheme_input_port_property , * scheme_output_port_property ; 
Scheme_Object * scheme_equal_property ; 
Scheme_Object * scheme_make_struct_type_proc ; 
Scheme_Object * scheme_current_inspector_proc ; 
Scheme_Object * location_struct ; 
typedef enum {
  SCHEME_CONSTR = 1 , SCHEME_PRED , SCHEME_GETTER , SCHEME_SETTER , SCHEME_GEN_GETTER , SCHEME_GEN_SETTER }
Scheme_ProcT ; 
typedef struct {
  Scheme_Object so ; 
  Scheme_Object * evt ; 
  Scheme_Object * wrapper ; 
}
Wrapped_Evt ; 
typedef struct {
  Scheme_Object so ; 
  Scheme_Object * maker ; 
}
Nack_Guard_Evt ; 
static Scheme_Object * make_inspector (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * make_sibling_inspector (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * inspector_p (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * current_inspector (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * current_code_inspector (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * make_struct_type_property (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * struct_type_property_p (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * check_evt_property_value_ok (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * check_equal_property_value_ok (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * check_write_property_value_ok (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * check_input_port_property_value_ok (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * check_output_port_property_value_ok (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * make_struct_type (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * make_struct_field_accessor (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * make_struct_field_mutator (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * nack_evt (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * handle_evt (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * handle_evt_p (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * struct_p (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * struct_type_p (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * proc_struct_type_p (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * struct_info (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * struct_type_info (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * struct_type_pred (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * struct_type_constr (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * struct_to_vector (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * prefab_struct_key (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * make_prefab_struct (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * prefab_key_struct_type (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * struct_setter_p (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * struct_getter_p (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * struct_pred_p (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * struct_constr_p (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * make_struct_proc (Scheme_Struct_Type * struct_type , char * func_name , Scheme_ProcT proc_type , int field_num ) ; 
static Scheme_Object * make_name (const char * pre , const char * tn , int tnl , const char * post1 , const char * fn , int fnl , const char * post2 , int sym ) ; 
static void get_struct_type_info (int argc , Scheme_Object * argv [] , Scheme_Object * * a , int always ) ; 
static Scheme_Object * write_property ; 
Scheme_Object * scheme_recur_symbol , * scheme_display_symbol , * scheme_write_special_symbol ; 
static Scheme_Object * evt_property ; 
static int evt_struct_is_ready (Scheme_Object * o , Scheme_Schedule_Info * sinfo ) ; 
static int is_evt_struct (Scheme_Object * ) ; 
static Scheme_Object * proc_property ; 
static int wrapped_evt_is_ready (Scheme_Object * o , Scheme_Schedule_Info * sinfo ) ; 
static int nack_guard_evt_is_ready (Scheme_Object * o , Scheme_Schedule_Info * sinfo ) ; 
static int nack_evt_is_ready (Scheme_Object * o , Scheme_Schedule_Info * sinfo ) ; 
static int poll_evt_is_ready (Scheme_Object * o , Scheme_Schedule_Info * sinfo ) ; 
Scheme_Object * make_special_comment (int argc , Scheme_Object * * argv ) ; 
Scheme_Object * special_comment_value (int argc , Scheme_Object * * argv ) ; 
Scheme_Object * special_comment_p (int argc , Scheme_Object * * argv ) ; 
static Scheme_Object * check_arity_at_least_fields (int argc , Scheme_Object * * argv ) ; 
static Scheme_Object * check_date_fields (int argc , Scheme_Object * * argv ) ; 
static Scheme_Object * check_location_fields (int argc , Scheme_Object * * argv ) ; 
static Scheme_Object * check_exn_source_property_value_ok (int argc , Scheme_Object * argv [] ) ; 
static Scheme_Object * exn_source_p (int argc , Scheme_Object * * argv ) ; 
static Scheme_Object * exn_source_get (int argc , Scheme_Object * * argv ) ; 
static Scheme_Object * procedure_extract_target (int argc , Scheme_Object * * argv ) ; 
static void register_traversers (void ) ; 
static Scheme_Bucket_Table * prefab_table ; 
static Scheme_Object * make_prefab_key (Scheme_Struct_Type * type ) ; 
static Scheme_Object * ellipses_symbol , * prefab_symbol ; 
void scheme_init_struct (Scheme_Env * env ) {
  Scheme_Object * * as_names ; 
  Scheme_Object * * as_values , * as_et ; 
  int as_count ; 
  Scheme_Object * * ts_names ; 
  Scheme_Object * * ts_values , * ts_et ; 
  int ts_count ; 
  Scheme_Object * * loc_names ; 
  Scheme_Object * * loc_values , * loc_et ; 
  int loc_count ; 
  int i ; 
  static const char * arity_fields [1 ] = {
    "value" }
  ; 
  static const char * date_fields [10 ] = {
    "second" , "minute" , "hour" , "day" , "month" , "year" , "week-day" , "year-day" , "dst?" , "time-zone-offset" }
  ; 
  static const char * location_fields [10 ] = {
    "source" , "line" , "column" , "position" , "span" }
  ; 
  Scheme_Object * __funcarg56 = NULLED_OUT ; 
  char * __funcarg55 = NULLED_OUT ; 
  Scheme_Object * __funcarg53 = NULLED_OUT ; 
  char * __funcarg52 = NULLED_OUT ; 
  Scheme_Object * __funcarg50 = NULLED_OUT ; 
  char * __funcarg49 = NULLED_OUT ; 
  Scheme_Object * __funcarg47 = NULLED_OUT ; 
  Scheme_Object * __funcarg46 = NULLED_OUT ; 
  Scheme_Object * __funcarg45 = NULLED_OUT ; 
  Scheme_Object * __funcarg44 = NULLED_OUT ; 
  Scheme_Object * __funcarg43 = NULLED_OUT ; 
  Scheme_Object * __funcarg42 = NULLED_OUT ; 
  Scheme_Object * __funcarg41 = NULLED_OUT ; 
  Scheme_Object * __funcarg40 = NULLED_OUT ; 
  Scheme_Object * __funcarg39 = NULLED_OUT ; 
  Scheme_Object * __funcarg38 = NULLED_OUT ; 
  Scheme_Object * __funcarg37 = NULLED_OUT ; 
  Scheme_Object * __funcarg36 = NULLED_OUT ; 
  Scheme_Object * __funcarg35 = NULLED_OUT ; 
  Scheme_Object * __funcarg34 = NULLED_OUT ; 
  Scheme_Object * __funcarg33 = NULLED_OUT ; 
  Scheme_Object * __funcarg32 = NULLED_OUT ; 
  Scheme_Object * __funcarg31 = NULLED_OUT ; 
  Scheme_Object * __funcarg30 = NULLED_OUT ; 
  Scheme_Object * __funcarg29 = NULLED_OUT ; 
  Scheme_Object * __funcarg28 = NULLED_OUT ; 
  Scheme_Object * __funcarg27 = NULLED_OUT ; 
  Scheme_Object * __funcarg26 = NULLED_OUT ; 
  Scheme_Object * __funcarg25 = NULLED_OUT ; 
  Scheme_Object * __funcarg24 = NULLED_OUT ; 
  Scheme_Object * __funcarg23 = NULLED_OUT ; 
  Scheme_Object * __funcarg22 = NULLED_OUT ; 
  Scheme_Object * __funcarg21 = NULLED_OUT ; 
  Scheme_Object * __funcarg20 = NULLED_OUT ; 
  Scheme_Object * __funcarg19 = NULLED_OUT ; 
  Scheme_Object * __funcarg18 = NULLED_OUT ; 
  Scheme_Object * __funcarg17 = NULLED_OUT ; 
  Scheme_Object * __funcarg16 = NULLED_OUT ; 
  Scheme_Object * __funcarg15 = NULLED_OUT ; 
  Scheme_Object * __funcarg14 = NULLED_OUT ; 
  Scheme_Object * __funcarg13 = NULLED_OUT ; 
  Scheme_Object * __funcarg12 = NULLED_OUT ; 
  Scheme_Object * __funcarg11 = NULLED_OUT ; 
  Scheme_Object * __funcarg10 = NULLED_OUT ; 
  Scheme_Object * __funcarg9 = NULLED_OUT ; 
  Scheme_Object * __funcarg8 = NULLED_OUT ; 
  PREPARE_VAR_STACK(16);
  BLOCK_SETUP_TOP((PUSH(loc_names, 0), PUSH(as_values, 1), PUSH(loc_values, 2), PUSH(ts_names, 3), PUSH(env, 4), PUSH(ts_et, 5), PUSH(ts_values, 6), PUSH(as_names, 7), PUSH(loc_et, 8), PUSH(as_et, 9)));
# define XfOrM1_COUNT (10)
# define SETUP_XfOrM1(x) SETUP(XfOrM1_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  as_names = NULLED_OUT ; 
  as_values = NULLED_OUT ; 
  as_et = NULLED_OUT ; 
  ts_names = NULLED_OUT ; 
  ts_values = NULLED_OUT ; 
  ts_et = NULLED_OUT ; 
  loc_names = NULLED_OUT ; 
  loc_values = NULLED_OUT ; 
  loc_et = NULLED_OUT ; 
  FUNCCALL(SETUP_XfOrM1(_), register_traversers () ); 
  FUNCCALL_AGAIN(scheme_register_static ((void * ) & scheme_arity_at_least , sizeof (scheme_arity_at_least ) ) ); 
  FUNCCALL_AGAIN(scheme_register_static ((void * ) & scheme_make_arity_at_least , sizeof (scheme_make_arity_at_least ) ) ); 
  scheme_arity_at_least = (__funcarg56 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim (check_arity_at_least_fields ) ), FUNCCALL_AGAIN(scheme_make_struct_type_from_string ("arity-at-least" , ((void * ) 0 ) , 1 , ((void * ) 0 ) , __funcarg56 , 1 ) )) ; 
  as_names = FUNCCALL_AGAIN(scheme_make_struct_names_from_array ("arity-at-least" , 1 , arity_fields , 0x80 | 0x10 , & as_count ) ); 
  as_values = FUNCCALL_AGAIN(scheme_make_struct_values (scheme_arity_at_least , as_names , as_count , 0x80 | 0x10 ) ); 
  scheme_make_arity_at_least = as_values [1 ] ; 
  for (i = 0 ; i < as_count - 1 ; i ++ ) {
#   define XfOrM13_COUNT (0+XfOrM1_COUNT)
#   define SETUP_XfOrM13(x) SETUP_XfOrM1(x)
    (__funcarg55 = FUNCCALL(SETUP_XfOrM13(_), scheme_symbol_val (as_names [i ] ) ), FUNCCALL_AGAIN(scheme_add_global_constant (__funcarg55 , as_values [i ] , env ) )) ; 
  }
  as_et = FUNCCALL(SETUP_XfOrM1(_), scheme_make_struct_exptime (as_names , as_count , ((void * ) 0 ) , ((void * ) 0 ) , 0x80 | 0x10 ) ); 
  FUNCCALL(SETUP_XfOrM1(_), scheme_add_global_keyword_symbol (as_names [as_count - 1 ] , as_et , env ) ); 
  FUNCCALL_AGAIN(scheme_register_static ((void * ) & scheme_date , sizeof (scheme_date ) ) ); 
  scheme_date = (__funcarg53 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim (check_date_fields ) ), FUNCCALL_AGAIN(scheme_make_struct_type_from_string ("date" , ((void * ) 0 ) , 10 , ((void * ) 0 ) , __funcarg53 , 1 ) )) ; 
  ts_names = FUNCCALL_AGAIN(scheme_make_struct_names_from_array ("date" , 10 , date_fields , 0x80 | 0x10 , & ts_count ) ); 
  ts_values = FUNCCALL_AGAIN(scheme_make_struct_values (scheme_date , ts_names , ts_count , 0x80 | 0x10 ) ); 
  for (i = 0 ; i < ts_count - 1 ; i ++ ) {
#   define XfOrM11_COUNT (0+XfOrM1_COUNT)
#   define SETUP_XfOrM11(x) SETUP_XfOrM1(x)
    (__funcarg52 = FUNCCALL(SETUP_XfOrM11(_), scheme_symbol_val (ts_names [i ] ) ), FUNCCALL_AGAIN(scheme_add_global_constant (__funcarg52 , ts_values [i ] , env ) )) ; 
  }
  ts_et = FUNCCALL(SETUP_XfOrM1(_), scheme_make_struct_exptime (ts_names , ts_count , ((void * ) 0 ) , ((void * ) 0 ) , 0x80 | 0x10 ) ); 
  FUNCCALL(SETUP_XfOrM1(_), scheme_add_global_keyword_symbol (ts_names [ts_count - 1 ] , ts_et , env ) ); 
  FUNCCALL_AGAIN(scheme_register_static ((void * ) & location_struct , sizeof (location_struct ) ) ); 
  location_struct = (__funcarg50 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim (check_location_fields ) ), FUNCCALL_AGAIN(scheme_make_struct_type_from_string ("srcloc" , ((void * ) 0 ) , 5 , ((void * ) 0 ) , __funcarg50 , 1 ) )) ; 
  loc_names = FUNCCALL_AGAIN(scheme_make_struct_names_from_array ("srcloc" , 5 , location_fields , 0x80 | 0x10 | 0x10 , & loc_count ) ); 
  loc_values = FUNCCALL_AGAIN(scheme_make_struct_values (location_struct , loc_names , loc_count , 0x80 | 0x10 | 0x10 ) ); 
  for (i = 0 ; i < loc_count - 1 ; i ++ ) {
#   define XfOrM9_COUNT (0+XfOrM1_COUNT)
#   define SETUP_XfOrM9(x) SETUP_XfOrM1(x)
    (__funcarg49 = FUNCCALL(SETUP_XfOrM9(_), scheme_symbol_val (loc_names [i ] ) ), FUNCCALL_AGAIN(scheme_add_global_constant (__funcarg49 , loc_values [i ] , env ) )) ; 
  }
  loc_et = FUNCCALL(SETUP_XfOrM1(_), scheme_make_struct_exptime (loc_names , loc_count , ((void * ) 0 ) , ((void * ) 0 ) , 0x80 | 0x10 | 0x10 ) ); 
  FUNCCALL(SETUP_XfOrM1(_), scheme_add_global_keyword_symbol (loc_names [loc_count - 1 ] , loc_et , env ) ); 
  FUNCCALL_AGAIN(scheme_register_static ((void * ) & write_property , sizeof (write_property ) ) ); 
  {
    Scheme_Object * guard , * a [2 ] , * pred , * access ; 
    BLOCK_SETUP((PUSH(pred, 0+XfOrM1_COUNT), PUSH(access, 1+XfOrM1_COUNT), PUSHARRAY(a, 2, 2+XfOrM1_COUNT), PUSH(guard, 5+XfOrM1_COUNT)));
#   define XfOrM7_COUNT (6+XfOrM1_COUNT)
#   define SETUP_XfOrM7(x) SETUP(XfOrM7_COUNT)
    guard = NULLED_OUT ; 
    a[0] = NULLED_OUT ; 
    a[1] = NULLED_OUT ; 
    pred = NULLED_OUT ; 
    access = NULLED_OUT ; 
    guard = FUNCCALL(SETUP_XfOrM7(_), scheme_make_prim_w_arity (check_write_property_value_ok , "guard-for-prop:custom-write" , 2 , 2 ) ); 
    a [0 ] = FUNCCALL(SETUP_XfOrM7(_), scheme_intern_symbol ("custom-write" ) ); 
    a [1 ] = guard ; 
    FUNCCALL(SETUP_XfOrM7(_), make_struct_type_property (2 , a ) ); 
    write_property = scheme_current_thread -> ku . multiple . array [0 ] ; 
    pred = scheme_current_thread -> ku . multiple . array [1 ] ; 
    access = scheme_current_thread -> ku . multiple . array [2 ] ; 
    FUNCCALL(SETUP_XfOrM7(_), scheme_add_global_constant ("prop:custom-write" , write_property , env ) ); 
    FUNCCALL_AGAIN(scheme_add_global_constant ("custom-write?" , pred , env ) ); 
    FUNCCALL_AGAIN(scheme_add_global_constant ("custom-write-accessor" , access , env ) ); 
  }
  FUNCCALL(SETUP_XfOrM1(_), scheme_register_static ((void * ) & evt_property , sizeof (evt_property ) ) ); 
  {
    Scheme_Object * guard ; 
    BLOCK_SETUP((PUSH(guard, 0+XfOrM1_COUNT)));
#   define XfOrM6_COUNT (1+XfOrM1_COUNT)
#   define SETUP_XfOrM6(x) SETUP(XfOrM6_COUNT)
    guard = NULLED_OUT ; 
    guard = FUNCCALL(SETUP_XfOrM6(_), scheme_make_prim_w_arity (check_evt_property_value_ok , "guard-for-prop:evt" , 2 , 2 ) ); 
    evt_property = (__funcarg47 = FUNCCALL(SETUP_XfOrM6(_), scheme_intern_symbol ("evt" ) ), FUNCCALL_AGAIN(scheme_make_struct_type_property_w_guard (__funcarg47 , guard ) )) ; 
    FUNCCALL_AGAIN(scheme_add_global_constant ("prop:evt" , evt_property , env ) ); 
    FUNCCALL_AGAIN(scheme_add_evt (scheme_structure_type , (Scheme_Ready_Fun ) evt_struct_is_ready , ((void * ) 0 ) , is_evt_struct , 1 ) ); 
  }
  {
#   define XfOrM5_COUNT (0+XfOrM1_COUNT)
#   define SETUP_XfOrM5(x) SETUP_XfOrM1(x)
    FUNCCALL(SETUP_XfOrM5(_), scheme_register_static ((void * ) & proc_property , sizeof (proc_property ) ) ); 
    proc_property = (__funcarg46 = FUNCCALL(SETUP_XfOrM5(_), scheme_intern_symbol ("procedure" ) ), FUNCCALL_AGAIN(scheme_make_struct_type_property (__funcarg46 ) )) ; 
    FUNCCALL_AGAIN(scheme_add_global_constant ("prop:procedure" , proc_property , env ) ); 
  }
  {
    Scheme_Object * guard ; 
    BLOCK_SETUP((PUSH(guard, 0+XfOrM1_COUNT)));
#   define XfOrM4_COUNT (1+XfOrM1_COUNT)
#   define SETUP_XfOrM4(x) SETUP(XfOrM4_COUNT)
    guard = NULLED_OUT ; 
    guard = FUNCCALL(SETUP_XfOrM4(_), scheme_make_prim_w_arity (check_equal_property_value_ok , "guard-for-prop:equal+hash" , 2 , 2 ) ); 
    FUNCCALL_AGAIN(scheme_register_static ((void * ) & scheme_equal_property , sizeof (scheme_equal_property ) ) ); 
    scheme_equal_property = (__funcarg45 = FUNCCALL(SETUP_XfOrM4(_), scheme_intern_symbol ("equal+hash" ) ), FUNCCALL_AGAIN(scheme_make_struct_type_property_w_guard (__funcarg45 , guard ) )) ; 
    FUNCCALL_AGAIN(scheme_add_global_constant ("prop:equal+hash" , scheme_equal_property , env ) ); 
  }
  {
    Scheme_Object * guard ; 
    BLOCK_SETUP((PUSH(guard, 0+XfOrM1_COUNT)));
#   define XfOrM3_COUNT (1+XfOrM1_COUNT)
#   define SETUP_XfOrM3(x) SETUP(XfOrM3_COUNT)
    guard = NULLED_OUT ; 
    FUNCCALL(SETUP_XfOrM3(_), scheme_register_static ((void * ) & scheme_input_port_property , sizeof (scheme_input_port_property ) ) ); 
    FUNCCALL_AGAIN(scheme_register_static ((void * ) & scheme_output_port_property , sizeof (scheme_output_port_property ) ) ); 
    guard = FUNCCALL_AGAIN(scheme_make_prim_w_arity (check_input_port_property_value_ok , "guard-for-prop:input-port" , 2 , 2 ) ); 
    scheme_input_port_property = (__funcarg44 = FUNCCALL(SETUP_XfOrM3(_), scheme_intern_symbol ("input-port" ) ), FUNCCALL_AGAIN(scheme_make_struct_type_property_w_guard (__funcarg44 , guard ) )) ; 
    guard = FUNCCALL_AGAIN(scheme_make_prim_w_arity (check_output_port_property_value_ok , "guard-for-prop:output-port" , 2 , 2 ) ); 
    scheme_output_port_property = (__funcarg43 = FUNCCALL(SETUP_XfOrM3(_), scheme_intern_symbol ("output-port" ) ), FUNCCALL_AGAIN(scheme_make_struct_type_property_w_guard (__funcarg43 , guard ) )) ; 
    FUNCCALL_AGAIN(scheme_add_global_constant ("prop:input-port" , scheme_input_port_property , env ) ); 
    FUNCCALL_AGAIN(scheme_add_global_constant ("prop:output-port" , scheme_output_port_property , env ) ); 
  }
  FUNCCALL(SETUP_XfOrM1(_), scheme_register_static ((void * ) & scheme_recur_symbol , sizeof (scheme_recur_symbol ) ) ); 
  FUNCCALL(SETUP_XfOrM1(_), scheme_register_static ((void * ) & scheme_display_symbol , sizeof (scheme_display_symbol ) ) ); 
  FUNCCALL_AGAIN(scheme_register_static ((void * ) & scheme_write_special_symbol , sizeof (scheme_write_special_symbol ) ) ); 
  scheme_recur_symbol = FUNCCALL_AGAIN(scheme_intern_symbol ("recur" ) ); 
  scheme_display_symbol = FUNCCALL_AGAIN(scheme_intern_symbol ("display" ) ); 
  scheme_write_special_symbol = FUNCCALL_AGAIN(scheme_intern_symbol ("write-special" ) ); 
  FUNCCALL_AGAIN(scheme_add_evt (scheme_wrap_evt_type , (Scheme_Ready_Fun ) wrapped_evt_is_ready , ((void * ) 0 ) , ((void * ) 0 ) , 1 ) ); 
  FUNCCALL_AGAIN(scheme_add_evt (scheme_handle_evt_type , (Scheme_Ready_Fun ) wrapped_evt_is_ready , ((void * ) 0 ) , ((void * ) 0 ) , 1 ) ); 
  FUNCCALL_AGAIN(scheme_add_evt (scheme_nack_guard_evt_type , (Scheme_Ready_Fun ) nack_guard_evt_is_ready , ((void * ) 0 ) , ((void * ) 0 ) , 1 ) ); 
  FUNCCALL_AGAIN(scheme_add_evt (scheme_nack_evt_type , (Scheme_Ready_Fun ) nack_evt_is_ready , ((void * ) 0 ) , ((void * ) 0 ) , 1 ) ); 
  FUNCCALL_AGAIN(scheme_add_evt (scheme_poll_evt_type , (Scheme_Ready_Fun ) poll_evt_is_ready , ((void * ) 0 ) , ((void * ) 0 ) , 1 ) ); 
  FUNCCALL_AGAIN(scheme_register_static ((void * ) & scheme_make_struct_type_proc , sizeof (scheme_make_struct_type_proc ) ) ); 
  scheme_make_struct_type_proc = FUNCCALL_AGAIN(scheme_make_prim_w_everything (make_struct_type , 1 , "make-struct-type" , 4 , 10 , 0 , 5 , 5 ) ); 
  FUNCCALL_AGAIN(scheme_add_global_constant ("make-struct-type" , scheme_make_struct_type_proc , env ) ); 
  (__funcarg42 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_everything (make_struct_type_property , 1 , "make-struct-type-property" , 1 , 2 , 0 , 3 , 3 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("make-struct-type-property" , __funcarg42 , env ) )) ; 
  (__funcarg41 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_arity (make_struct_field_accessor , "make-struct-field-accessor" , 2 , 3 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("make-struct-field-accessor" , __funcarg41 , env ) )) ; 
  (__funcarg40 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_arity (make_struct_field_mutator , "make-struct-field-mutator" , 2 , 3 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("make-struct-field-mutator" , __funcarg40 , env ) )) ; 
  (__funcarg39 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_arity (scheme_wrap_evt , "wrap-evt" , 2 , 2 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("wrap-evt" , __funcarg39 , env ) )) ; 
  (__funcarg38 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_arity (handle_evt , "handle-evt" , 2 , 2 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("handle-evt" , __funcarg38 , env ) )) ; 
  (__funcarg37 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_arity (nack_evt , "nack-guard-evt" , 1 , 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("nack-guard-evt" , __funcarg37 , env ) )) ; 
  (__funcarg36 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_arity (scheme_poll_evt , "poll-guard-evt" , 1 , 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("poll-guard-evt" , __funcarg36 , env ) )) ; 
  (__funcarg35 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_folding_prim (handle_evt_p , "handle-evt?" , 1 , 1 , 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("handle-evt?" , __funcarg35 , env ) )) ; 
  (__funcarg34 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_folding_prim (struct_p , "struct?" , 1 , 1 , 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("struct?" , __funcarg34 , env ) )) ; 
  (__funcarg33 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_folding_prim (struct_type_p , "struct-type?" , 1 , 1 , 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("struct-type?" , __funcarg33 , env ) )) ; 
  (__funcarg32 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_folding_prim (struct_type_property_p , "struct-type-property?" , 1 , 1 , 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("struct-type-property?" , __funcarg32 , env ) )) ; 
  (__funcarg31 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_folding_prim (proc_struct_type_p , "procedure-struct-type?" , 1 , 1 , 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("procedure-struct-type?" , __funcarg31 , env ) )) ; 
  (__funcarg30 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_arity (procedure_extract_target , "procedure-extract-target" , 1 , 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("procedure-extract-target" , __funcarg30 , env ) )) ; 
  (__funcarg29 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_everything (struct_info , 1 , "struct-info" , 1 , 1 , 0 , 2 , 2 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("struct-info" , __funcarg29 , env ) )) ; 
  (__funcarg28 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_everything (struct_type_info , 1 , "struct-type-info" , 1 , 1 , 0 , 8 , 8 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("struct-type-info" , __funcarg28 , env ) )) ; 
  (__funcarg27 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_arity (struct_type_pred , "struct-type-make-predicate" , 1 , 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("struct-type-make-predicate" , __funcarg27 , env ) )) ; 
  (__funcarg26 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_arity (struct_type_constr , "struct-type-make-constructor" , 1 , 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("struct-type-make-constructor" , __funcarg26 , env ) )) ; 
  (__funcarg25 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_arity (struct_to_vector , "struct->vector" , 1 , 2 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("struct->vector" , __funcarg25 , env ) )) ; 
  (__funcarg24 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_arity (prefab_struct_key , "prefab-struct-key" , 1 , 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("prefab-struct-key" , __funcarg24 , env ) )) ; 
  (__funcarg23 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_arity (make_prefab_struct , "make-prefab-struct" , 1 , - 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("make-prefab-struct" , __funcarg23 , env ) )) ; 
  (__funcarg22 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_arity (prefab_key_struct_type , "prefab-key->struct-type" , 2 , 2 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("prefab-key->struct-type" , __funcarg22 , env ) )) ; 
  (__funcarg21 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_arity (struct_setter_p , "struct-mutator-procedure?" , 1 , 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("struct-mutator-procedure?" , __funcarg21 , env ) )) ; 
  (__funcarg20 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_arity (struct_getter_p , "struct-accessor-procedure?" , 1 , 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("struct-accessor-procedure?" , __funcarg20 , env ) )) ; 
  (__funcarg19 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_arity (struct_pred_p , "struct-predicate-procedure?" , 1 , 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("struct-predicate-procedure?" , __funcarg19 , env ) )) ; 
  (__funcarg18 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_arity (struct_constr_p , "struct-constructor-procedure?" , 1 , 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("struct-constructor-procedure?" , __funcarg18 , env ) )) ; 
  (__funcarg17 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_arity (make_inspector , "make-inspector" , 0 , 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("make-inspector" , __funcarg17 , env ) )) ; 
  (__funcarg16 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_arity (make_sibling_inspector , "make-sibling-inspector" , 0 , 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("make-sibling-inspector" , __funcarg16 , env ) )) ; 
  (__funcarg15 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_arity (inspector_p , "inspector?" , 1 , 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("inspector?" , __funcarg15 , env ) )) ; 
  FUNCCALL_AGAIN(scheme_register_static ((void * ) & scheme_current_inspector_proc , sizeof (scheme_current_inspector_proc ) ) ); 
  scheme_current_inspector_proc = FUNCCALL_AGAIN(scheme_register_parameter (current_inspector , "current-inspector" , MZCONFIG_INSPECTOR ) ); 
  FUNCCALL_AGAIN(scheme_add_global_constant ("current-inspector" , scheme_current_inspector_proc , env ) ); 
  (__funcarg14 = FUNCCALL(SETUP_XfOrM1(_), scheme_register_parameter (current_code_inspector , "current-code-inspector" , MZCONFIG_CODE_INSPECTOR ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("current-code-inspector" , __funcarg14 , env ) )) ; 
  (__funcarg13 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_arity (make_special_comment , "make-special-comment" , 1 , 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("make-special-comment" , __funcarg13 , env ) )) ; 
  (__funcarg12 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_prim_w_arity (special_comment_value , "special-comment-value" , 1 , 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("special-comment-value" , __funcarg12 , env ) )) ; 
  (__funcarg11 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_folding_prim (special_comment_p , "special-comment?" , 1 , 1 , 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("special-comment?" , __funcarg11 , env ) )) ; 
  FUNCCALL_AGAIN(scheme_register_static ((void * ) & ellipses_symbol , sizeof (ellipses_symbol ) ) ); 
  ellipses_symbol = FUNCCALL_AGAIN(scheme_intern_symbol ("..." ) ); 
  FUNCCALL_AGAIN(scheme_register_static ((void * ) & prefab_symbol , sizeof (prefab_symbol ) ) ); 
  prefab_symbol = FUNCCALL_AGAIN(scheme_intern_symbol ("prefab" ) ); 
  FUNCCALL_AGAIN(scheme_register_static ((void * ) & scheme_source_property , sizeof (scheme_source_property ) ) ); 
  {
    Scheme_Object * guard ; 
    BLOCK_SETUP((PUSH(guard, 0+XfOrM1_COUNT)));
#   define XfOrM2_COUNT (1+XfOrM1_COUNT)
#   define SETUP_XfOrM2(x) SETUP(XfOrM2_COUNT)
    guard = NULLED_OUT ; 
    guard = FUNCCALL(SETUP_XfOrM2(_), scheme_make_prim_w_arity (check_exn_source_property_value_ok , "guard-for-prop:exn:srclocs" , 2 , 2 ) ); 
    scheme_source_property = (__funcarg10 = FUNCCALL(SETUP_XfOrM2(_), scheme_intern_symbol ("prop:exn:srclocs" ) ), FUNCCALL_AGAIN(scheme_make_struct_type_property_w_guard (__funcarg10 , guard ) )) ; 
  }
  FUNCCALL(SETUP_XfOrM1(_), scheme_add_global_constant ("prop:exn:srclocs" , scheme_source_property , env ) ); 
  (__funcarg9 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_folding_prim (exn_source_p , "exn:srclocs?" , 1 , 1 , 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("exn:srclocs?" , __funcarg9 , env ) )) ; 
  (__funcarg8 = FUNCCALL(SETUP_XfOrM1(_), scheme_make_folding_prim (exn_source_get , "exn:srclocs-accessor" , 1 , 1 , 1 ) ), FUNCCALL_AGAIN(scheme_add_global_constant ("exn:srclocs-accessor" , __funcarg8 , env ) )) ; 
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * scheme_make_initial_inspectors (void ) {
  Scheme_Inspector * superior , * root ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(2);
  BLOCK_SETUP_TOP((PUSH(superior, 0), PUSH(root, 1)));
# define XfOrM14_COUNT (2)
# define SETUP_XfOrM14(x) SETUP(XfOrM14_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  superior = NULLED_OUT ; 
  root = NULLED_OUT ; 
  superior = ((Scheme_Inspector * ) FUNCCALL(SETUP_XfOrM14(_), GC_malloc_one_small_tagged ((((sizeof (Scheme_Inspector ) * (1 ) + (1 << 2 ) - 1 ) >> 2 ) << 2 ) ) )) ; 
  superior -> so . type = scheme_inspector_type ; 
  superior -> depth = 0 ; 
  root = ((Scheme_Inspector * ) FUNCCALL(SETUP_XfOrM14(_), GC_malloc_one_small_tagged ((((sizeof (Scheme_Inspector ) * (1 ) + (1 << 2 ) - 1 ) >> 2 ) << 2 ) ) )) ; 
  root -> so . type = scheme_inspector_type ; 
  root -> depth = 1 ; 
  root -> superior = superior ; 
  RET_VALUE_START ((Scheme_Object * ) root ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * scheme_make_inspector (Scheme_Object * superior ) {
  Scheme_Inspector * naya ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(2);
  BLOCK_SETUP_TOP((PUSH(superior, 0), PUSH(naya, 1)));
# define XfOrM15_COUNT (2)
# define SETUP_XfOrM15(x) SETUP(XfOrM15_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  naya = NULLED_OUT ; 
  naya = ((Scheme_Inspector * ) FUNCCALL(SETUP_XfOrM15(_), GC_malloc_one_small_tagged ((((sizeof (Scheme_Inspector ) * (1 ) + (1 << 2 ) - 1 ) >> 2 ) << 2 ) ) )) ; 
  naya -> so . type = scheme_inspector_type ; 
  naya -> depth = ((Scheme_Inspector * ) superior ) -> depth + 1 ; 
  naya -> superior = (Scheme_Inspector * ) superior ; 
  RET_VALUE_START ((Scheme_Object * ) naya ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * make_inspector (int argc , Scheme_Object * * argv ) {
  Scheme_Object * superior ; 
  Scheme_Config * __funcarg57 = NULLED_OUT ; 
  PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(superior, 0)));
# define XfOrM16_COUNT (1)
# define SETUP_XfOrM16(x) SETUP(XfOrM16_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  superior = NULLED_OUT ; 
  if (argc ) {
#   define XfOrM17_COUNT (0+XfOrM16_COUNT)
#   define SETUP_XfOrM17(x) SETUP_XfOrM16(x)
    superior = argv [0 ] ; 
    if (! ((Scheme_Type ) (((((long ) (superior ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (superior ) ) -> type ) ) == (Scheme_Type ) (scheme_inspector_type ) ) )
      FUNCCALL_EMPTY(scheme_wrong_type ("make-inspector" , "inspector" , 0 , argc , argv ) ); 
  }
  else superior = (__funcarg57 = FUNCCALL(SETUP_XfOrM16(_), scheme_current_config () ), FUNCCALL_AGAIN(scheme_get_param (__funcarg57 , MZCONFIG_INSPECTOR ) )) ; 
  RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(scheme_make_inspector (superior ) )) RET_VALUE_EMPTY_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * make_sibling_inspector (int argc , Scheme_Object * * argv ) {
  Scheme_Object * superior ; 
  Scheme_Config * __funcarg58 = NULLED_OUT ; 
  PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(superior, 0)));
# define XfOrM18_COUNT (1)
# define SETUP_XfOrM18(x) SETUP(XfOrM18_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  superior = NULLED_OUT ; 
  if (argc ) {
#   define XfOrM19_COUNT (0+XfOrM18_COUNT)
#   define SETUP_XfOrM19(x) SETUP_XfOrM18(x)
    superior = argv [0 ] ; 
    if (! ((Scheme_Type ) (((((long ) (superior ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (superior ) ) -> type ) ) == (Scheme_Type ) (scheme_inspector_type ) ) )
      FUNCCALL_EMPTY(scheme_wrong_type ("make-sibling-inspector" , "inspector" , 0 , argc , argv ) ); 
  }
  else superior = (__funcarg58 = FUNCCALL(SETUP_XfOrM18(_), scheme_current_config () ), FUNCCALL_AGAIN(scheme_get_param (__funcarg58 , MZCONFIG_INSPECTOR ) )) ; 
  superior = (Scheme_Object * ) ((Scheme_Inspector * ) superior ) -> superior ; 
  RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(scheme_make_inspector (superior ) )) RET_VALUE_EMPTY_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * inspector_p (int argc , Scheme_Object * * argv ) {
  /* No conversion */
  return (((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_inspector_type ) ) ? scheme_true : scheme_false ) ; 
}
int scheme_is_subinspector (Scheme_Object * i , Scheme_Object * sup ) {
  /* No conversion */
  Scheme_Inspector * ins , * superior ; 
  if ((((i ) ) == (scheme_false ) ) )
    return 1 ; 
  ins = (Scheme_Inspector * ) i ; 
  superior = (Scheme_Inspector * ) sup ; 
  while (ins -> depth > superior -> depth ) {
    if (ins -> superior == superior )
      return 1 ; 
    ins = ins -> superior ; 
  }
  return 0 ; 
}
static Scheme_Object * current_inspector (int argc , Scheme_Object * argv [] ) {
  /* No conversion */
  return scheme_param_config ("current-inspector" , ((Scheme_Object * ) (void * ) (long ) ((((long ) (MZCONFIG_INSPECTOR ) ) << 1 ) | 0x1 ) ) , argc , argv , - 1 , inspector_p , "inspector" , 0 ) ; 
}
static Scheme_Object * current_code_inspector (int argc , Scheme_Object * argv [] ) {
  /* No conversion */
  return scheme_param_config ("current-code-inspector" , ((Scheme_Object * ) (void * ) (long ) ((((long ) (MZCONFIG_CODE_INSPECTOR ) ) << 1 ) | 0x1 ) ) , argc , argv , - 1 , inspector_p , "inspector" , 0 ) ; 
}
static Scheme_Object * prop_pred (int argc , Scheme_Object * * args , Scheme_Object * prim ) {
  Scheme_Struct_Type * stype ; 
  Scheme_Object * prop = ((Scheme_Primitive_Closure * ) prim ) -> val [0 ] ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(2);
  BLOCK_SETUP_TOP((PUSH(stype, 0), PUSH(prop, 1)));
# define XfOrM26_COUNT (2)
# define SETUP_XfOrM26(x) SETUP(XfOrM26_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  stype = NULLED_OUT ; 
  if ((((Scheme_Type ) (((((long ) (args [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (args [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_structure_type ) ) || ((Scheme_Type ) (((((long ) (args [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (args [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_proc_struct_type ) ) ) )
    stype = ((Scheme_Structure * ) args [0 ] ) -> stype ; 
  else if (((Scheme_Type ) (((((long ) (args [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (args [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_struct_type_type ) ) )
    stype = (Scheme_Struct_Type * ) args [0 ] ; 
  else RET_VALUE_START (scheme_false ) RET_VALUE_END ; 
  if (stype -> num_props < 0 ) {
#   define XfOrM30_COUNT (0+XfOrM26_COUNT)
#   define SETUP_XfOrM30(x) SETUP_XfOrM26(x)
    if (FUNCCALL(SETUP_XfOrM30(_), scheme_hash_get ((Scheme_Hash_Table * ) stype -> props , prop ) ))
      RET_VALUE_START (scheme_true ) RET_VALUE_END ; 
  }
  else {
    int i ; 
    for (i = stype -> num_props ; i -- ; ) {
      if ((((((Scheme_Simple_Object * ) (stype -> props [i ] ) ) -> u . pair_val . car ) ) == (prop ) ) )
        RET_VALUE_START (scheme_true ) RET_VALUE_END ; 
    }
  }
  RET_VALUE_START (scheme_false ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
__xform_nongcing__ static Scheme_Object * do_prop_accessor (Scheme_Object * prop , Scheme_Object * arg ) {
  /* No conversion */
  Scheme_Struct_Type * stype ; 
  if ((((Scheme_Type ) (((((long ) (arg ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (arg ) ) -> type ) ) == (Scheme_Type ) (scheme_structure_type ) ) || ((Scheme_Type ) (((((long ) (arg ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (arg ) ) -> type ) ) == (Scheme_Type ) (scheme_proc_struct_type ) ) ) )
    stype = ((Scheme_Structure * ) arg ) -> stype ; 
  else if (((Scheme_Type ) (((((long ) (arg ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (arg ) ) -> type ) ) == (Scheme_Type ) (scheme_struct_type_type ) ) )
    stype = (Scheme_Struct_Type * ) arg ; 
  else stype = ((void * ) 0 ) ; 
  if (stype ) {
    if (stype -> num_props < 0 ) {
      Scheme_Object * v ; 
      v = (Scheme_Object * ) scheme_eq_hash_get ((Scheme_Hash_Table * ) stype -> props , prop ) ; 
      if (v )
        return v ; 
    }
    else {
      int i ; 
      for (i = stype -> num_props ; i -- ; ) {
        if ((((((Scheme_Simple_Object * ) (stype -> props [i ] ) ) -> u . pair_val . car ) ) == (prop ) ) )
          return (((Scheme_Simple_Object * ) (stype -> props [i ] ) ) -> u . pair_val . cdr ) ; 
      }
    }
  }
  return ((void * ) 0 ) ; 
}
static Scheme_Object * prop_accessor (int argc , Scheme_Object * * args , Scheme_Object * prim ) {
  /* No conversion */
  Scheme_Object * v ; 
  v = do_prop_accessor (((Scheme_Primitive_Closure * ) prim ) -> val [0 ] , args [0 ] ) ; 
  if (! v )
    scheme_wrong_type (((Scheme_Primitive_Proc * ) prim ) -> name , "struct or struct-type with property" , 0 , 1 , args ) ; 
  return v ; 
}
static Scheme_Object * make_struct_type_property (int argc , Scheme_Object * argv [] ) {
  Scheme_Struct_Property * p ; 
  Scheme_Object * a [3 ] , * v ; 
  char * name ; 
  int len ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(7);
  BLOCK_SETUP_TOP((PUSH(v, 0), PUSH(argv, 1), PUSH(name, 2), PUSHARRAY(a, 3, 3), PUSH(p, 6)));
# define XfOrM38_COUNT (7)
# define SETUP_XfOrM38(x) SETUP(XfOrM38_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  p = NULLED_OUT ; 
  a[0] = NULLED_OUT ; 
  a[1] = NULLED_OUT ; 
  a[2] = NULLED_OUT ; 
  v = NULLED_OUT ; 
  name = NULLED_OUT ; 
  if (! ((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_symbol_type ) ) )
    FUNCCALL(SETUP_XfOrM38(_), scheme_wrong_type ("make-struct-type-property" , "symbol" , 0 , argc , argv ) ); 
  if ((argc > 1 ) && (! (((argv [1 ] ) ) == (scheme_false ) ) ) && ! FUNCCALL(SETUP_XfOrM38(_), scheme_check_proc_arity (((void * ) 0 ) , 2 , 1 , argc , argv ) )) {
#   define XfOrM39_COUNT (0+XfOrM38_COUNT)
#   define SETUP_XfOrM39(x) SETUP_XfOrM38(x)
    FUNCCALL(SETUP_XfOrM39(_), scheme_wrong_type ("make-struct-type-property" , "procedure (arity 2) or #f" , 1 , argc , argv ) ); 
  }
  p = ((Scheme_Struct_Property * ) FUNCCALL(SETUP_XfOrM38(_), GC_malloc_one_small_tagged ((((sizeof (Scheme_Struct_Property ) * (1 ) + (1 << 2 ) - 1 ) >> 2 ) << 2 ) ) )) ; 
  p -> so . type = scheme_struct_property_type ; 
  p -> name = argv [0 ] ; 
  if ((argc > 1 ) && (! (((argv [1 ] ) ) == (scheme_false ) ) ) )
    p -> guard = argv [1 ] ; 
  a [0 ] = (Scheme_Object * ) p ; 
  len = (((Scheme_Symbol * ) ((Scheme_Simple_Object * ) (argv [0 ] ) ) ) -> len ) ; 
  name = ((char * ) FUNCCALL(SETUP_XfOrM38(_), GC_malloc_atomic (sizeof (char ) * (len + 2 ) ) )) ; 
  (memcpy (name , (((Scheme_Symbol * ) ((Scheme_Simple_Object * ) (argv [0 ] ) ) ) -> s ) , len ) ) ; 
  name [len ] = '?' ; 
  name [len + 1 ] = 0 ; 
  v = FUNCCALL(SETUP_XfOrM38(_), scheme_make_folding_prim_closure (prop_pred , 1 , a , name , 1 , 1 , 0 ) ); 
  a [1 ] = v ; 
  name = ((char * ) FUNCCALL(SETUP_XfOrM38(_), GC_malloc_atomic (sizeof (char ) * (len + 10 ) ) )) ; 
  (memcpy (name , (((Scheme_Symbol * ) ((Scheme_Simple_Object * ) (argv [0 ] ) ) ) -> s ) , len ) ) ; 
  (memcpy (name + len , "-accessor" , 10 ) ) ; 
  v = FUNCCALL(SETUP_XfOrM38(_), scheme_make_folding_prim_closure (prop_accessor , 1 , a , name , 1 , 1 , 0 ) ); 
  a [2 ] = v ; 
  RET_VALUE_START (FUNCCALL(SETUP_XfOrM38(_), scheme_values (3 , a ) )) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * scheme_make_struct_type_property_w_guard (Scheme_Object * name , Scheme_Object * guard ) {
  Scheme_Thread * p = scheme_current_thread ; 
  Scheme_Object * a [2 ] ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(4);
  BLOCK_SETUP_TOP((PUSHARRAY(a, 2, 0), PUSH(p, 3)));
# define XfOrM40_COUNT (4)
# define SETUP_XfOrM40(x) SETUP(XfOrM40_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  a[0] = NULLED_OUT ; 
  a[1] = NULLED_OUT ; 
  a [0 ] = name ; 
  a [1 ] = guard ; 
  (void ) FUNCCALL(SETUP_XfOrM40(_), make_struct_type_property (2 , a ) ); 
  RET_VALUE_START (p -> ku . multiple . array [0 ] ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * scheme_make_struct_type_property (Scheme_Object * name ) {
  /* No conversion */
  return scheme_make_struct_type_property_w_guard (name , scheme_false ) ; 
}
Scheme_Object * scheme_struct_type_property_ref (Scheme_Object * prop , Scheme_Object * s ) {
  /* No conversion */
  return do_prop_accessor (prop , s ) ; 
}
static Scheme_Object * struct_type_property_p (int argc , Scheme_Object * argv [] ) {
  /* No conversion */
  return (((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_struct_property_type ) ) ? scheme_true : scheme_false ) ; 
}
static Scheme_Object * guard_property (Scheme_Object * prop , Scheme_Object * v , Scheme_Struct_Type * t ) {
  Scheme_Struct_Property * p = (Scheme_Struct_Property * ) prop ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK(9);
  BLOCK_SETUP_TOP((PUSH(v, 0), PUSH(p, 1)));
# define XfOrM44_COUNT (2)
# define SETUP_XfOrM44(x) SETUP(XfOrM44_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  if (p -> guard ) {
    Scheme_Object * a [2 ] , * info [8 ] , * l ; 
    BLOCK_SETUP((PUSH(l, 0+XfOrM44_COUNT), PUSHARRAY(info, 8, 1+XfOrM44_COUNT), PUSHARRAY(a, 2, 4+XfOrM44_COUNT)));
#   define XfOrM45_COUNT (7+XfOrM44_COUNT)
#   define SETUP_XfOrM45(x) SETUP(XfOrM45_COUNT)
    a[0] = NULLED_OUT ; 
    a[1] = NULLED_OUT ; 
    NULL_OUT_ARRAY (info ) ; 
    l = NULLED_OUT ; 
    a [0 ] = (Scheme_Object * ) t ; 
    FUNCCALL(SETUP_XfOrM45(_), get_struct_type_info (1 , a , info , 1 ) ); 
    l = FUNCCALL_AGAIN(scheme_build_list (8 , info ) ); 
    a [0 ] = v ; 
    a [1 ] = l ; 
    RET_VALUE_START (FUNCCALL(SETUP_XfOrM45(_), scheme_do_eval (p -> guard , 2 , a , 1 ) )) RET_VALUE_END ; 
  }
  else RET_VALUE_START (v ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int extract_accessor_offset (Scheme_Object * acc ) {
  /* No conversion */
  Struct_Proc_Info * i = (Struct_Proc_Info * ) ((Scheme_Primitive_Closure * ) acc ) -> val [0 ] ; 
  if (i -> struct_type -> name_pos )
    return i -> struct_type -> parent_types [i -> struct_type -> name_pos - 1 ] -> num_slots ; 
  else return 0 ; 
}
static Scheme_Object * check_evt_property_value_ok (int argc , Scheme_Object * argv [] ) {
  Scheme_Object * v , * l , * acc ; 
  int pos , num_islots ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(4);
  BLOCK_SETUP_TOP((PUSH(v, 0), PUSH(l, 1), PUSH(acc, 2), PUSH(argv, 3)));
# define XfOrM47_COUNT (4)
# define SETUP_XfOrM47(x) SETUP(XfOrM47_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  v = NULLED_OUT ; 
  l = NULLED_OUT ; 
  acc = NULLED_OUT ; 
  v = argv [0 ] ; 
  if (FUNCCALL(SETUP_XfOrM47(_), scheme_is_evt (v ) ))
    RET_VALUE_START (v ) RET_VALUE_END ; 
  if (FUNCCALL(SETUP_XfOrM47(_), scheme_check_proc_arity (((void * ) 0 ) , 1 , 0 , 1 , & v ) ))
    RET_VALUE_START (v ) RET_VALUE_END ; 
  if (! (((((long ) (v ) ) & 0x1 ) && ((((long ) (v ) ) >> 1 ) >= 0 ) ) || (((Scheme_Type ) (((((long ) (v ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (v ) ) -> type ) ) == (Scheme_Type ) (scheme_bignum_type ) ) && ((& ((Scheme_Bignum * ) v ) -> iso ) -> so . keyex & 0x1 ) ) ) )
    FUNCCALL(SETUP_XfOrM47(_), scheme_arg_mismatch ("guard-for-prop:evt" , "property value is not a evt, procedure (arity 1), or exact non-negative integer: " , v ) ); 
  l = argv [1 ] ; 
  l = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . cdr ) ; 
  num_islots = (((long ) ((((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . car ) ) ) >> 1 ) ; 
  l = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . cdr ) ; 
  l = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . cdr ) ; 
  acc = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . car ) ; 
  l = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . cdr ) ; 
  l = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . cdr ) ; 
  l = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . car ) ; 
  if (((Scheme_Type ) (((((long ) (v ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (v ) ) -> type ) ) == (Scheme_Type ) (scheme_bignum_type ) ) )
    pos = num_islots ; 
  else pos = (((long ) (v ) ) >> 1 ) ; 
  if (pos >= num_islots ) {
#   define XfOrM51_COUNT (0+XfOrM47_COUNT)
#   define SETUP_XfOrM51(x) SETUP_XfOrM47(x)
    FUNCCALL(SETUP_XfOrM51(_), scheme_arg_mismatch ("guard-for-prop:evt" , "field index >= initialized-field count for structure type: " , v ) ); 
  }
  for (; ((Scheme_Type ) (((((long ) (l ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (l ) ) -> type ) ) == (Scheme_Type ) (scheme_pair_type ) ) ; l = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . cdr ) ) {
    if ((((long ) ((((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . car ) ) ) >> 1 ) == pos )
      break ; 
  }
  if (! ((Scheme_Type ) (((((long ) (l ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (l ) ) -> type ) ) == (Scheme_Type ) (scheme_pair_type ) ) ) {
#   define XfOrM48_COUNT (0+XfOrM47_COUNT)
#   define SETUP_XfOrM48(x) SETUP_XfOrM47(x)
    FUNCCALL(SETUP_XfOrM48(_), scheme_arg_mismatch ("guard-for-prop:evt" , "field index not declared immutable: " , v ) ); 
  }
  pos += FUNCCALL(SETUP_XfOrM47(_), extract_accessor_offset (acc ) ); 
  v = ((Scheme_Object * ) (void * ) (long ) ((((long ) (pos ) ) << 1 ) | 0x1 ) ) ; 
  RET_VALUE_START (v ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int evt_struct_is_ready (Scheme_Object * o , Scheme_Schedule_Info * sinfo ) {
  Scheme_Object * v ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(7);
  BLOCK_SETUP_TOP((PUSH(v, 0), PUSH(o, 1), PUSH(sinfo, 2)));
# define XfOrM52_COUNT (3)
# define SETUP_XfOrM52(x) SETUP(XfOrM52_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  v = NULLED_OUT ; 
  v = (scheme_struct_type_property_ref (evt_property , o ) ) ; 
  if (! v ) {
#   define XfOrM60_COUNT (0+XfOrM52_COUNT)
#   define SETUP_XfOrM60(x) SETUP_XfOrM52(x)
    if ((scheme_is_input_port (o ) ) ) {
#     define XfOrM62_COUNT (0+XfOrM60_COUNT)
#     define SETUP_XfOrM62(x) SETUP_XfOrM60(x)
      v = (Scheme_Object * ) FUNCCALL(SETUP_XfOrM62(_), scheme_input_port_record (o ) ); 
    }
    else {
#     define XfOrM61_COUNT (0+XfOrM60_COUNT)
#     define SETUP_XfOrM61(x) SETUP_XfOrM60(x)
      v = (Scheme_Object * ) FUNCCALL(SETUP_XfOrM61(_), scheme_output_port_record (o ) ); 
    }
    FUNCCALL(SETUP_XfOrM60(_), scheme_set_sync_target (sinfo , v , ((void * ) 0 ) , ((void * ) 0 ) , 0 , 1 ) ); 
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  }
  if ((((long ) (v ) ) & 0x1 ) )
    v = ((Scheme_Structure * ) o ) -> slots [(((long ) (v ) ) >> 1 ) ] ; 
  if (FUNCCALL(SETUP_XfOrM52(_), scheme_is_evt (v ) )) {
#   define XfOrM59_COUNT (0+XfOrM52_COUNT)
#   define SETUP_XfOrM59(x) SETUP_XfOrM52(x)
    FUNCCALL(SETUP_XfOrM59(_), scheme_set_sync_target (sinfo , v , ((void * ) 0 ) , ((void * ) 0 ) , 0 , 1 ) ); 
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  }
  if ((! (((long ) (v ) ) & 0x1 ) && ((((v ) -> type ) >= scheme_prim_type ) && (((v ) -> type ) <= scheme_native_closure_type ) ) ) ) {
#   define XfOrM53_COUNT (0+XfOrM52_COUNT)
#   define SETUP_XfOrM53(x) SETUP_XfOrM52(x)
    if (sinfo -> false_positive_ok ) {
      sinfo -> potentially_false_positive = 1 ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    if (FUNCCALL(SETUP_XfOrM53(_), scheme_check_proc_arity (((void * ) 0 ) , 1 , 0 , 1 , & v ) )) {
      Scheme_Object * f = v , * result , * a [1 ] ; 
      BLOCK_SETUP((PUSHARRAY(a, 1, 0+XfOrM53_COUNT), PUSH(result, 3+XfOrM53_COUNT)));
#     define XfOrM54_COUNT (4+XfOrM53_COUNT)
#     define SETUP_XfOrM54(x) SETUP(XfOrM54_COUNT)
      result = NULLED_OUT ; 
      a[0] = NULLED_OUT ; 
      a [0 ] = o ; 
      result = FUNCCALL(SETUP_XfOrM54(_), scheme_apply (f , 1 , a ) ); 
      if (FUNCCALL(SETUP_XfOrM54(_), scheme_is_evt (result ) )) {
#       define XfOrM55_COUNT (0+XfOrM54_COUNT)
#       define SETUP_XfOrM55(x) SETUP_XfOrM54(x)
        {
#         define XfOrM56_COUNT (0+XfOrM55_COUNT)
#         define SETUP_XfOrM56(x) SETUP_XfOrM55(x)
          if ((scheme_fuel_counter ) <= 0 ) {
#           define XfOrM57_COUNT (0+XfOrM56_COUNT)
#           define SETUP_XfOrM57(x) SETUP_XfOrM56(x)
            FUNCCALL(SETUP_XfOrM57(_), scheme_out_of_fuel () ); 
          }
        }
        ; 
        FUNCCALL(SETUP_XfOrM55(_), scheme_set_sync_target (sinfo , result , ((void * ) 0 ) , ((void * ) 0 ) , 0 , 1 ) ); 
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      }
      FUNCCALL(SETUP_XfOrM54(_), scheme_set_sync_target (sinfo , o , o , ((void * ) 0 ) , 0 , 0 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
  }
  RET_VALUE_START (0 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int is_evt_struct (Scheme_Object * o ) {
  /* No conversion */
  if (scheme_struct_type_property_ref (evt_property , o ) )
    return 1 ; 
  if (scheme_struct_type_property_ref (scheme_input_port_property , o ) )
    return 1 ; 
  if (scheme_struct_type_property_ref (scheme_output_port_property , o ) )
    return 1 ; 
  return 0 ; 
}
static Scheme_Object * check_port_property_value_ok (const char * name , int input , int argc , Scheme_Object * argv [] ) {
  Scheme_Object * v , * l , * acc ; 
  int pos , num_islots ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(5);
  BLOCK_SETUP_TOP((PUSH(name, 0), PUSH(l, 1), PUSH(v, 2), PUSH(acc, 3), PUSH(argv, 4)));
# define XfOrM64_COUNT (5)
# define SETUP_XfOrM64(x) SETUP(XfOrM64_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  v = NULLED_OUT ; 
  l = NULLED_OUT ; 
  acc = NULLED_OUT ; 
  v = argv [0 ] ; 
  if ((input && (scheme_is_input_port (v ) ) ) || (! input && (scheme_is_output_port (v ) ) ) )
    RET_VALUE_START (v ) RET_VALUE_END ; 
  if (! (((((long ) (v ) ) & 0x1 ) && ((((long ) (v ) ) >> 1 ) >= 0 ) ) || (((Scheme_Type ) (((((long ) (v ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (v ) ) -> type ) ) == (Scheme_Type ) (scheme_bignum_type ) ) && ((& ((Scheme_Bignum * ) v ) -> iso ) -> so . keyex & 0x1 ) ) ) )
    FUNCCALL(SETUP_XfOrM64(_), scheme_arg_mismatch (name , (input ? "property value is not an input port or exact non-negative integer: " : "property value is not an output port or exact non-negative integer: " ) , v ) ); 
  l = argv [1 ] ; 
  l = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . cdr ) ; 
  num_islots = (((long ) ((((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . car ) ) ) >> 1 ) ; 
  l = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . cdr ) ; 
  l = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . cdr ) ; 
  acc = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . car ) ; 
  l = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . cdr ) ; 
  l = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . cdr ) ; 
  l = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . car ) ; 
  if (((Scheme_Type ) (((((long ) (v ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (v ) ) -> type ) ) == (Scheme_Type ) (scheme_bignum_type ) ) )
    pos = num_islots ; 
  else pos = (((long ) (v ) ) >> 1 ) ; 
  if (pos >= num_islots ) {
#   define XfOrM68_COUNT (0+XfOrM64_COUNT)
#   define SETUP_XfOrM68(x) SETUP_XfOrM64(x)
    FUNCCALL(SETUP_XfOrM68(_), scheme_arg_mismatch (name , "field index >= initialized-field count for structure type: " , v ) ); 
  }
  for (; ((Scheme_Type ) (((((long ) (l ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (l ) ) -> type ) ) == (Scheme_Type ) (scheme_pair_type ) ) ; l = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . cdr ) ) {
    if ((((long ) ((((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . car ) ) ) >> 1 ) == pos )
      break ; 
  }
  if (! ((Scheme_Type ) (((((long ) (l ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (l ) ) -> type ) ) == (Scheme_Type ) (scheme_pair_type ) ) ) {
#   define XfOrM65_COUNT (0+XfOrM64_COUNT)
#   define SETUP_XfOrM65(x) SETUP_XfOrM64(x)
    FUNCCALL(SETUP_XfOrM65(_), scheme_arg_mismatch (name , "field index not declared immutable: " , v ) ); 
  }
  pos += FUNCCALL(SETUP_XfOrM64(_), extract_accessor_offset (acc ) ); 
  v = ((Scheme_Object * ) (void * ) (long ) ((((long ) (pos ) ) << 1 ) | 0x1 ) ) ; 
  RET_VALUE_START (v ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * check_input_port_property_value_ok (int argc , Scheme_Object * argv [] ) {
  /* No conversion */
  return check_port_property_value_ok ("guard-for-prop:input-port" , 1 , argc , argv ) ; 
}
static Scheme_Object * check_output_port_property_value_ok (int argc , Scheme_Object * argv [] ) {
  /* No conversion */
  return check_port_property_value_ok ("guard-for-prop:output-port" , 0 , argc , argv ) ; 
}
static Scheme_Object * check_equal_property_value_ok (int argc , Scheme_Object * argv [] ) {
  Scheme_Object * v , * p ; 
  Scheme_Object * __funcarg59 = NULLED_OUT ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(p, 0), PUSH(v, 1), PUSH(argv, 2)));
# define XfOrM71_COUNT (3)
# define SETUP_XfOrM71(x) SETUP(XfOrM71_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  v = NULLED_OUT ; 
  p = NULLED_OUT ; 
  v = argv [0 ] ; 
  if (FUNCCALL(SETUP_XfOrM71(_), scheme_proper_list_length (v ) )!= 3 ) {
    v = ((void * ) 0 ) ; 
  }
  else {
#   define XfOrM73_COUNT (0+XfOrM71_COUNT)
#   define SETUP_XfOrM73(x) SETUP_XfOrM71(x)
    v = (__funcarg59 = FUNCCALL(SETUP_XfOrM73(_), scheme_make_symbol ("tag" ) ), FUNCCALL_AGAIN(scheme_make_pair (__funcarg59 , v ) )) ; 
    v = FUNCCALL(SETUP_XfOrM73(_), scheme_list_to_vector (v ) ); 
    p = (((Scheme_Vector * ) (v ) ) -> els ) [1 ] ; 
    if (! FUNCCALL(SETUP_XfOrM73(_), scheme_check_proc_arity (((void * ) 0 ) , 3 , 0 , 1 , & p ) )) {
      v = ((void * ) 0 ) ; 
    }
    else {
#     define XfOrM74_COUNT (0+XfOrM73_COUNT)
#     define SETUP_XfOrM74(x) SETUP_XfOrM73(x)
      p = (((Scheme_Vector * ) (v ) ) -> els ) [2 ] ; 
      if (! FUNCCALL(SETUP_XfOrM74(_), scheme_check_proc_arity (((void * ) 0 ) , 2 , 0 , 1 , & p ) )) {
        v = ((void * ) 0 ) ; 
      }
      else {
#       define XfOrM75_COUNT (0+XfOrM74_COUNT)
#       define SETUP_XfOrM75(x) SETUP_XfOrM74(x)
        p = (((Scheme_Vector * ) (v ) ) -> els ) [3 ] ; 
        if (! FUNCCALL(SETUP_XfOrM75(_), scheme_check_proc_arity (((void * ) 0 ) , 2 , 0 , 1 , & p ) )) {
          v = ((void * ) 0 ) ; 
        }
      }
    }
  }
  if (! v ) {
#   define XfOrM72_COUNT (0+XfOrM71_COUNT)
#   define SETUP_XfOrM72(x) SETUP_XfOrM71(x)
    FUNCCALL(SETUP_XfOrM72(_), scheme_arg_mismatch ("guard-for-prop:equal+hash" , "expected a list containing a recursive-equality procedure (arity 2)" " and two recursive hash-code procedures (arity 2), given: " , argv [0 ] ) ); 
  }
  RET_VALUE_START (v ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * check_write_property_value_ok (int argc , Scheme_Object * argv [] ) {
  Scheme_Object * v ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(v, 0)));
# define XfOrM80_COUNT (1)
# define SETUP_XfOrM80(x) SETUP(XfOrM80_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  v = NULLED_OUT ; 
  v = argv [0 ] ; 
  if (! FUNCCALL(SETUP_XfOrM80(_), scheme_check_proc_arity (((void * ) 0 ) , 3 , 0 , argc , argv ) )) {
#   define XfOrM81_COUNT (0+XfOrM80_COUNT)
#   define SETUP_XfOrM81(x) SETUP_XfOrM80(x)
    FUNCCALL(SETUP_XfOrM81(_), scheme_arg_mismatch ("guard-for-prop:custom-write" , "not a procedure of arity 3: " , v ) ); 
  }
  RET_VALUE_START (v ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * scheme_is_writable_struct (Scheme_Object * s ) {
  /* No conversion */
  return scheme_struct_type_property_ref (write_property , s ) ; 
}
static char * type_name_string (Scheme_Object * sym ) {
  /* No conversion */
  return (char * ) make_name ("struct:" , (char * ) sym , - 1 , "" , ((void * ) 0 ) , 0 , "" , 0 ) ; 
}
static void wrong_struct_type (char * name , Scheme_Object * expected , Scheme_Object * received , int which , int argc , Scheme_Object * * argv ) {
  char * __funcarg62 = NULLED_OUT ; 
  char * __funcarg61 = NULLED_OUT ; 
  char * __funcarg60 = NULLED_OUT ; 
  PREPARE_VAR_STACK_ONCE(5);
  BLOCK_SETUP_TOP((PUSH(argv, 0), PUSH(name, 1), PUSH(received, 2), PUSH(expected, 3), PUSH(__funcarg61, 4)));
# define XfOrM84_COUNT (5)
# define SETUP_XfOrM84(x) SETUP(XfOrM84_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  if (((expected ) == (received ) ) )
    (__funcarg61 = FUNCCALL(SETUP_XfOrM84(_), type_name_string (expected ) ), __funcarg62 = FUNCCALL(SETUP_XfOrM84(_), type_name_string (received ) ), FUNCCALL_EMPTY(scheme_raise_exn (MZEXN_FAIL_CONTRACT , "%s: expects args of type <%s>; " "given instance of a different <%s>" , name , __funcarg61 , __funcarg62 ) )) ; 
  else (__funcarg60 = FUNCCALL(SETUP_XfOrM84(_), type_name_string (expected ) ), FUNCCALL_EMPTY(scheme_wrong_type (name , __funcarg60 , which , argc , argv ) )) ; 
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
int scheme_is_struct_instance (Scheme_Object * type , Scheme_Object * v ) {
  /* No conversion */
  Scheme_Struct_Type * stype = (Scheme_Struct_Type * ) type ; 
  Scheme_Structure * s = (Scheme_Structure * ) v ; 
  return ((stype -> name_pos <= s -> stype -> name_pos ) && (stype == s -> stype -> parent_types [stype -> name_pos ] ) ) ; 
}
Scheme_Object * scheme_struct_ref (Scheme_Object * sv , int pos ) {
  /* No conversion */
  Scheme_Structure * s = (Scheme_Structure * ) sv ; 
  return s -> slots [pos ] ; 
}
void scheme_struct_set (Scheme_Object * sv , int pos , Scheme_Object * v ) {
  /* No conversion */
  Scheme_Structure * s = (Scheme_Structure * ) sv ; 
  s -> slots [pos ] = v ; 
}
Scheme_Object * scheme_make_struct_instance (Scheme_Object * _stype , int argc , Scheme_Object * * args ) {
  Scheme_Structure * inst ; 
  Scheme_Struct_Type * stype ; 
  Scheme_Object * * guard_argv = ((void * ) 0 ) , * v ; 
  int p , i , j , nis , ns , c , gcount ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(5);
  BLOCK_SETUP_TOP((PUSH(inst, 0), PUSH(guard_argv, 1), PUSH(stype, 2), PUSH(args, 3), PUSH(v, 4)));
# define XfOrM88_COUNT (5)
# define SETUP_XfOrM88(x) SETUP(XfOrM88_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  inst = NULLED_OUT ; 
  stype = NULLED_OUT ; 
  v = NULLED_OUT ; 
  stype = (Scheme_Struct_Type * ) _stype ; 
  c = stype -> num_slots ; 
  inst = (Scheme_Structure * ) FUNCCALL(SETUP_XfOrM88(_), GC_malloc_one_tagged (sizeof (Scheme_Structure ) + ((c - 1 ) * sizeof (Scheme_Object * ) ) ) ); 
  inst -> so . type = (stype -> proc_attr ? scheme_proc_struct_type : scheme_structure_type ) ; 
  inst -> stype = stype ; 
  for (p = stype -> name_pos ; p >= 0 ; p -- ) {
#   define XfOrM107_COUNT (0+XfOrM88_COUNT)
#   define SETUP_XfOrM107(x) SETUP_XfOrM88(x)
    if (stype -> parent_types [p ] -> guard ) {
      int got ; 
#     define XfOrM108_COUNT (0+XfOrM107_COUNT)
#     define SETUP_XfOrM108(x) SETUP_XfOrM107(x)
      if (! guard_argv ) {
#       define XfOrM110_COUNT (0+XfOrM108_COUNT)
#       define SETUP_XfOrM110(x) SETUP_XfOrM108(x)
        guard_argv = ((Scheme_Object * * ) FUNCCALL(SETUP_XfOrM110(_), GC_malloc (sizeof (Scheme_Object * ) * (argc + 1 ) ) )) ; 
        (memcpy (guard_argv , args , sizeof (Scheme_Object * ) * argc ) ) ; 
        args = guard_argv ; 
      }
      gcount = stype -> parent_types [p ] -> num_islots ; 
      guard_argv [argc ] = guard_argv [gcount ] ; 
      guard_argv [gcount ] = stype -> name ; 
      v = FUNCCALL(SETUP_XfOrM108(_), scheme_do_eval (stype -> parent_types [p ] -> guard , gcount + 1 , guard_argv , - 1 ) ); 
      got = (((v ) == (((Scheme_Object * ) 0x6 ) ) ) ? (scheme_current_thread -> ku . multiple . count ) : 1 ) ; 
      if (gcount != got ) {
#       define XfOrM109_COUNT (0+XfOrM108_COUNT)
#       define SETUP_XfOrM109(x) SETUP_XfOrM108(x)
        FUNCCALL(SETUP_XfOrM109(_), scheme_wrong_return_arity ("constructor" , gcount , got , (got == 1 ) ? (Scheme_Object * * ) v : (scheme_current_thread -> ku . multiple . array ) , "calling guard procedure" ) ); 
        RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
      }
      if (((v ) == (((Scheme_Object * ) 0x6 ) ) ) )
        (memcpy (guard_argv , (scheme_current_thread -> ku . multiple . array ) , gcount * sizeof (Scheme_Object * ) ) ) ; 
      else guard_argv [0 ] = v ; 
      guard_argv [gcount ] = guard_argv [argc ] ; 
    }
  }
  j = c ; 
  i = argc ; 
  for (p = stype -> name_pos ; p >= 0 ; p -- ) {
    if (p ) {
      ns = stype -> parent_types [p ] -> num_slots - stype -> parent_types [p - 1 ] -> num_slots ; 
      nis = stype -> parent_types [p ] -> num_islots - stype -> parent_types [p - 1 ] -> num_islots ; 
    }
    else {
      ns = stype -> parent_types [0 ] -> num_slots ; 
      nis = stype -> parent_types [0 ] -> num_islots ; 
    }
    ns -= nis ; 
    while (ns -- ) {
      inst -> slots [-- j ] = stype -> parent_types [p ] -> uninit_val ; 
    }
    while (nis -- ) {
      inst -> slots [-- j ] = args [-- i ] ; 
    }
  }
  RET_VALUE_START ((Scheme_Object * ) inst ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * scheme_make_prefab_struct_instance (Scheme_Struct_Type * stype , Scheme_Object * vec ) {
  Scheme_Structure * inst ; 
  int i , c ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(inst, 0), PUSH(stype, 1), PUSH(vec, 2)));
# define XfOrM111_COUNT (3)
# define SETUP_XfOrM111(x) SETUP(XfOrM111_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  inst = NULLED_OUT ; 
  c = stype -> num_slots ; 
  inst = (Scheme_Structure * ) FUNCCALL(SETUP_XfOrM111(_), GC_malloc_one_tagged (sizeof (Scheme_Structure ) + ((c - 1 ) * sizeof (Scheme_Object * ) ) ) ); 
  inst -> so . type = scheme_structure_type ; 
  inst -> stype = stype ; 
  for (i = 0 ; i < c ; i ++ ) {
    inst -> slots [i ] = (((Scheme_Vector * ) (vec ) ) -> els ) [i + 1 ] ; 
  }
  RET_VALUE_START ((Scheme_Object * ) inst ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * scheme_clone_prefab_struct_instance (Scheme_Structure * s ) {
  Scheme_Structure * inst ; 
  int c , sz ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(2);
  BLOCK_SETUP_TOP((PUSH(inst, 0), PUSH(s, 1)));
# define XfOrM114_COUNT (2)
# define SETUP_XfOrM114(x) SETUP(XfOrM114_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  inst = NULLED_OUT ; 
  c = s -> stype -> num_slots ; 
  sz = (sizeof (Scheme_Structure ) + ((c - 1 ) * sizeof (Scheme_Object * ) ) ) ; 
  inst = (Scheme_Structure * ) FUNCCALL(SETUP_XfOrM114(_), GC_malloc_one_tagged (sz ) ); 
  (memcpy (inst , s , sz ) ) ; 
  RET_VALUE_START ((Scheme_Object * ) inst ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * make_struct_instance (int argc , Scheme_Object * * args , Scheme_Object * prim ) {
  /* No conversion */
  return scheme_make_struct_instance (((Scheme_Primitive_Closure * ) prim ) -> val [0 ] , argc , args ) ; 
}
static Scheme_Object * make_simple_struct_instance (int argc , Scheme_Object * * args , Scheme_Object * prim ) {
  Scheme_Structure * inst ; 
  Scheme_Struct_Type * stype = (Scheme_Struct_Type * ) ((Scheme_Primitive_Closure * ) prim ) -> val [0 ] ; 
  int i , c ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(inst, 0), PUSH(stype, 1), PUSH(args, 2)));
# define XfOrM116_COUNT (3)
# define SETUP_XfOrM116(x) SETUP(XfOrM116_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  inst = NULLED_OUT ; 
  c = stype -> num_slots ; 
  inst = (Scheme_Structure * ) FUNCCALL(SETUP_XfOrM116(_), GC_malloc_one_tagged (sizeof (Scheme_Structure ) + ((c - 1 ) * sizeof (Scheme_Object * ) ) ) ); 
  inst -> so . type = scheme_structure_type ; 
  inst -> stype = stype ; 
  for (i = 0 ; i < argc ; i ++ ) {
    inst -> slots [i ] = args [i ] ; 
  }
  RET_VALUE_START ((Scheme_Object * ) inst ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int is_simple_struct_type (Scheme_Struct_Type * stype ) {
  /* No conversion */
  int p ; 
  if (stype -> proc_attr )
    return 0 ; 
  for (p = stype -> name_pos ; p >= 0 ; p -- ) {
    if (stype -> parent_types [p ] -> guard )
      return 0 ; 
    if (stype -> parent_types [p ] -> num_slots != stype -> parent_types [p ] -> num_islots )
      return 0 ; 
  }
  return 1 ; 
}
static Scheme_Object * struct_pred (int argc , Scheme_Object * * args , Scheme_Object * prim ) {
  /* No conversion */
  if ((((Scheme_Type ) (((((long ) (args [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (args [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_structure_type ) ) || ((Scheme_Type ) (((((long ) (args [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (args [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_proc_struct_type ) ) ) ) {
    Scheme_Struct_Type * stype = (Scheme_Struct_Type * ) ((Scheme_Primitive_Closure * ) prim ) -> val [0 ] ; 
    if (((stype -> name_pos <= ((Scheme_Structure * ) args [0 ] ) -> stype -> name_pos ) && (stype == ((Scheme_Structure * ) args [0 ] ) -> stype -> parent_types [stype -> name_pos ] ) ) )
      return scheme_true ; 
  }
  return scheme_false ; 
}
static int parse_pos (const char * who , Struct_Proc_Info * i , Scheme_Object * * args , int argc ) {
  /* No conversion */
  int pos ; 
  if (! (((long ) (args [1 ] ) ) & 0x1 ) || ((((long ) (args [1 ] ) ) >> 1 ) < 0 ) ) {
    if (((Scheme_Type ) (((((long ) (args [1 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (args [1 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_bignum_type ) ) && ((& ((Scheme_Bignum * ) args [1 ] ) -> iso ) -> so . keyex & 0x1 ) ) {
      pos = 32769 ; 
    }
    else {
      if (! who )
        who = i -> func_name ; 
      scheme_wrong_type (who , "non-negative exact integer" , 1 , argc , args ) ; 
      return 0 ; 
    }
  }
  else pos = (((long ) (args [1 ] ) ) >> 1 ) ; 
  if ((pos < i -> struct_type -> num_slots ) && i -> struct_type -> name_pos )
    pos += i -> struct_type -> parent_types [i -> struct_type -> name_pos - 1 ] -> num_slots ; 
  if (pos >= i -> struct_type -> num_slots ) {
    int sc ; 
    if (! who )
      who = i -> func_name ; 
    sc = (i -> struct_type -> name_pos ? (i -> struct_type -> num_slots - i -> struct_type -> parent_types [i -> struct_type -> name_pos - 1 ] -> num_slots ) : i -> struct_type -> num_slots ) ; 
    if (! sc ) {
      scheme_raise_exn (MZEXN_FAIL_CONTRACT , "%s: no slots in <struct:%S>; given index: %V" , who , i -> struct_type -> name , args [1 ] ) ; 
    }
    else {
      scheme_raise_exn (MZEXN_FAIL_CONTRACT , "%s: slot index for <struct:%S> not in [0, %d]: %V" , who , i -> struct_type -> name , sc - 1 , args [1 ] ) ; 
    }
    return 0 ; 
  }
  return pos ; 
}
static Scheme_Object * struct_getter (int argc , Scheme_Object * * args , Scheme_Object * prim ) {
  Scheme_Structure * inst ; 
  int pos ; 
  Struct_Proc_Info * i = (Struct_Proc_Info * ) ((Scheme_Primitive_Closure * ) prim ) -> val [0 ] ; 
  char * __funcarg63 = NULLED_OUT ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(inst, 0), PUSH(args, 1), PUSH(i, 2)));
# define XfOrM131_COUNT (3)
# define SETUP_XfOrM131(x) SETUP(XfOrM131_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  inst = NULLED_OUT ; 
  inst = (Scheme_Structure * ) args [0 ] ; 
  if (! (((Scheme_Type ) (((((long ) (args [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (args [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_structure_type ) ) || ((Scheme_Type ) (((((long ) (args [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (args [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_proc_struct_type ) ) ) ) {
#   define XfOrM133_COUNT (0+XfOrM131_COUNT)
#   define SETUP_XfOrM133(x) SETUP_XfOrM131(x)
    (__funcarg63 = FUNCCALL(SETUP_XfOrM133(_), type_name_string (i -> struct_type -> name ) ), FUNCCALL_EMPTY(scheme_wrong_type (i -> func_name , __funcarg63 , 0 , argc , args ) )) ; 
    RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
  }
  else if (! ((i -> struct_type -> name_pos <= inst -> stype -> name_pos ) && (i -> struct_type == inst -> stype -> parent_types [i -> struct_type -> name_pos ] ) ) ) {
#   define XfOrM132_COUNT (0+XfOrM131_COUNT)
#   define SETUP_XfOrM132(x) SETUP_XfOrM131(x)
    FUNCCALL(SETUP_XfOrM132(_), wrong_struct_type (i -> func_name , i -> struct_type -> name , ((((Scheme_Structure * ) inst ) -> stype ) -> name ) , 0 , argc , args ) ); 
    RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
  }
  if (argc == 2 )
    pos = FUNCCALL(SETUP_XfOrM131(_), parse_pos (((void * ) 0 ) , i , args , argc ) ); 
  else pos = i -> field ; 
  RET_VALUE_START (inst -> slots [pos ] ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * struct_setter (int argc , Scheme_Object * * args , Scheme_Object * prim ) {
  Scheme_Structure * inst ; 
  int pos ; 
  Scheme_Object * v ; 
  Struct_Proc_Info * i = (Struct_Proc_Info * ) ((Scheme_Primitive_Closure * ) prim ) -> val [0 ] ; 
  char * __funcarg64 = NULLED_OUT ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(4);
  BLOCK_SETUP_TOP((PUSH(inst, 0), PUSH(i, 1), PUSH(args, 2), PUSH(v, 3)));
# define XfOrM134_COUNT (4)
# define SETUP_XfOrM134(x) SETUP(XfOrM134_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  inst = NULLED_OUT ; 
  v = NULLED_OUT ; 
  if (! (((Scheme_Type ) (((((long ) (args [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (args [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_structure_type ) ) || ((Scheme_Type ) (((((long ) (args [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (args [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_proc_struct_type ) ) ) ) {
#   define XfOrM140_COUNT (0+XfOrM134_COUNT)
#   define SETUP_XfOrM140(x) SETUP_XfOrM134(x)
    (__funcarg64 = FUNCCALL(SETUP_XfOrM140(_), type_name_string (i -> struct_type -> name ) ), FUNCCALL_EMPTY(scheme_wrong_type (i -> func_name , __funcarg64 , 0 , argc , args ) )) ; 
    RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
  }
  inst = (Scheme_Structure * ) args [0 ] ; 
  if (! ((i -> struct_type -> name_pos <= inst -> stype -> name_pos ) && (i -> struct_type == inst -> stype -> parent_types [i -> struct_type -> name_pos ] ) ) ) {
#   define XfOrM139_COUNT (0+XfOrM134_COUNT)
#   define SETUP_XfOrM139(x) SETUP_XfOrM134(x)
    FUNCCALL(SETUP_XfOrM139(_), wrong_struct_type (i -> func_name , i -> struct_type -> name , ((((Scheme_Structure * ) inst ) -> stype ) -> name ) , 0 , argc , args ) ); 
    RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
  }
  if (argc == 3 ) {
#   define XfOrM138_COUNT (0+XfOrM134_COUNT)
#   define SETUP_XfOrM138(x) SETUP_XfOrM134(x)
    pos = FUNCCALL(SETUP_XfOrM138(_), parse_pos (((void * ) 0 ) , i , args , argc ) ); 
    v = args [2 ] ; 
  }
  else {
    pos = i -> field ; 
    v = args [1 ] ; 
  }
  if (i -> struct_type -> immutables ) {
    Scheme_Struct_Type * t = i -> struct_type ; 
    int p = pos ; 
#   define XfOrM135_COUNT (0+XfOrM134_COUNT)
#   define SETUP_XfOrM135(x) SETUP_XfOrM134(x)
    if (t -> name_pos )
      p -= t -> parent_types [t -> name_pos - 1 ] -> num_slots ; 
    if (t -> immutables [p ] ) {
#     define XfOrM136_COUNT (0+XfOrM135_COUNT)
#     define SETUP_XfOrM136(x) SETUP_XfOrM135(x)
      FUNCCALL(SETUP_XfOrM136(_), scheme_arg_mismatch (i -> func_name , "cannot modify value of immutable field in structure: " , args [0 ] ) ); 
      RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
    }
  }
  inst -> slots [pos ] = v ; 
  RET_VALUE_START (scheme_void ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * struct_p (int argc , Scheme_Object * argv [] ) {
  Scheme_Config * __funcarg65 = NULLED_OUT ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK(2);
  BLOCK_SETUP_TOP((PUSH(argv, 0)));
# define XfOrM141_COUNT (1)
# define SETUP_XfOrM141(x) SETUP(XfOrM141_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  if ((((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_structure_type ) ) || ((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_proc_struct_type ) ) ) ) {
    Scheme_Object * insp ; 
    BLOCK_SETUP((PUSH(insp, 0+XfOrM141_COUNT)));
#   define XfOrM142_COUNT (1+XfOrM141_COUNT)
#   define SETUP_XfOrM142(x) SETUP(XfOrM142_COUNT)
    insp = NULLED_OUT ; 
    insp = (__funcarg65 = FUNCCALL(SETUP_XfOrM142(_), scheme_current_config () ), FUNCCALL_AGAIN(scheme_get_param (__funcarg65 , MZCONFIG_INSPECTOR ) )) ; 
    if (FUNCCALL_EMPTY(scheme_inspector_sees_part (argv [0 ] , insp , - 1 ) ))
      RET_VALUE_START (scheme_true ) RET_VALUE_END ; 
    else RET_VALUE_START (scheme_false ) RET_VALUE_END ; 
  }
  else RET_VALUE_START (scheme_false ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * struct_type_p (int argc , Scheme_Object * argv [] ) {
  /* No conversion */
  return (((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_struct_type_type ) ) ? scheme_true : scheme_false ) ; 
}
static Scheme_Object * proc_struct_type_p (int argc , Scheme_Object * argv [] ) {
  /* No conversion */
  if (((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_struct_type_type ) ) ) {
    if (((Scheme_Struct_Type * ) argv [0 ] ) -> proc_attr )
      return scheme_true ; 
    else return scheme_false ; 
  }
  scheme_wrong_type ("procedure-struct-type?" , "struct-type" , 0 , argc , argv ) ; 
  return ((void * ) 0 ) ; 
}
static Scheme_Object * struct_info (int argc , Scheme_Object * argv [] ) {
  Scheme_Structure * s ; 
  Scheme_Struct_Type * stype ; 
  int p ; 
  Scheme_Object * insp , * a [2 ] ; 
  Scheme_Config * __funcarg66 = NULLED_OUT ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(6);
  BLOCK_SETUP_TOP((PUSH(stype, 0), PUSHARRAY(a, 2, 1), PUSH(s, 4), PUSH(insp, 5)));
# define XfOrM146_COUNT (6)
# define SETUP_XfOrM146(x) SETUP(XfOrM146_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  s = NULLED_OUT ; 
  stype = NULLED_OUT ; 
  insp = NULLED_OUT ; 
  a[0] = NULLED_OUT ; 
  a[1] = NULLED_OUT ; 
  if ((((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_structure_type ) ) || ((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_proc_struct_type ) ) ) ) {
#   define XfOrM147_COUNT (0+XfOrM146_COUNT)
#   define SETUP_XfOrM147(x) SETUP_XfOrM146(x)
    s = (Scheme_Structure * ) argv [0 ] ; 
    insp = (__funcarg66 = FUNCCALL(SETUP_XfOrM147(_), scheme_current_config () ), FUNCCALL_AGAIN(scheme_get_param (__funcarg66 , MZCONFIG_INSPECTOR ) )) ; 
    stype = s -> stype ; 
    p = stype -> name_pos + 1 ; 
    while (p -- ) {
#     define XfOrM150_COUNT (0+XfOrM147_COUNT)
#     define SETUP_XfOrM150(x) SETUP_XfOrM147(x)
      stype = stype -> parent_types [p ] ; 
      if ((scheme_is_subinspector (stype -> inspector , insp ) ) ) {
#       define XfOrM151_COUNT (0+XfOrM150_COUNT)
#       define SETUP_XfOrM151(x) SETUP_XfOrM150(x)
        a [0 ] = (Scheme_Object * ) stype ; 
        a [1 ] = ((((stype ) == (s -> stype ) ) ) ? scheme_false : scheme_true ) ; 
        RET_VALUE_START (FUNCCALL(SETUP_XfOrM151(_), scheme_values (2 , a ) )) RET_VALUE_END ; 
      }
    }
  }
  a [0 ] = scheme_false ; 
  a [1 ] = scheme_true ; 
  RET_VALUE_START (FUNCCALL(SETUP_XfOrM146(_), scheme_values (2 , a ) )) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * check_type_and_inspector (const char * who , int always , int argc , Scheme_Object * argv [] ) {
  Scheme_Object * insp ; 
  Scheme_Struct_Type * stype ; 
  Scheme_Config * __funcarg67 = NULLED_OUT ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(4);
  BLOCK_SETUP_TOP((PUSH(insp, 0), PUSH(stype, 1), PUSH(who, 2), PUSH(argv, 3)));
# define XfOrM152_COUNT (4)
# define SETUP_XfOrM152(x) SETUP(XfOrM152_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  insp = NULLED_OUT ; 
  stype = NULLED_OUT ; 
  if (! ((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_struct_type_type ) ) )
    FUNCCALL_EMPTY(scheme_wrong_type (who , "struct-type" , 0 , argc , argv ) ); 
  stype = (Scheme_Struct_Type * ) argv [0 ] ; 
  insp = (__funcarg67 = FUNCCALL(SETUP_XfOrM152(_), scheme_current_config () ), FUNCCALL_AGAIN(scheme_get_param (__funcarg67 , MZCONFIG_INSPECTOR ) )) ; 
  if (! always && ! (scheme_is_subinspector (stype -> inspector , insp ) ) ) {
#   define XfOrM153_COUNT (0+XfOrM152_COUNT)
#   define SETUP_XfOrM153(x) SETUP_XfOrM152(x)
    FUNCCALL(SETUP_XfOrM153(_), scheme_arg_mismatch (who , "current inspector cannot extract info for struct-type: " , argv [0 ] ) ); 
    RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
  }
  RET_VALUE_START (insp ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void get_struct_type_info (int argc , Scheme_Object * argv [] , Scheme_Object * * a , int always ) {
  Scheme_Struct_Type * stype , * parent ; 
  Scheme_Object * insp , * ims ; 
  int p , cnt ; 
  PREPARE_VAR_STACK(8);
  BLOCK_SETUP_TOP((PUSH(stype, 0), PUSH(parent, 1), PUSH(ims, 2), PUSH(insp, 3), PUSH(a, 4), PUSH(argv, 5)));
# define XfOrM154_COUNT (6)
# define SETUP_XfOrM154(x) SETUP(XfOrM154_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  stype = NULLED_OUT ; 
  parent = NULLED_OUT ; 
  insp = NULLED_OUT ; 
  ims = NULLED_OUT ; 
  insp = FUNCCALL(SETUP_XfOrM154(_), check_type_and_inspector ("struct-type-info" , always , argc , argv ) ); 
  stype = (Scheme_Struct_Type * ) argv [0 ] ; 
  if (! stype -> accessor ) {
    Scheme_Object * p ; 
    char * fn ; 
    BLOCK_SETUP((PUSH(fn, 0+XfOrM154_COUNT), PUSH(p, 1+XfOrM154_COUNT)));
#   define XfOrM162_COUNT (2+XfOrM154_COUNT)
#   define SETUP_XfOrM162(x) SETUP(XfOrM162_COUNT)
    p = NULLED_OUT ; 
    fn = NULLED_OUT ; 
    fn = (char * ) FUNCCALL(SETUP_XfOrM162(_), make_name ("" , (char * ) stype -> name , - 1 , "-ref" , ((void * ) 0 ) , 0 , "" , 0 ) ); 
    p = FUNCCALL(SETUP_XfOrM162(_), make_struct_proc (stype , fn , SCHEME_GEN_GETTER , 0 ) ); 
    stype -> accessor = p ; 
    fn = (char * ) FUNCCALL(SETUP_XfOrM162(_), make_name ("" , (char * ) stype -> name , - 1 , "-set!" , ((void * ) 0 ) , 0 , "" , 0 ) ); 
    p = FUNCCALL(SETUP_XfOrM162(_), make_struct_proc (stype , fn , SCHEME_GEN_SETTER , 0 ) ); 
    stype -> mutator = p ; 
  }
  if (stype -> name_pos )
    parent = stype -> parent_types [stype -> name_pos - 1 ] ; 
  else parent = ((void * ) 0 ) ; 
  a [0 ] = stype -> name ; 
  cnt = stype -> num_islots - (parent ? parent -> num_islots : 0 ) ; 
  a [1 ] = ((Scheme_Object * ) (void * ) (long ) ((((long ) (cnt ) ) << 1 ) | 0x1 ) ) ; 
  a [2 ] = ((Scheme_Object * ) (void * ) (long ) ((((long ) (stype -> num_slots - (parent ? parent -> num_slots : 0 ) - cnt ) ) << 1 ) | 0x1 ) ) ; 
  a [3 ] = stype -> accessor ; 
  a [4 ] = stype -> mutator ; 
  p = stype -> name_pos ; 
  while (-- p >= 0 ) {
#   define XfOrM160_COUNT (0+XfOrM154_COUNT)
#   define SETUP_XfOrM160(x) SETUP_XfOrM154(x)
    if ((scheme_is_subinspector (stype -> parent_types [p ] -> inspector , insp ) ) ) {
      break ; 
    }
  }
  ims = scheme_null ; 
  if (stype -> immutables ) {
    int i ; 
#   define XfOrM155_COUNT (0+XfOrM154_COUNT)
#   define SETUP_XfOrM155(x) SETUP_XfOrM154(x)
    for (i = stype -> num_islots ; i -- ; ) {
#     define XfOrM157_COUNT (0+XfOrM155_COUNT)
#     define SETUP_XfOrM157(x) SETUP_XfOrM155(x)
      if (stype -> immutables [i ] )
        ims = FUNCCALL(SETUP_XfOrM157(_), scheme_make_pair (((Scheme_Object * ) (void * ) (long ) ((((long ) (i ) ) << 1 ) | 0x1 ) ) , ims ) ); 
    }
  }
  a [5 ] = ims ; 
  a [6 ] = ((p >= 0 ) ? (Scheme_Object * ) stype -> parent_types [p ] : scheme_false ) ; 
  a [7 ] = ((p == stype -> name_pos - 1 ) ? scheme_false : scheme_true ) ; 
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * struct_type_info (int argc , Scheme_Object * argv [] ) {
  Scheme_Object * a [8 ] ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSHARRAY(a, 8, 0)));
# define XfOrM163_COUNT (3)
# define SETUP_XfOrM163(x) SETUP(XfOrM163_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  NULL_OUT_ARRAY (a ) ; 
  FUNCCALL(SETUP_XfOrM163(_), get_struct_type_info (argc , argv , a , 0 ) ); 
  RET_VALUE_START (FUNCCALL(SETUP_XfOrM163(_), scheme_values (8 , a ) )) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * struct_type_pred (int argc , Scheme_Object * argv [] ) {
  Scheme_Struct_Type * stype ; 
  char * __funcarg70 = NULLED_OUT ; 
  Scheme_Object * __funcarg69 = NULLED_OUT ; 
  char * __funcarg68 = NULLED_OUT ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(2);
  BLOCK_SETUP_TOP((PUSH(stype, 0), PUSH(argv, 1)));
# define XfOrM164_COUNT (2)
# define SETUP_XfOrM164(x) SETUP(XfOrM164_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  stype = NULLED_OUT ; 
  FUNCCALL(SETUP_XfOrM164(_), check_type_and_inspector ("struct-type-make-predicate" , 0 , argc , argv ) ); 
  stype = (Scheme_Struct_Type * ) argv [0 ] ; 
  RET_VALUE_START ((__funcarg68 = (__funcarg69 = (__funcarg70 = FUNCCALL(SETUP_XfOrM164(_), scheme_symbol_val (stype -> name ) ), FUNCCALL_AGAIN(make_name ("" , __funcarg70 , (((Scheme_Symbol * ) ((Scheme_Simple_Object * ) (stype -> name ) ) ) -> len ) , "?" , ((void * ) 0 ) , 0 , "" , 1 ) )) , FUNCCALL_AGAIN(scheme_symbol_val (__funcarg69 ) )) , FUNCCALL_EMPTY(make_struct_proc (stype , __funcarg68 , SCHEME_PRED , stype -> num_slots ) )) ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * struct_type_constr (int argc , Scheme_Object * argv [] ) {
  Scheme_Struct_Type * stype ; 
  char * __funcarg73 = NULLED_OUT ; 
  Scheme_Object * __funcarg72 = NULLED_OUT ; 
  char * __funcarg71 = NULLED_OUT ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(2);
  BLOCK_SETUP_TOP((PUSH(stype, 0), PUSH(argv, 1)));
# define XfOrM165_COUNT (2)
# define SETUP_XfOrM165(x) SETUP(XfOrM165_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  stype = NULLED_OUT ; 
  FUNCCALL(SETUP_XfOrM165(_), check_type_and_inspector ("struct-type-make-constructor" , 0 , argc , argv ) ); 
  stype = (Scheme_Struct_Type * ) argv [0 ] ; 
  RET_VALUE_START ((__funcarg71 = (__funcarg72 = (__funcarg73 = FUNCCALL(SETUP_XfOrM165(_), scheme_symbol_val (stype -> name ) ), FUNCCALL_AGAIN(make_name ("make-" , __funcarg73 , (((Scheme_Symbol * ) ((Scheme_Simple_Object * ) (stype -> name ) ) ) -> len ) , "" , ((void * ) 0 ) , 0 , "" , 1 ) )) , FUNCCALL_AGAIN(scheme_symbol_val (__funcarg72 ) )) , FUNCCALL_EMPTY(make_struct_proc (stype , __funcarg71 , SCHEME_CONSTR , stype -> num_slots ) )) ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * scheme_struct_to_vector (Scheme_Object * _s , Scheme_Object * unknown_val , Scheme_Object * insp ) {
  Scheme_Structure * s ; 
  Scheme_Struct_Type * stype ; 
  Scheme_Object * v , * name ; 
  GC_CAN_IGNORE Scheme_Object * * array ; 
  int i , m , p , n , last_is_unknown ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(6);
  BLOCK_SETUP_TOP((PUSH(insp, 0), PUSH(stype, 1), PUSH(unknown_val, 2), PUSH(v, 3), PUSH(s, 4), PUSH(name, 5)));
# define XfOrM166_COUNT (6)
# define SETUP_XfOrM166(x) SETUP(XfOrM166_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  s = NULLED_OUT ; 
  stype = NULLED_OUT ; 
  v = NULLED_OUT ; 
  name = NULLED_OUT ; 
  if (! unknown_val )
    unknown_val = ellipses_symbol ; 
  s = (Scheme_Structure * ) _s ; 
  stype = s -> stype ; 
  p = stype -> name_pos + 1 ; 
  m = 0 ; 
  last_is_unknown = 0 ; 
  while (p -- ) {
#   define XfOrM180_COUNT (0+XfOrM166_COUNT)
#   define SETUP_XfOrM180(x) SETUP_XfOrM166(x)
    stype = stype -> parent_types [p ] ; 
    if (! (scheme_is_subinspector (stype -> inspector , insp ) ) ) {
      if (! last_is_unknown )
        m ++ ; 
      last_is_unknown = 1 ; 
    }
    else {
      last_is_unknown = 0 ; 
      if (p )
        m += stype -> num_slots - stype -> parent_types [p - 1 ] -> num_slots ; 
      else m += stype -> num_slots ; 
    }
  }
  stype = s -> stype ; 
  p = stype -> name_pos + 1 ; 
  i = stype -> num_slots ; 
  last_is_unknown = 0 ; 
  name = FUNCCALL(SETUP_XfOrM166(_), make_name ("struct:" , (char * ) ((((Scheme_Structure * ) s ) -> stype ) -> name ) , - 1 , "" , ((void * ) 0 ) , 0 , "" , 1 ) ); 
  v = FUNCCALL_AGAIN(scheme_make_vector (m + 1 , ((void * ) 0 ) ) ); 
  array = (((Scheme_Vector * ) (v ) ) -> els ) ; 
  array [0 ] = name ; 
  while (p -- ) {
#   define XfOrM172_COUNT (0+XfOrM166_COUNT)
#   define SETUP_XfOrM172(x) SETUP_XfOrM166(x)
    stype = stype -> parent_types [p ] ; 
    if (p )
      n = stype -> num_slots - stype -> parent_types [p - 1 ] -> num_slots ; 
    else n = stype -> num_slots ; 
    if (! (scheme_is_subinspector (stype -> inspector , insp ) ) ) {
      if (! last_is_unknown )
        array [1 + (-- m ) ] = unknown_val ; 
      i -= n ; 
      last_is_unknown = 1 ; 
    }
    else {
      while (n -- ) {
        array [1 + (-- m ) ] = s -> slots [-- i ] ; 
      }
      last_is_unknown = 0 ; 
    }
  }
  RET_VALUE_START (v ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * struct_to_vector (int argc , Scheme_Object * argv [] ) {
  Scheme_Config * __funcarg75 = NULLED_OUT ; 
  Scheme_Object * __funcarg74 = NULLED_OUT ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK(4);
  BLOCK_SETUP_TOP((PUSH(argv, 0)));
# define XfOrM183_COUNT (1)
# define SETUP_XfOrM183(x) SETUP(XfOrM183_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  if (! (((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_structure_type ) ) || ((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_proc_struct_type ) ) ) ) {
    char * tn , * s ; 
    int l ; 
    Scheme_Object * v ; 
    BLOCK_SETUP((PUSH(v, 0+XfOrM183_COUNT), PUSH(tn, 1+XfOrM183_COUNT), PUSH(s, 2+XfOrM183_COUNT)));
#   define XfOrM184_COUNT (3+XfOrM183_COUNT)
#   define SETUP_XfOrM184(x) SETUP(XfOrM184_COUNT)
    tn = NULLED_OUT ; 
    s = NULLED_OUT ; 
    v = NULLED_OUT ; 
    tn = FUNCCALL(SETUP_XfOrM184(_), scheme_get_type_name (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) ); 
    l = strlen (tn ) - 2 ; 
    s = FUNCCALL(SETUP_XfOrM184(_), GC_malloc_atomic (l + 8 ) ); 
    (strcpy (s , "struct:" ) ) ; 
    (memcpy (s + 7 , tn + 1 , l ) ) ; 
    s [7 + l ] = 0 ; 
    v = FUNCCALL(SETUP_XfOrM184(_), scheme_intern_symbol (s ) ); 
    v = FUNCCALL_AGAIN(scheme_make_vector (2 , v ) ); 
    (((Scheme_Vector * ) (v ) ) -> els ) [1 ] = (argc > 1 ) ? argv [1 ] : ellipses_symbol ; 
    RET_VALUE_START (v ) RET_VALUE_END ; 
  }
  RET_VALUE_START ((__funcarg74 = (__funcarg75 = FUNCCALL(SETUP_XfOrM183(_), scheme_current_config () ), FUNCCALL_AGAIN(scheme_get_param (__funcarg75 , MZCONFIG_INSPECTOR ) )) , FUNCCALL_EMPTY(scheme_struct_to_vector (argv [0 ] , (argc > 1 ) ? argv [1 ] : ((void * ) 0 ) , __funcarg74 ) )) ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * prefab_struct_key (int argc , Scheme_Object * argv [] ) {
  /* No conversion */
  Scheme_Structure * s = (Scheme_Structure * ) argv [0 ] ; 
  if ((((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_structure_type ) ) || ((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_proc_struct_type ) ) ) && s -> stype -> prefab_key )
    return (((Scheme_Simple_Object * ) (s -> stype -> prefab_key ) ) -> u . pair_val . cdr ) ; 
  return scheme_false ; 
}
static Scheme_Object * make_prefab_struct (int argc , Scheme_Object * argv [] ) {
  Scheme_Struct_Type * stype ; 
  Scheme_Object * vec ; 
  int i ; 
  PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(stype, 0), PUSH(vec, 1), PUSH(argv, 2)));
# define XfOrM186_COUNT (3)
# define SETUP_XfOrM186(x) SETUP(XfOrM186_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  stype = NULLED_OUT ; 
  vec = NULLED_OUT ; 
  stype = FUNCCALL(SETUP_XfOrM186(_), scheme_lookup_prefab_type (argv [0 ] , argc - 1 ) ); 
  if (! stype )
    FUNCCALL_EMPTY(scheme_wrong_type ("make-prefab-struct" , "prefab key" , 0 , argc , argv ) ); 
  if (stype -> num_slots != (argc - 1 ) ) {
#   define XfOrM189_COUNT (0+XfOrM186_COUNT)
#   define SETUP_XfOrM189(x) SETUP_XfOrM186(x)
    FUNCCALL(SETUP_XfOrM189(_), scheme_arg_mismatch ("make-struct-type" , "mismatch between argument count and prefab key: " , argv [0 ] ) ); 
  }
  vec = FUNCCALL(SETUP_XfOrM186(_), scheme_make_vector (argc , 0 ) ); 
  for (i = 0 ; i < argc ; i ++ ) {
    (((Scheme_Vector * ) (vec ) ) -> els ) [i ] = argv [i ] ; 
  }
  RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(scheme_make_prefab_struct_instance (stype , vec ) )) RET_VALUE_EMPTY_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * prefab_key_struct_type (int argc , Scheme_Object * argv [] ) {
  Scheme_Struct_Type * stype ; 
  int v ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(2);
  BLOCK_SETUP_TOP((PUSH(stype, 0), PUSH(argv, 1)));
# define XfOrM190_COUNT (2)
# define SETUP_XfOrM190(x) SETUP(XfOrM190_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  stype = NULLED_OUT ; 
  if ((((long ) (argv [1 ] ) ) & 0x1 ) ) {
    v = (((long ) (argv [1 ] ) ) >> 1 ) ; 
    if (v > 32768 )
      v = - 1 ; 
  }
  else v = - 1 ; 
  stype = FUNCCALL(SETUP_XfOrM190(_), scheme_lookup_prefab_type (argv [0 ] , (v >= 0 ) ? v : - 1 ) ); 
  if (! stype )
    FUNCCALL_EMPTY(scheme_wrong_type ("make-prefab-struct" , "prefab key" , 0 , argc , argv ) ); 
  if (v < 0 )
    FUNCCALL_EMPTY(scheme_wrong_type ("make-prefab-struct" , "integer in [0, " "32768" "]" , 1 , argc , argv ) ); 
  if (stype -> num_slots != v ) {
#   define XfOrM191_COUNT (0+XfOrM190_COUNT)
#   define SETUP_XfOrM191(x) SETUP_XfOrM190(x)
    FUNCCALL(SETUP_XfOrM191(_), scheme_arg_mismatch ("make-prefab-struct" , "prefab key field count does not match supplied count: " , argv [1 ] ) ); 
  }
  RET_VALUE_START ((Scheme_Object * ) stype ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
int scheme_inspector_sees_part (Scheme_Object * s , Scheme_Object * insp , int pos ) {
  /* No conversion */
  Scheme_Struct_Type * stype = ((Scheme_Structure * ) s ) -> stype ; 
  int p ; 
  p = stype -> name_pos ; 
  if (pos == - 1 ) {
    Scheme_Object * prev = ((void * ) 0 ) ; 
    while (p > - 1 ) {
      if (! ((stype -> parent_types [p ] -> inspector ) == (prev ) ) ) {
        prev = stype -> parent_types [p ] -> inspector ; 
        if (scheme_is_subinspector (prev , insp ) )
          return 1 ; 
      }
      p -- ; 
    }
    return 0 ; 
  }
  else if (pos == - 2 ) {
    Scheme_Object * prev = ((void * ) 0 ) ; 
    while (p > - 1 ) {
      if (! ((stype -> parent_types [p ] -> inspector ) == (prev ) ) ) {
        prev = stype -> parent_types [p ] -> inspector ; 
        if (! scheme_is_subinspector (prev , insp ) )
          return 0 ; 
      }
      p -- ; 
    }
    return 1 ; 
  }
  else {
    while (p && (stype -> parent_types [p - 1 ] -> num_slots > pos ) ) {
      p -- ; 
    }
    return scheme_is_subinspector (stype -> parent_types [p ] -> inspector , insp ) ; 
  }
}
static Scheme_Object * struct_setter_p (int argc , Scheme_Object * argv [] ) {
  /* No conversion */
  return (((((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) && ((((Scheme_Primitive_Proc * ) argv [0 ] ) -> pp . flags & (64 | (128 | 256 ) ) ) == (64 | (128 | 256 ) ) ) ) || (((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) && ((((Scheme_Primitive_Proc * ) argv [0 ] ) -> pp . flags & (64 | (128 | 256 ) ) ) == (64 | 256 ) ) ) ) ? scheme_true : scheme_false ) ; 
}
static Scheme_Object * struct_getter_p (int argc , Scheme_Object * argv [] ) {
  /* No conversion */
  return (((((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) && ((((Scheme_Primitive_Proc * ) argv [0 ] ) -> pp . flags & (8 ) ) == (8 ) ) ) || (((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) && ((((Scheme_Primitive_Proc * ) argv [0 ] ) -> pp . flags & (64 | (128 | 256 ) ) ) == (64 | 0 ) ) ) ) ? scheme_true : scheme_false ) ; 
}
static Scheme_Object * struct_pred_p (int argc , Scheme_Object * argv [] ) {
  /* No conversion */
  return ((((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) && ((((Scheme_Primitive_Proc * ) argv [0 ] ) -> pp . flags & (16 ) ) == (16 ) ) ) ? scheme_true : scheme_false ) ; 
}
static Scheme_Object * struct_constr_p (int argc , Scheme_Object * argv [] ) {
  /* No conversion */
  return ((((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) && ((((Scheme_Primitive_Proc * ) argv [0 ] ) -> pp . flags & (64 | (128 | 256 ) ) ) == (64 | 128 ) ) ) ? scheme_true : scheme_false ) ; 
}
static Scheme_Object * make_struct_field_xxor (const char * who , int getter , int argc , Scheme_Object * argv [] ) {
  Struct_Proc_Info * i ; 
  int pos ; 
  char * name ; 
  const char * fieldstr ; 
  char digitbuf [20 ] ; 
  int fieldstrlen ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(5);
  BLOCK_SETUP_TOP((PUSH(fieldstr, 0), PUSH(name, 1), PUSH(who, 2), PUSH(i, 3), PUSH(argv, 4)));
# define XfOrM211_COUNT (5)
# define SETUP_XfOrM211(x) SETUP(XfOrM211_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  i = NULLED_OUT ; 
  name = NULLED_OUT ; 
  fieldstr = NULLED_OUT ; 
  if (! (((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) && ((((Scheme_Primitive_Proc * ) argv [0 ] ) -> pp . flags & (64 | (128 | 256 ) ) ) == (64 | (getter ? 0 : 256 ) ) ) ) ) {
#   define XfOrM217_COUNT (0+XfOrM211_COUNT)
#   define SETUP_XfOrM217(x) SETUP_XfOrM211(x)
    FUNCCALL_EMPTY(scheme_wrong_type (who , (getter ? "accessor procedure that requires a field index" : "mutator procedure that requires a field index" ) , 0 , argc , argv ) ); 
    RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
  }
  i = (Struct_Proc_Info * ) ((Scheme_Primitive_Closure * ) argv [0 ] ) -> val [0 ] ; 
  pos = FUNCCALL(SETUP_XfOrM211(_), parse_pos (who , i , argv , argc ) ); 
  if (argc > 2 ) {
#   define XfOrM215_COUNT (0+XfOrM211_COUNT)
#   define SETUP_XfOrM215(x) SETUP_XfOrM211(x)
    if (! ((Scheme_Type ) (((((long ) (argv [2 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [2 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_symbol_type ) ) ) {
#     define XfOrM216_COUNT (0+XfOrM215_COUNT)
#     define SETUP_XfOrM216(x) SETUP_XfOrM215(x)
      FUNCCALL_EMPTY(scheme_wrong_type (who , "symbol" , 2 , argc , argv ) ); 
      RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
    }
    fieldstr = FUNCCALL(SETUP_XfOrM215(_), scheme_symbol_val (argv [2 ] ) ); 
    fieldstrlen = (((Scheme_Symbol * ) ((Scheme_Simple_Object * ) (argv [2 ] ) ) ) -> len ) ; 
  }
  else {
#   define XfOrM214_COUNT (0+XfOrM211_COUNT)
#   define SETUP_XfOrM214(x) SETUP_XfOrM211(x)
    (sprintf (digitbuf , "field%d" , (int ) (((long ) (argv [1 ] ) ) >> 1 ) ) ) ; 
    fieldstr = digitbuf ; 
    fieldstrlen = strlen (fieldstr ) ; 
  }
  if (getter ) {
#   define XfOrM213_COUNT (0+XfOrM211_COUNT)
#   define SETUP_XfOrM213(x) SETUP_XfOrM211(x)
    name = (char * ) FUNCCALL(SETUP_XfOrM213(_), make_name ("" , (char * ) i -> struct_type -> name , - 1 , "-" , fieldstr , fieldstrlen , "" , 0 ) ); 
  }
  else {
#   define XfOrM212_COUNT (0+XfOrM211_COUNT)
#   define SETUP_XfOrM212(x) SETUP_XfOrM211(x)
    name = (char * ) FUNCCALL(SETUP_XfOrM212(_), make_name ("set-" , (char * ) i -> struct_type -> name , - 1 , "-" , fieldstr , fieldstrlen , "!" , 0 ) ); 
  }
  RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(make_struct_proc (i -> struct_type , name , (getter ? SCHEME_GETTER : SCHEME_SETTER ) , pos ) )) RET_VALUE_EMPTY_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * make_struct_field_accessor (int argc , Scheme_Object * argv [] ) {
  /* No conversion */
  return make_struct_field_xxor ("make-struct-field-accessor" , 1 , argc , argv ) ; 
}
static Scheme_Object * make_struct_field_mutator (int argc , Scheme_Object * argv [] ) {
  /* No conversion */
  return make_struct_field_xxor ("make-struct-field-mutator" , 0 , argc , argv ) ; 
}
static Scheme_Object * wrap_evt (const char * who , int wrap , int argc , Scheme_Object * argv [] ) {
  Wrapped_Evt * ww ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(ww, 0), PUSH(who, 1), PUSH(argv, 2)));
# define XfOrM220_COUNT (3)
# define SETUP_XfOrM220(x) SETUP(XfOrM220_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  ww = NULLED_OUT ; 
  if (! FUNCCALL(SETUP_XfOrM220(_), scheme_is_evt (argv [0 ] ) )|| (wrap && FUNCCALL(SETUP_XfOrM220(_), handle_evt_p (0 , argv ) )) )
    FUNCCALL_EMPTY(scheme_wrong_type (who , wrap ? "non-handle evt" : "evt" , 0 , argc , argv ) ); 
  FUNCCALL(SETUP_XfOrM220(_), scheme_check_proc_arity (who , 1 , 1 , argc , argv ) ); 
  ww = ((Wrapped_Evt * ) FUNCCALL(SETUP_XfOrM220(_), GC_malloc_one_small_tagged ((((sizeof (Wrapped_Evt ) * (1 ) + (1 << 2 ) - 1 ) >> 2 ) << 2 ) ) )) ; 
  ww -> so . type = (wrap ? scheme_wrap_evt_type : scheme_handle_evt_type ) ; 
  ww -> evt = argv [0 ] ; 
  ww -> wrapper = argv [1 ] ; 
  RET_VALUE_START ((Scheme_Object * ) ww ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * scheme_wrap_evt (int argc , Scheme_Object * argv [] ) {
  /* No conversion */
  return wrap_evt ("wrap-evt" , 1 , argc , argv ) ; 
}
Scheme_Object * handle_evt (int argc , Scheme_Object * argv [] ) {
  /* No conversion */
  return wrap_evt ("handle-evt" , 0 , argc , argv ) ; 
}
Scheme_Object * handle_evt_p (int argc , Scheme_Object * argv [] ) {
  /* No conversion */
  if (((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_handle_evt_type ) ) )
    return scheme_true ; 
  if (((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_evt_set_type ) ) ) {
    Evt_Set * es = (Evt_Set * ) argv [0 ] ; 
    int i ; 
    for (i = es -> argc ; i -- ; ) {
      if (((Scheme_Type ) (((((long ) (es -> argv [i ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (es -> argv [i ] ) ) -> type ) ) == (Scheme_Type ) (scheme_handle_evt_type ) ) ) {
        return scheme_true ; 
      }
    }
  }
  if (argc )
    return scheme_false ; 
  else return ((void * ) 0 ) ; 
}
static Scheme_Object * nack_evt (int argc , Scheme_Object * argv [] ) {
  Nack_Guard_Evt * nw ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(2);
  BLOCK_SETUP_TOP((PUSH(nw, 0), PUSH(argv, 1)));
# define XfOrM229_COUNT (2)
# define SETUP_XfOrM229(x) SETUP(XfOrM229_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  nw = NULLED_OUT ; 
  FUNCCALL(SETUP_XfOrM229(_), scheme_check_proc_arity ("nack-guard-evt" , 1 , 0 , argc , argv ) ); 
  nw = ((Nack_Guard_Evt * ) FUNCCALL(SETUP_XfOrM229(_), GC_malloc_one_small_tagged ((((sizeof (Nack_Guard_Evt ) * (1 ) + (1 << 2 ) - 1 ) >> 2 ) << 2 ) ) )) ; 
  nw -> so . type = scheme_nack_guard_evt_type ; 
  nw -> maker = argv [0 ] ; 
  RET_VALUE_START ((Scheme_Object * ) nw ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * scheme_poll_evt (int argc , Scheme_Object * argv [] ) {
  Nack_Guard_Evt * nw ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(2);
  BLOCK_SETUP_TOP((PUSH(nw, 0), PUSH(argv, 1)));
# define XfOrM230_COUNT (2)
# define SETUP_XfOrM230(x) SETUP(XfOrM230_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  nw = NULLED_OUT ; 
  FUNCCALL(SETUP_XfOrM230(_), scheme_check_proc_arity ("poll-guard-evt" , 1 , 0 , argc , argv ) ); 
  nw = ((Nack_Guard_Evt * ) FUNCCALL(SETUP_XfOrM230(_), GC_malloc_one_small_tagged ((((sizeof (Nack_Guard_Evt ) * (1 ) + (1 << 2 ) - 1 ) >> 2 ) << 2 ) ) )) ; 
  nw -> so . type = scheme_poll_evt_type ; 
  nw -> maker = argv [0 ] ; 
  RET_VALUE_START ((Scheme_Object * ) nw ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int wrapped_evt_is_ready (Scheme_Object * o , Scheme_Schedule_Info * sinfo ) {
  Wrapped_Evt * ww = (Wrapped_Evt * ) o ; 
  Scheme_Object * wrapper ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(wrapper, 0), PUSH(ww, 1), PUSH(sinfo, 2)));
# define XfOrM231_COUNT (3)
# define SETUP_XfOrM231(x) SETUP(XfOrM231_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  wrapper = NULLED_OUT ; 
  if (ww -> so . type == scheme_wrap_evt_type ) {
    wrapper = ww -> wrapper ; 
  }
  else {
#   define XfOrM232_COUNT (0+XfOrM231_COUNT)
#   define SETUP_XfOrM232(x) SETUP_XfOrM231(x)
    wrapper = FUNCCALL(SETUP_XfOrM232(_), scheme_box (ww -> wrapper ) ); 
  }
  FUNCCALL_EMPTY(scheme_set_sync_target (sinfo , ww -> evt , wrapper , ((void * ) 0 ) , 0 , 1 ) ); 
  RET_VALUE_START (0 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int nack_guard_evt_is_ready (Scheme_Object * o , Scheme_Schedule_Info * sinfo ) {
  Nack_Guard_Evt * nw = (Nack_Guard_Evt * ) o ; 
  Scheme_Object * sema , * a [1 ] , * result ; 
  Scheme_Object * nack ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(9);
  BLOCK_SETUP_TOP((PUSH(sema, 0), PUSH(sinfo, 1), PUSH(o, 2), PUSHARRAY(a, 1, 3), PUSH(result, 6), PUSH(nw, 7), PUSH(nack, 8)));
# define XfOrM234_COUNT (9)
# define SETUP_XfOrM234(x) SETUP(XfOrM234_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  sema = NULLED_OUT ; 
  a[0] = NULLED_OUT ; 
  result = NULLED_OUT ; 
  nack = NULLED_OUT ; 
  if (sinfo -> false_positive_ok ) {
    sinfo -> potentially_false_positive = 1 ; 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  sema = FUNCCALL(SETUP_XfOrM234(_), scheme_make_sema (0 ) ); 
  FUNCCALL(SETUP_XfOrM234(_), scheme_set_sync_target (sinfo , o , ((void * ) 0 ) , sema , 0 , 0 ) ); 
  nack = ((Scheme_Object * ) FUNCCALL(SETUP_XfOrM234(_), GC_malloc_one_small_tagged ((((sizeof (Scheme_Simple_Object ) + (1 << 2 ) - 1 ) >> 2 ) << 2 ) ) )) ; 
  nack -> type = scheme_nack_evt_type ; 
  (((Scheme_Simple_Object * ) (nack ) ) -> u . two_ptr_val . ptr1 ) = sema ; 
  result = FUNCCALL(SETUP_XfOrM234(_), scheme_get_thread_dead (scheme_current_thread ) ); 
  (((Scheme_Simple_Object * ) (nack ) ) -> u . two_ptr_val . ptr2 ) = result ; 
  a [0 ] = nack ; 
  result = FUNCCALL(SETUP_XfOrM234(_), scheme_apply (nw -> maker , 1 , a ) ); 
  if (FUNCCALL(SETUP_XfOrM234(_), scheme_is_evt (result ) )) {
#   define XfOrM235_COUNT (0+XfOrM234_COUNT)
#   define SETUP_XfOrM235(x) SETUP_XfOrM234(x)
    FUNCCALL(SETUP_XfOrM235(_), scheme_set_sync_target (sinfo , result , ((void * ) 0 ) , ((void * ) 0 ) , 0 , 1 ) ); 
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  }
  else RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int nack_evt_is_ready (Scheme_Object * o , Scheme_Schedule_Info * sinfo ) {
  Scheme_Object * a [2 ] , * wset ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(6);
  BLOCK_SETUP_TOP((PUSH(o, 0), PUSHARRAY(a, 2, 1), PUSH(wset, 4), PUSH(sinfo, 5)));
# define XfOrM237_COUNT (6)
# define SETUP_XfOrM237(x) SETUP(XfOrM237_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  a[0] = NULLED_OUT ; 
  a[1] = NULLED_OUT ; 
  wset = NULLED_OUT ; 
  wset = (((Scheme_Simple_Object * ) (o ) ) -> u . two_ptr_val . ptr1 ) ; 
  if (((Scheme_Type ) (((((long ) (wset ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (wset ) ) -> type ) ) == (Scheme_Type ) (scheme_sema_type ) ) ) {
#   define XfOrM238_COUNT (0+XfOrM237_COUNT)
#   define SETUP_XfOrM238(x) SETUP_XfOrM237(x)
    a [0 ] = wset ; 
    a [1 ] = (((Scheme_Simple_Object * ) (o ) ) -> u . two_ptr_val . ptr2 ) ; 
    wset = FUNCCALL(SETUP_XfOrM238(_), scheme_make_evt_set (2 , a ) ); 
    (((Scheme_Simple_Object * ) (o ) ) -> u . two_ptr_val . ptr1 ) = wset ; 
  }
  FUNCCALL(SETUP_XfOrM237(_), scheme_set_sync_target (sinfo , wset , scheme_void , ((void * ) 0 ) , 0 , 1 ) ); 
  RET_VALUE_START (0 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int poll_evt_is_ready (Scheme_Object * o , Scheme_Schedule_Info * sinfo ) {
  Nack_Guard_Evt * nw = (Nack_Guard_Evt * ) o ; 
  Scheme_Object * a [1 ] , * result ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(5);
  BLOCK_SETUP_TOP((PUSH(result, 0), PUSHARRAY(a, 1, 1), PUSH(sinfo, 4)));
# define XfOrM239_COUNT (5)
# define SETUP_XfOrM239(x) SETUP(XfOrM239_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  a[0] = NULLED_OUT ; 
  result = NULLED_OUT ; 
  if (sinfo -> false_positive_ok ) {
    sinfo -> potentially_false_positive = 1 ; 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  a [0 ] = (sinfo -> is_poll ? scheme_true : scheme_false ) ; 
  result = FUNCCALL(SETUP_XfOrM239(_), scheme_apply (nw -> maker , 1 , a ) ); 
  if (FUNCCALL(SETUP_XfOrM239(_), scheme_is_evt (result ) )) {
#   define XfOrM240_COUNT (0+XfOrM239_COUNT)
#   define SETUP_XfOrM240(x) SETUP_XfOrM239(x)
    FUNCCALL(SETUP_XfOrM240(_), scheme_set_sync_target (sinfo , result , ((void * ) 0 ) , ((void * ) 0 ) , 0 , 1 ) ); 
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  }
  else RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * * scheme_make_struct_values (Scheme_Object * type , Scheme_Object * * names , int count , int flags ) {
  Scheme_Struct_Type * struct_type ; 
  Scheme_Object * * values ; 
  int slot_num , pos ; 
  char * __funcarg83 = NULLED_OUT ; 
  char * __funcarg82 = NULLED_OUT ; 
  char * __funcarg81 = NULLED_OUT ; 
  char * __funcarg80 = NULLED_OUT ; 
  char * __funcarg77 = NULLED_OUT ; 
  char * __funcarg76 = NULLED_OUT ; 
  DECL_RET_SAVE (Scheme_Object * * ) PREPARE_VAR_STACK(4);
  BLOCK_SETUP_TOP((PUSH(values, 0), PUSH(struct_type, 1), PUSH(names, 2)));
# define XfOrM242_COUNT (3)
# define SETUP_XfOrM242(x) SETUP(XfOrM242_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  struct_type = NULLED_OUT ; 
  values = NULLED_OUT ; 
  struct_type = (Scheme_Struct_Type * ) type ; 
  if (flags & 0x80 )
    -- count ; 
  values = ((Scheme_Object * * ) FUNCCALL(SETUP_XfOrM242(_), GC_malloc (sizeof (Scheme_Object * ) * (count ) ) )) ; 
  pos = 0 ; 
  if (! (flags & 0x01 ) )
    values [pos ++ ] = (Scheme_Object * ) struct_type ; 
  if (! (flags & 0x02 ) ) {
    Scheme_Object * vi ; 
    BLOCK_SETUP((PUSH(vi, 0+XfOrM242_COUNT)));
#   define XfOrM252_COUNT (1+XfOrM242_COUNT)
#   define SETUP_XfOrM252(x) SETUP(XfOrM252_COUNT)
    vi = NULLED_OUT ; 
    vi = (__funcarg83 = FUNCCALL(SETUP_XfOrM252(_), scheme_symbol_val (names [pos ] ) ), FUNCCALL_AGAIN(make_struct_proc (struct_type , __funcarg83 , SCHEME_CONSTR , struct_type -> num_slots ) )) ; 
    values [pos ] = vi ; 
    pos ++ ; 
  }
  if (! (flags & 0x04 ) ) {
    Scheme_Object * vi ; 
    BLOCK_SETUP((PUSH(vi, 0+XfOrM242_COUNT)));
#   define XfOrM251_COUNT (1+XfOrM242_COUNT)
#   define SETUP_XfOrM251(x) SETUP(XfOrM251_COUNT)
    vi = NULLED_OUT ; 
    vi = (__funcarg82 = FUNCCALL(SETUP_XfOrM251(_), scheme_symbol_val (names [pos ] ) ), FUNCCALL_AGAIN(make_struct_proc (struct_type , __funcarg82 , SCHEME_PRED , 0 ) )) ; 
    values [pos ] = vi ; 
    pos ++ ; 
  }
  if (flags & 0x20 )
    -- count ; 
  if (flags & 0x40 )
    -- count ; 
  slot_num = (struct_type -> name_pos ? struct_type -> parent_types [struct_type -> name_pos - 1 ] -> num_slots : 0 ) ; 
  while (pos < count ) {
#   define XfOrM248_COUNT (0+XfOrM242_COUNT)
#   define SETUP_XfOrM248(x) SETUP_XfOrM242(x)
    if (! (flags & 0x08 ) ) {
      Scheme_Object * vi ; 
      BLOCK_SETUP((PUSH(vi, 0+XfOrM248_COUNT)));
#     define XfOrM250_COUNT (1+XfOrM248_COUNT)
#     define SETUP_XfOrM250(x) SETUP(XfOrM250_COUNT)
      vi = NULLED_OUT ; 
      vi = (__funcarg81 = FUNCCALL(SETUP_XfOrM250(_), scheme_symbol_val (names [pos ] ) ), FUNCCALL_AGAIN(make_struct_proc (struct_type , __funcarg81 , SCHEME_GETTER , slot_num ) )) ; 
      values [pos ] = vi ; 
      pos ++ ; 
    }
    if (! (flags & 0x10 ) ) {
      Scheme_Object * vi ; 
      BLOCK_SETUP((PUSH(vi, 0+XfOrM248_COUNT)));
#     define XfOrM249_COUNT (1+XfOrM248_COUNT)
#     define SETUP_XfOrM249(x) SETUP(XfOrM249_COUNT)
      vi = NULLED_OUT ; 
      vi = (__funcarg80 = FUNCCALL(SETUP_XfOrM249(_), scheme_symbol_val (names [pos ] ) ), FUNCCALL_AGAIN(make_struct_proc (struct_type , __funcarg80 , SCHEME_SETTER , slot_num ) )) ; 
      values [pos ] = vi ; 
      pos ++ ; 
    }
    slot_num ++ ; 
  }
  if (flags & 0x20 ) {
    Scheme_Object * vi ; 
    BLOCK_SETUP((PUSH(vi, 0+XfOrM242_COUNT)));
#   define XfOrM244_COUNT (1+XfOrM242_COUNT)
#   define SETUP_XfOrM244(x) SETUP(XfOrM244_COUNT)
    vi = NULLED_OUT ; 
    vi = (__funcarg77 = FUNCCALL(SETUP_XfOrM244(_), scheme_symbol_val (names [pos ] ) ), FUNCCALL_AGAIN(make_struct_proc (struct_type , __funcarg77 , SCHEME_GEN_GETTER , slot_num ) )) ; 
    values [pos ] = vi ; 
    pos ++ ; 
  }
  if (flags & 0x40 ) {
    Scheme_Object * vi ; 
    BLOCK_SETUP((PUSH(vi, 0+XfOrM242_COUNT)));
#   define XfOrM243_COUNT (1+XfOrM242_COUNT)
#   define SETUP_XfOrM243(x) SETUP(XfOrM243_COUNT)
    vi = NULLED_OUT ; 
    vi = (__funcarg76 = FUNCCALL(SETUP_XfOrM243(_), scheme_symbol_val (names [pos ] ) ), FUNCCALL_AGAIN(make_struct_proc (struct_type , __funcarg76 , SCHEME_GEN_SETTER , slot_num ) )) ; 
    values [pos ] = vi ; 
    pos ++ ; 
  }
  RET_VALUE_START (values ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * * _make_struct_names (const char * base , int blen , int fcount , Scheme_Object * field_symbols , const char * * field_strings , int flags , int * count_out ) {
  Scheme_Object * * names ; 
  const char * field_name ; 
  int count , fnlen ; 
  int slot_num , pos ; 
  DECL_RET_SAVE (Scheme_Object * * ) PREPARE_VAR_STACK(6);
  BLOCK_SETUP_TOP((PUSH(names, 0), PUSH(field_strings, 1), PUSH(base, 2), PUSH(field_name, 3), PUSH(field_symbols, 4)));
# define XfOrM253_COUNT (5)
# define SETUP_XfOrM253(x) SETUP(XfOrM253_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  names = NULLED_OUT ; 
  field_name = NULLED_OUT ; 
  count = 0 ; 
  if (! (flags & 0x01 ) )
    count ++ ; 
  if (! (flags & 0x02 ) )
    count ++ ; 
  if (! (flags & 0x04 ) )
    count ++ ; 
  if (! (flags & 0x08 ) )
    count += fcount ; 
  if (! (flags & 0x10 ) )
    count += fcount ; 
  if (flags & 0x20 )
    count ++ ; 
  if (flags & 0x40 )
    count ++ ; 
  if (flags & 0x80 )
    count ++ ; 
  if (count_out ) {
    * count_out = count ; 
    count_out = ((void * ) 0 ) ; 
  }
  names = ((Scheme_Object * * ) FUNCCALL(SETUP_XfOrM253(_), GC_malloc (sizeof (Scheme_Object * ) * (count ) ) )) ; 
  pos = 0 ; 
  if (! (flags & 0x01 ) ) {
    Scheme_Object * nm ; 
    BLOCK_SETUP((PUSH(nm, 0+XfOrM253_COUNT)));
#   define XfOrM270_COUNT (1+XfOrM253_COUNT)
#   define SETUP_XfOrM270(x) SETUP(XfOrM270_COUNT)
    nm = NULLED_OUT ; 
    nm = FUNCCALL(SETUP_XfOrM270(_), make_name ("struct:" , base , blen , "" , ((void * ) 0 ) , 0 , "" , 1 ) ); 
    names [pos ++ ] = nm ; 
  }
  if (! (flags & 0x02 ) ) {
    Scheme_Object * nm ; 
    BLOCK_SETUP((PUSH(nm, 0+XfOrM253_COUNT)));
#   define XfOrM269_COUNT (1+XfOrM253_COUNT)
#   define SETUP_XfOrM269(x) SETUP(XfOrM269_COUNT)
    nm = NULLED_OUT ; 
    nm = FUNCCALL(SETUP_XfOrM269(_), make_name ("make-" , base , blen , "" , ((void * ) 0 ) , 0 , "" , 1 ) ); 
    names [pos ++ ] = nm ; 
  }
  if (! (flags & 0x04 ) ) {
    Scheme_Object * nm ; 
    BLOCK_SETUP((PUSH(nm, 0+XfOrM253_COUNT)));
#   define XfOrM268_COUNT (1+XfOrM253_COUNT)
#   define SETUP_XfOrM268(x) SETUP(XfOrM268_COUNT)
    nm = NULLED_OUT ; 
    nm = FUNCCALL(SETUP_XfOrM268(_), make_name ("" , base , blen , "?" , ((void * ) 0 ) , 0 , "" , 1 ) ); 
    names [pos ++ ] = nm ; 
  }
  if (fcount ) {
#   define XfOrM257_COUNT (0+XfOrM253_COUNT)
#   define SETUP_XfOrM257(x) SETUP_XfOrM253(x)
    for (slot_num = 0 ; slot_num < fcount ; slot_num ++ ) {
#     define XfOrM263_COUNT (0+XfOrM257_COUNT)
#     define SETUP_XfOrM263(x) SETUP_XfOrM257(x)
      if (field_symbols ) {
        Scheme_Object * fn = (((Scheme_Simple_Object * ) (field_symbols ) ) -> u . pair_val . car ) ; 
        BLOCK_SETUP((PUSH(fn, 0+XfOrM263_COUNT)));
#       define XfOrM267_COUNT (1+XfOrM263_COUNT)
#       define SETUP_XfOrM267(x) SETUP(XfOrM267_COUNT)
        field_symbols = (((Scheme_Simple_Object * ) (field_symbols ) ) -> u . pair_val . cdr ) ; 
        field_name = FUNCCALL(SETUP_XfOrM267(_), scheme_symbol_val (fn ) ); 
        fnlen = (((Scheme_Symbol * ) ((Scheme_Simple_Object * ) (fn ) ) ) -> len ) ; 
      }
      else {
        field_name = field_strings [slot_num ] ; 
        fnlen = strlen (field_name ) ; 
      }
      if (! (flags & 0x08 ) ) {
        Scheme_Object * nm ; 
        BLOCK_SETUP((PUSH(nm, 0+XfOrM263_COUNT)));
#       define XfOrM265_COUNT (1+XfOrM263_COUNT)
#       define SETUP_XfOrM265(x) SETUP(XfOrM265_COUNT)
        nm = NULLED_OUT ; 
        nm = FUNCCALL(SETUP_XfOrM265(_), make_name ("" , base , blen , "-" , field_name , fnlen , "" , 1 ) ); 
        names [pos ++ ] = nm ; 
      }
      if (! (flags & 0x10 ) ) {
        Scheme_Object * nm ; 
        BLOCK_SETUP((PUSH(nm, 0+XfOrM263_COUNT)));
#       define XfOrM264_COUNT (1+XfOrM263_COUNT)
#       define SETUP_XfOrM264(x) SETUP(XfOrM264_COUNT)
        nm = NULLED_OUT ; 
        nm = FUNCCALL(SETUP_XfOrM264(_), make_name ("set-" , base , blen , "-" , field_name , fnlen , "!" , 1 ) ); 
        names [pos ++ ] = nm ; 
      }
    }
  }
  if (flags & 0x20 ) {
    Scheme_Object * nm ; 
    BLOCK_SETUP((PUSH(nm, 0+XfOrM253_COUNT)));
#   define XfOrM256_COUNT (1+XfOrM253_COUNT)
#   define SETUP_XfOrM256(x) SETUP(XfOrM256_COUNT)
    nm = NULLED_OUT ; 
    nm = FUNCCALL(SETUP_XfOrM256(_), make_name ("" , base , blen , "-ref" , ((void * ) 0 ) , 0 , "" , 1 ) ); 
    names [pos ++ ] = nm ; 
  }
  if (flags & 0x40 ) {
    Scheme_Object * nm ; 
    BLOCK_SETUP((PUSH(nm, 0+XfOrM253_COUNT)));
#   define XfOrM255_COUNT (1+XfOrM253_COUNT)
#   define SETUP_XfOrM255(x) SETUP(XfOrM255_COUNT)
    nm = NULLED_OUT ; 
    nm = FUNCCALL(SETUP_XfOrM255(_), make_name ("" , base , blen , "-set!" , ((void * ) 0 ) , 0 , "" , 1 ) ); 
    names [pos ++ ] = nm ; 
  }
  if (flags & 0x80 ) {
    Scheme_Object * nm ; 
    BLOCK_SETUP((PUSH(nm, 0+XfOrM253_COUNT)));
#   define XfOrM254_COUNT (1+XfOrM253_COUNT)
#   define SETUP_XfOrM254(x) SETUP(XfOrM254_COUNT)
    nm = NULLED_OUT ; 
    nm = FUNCCALL(SETUP_XfOrM254(_), make_name ("" , base , blen , "" , ((void * ) 0 ) , 0 , "" , 1 ) ); 
    names [pos ++ ] = nm ; 
  }
  RET_VALUE_START (names ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * * scheme_make_struct_names (Scheme_Object * base , Scheme_Object * field_symbols , int flags , int * count_out ) {
  int len ; 
  char * __funcarg84 = NULLED_OUT ; 
  DECL_RET_SAVE (Scheme_Object * * ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(count_out, 0), PUSH(field_symbols, 1), PUSH(base, 2)));
# define XfOrM272_COUNT (3)
# define SETUP_XfOrM272(x) SETUP(XfOrM272_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  len = field_symbols ? FUNCCALL(SETUP_XfOrM272(_), scheme_list_length (field_symbols ) ): 0 ; 
  RET_VALUE_START ((__funcarg84 = FUNCCALL(SETUP_XfOrM272(_), scheme_symbol_val (base ) ), FUNCCALL_EMPTY(_make_struct_names (__funcarg84 , (((Scheme_Symbol * ) ((Scheme_Simple_Object * ) (base ) ) ) -> len ) , len , field_symbols , ((void * ) 0 ) , flags , count_out ) )) ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * * scheme_make_struct_names_from_array (const char * base , int fcount , const char * * fields , int flags , int * count_out ) {
  /* No conversion */
  return _make_struct_names (base , strlen (base ) , fcount , ((void * ) 0 ) , fields , flags , count_out ) ; 
}
static Scheme_Object * make_struct_proc (Scheme_Struct_Type * struct_type , char * func_name , Scheme_ProcT proc_type , int field_num ) {
  Scheme_Object * p , * a [1 ] ; 
  short flags = 0 ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK(7);
  BLOCK_SETUP_TOP((PUSH(func_name, 0), PUSH(struct_type, 1), PUSHARRAY(a, 1, 2), PUSH(p, 5)));
# define XfOrM274_COUNT (6)
# define SETUP_XfOrM274(x) SETUP(XfOrM274_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  p = NULLED_OUT ; 
  a[0] = NULLED_OUT ; 
  if (proc_type == SCHEME_CONSTR ) {
    int simple ; 
#   define XfOrM279_COUNT (0+XfOrM274_COUNT)
#   define SETUP_XfOrM279(x) SETUP_XfOrM274(x)
    simple = FUNCCALL(SETUP_XfOrM279(_), is_simple_struct_type (struct_type ) ); 
    a [0 ] = (Scheme_Object * ) struct_type ; 
    p = FUNCCALL(SETUP_XfOrM279(_), scheme_make_folding_prim_closure ((simple ? make_simple_struct_instance : make_struct_instance ) , 1 , a , func_name , struct_type -> num_islots , struct_type -> num_islots , 0 ) ); 
    flags |= 128 | 64 ; 
  }
  else if (proc_type == SCHEME_PRED ) {
#   define XfOrM278_COUNT (0+XfOrM274_COUNT)
#   define SETUP_XfOrM278(x) SETUP_XfOrM274(x)
    a [0 ] = (Scheme_Object * ) struct_type ; 
    p = FUNCCALL(SETUP_XfOrM278(_), scheme_make_folding_prim_closure (struct_pred , 1 , a , func_name , 1 , 1 , 1 ) ); 
    flags |= 16 ; 
  }
  else {
    Struct_Proc_Info * i ; 
    int need_pos ; 
    BLOCK_SETUP((PUSH(i, 0+XfOrM274_COUNT)));
#   define XfOrM275_COUNT (1+XfOrM274_COUNT)
#   define SETUP_XfOrM275(x) SETUP(XfOrM275_COUNT)
    i = NULLED_OUT ; 
    i = ((Struct_Proc_Info * ) FUNCCALL(SETUP_XfOrM275(_), GC_malloc_one_small_tagged ((((sizeof (Struct_Proc_Info ) * (1 ) + (1 << 2 ) - 1 ) >> 2 ) << 2 ) ) )) ; 
    i -> type = scheme_rt_struct_proc_info ; 
    i -> struct_type = struct_type ; 
    i -> func_name = func_name ; 
    i -> field = field_num ; 
    if ((proc_type == SCHEME_GEN_GETTER ) || (proc_type == SCHEME_GEN_SETTER ) )
      need_pos = 1 ; 
    else need_pos = 0 ; 
    a [0 ] = (Scheme_Object * ) i ; 
    if ((proc_type == SCHEME_GETTER ) || (proc_type == SCHEME_GEN_GETTER ) ) {
#     define XfOrM277_COUNT (0+XfOrM275_COUNT)
#     define SETUP_XfOrM277(x) SETUP_XfOrM275(x)
      p = FUNCCALL(SETUP_XfOrM277(_), scheme_make_folding_prim_closure (struct_getter , 1 , a , func_name , 1 + need_pos , 1 + need_pos , 0 ) ); 
      if (need_pos )
        flags |= 0 | 64 ; 
      else flags |= 8 ; 
    }
    else {
#     define XfOrM276_COUNT (0+XfOrM275_COUNT)
#     define SETUP_XfOrM276(x) SETUP_XfOrM275(x)
      p = FUNCCALL(SETUP_XfOrM276(_), scheme_make_folding_prim_closure (struct_setter , 1 , a , func_name , 2 + need_pos , 2 + need_pos , 0 ) ); 
      if (need_pos )
        flags |= 256 | 64 ; 
      else flags |= (128 | 256 ) | 64 ; 
    }
  }
  ((Scheme_Closed_Primitive_Proc * ) p ) -> pp . flags |= flags ; 
  RET_VALUE_START (p ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * make_name (const char * pre , const char * tn , int ltn , const char * post1 , const char * fn , int lfn , const char * post2 , int sym ) {
  int total , lp , lp1 , lp2 , xltn , xlfn ; 
  char * name , buffer [256 ] ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(6);
  BLOCK_SETUP_TOP((PUSH(post1, 0), PUSH(pre, 1), PUSH(tn, 2), PUSH(fn, 3), PUSH(post2, 4), PUSH(name, 5)));
# define XfOrM280_COUNT (6)
# define SETUP_XfOrM280(x) SETUP(XfOrM280_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  name = NULLED_OUT ; 
  if (ltn < 0 )
    xltn = (((Scheme_Symbol * ) ((Scheme_Simple_Object * ) ((Scheme_Object * ) tn ) ) ) -> len ) ; 
  else xltn = ltn ; 
  if (lfn < 0 )
    xlfn = (((Scheme_Symbol * ) ((Scheme_Simple_Object * ) ((Scheme_Object * ) fn ) ) ) -> len ) ; 
  else xlfn = lfn ; 
  total = lp = strlen (pre ) ; 
  total += xltn ; 
  total += (lp1 = strlen (post1 ) ) ; 
  total += xlfn ; 
  total += (lp2 = strlen (post2 ) ) ; 
  if (sym && (total < 256 ) )
    name = buffer ; 
  else name = (char * ) FUNCCALL(SETUP_XfOrM280(_), GC_malloc_atomic (sizeof (char ) * (total + 1 ) ) ); 
  (memcpy (name , pre , lp ) ) ; 
  total = lp ; 
  (memcpy (name + total , (ltn < 0 ) ? (((Scheme_Symbol * ) ((Scheme_Simple_Object * ) ((Scheme_Object * ) tn ) ) ) -> s ) : tn , xltn ) ) ; 
  total += xltn ; 
  (memcpy (name + total , post1 , lp1 ) ) ; 
  total += lp1 ; 
  (memcpy (name + total , (lfn < 0 ) ? (((Scheme_Symbol * ) ((Scheme_Simple_Object * ) ((Scheme_Object * ) fn ) ) ) -> s ) : fn , xlfn ) ) ; 
  total += xlfn ; 
  (memcpy (name + total , post2 , lp2 ) ) ; 
  total += lp2 ; 
  name [total ] = 0 ; 
  if (sym )
    RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(scheme_intern_exact_symbol (name , total ) )) RET_VALUE_EMPTY_END ; 
  else RET_VALUE_START ((Scheme_Object * ) name ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * get_phase_ids (Scheme_Object * _v , int phase ) {
  Scheme_Object * * v = (Scheme_Object * * ) _v ; 
  Scheme_Object * l , * * names , * tp , * cns , * prd , * super_exptime , * w , * macro ; 
  Scheme_Hash_Table * ht ; 
  int count , i , flags ; 
  Scheme_Object * __funcarg88 = NULLED_OUT ; 
  Scheme_Object * __funcarg87 = NULLED_OUT ; 
  Scheme_Object * __funcarg86 = NULLED_OUT ; 
  Scheme_Object * __funcarg85 = NULLED_OUT ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK(13);
  BLOCK_SETUP_TOP((PUSH(prd, 0), PUSH(macro, 1), PUSH(super_exptime, 2), PUSH(ht, 3), PUSH(v, 4), PUSH(names, 5), PUSH(cns, 6), PUSH(l, 7), PUSH(tp, 8), PUSH(w, 9)));
# define XfOrM281_COUNT (10)
# define SETUP_XfOrM281(x) SETUP(XfOrM281_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  l = NULLED_OUT ; 
  names = NULLED_OUT ; 
  tp = NULLED_OUT ; 
  cns = NULLED_OUT ; 
  prd = NULLED_OUT ; 
  super_exptime = NULLED_OUT ; 
  w = NULLED_OUT ; 
  macro = NULLED_OUT ; 
  ht = NULLED_OUT ; 
  ht = (Scheme_Hash_Table * ) v [3 ] ; 
  if (! ht ) {
#   define XfOrM292_COUNT (0+XfOrM281_COUNT)
#   define SETUP_XfOrM292(x) SETUP_XfOrM281(x)
    ht = FUNCCALL(SETUP_XfOrM292(_), scheme_make_hash_table (SCHEME_hash_ptr ) ); 
    v [3 ] = (Scheme_Object * ) ht ; 
  }
  l = FUNCCALL(SETUP_XfOrM281(_), scheme_hash_get (ht , ((Scheme_Object * ) (void * ) (long ) ((((long ) (phase ) ) << 1 ) | 0x1 ) ) ) ); 
  if (l )
    RET_VALUE_START (l ) RET_VALUE_END ; 
  names = (Scheme_Object * * ) v [0 ] ; 
  count = (((long ) (v [1 ] ) ) >> 1 ) ; 
  super_exptime = v [2 ] ; 
  w = FUNCCALL(SETUP_XfOrM281(_), scheme_sys_wraps ((Scheme_Comp_Env * ) (((Scheme_Object * ) (void * ) (long ) ((((long ) (phase ) ) << 1 ) | 0x1 ) ) ) ) ); 
  tp = names [0 ] ; 
  cns = names [1 ] ; 
  prd = names [2 ] ; 
  tp = FUNCCALL(SETUP_XfOrM281(_), scheme_datum_to_syntax (tp , scheme_false , w , 0 , 0 ) ); 
  cns = FUNCCALL_AGAIN(scheme_datum_to_syntax (cns , scheme_false , w , 0 , 0 ) ); 
  prd = FUNCCALL_AGAIN(scheme_datum_to_syntax (prd , scheme_false , w , 0 , 0 ) ); 
  if (super_exptime ) {
#   define XfOrM291_COUNT (0+XfOrM281_COUNT)
#   define SETUP_XfOrM291(x) SETUP_XfOrM281(x)
    super_exptime = FUNCCALL(SETUP_XfOrM291(_), get_phase_ids ((((Scheme_Simple_Object * ) (super_exptime ) ) -> u . two_ptr_val . ptr2 ) , phase ) ); 
    super_exptime = (((Scheme_Small_Object * ) (super_exptime ) ) -> u . ptr_val ) ; 
    l = (__funcarg88 = FUNCCALL(SETUP_XfOrM291(_), scheme_datum_to_syntax (v [4 ] , scheme_false , w , 0 , 0 ) ), FUNCCALL_AGAIN(scheme_make_pair (__funcarg88 , scheme_null ) )) ; 
    super_exptime = (((Scheme_Simple_Object * ) ((((Scheme_Simple_Object * ) ((((Scheme_Simple_Object * ) (super_exptime ) ) -> u . pair_val . cdr ) ) ) -> u . pair_val . cdr ) ) ) -> u . pair_val . cdr ) ; 
  }
  else {
#   define XfOrM290_COUNT (0+XfOrM281_COUNT)
#   define SETUP_XfOrM290(x) SETUP_XfOrM281(x)
    l = FUNCCALL(SETUP_XfOrM290(_), scheme_make_pair (scheme_true , scheme_null ) ); 
  }
  if (count > 3 ) {
    Scheme_Object * n , * gets , * sets ; 
    BLOCK_SETUP((PUSH(sets, 0+XfOrM281_COUNT), PUSH(gets, 1+XfOrM281_COUNT), PUSH(n, 2+XfOrM281_COUNT)));
#   define XfOrM283_COUNT (3+XfOrM281_COUNT)
#   define SETUP_XfOrM283(x) SETUP(XfOrM283_COUNT)
    n = NULLED_OUT ; 
    gets = NULLED_OUT ; 
    sets = NULLED_OUT ; 
    if (super_exptime ) {
      gets = (((Scheme_Simple_Object * ) (super_exptime ) ) -> u . pair_val . car ) ; 
      sets = ((((Scheme_Simple_Object * ) ((((Scheme_Simple_Object * ) (super_exptime ) ) -> u . pair_val . cdr ) ) ) -> u . pair_val . car ) ) ; 
    }
    else {
      gets = scheme_null ; 
      sets = scheme_null ; 
    }
    flags = (((long ) (v [5 ] ) ) >> 1 ) ; 
    for (i = 3 ; i < count - 1 ; i ++ ) {
#     define XfOrM286_COUNT (0+XfOrM283_COUNT)
#     define SETUP_XfOrM286(x) SETUP_XfOrM283(x)
      n = names [i ] ; 
      n = FUNCCALL(SETUP_XfOrM286(_), scheme_datum_to_syntax (n , scheme_false , w , 0 , 0 ) ); 
      gets = FUNCCALL_AGAIN(scheme_make_pair (n , gets ) ); 
      if (! (flags & 0x10 ) ) {
        i ++ ; 
#       define XfOrM287_COUNT (0+XfOrM286_COUNT)
#       define SETUP_XfOrM287(x) SETUP_XfOrM286(x)
        n = names [i ] ; 
        n = FUNCCALL(SETUP_XfOrM287(_), scheme_datum_to_syntax (n , scheme_false , w , 0 , 0 ) ); 
        sets = FUNCCALL_AGAIN(scheme_make_pair (n , sets ) ); 
      }
      else sets = FUNCCALL(SETUP_XfOrM286(_), scheme_make_pair (scheme_false , sets ) ); 
    }
    l = (__funcarg87 = FUNCCALL(SETUP_XfOrM283(_), scheme_make_pair (sets , l ) ), FUNCCALL_AGAIN(scheme_make_pair (gets , __funcarg87 ) )) ; 
  }
  else {
#   define XfOrM282_COUNT (0+XfOrM281_COUNT)
#   define SETUP_XfOrM282(x) SETUP_XfOrM281(x)
    if (super_exptime )
      l = (__funcarg86 = FUNCCALL(SETUP_XfOrM282(_), scheme_make_pair (((((Scheme_Simple_Object * ) ((((Scheme_Simple_Object * ) (super_exptime ) ) -> u . pair_val . cdr ) ) ) -> u . pair_val . car ) ) , l ) ), FUNCCALL_AGAIN(scheme_make_pair ((((Scheme_Simple_Object * ) (super_exptime ) ) -> u . pair_val . car ) , __funcarg86 ) )) ; 
    else l = (__funcarg85 = FUNCCALL(SETUP_XfOrM282(_), scheme_make_pair (scheme_null , l ) ), FUNCCALL_AGAIN(scheme_make_pair (scheme_null , __funcarg85 ) )) ; 
  }
  l = FUNCCALL(SETUP_XfOrM281(_), scheme_make_pair (prd , l ) ); 
  l = FUNCCALL(SETUP_XfOrM281(_), scheme_make_pair (cns , l ) ); 
  l = FUNCCALL_AGAIN(scheme_make_pair (tp , l ) ); 
  macro = ((Scheme_Object * ) FUNCCALL(SETUP_XfOrM281(_), GC_malloc_one_small_tagged ((((sizeof (Scheme_Small_Object ) + (1 << 2 ) - 1 ) >> 2 ) << 2 ) ) )) ; 
  macro -> type = scheme_macro_type ; 
  (((Scheme_Small_Object * ) (macro ) ) -> u . ptr_val ) = l ; 
  FUNCCALL(SETUP_XfOrM281(_), scheme_hash_set (ht , ((Scheme_Object * ) (void * ) (long ) ((((long ) (phase ) ) << 1 ) | 0x1 ) ) , macro ) ); 
  RET_VALUE_START (macro ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * scheme_make_struct_exptime (Scheme_Object * * names , int count , Scheme_Object * super_sym , Scheme_Object * super_exptime , int flags ) {
  Scheme_Object * macro ; 
  Scheme_Object * * v ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(5);
  BLOCK_SETUP_TOP((PUSH(super_sym, 0), PUSH(v, 1), PUSH(macro, 2), PUSH(super_exptime, 3), PUSH(names, 4)));
# define XfOrM293_COUNT (5)
# define SETUP_XfOrM293(x) SETUP(XfOrM293_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  macro = NULLED_OUT ; 
  v = NULLED_OUT ; 
  if (! (flags & 0x80 ) ) {
#   define XfOrM294_COUNT (0+XfOrM293_COUNT)
#   define SETUP_XfOrM294(x) SETUP_XfOrM293(x)
    FUNCCALL_EMPTY(scheme_signal_error ("struct exptime needs SCHEME_STRUCT_EXPTIME" ) ); 
    RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
  }
  v = ((Scheme_Object * * ) FUNCCALL(SETUP_XfOrM293(_), GC_malloc (sizeof (Scheme_Object * ) * (6 ) ) )) ; 
  v [0 ] = (Scheme_Object * ) names ; 
  v [1 ] = ((Scheme_Object * ) (void * ) (long ) ((((long ) (count ) ) << 1 ) | 0x1 ) ) ; 
  v [2 ] = super_exptime ; 
  v [3 ] = ((void * ) 0 ) ; 
  v [4 ] = super_sym ; 
  v [5 ] = ((Scheme_Object * ) (void * ) (long ) ((((long ) (flags ) ) << 1 ) | 0x1 ) ) ; 
  macro = ((Scheme_Object * ) FUNCCALL(SETUP_XfOrM293(_), GC_malloc_one_small_tagged ((((sizeof (Scheme_Simple_Object ) + (1 << 2 ) - 1 ) >> 2 ) << 2 ) ) )) ; 
  macro -> type = scheme_lazy_macro_type ; 
  (((Scheme_Simple_Object * ) (macro ) ) -> u . two_ptr_val . ptr1 ) = (Scheme_Object * ) get_phase_ids ; 
  (((Scheme_Simple_Object * ) (macro ) ) -> u . two_ptr_val . ptr2 ) = (Scheme_Object * ) v ; 
  RET_VALUE_START (macro ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
/* this far 2944 */
/* this far 2940 */
static Scheme_Object * _make_struct_type (Scheme_Object * basesym , const char * base , int blen , Scheme_Object * parent , Scheme_Object * inspector , int num_fields , int num_uninit_fields , Scheme_Object * uninit_val , Scheme_Object * props , Scheme_Object * proc_attr , Scheme_Object * immutable_pos_list , Scheme_Object * guard ) {
  Scheme_Struct_Type * struct_type , * parent_type ; 
  int j , depth ; 
  int props_delta = 0 , prop_needs_const = 0 ; 
  Scheme_Config * __funcarg89 = NULLED_OUT ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK(17);
  BLOCK_SETUP_TOP((PUSH(props, 0), PUSH(parent_type, 1), PUSH(uninit_val, 2), PUSH(guard, 3), PUSH(struct_type, 4), PUSH(basesym, 5), PUSH(immutable_pos_list, 6), PUSH(inspector, 7), PUSH(base, 8), PUSH(proc_attr, 9)));
# define XfOrM295_COUNT (10)
# define SETUP_XfOrM295(x) SETUP(XfOrM295_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  struct_type = NULLED_OUT ; 
  parent_type = NULLED_OUT ; 
  parent_type = (Scheme_Struct_Type * ) parent ; 
  depth = parent_type ? (1 + parent_type -> name_pos ) : 0 ; 
  struct_type = (Scheme_Struct_Type * ) FUNCCALL(SETUP_XfOrM295(_), GC_malloc_one_tagged (sizeof (Scheme_Struct_Type ) + (depth * sizeof (Scheme_Struct_Type * ) ) ) ); 
  depth = parent_type ? (1 + parent_type -> name_pos ) : 0 ; 
  struct_type -> iso . so . type = scheme_struct_type_type ; 
  struct_type -> name_pos = depth ; 
  struct_type -> parent_types [depth ] = struct_type ; 
  for (j = depth ; j -- ; ) {
    struct_type -> parent_types [j ] = parent_type -> parent_types [j ] ; 
  }
  {
    Scheme_Object * tn ; 
    BLOCK_SETUP((PUSH(tn, 0+XfOrM295_COUNT)));
#   define XfOrM361_COUNT (1+XfOrM295_COUNT)
#   define SETUP_XfOrM361(x) SETUP(XfOrM361_COUNT)
    tn = NULLED_OUT ; 
    if (basesym )
      tn = basesym ; 
    else tn = FUNCCALL(SETUP_XfOrM361(_), scheme_intern_exact_symbol (base , blen ) ); 
    struct_type -> name = tn ; 
  }
  struct_type -> num_slots = num_fields + num_uninit_fields + (parent_type ? parent_type -> num_slots : 0 ) ; 
  struct_type -> num_islots = num_fields + (parent_type ? parent_type -> num_islots : 0 ) ; 
  if (parent_type )
    struct_type -> proc_attr = parent_type -> proc_attr ; 
  if ((num_fields < 0 ) || (num_uninit_fields < 0 ) || (num_fields > 32768 ) || (num_uninit_fields > 32768 ) || (num_uninit_fields + num_fields > 32768 ) || (parent_type && ((struct_type -> num_slots < parent_type -> num_slots ) || (struct_type -> num_islots < parent_type -> num_islots ) ) ) ) {
#   define XfOrM360_COUNT (0+XfOrM295_COUNT)
#   define SETUP_XfOrM360(x) SETUP_XfOrM295(x)
    FUNCCALL(SETUP_XfOrM360(_), scheme_raise_exn (MZEXN_FAIL , "too many fields for struct-type; maximum total field count is " "32768" ) ); 
    RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
  }
  if (! inspector ) {
#   define XfOrM357_COUNT (0+XfOrM295_COUNT)
#   define SETUP_XfOrM357(x) SETUP_XfOrM295(x)
    if (parent_type ) {
      inspector = parent_type -> inspector ; 
      if (((Scheme_Type ) (((((long ) (inspector ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (inspector ) ) -> type ) ) == (Scheme_Type ) (scheme_symbol_type ) ) )
        inspector = scheme_false ; 
    }
    else {
#     define XfOrM358_COUNT (0+XfOrM357_COUNT)
#     define SETUP_XfOrM358(x) SETUP_XfOrM357(x)
      inspector = (__funcarg89 = FUNCCALL(SETUP_XfOrM358(_), scheme_current_config () ), FUNCCALL_AGAIN(scheme_get_param (__funcarg89 , MZCONFIG_INSPECTOR ) )) ; 
    }
  }
  struct_type -> inspector = inspector ; 
  if (parent_type ) {
    struct_type -> num_props = parent_type -> num_props ; 
    struct_type -> props = parent_type -> props ; 
  }
  if (! uninit_val )
    uninit_val = scheme_false ; 
  struct_type -> uninit_val = uninit_val ; 
  if (props ) {
    Scheme_Object * l ; 
    BLOCK_SETUP((PUSH(l, 0+XfOrM295_COUNT)));
#   define XfOrM349_COUNT (1+XfOrM295_COUNT)
#   define SETUP_XfOrM349(x) SETUP(XfOrM349_COUNT)
    l = NULLED_OUT ; 
    for (l = props ; ! ((l ) == (scheme_null ) ) ; l = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . cdr ) ) {
#     define XfOrM353_COUNT (0+XfOrM349_COUNT)
#     define SETUP_XfOrM353(x) SETUP_XfOrM349(x)
      if (((((((Scheme_Simple_Object * ) ((((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . car ) ) ) -> u . pair_val . car ) ) ) == (proc_property ) ) ) {
#       define XfOrM354_COUNT (0+XfOrM353_COUNT)
#       define SETUP_XfOrM354(x) SETUP_XfOrM353(x)
        if (proc_attr ) {
#         define XfOrM355_COUNT (0+XfOrM354_COUNT)
#         define SETUP_XfOrM355(x) SETUP_XfOrM354(x)
          FUNCCALL(SETUP_XfOrM355(_), scheme_arg_mismatch ("make-struct-type" , "given both a prop:procedure property value and a procedure specification: " , proc_attr ) ); 
        }
        proc_attr = (((Scheme_Simple_Object * ) ((((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . car ) ) ) -> u . pair_val . cdr ) ; 
        if ((((long ) (proc_attr ) ) & 0x1 ) )
          prop_needs_const = 1 ; 
        props_delta = 1 ; 
        break ; 
      }
    }
  }
  if (proc_attr ) {
    Scheme_Object * pa = proc_attr ; 
    BLOCK_SETUP((PUSH(pa, 0+XfOrM295_COUNT)));
#   define XfOrM344_COUNT (1+XfOrM295_COUNT)
#   define SETUP_XfOrM344(x) SETUP(XfOrM344_COUNT)
    if ((((long ) (pa ) ) & 0x1 ) || ((Scheme_Type ) (((((long ) (pa ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (pa ) ) -> type ) ) == (Scheme_Type ) (scheme_bignum_type ) ) ) {
      long pos ; 
#     define XfOrM345_COUNT (0+XfOrM344_COUNT)
#     define SETUP_XfOrM345(x) SETUP_XfOrM344(x)
      if ((((long ) (pa ) ) & 0x1 ) )
        pos = (((long ) (pa ) ) >> 1 ) ; 
      else pos = struct_type -> num_slots ; 
      if (pos >= struct_type -> num_islots ) {
#       define XfOrM348_COUNT (0+XfOrM345_COUNT)
#       define SETUP_XfOrM348(x) SETUP_XfOrM345(x)
        FUNCCALL(SETUP_XfOrM348(_), scheme_arg_mismatch ("make-struct-type" , "index for procedure >= initialized-field count: " , pa ) ); 
        RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
      }
      if (parent_type ) {
#       define XfOrM346_COUNT (0+XfOrM345_COUNT)
#       define SETUP_XfOrM346(x) SETUP_XfOrM345(x)
        if (parent_type -> proc_attr ) {
#         define XfOrM347_COUNT (0+XfOrM346_COUNT)
#         define SETUP_XfOrM347(x) SETUP_XfOrM346(x)
          FUNCCALL(SETUP_XfOrM347(_), scheme_arg_mismatch ("make-struct-type" , "parent type already has procedure specification, new one disallowed: " , pa ) ); 
          RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
        }
        pos += parent_type -> num_slots ; 
        pa = ((Scheme_Object * ) (void * ) (long ) ((((long ) (pos ) ) << 1 ) | 0x1 ) ) ; 
      }
    }
    struct_type -> proc_attr = pa ; 
  }
  if ((struct_type -> proc_attr && (((long ) (struct_type -> proc_attr ) ) & 0x1 ) ) || ! ((immutable_pos_list ) == (scheme_null ) ) ) {
    Scheme_Object * l , * a ; 
    char * ims ; 
    int n , p ; 
    BLOCK_SETUP((PUSH(l, 0+XfOrM295_COUNT), PUSH(ims, 1+XfOrM295_COUNT), PUSH(a, 2+XfOrM295_COUNT)));
#   define XfOrM334_COUNT (3+XfOrM295_COUNT)
#   define SETUP_XfOrM334(x) SETUP(XfOrM334_COUNT)
    l = NULLED_OUT ; 
    a = NULLED_OUT ; 
    ims = NULLED_OUT ; 
    n = struct_type -> num_slots ; 
    if (parent_type )
      n -= parent_type -> num_slots ; 
    ims = (char * ) FUNCCALL(SETUP_XfOrM334(_), GC_malloc_atomic (n ) ); 
    (memset (ims , 0 , n ) ) ; 
    if (proc_attr && (((long ) (proc_attr ) ) & 0x1 ) && ! prop_needs_const ) {
      p = (((long ) (proc_attr ) ) >> 1 ) ; 
      ims [p ] = 1 ; 
    }
    for (l = immutable_pos_list ; ((Scheme_Type ) (((((long ) (l ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (l ) ) -> type ) ) == (Scheme_Type ) (scheme_pair_type ) ) ; l = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . cdr ) ) {
#     define XfOrM340_COUNT (0+XfOrM334_COUNT)
#     define SETUP_XfOrM340(x) SETUP_XfOrM334(x)
      a = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . car ) ; 
      if ((((long ) (a ) ) & 0x1 ) )
        p = (((long ) (a ) ) >> 1 ) ; 
      else p = struct_type -> num_slots ; 
      if (p >= struct_type -> num_islots ) {
#       define XfOrM342_COUNT (0+XfOrM340_COUNT)
#       define SETUP_XfOrM342(x) SETUP_XfOrM340(x)
        FUNCCALL(SETUP_XfOrM342(_), scheme_raise_exn (MZEXN_FAIL_CONTRACT , "make-struct-type: index %V for immutable field >= initialized-field count %d in list: %V" , a , struct_type -> num_islots , immutable_pos_list ) ); 
        RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
      }
      if (ims [p ] ) {
#       define XfOrM341_COUNT (0+XfOrM340_COUNT)
#       define SETUP_XfOrM341(x) SETUP_XfOrM340(x)
        FUNCCALL(SETUP_XfOrM341(_), scheme_raise_exn (MZEXN_FAIL_CONTRACT , "make-struct-type: redundant immutable field index %V in list: %V" , a , immutable_pos_list ) ); 
        RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
      }
      ims [p ] = 1 ; 
    }
    if (proc_attr && (((long ) (proc_attr ) ) & 0x1 ) && prop_needs_const ) {
#     define XfOrM335_COUNT (0+XfOrM334_COUNT)
#     define SETUP_XfOrM335(x) SETUP_XfOrM334(x)
      p = (((long ) (proc_attr ) ) >> 1 ) ; 
      if (! ims [p ] ) {
#       define XfOrM336_COUNT (0+XfOrM335_COUNT)
#       define SETUP_XfOrM336(x) SETUP_XfOrM335(x)
        FUNCCALL(SETUP_XfOrM336(_), scheme_arg_mismatch ("make-struct-type" , "field is not specified as immutable for a prop:procedure index: " , proc_attr ) ); 
      }
    }
    struct_type -> immutables = ims ; 
  }
  if (props ) {
    int num_props , i ; 
    Scheme_Hash_Table * can_override ; 
    Scheme_Object * l , * a , * prop , * propv ; 
    BLOCK_SETUP((PUSH(prop, 0+XfOrM295_COUNT), PUSH(l, 1+XfOrM295_COUNT), PUSH(a, 2+XfOrM295_COUNT), PUSH(propv, 3+XfOrM295_COUNT), PUSH(can_override, 4+XfOrM295_COUNT)));
#   define XfOrM298_COUNT (5+XfOrM295_COUNT)
#   define SETUP_XfOrM298(x) SETUP(XfOrM298_COUNT)
    can_override = NULLED_OUT ; 
    l = NULLED_OUT ; 
    a = NULLED_OUT ; 
    prop = NULLED_OUT ; 
    propv = NULLED_OUT ; 
    can_override = FUNCCALL(SETUP_XfOrM298(_), scheme_make_hash_table (SCHEME_hash_ptr ) ); 
    num_props = FUNCCALL_AGAIN(scheme_list_length (props ) )- props_delta ; 
    if ((struct_type -> num_props < 0 ) || (struct_type -> num_props + num_props > 5 ) ) {
      Scheme_Hash_Table * ht ; 
      BLOCK_SETUP((PUSH(ht, 0+XfOrM298_COUNT)));
#     define XfOrM317_COUNT (1+XfOrM298_COUNT)
#     define SETUP_XfOrM317(x) SETUP(XfOrM317_COUNT)
      ht = NULLED_OUT ; 
      ht = FUNCCALL(SETUP_XfOrM317(_), scheme_make_hash_table (SCHEME_hash_ptr ) ); 
      if (struct_type -> num_props >= 0 ) {
#       define XfOrM331_COUNT (0+XfOrM317_COUNT)
#       define SETUP_XfOrM331(x) SETUP_XfOrM317(x)
        for (i = 0 ; i < struct_type -> num_props ; i ++ ) {
#         define XfOrM333_COUNT (0+XfOrM331_COUNT)
#         define SETUP_XfOrM333(x) SETUP_XfOrM331(x)
          prop = (((Scheme_Simple_Object * ) (struct_type -> props [i ] ) ) -> u . pair_val . car ) ; 
          FUNCCALL(SETUP_XfOrM333(_), scheme_hash_set (ht , prop , (((Scheme_Simple_Object * ) (struct_type -> props [i ] ) ) -> u . pair_val . cdr ) ) ); 
          FUNCCALL_AGAIN(scheme_hash_set (can_override , prop , scheme_true ) ); 
        }
      }
      else {
        Scheme_Hash_Table * oht = (Scheme_Hash_Table * ) struct_type -> props ; 
        BLOCK_SETUP((PUSH(oht, 0+XfOrM317_COUNT)));
#       define XfOrM326_COUNT (1+XfOrM317_COUNT)
#       define SETUP_XfOrM326(x) SETUP(XfOrM326_COUNT)
        for (i = oht -> count ; i -- ; ) {
#         define XfOrM329_COUNT (0+XfOrM326_COUNT)
#         define SETUP_XfOrM329(x) SETUP_XfOrM326(x)
          if (oht -> vals [i ] ) {
#           define XfOrM330_COUNT (0+XfOrM329_COUNT)
#           define SETUP_XfOrM330(x) SETUP_XfOrM329(x)
            prop = oht -> keys [i ] ; 
            FUNCCALL(SETUP_XfOrM330(_), scheme_hash_set (ht , prop , oht -> vals [i ] ) ); 
            FUNCCALL_AGAIN(scheme_hash_set (can_override , prop , scheme_true ) ); 
          }
        }
      }
      for (l = props ; ((Scheme_Type ) (((((long ) (l ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (l ) ) -> type ) ) == (Scheme_Type ) (scheme_pair_type ) ) ; l = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . cdr ) ) {
#       define XfOrM322_COUNT (0+XfOrM317_COUNT)
#       define SETUP_XfOrM322(x) SETUP_XfOrM317(x)
        a = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . car ) ; 
        prop = (((Scheme_Simple_Object * ) (a ) ) -> u . pair_val . car ) ; 
        if (((prop ) == (proc_property ) ) ) {
          if (props_delta )
            props_delta = 0 ; 
          else break ; 
        }
        else {
#         define XfOrM323_COUNT (0+XfOrM322_COUNT)
#         define SETUP_XfOrM323(x) SETUP_XfOrM322(x)
          if (FUNCCALL(SETUP_XfOrM323(_), scheme_hash_get (ht , prop ) )) {
#           define XfOrM324_COUNT (0+XfOrM323_COUNT)
#           define SETUP_XfOrM324(x) SETUP_XfOrM323(x)
            if (! FUNCCALL(SETUP_XfOrM324(_), scheme_hash_get (can_override , prop ) ))
              break ; 
            FUNCCALL(SETUP_XfOrM324(_), scheme_hash_set (can_override , prop , ((void * ) 0 ) ) ); 
          }
          propv = FUNCCALL(SETUP_XfOrM323(_), guard_property (prop , (((Scheme_Simple_Object * ) (a ) ) -> u . pair_val . cdr ) , struct_type ) ); 
          FUNCCALL(SETUP_XfOrM323(_), scheme_hash_set (ht , prop , propv ) ); 
        }
      }
      struct_type -> props = (Scheme_Object * * ) ht ; 
      struct_type -> num_props = - 1 ; 
    }
    else {
      Scheme_Object * * pa ; 
      int j ; 
      BLOCK_SETUP((PUSH(pa, 0+XfOrM298_COUNT)));
#     define XfOrM300_COUNT (1+XfOrM298_COUNT)
#     define SETUP_XfOrM300(x) SETUP(XfOrM300_COUNT)
      pa = NULLED_OUT ; 
      for (i = 0 ; i < struct_type -> num_props ; i ++ ) {
#       define XfOrM316_COUNT (0+XfOrM300_COUNT)
#       define SETUP_XfOrM316(x) SETUP_XfOrM300(x)
        prop = (((Scheme_Simple_Object * ) (struct_type -> props [i ] ) ) -> u . pair_val . car ) ; 
        FUNCCALL(SETUP_XfOrM316(_), scheme_hash_set (can_override , prop , scheme_true ) ); 
      }
      pa = ((Scheme_Object * * ) FUNCCALL(SETUP_XfOrM300(_), GC_malloc (sizeof (Scheme_Object * ) * (i + num_props ) ) )) ; 
      (memcpy (pa , struct_type -> props , sizeof (Scheme_Object * ) * i ) ) ; 
      num_props = i ; 
      for (l = props ; ((Scheme_Type ) (((((long ) (l ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (l ) ) -> type ) ) == (Scheme_Type ) (scheme_pair_type ) ) ; l = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . cdr ) ) {
#       define XfOrM308_COUNT (0+XfOrM300_COUNT)
#       define SETUP_XfOrM308(x) SETUP_XfOrM300(x)
        a = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . car ) ; 
        prop = (((Scheme_Simple_Object * ) (a ) ) -> u . pair_val . car ) ; 
        if (((prop ) == (proc_property ) ) ) {
          if (props_delta )
            props_delta = 0 ; 
          else break ; 
        }
        else {
#         define XfOrM309_COUNT (0+XfOrM308_COUNT)
#         define SETUP_XfOrM309(x) SETUP_XfOrM308(x)
          for (j = 0 ; j < num_props ; j ++ ) {
            if ((((((Scheme_Simple_Object * ) (pa [j ] ) ) -> u . pair_val . car ) ) == (prop ) ) )
              break ; 
          }
          if (j < num_props ) {
#           define XfOrM311_COUNT (0+XfOrM309_COUNT)
#           define SETUP_XfOrM311(x) SETUP_XfOrM309(x)
            if (! FUNCCALL(SETUP_XfOrM311(_), scheme_hash_get (can_override , prop ) ))
              break ; 
            FUNCCALL(SETUP_XfOrM311(_), scheme_hash_set (can_override , prop , ((void * ) 0 ) ) ); 
          }
          else {
            num_props ++ ; 
          }
          propv = FUNCCALL(SETUP_XfOrM309(_), guard_property (prop , (((Scheme_Simple_Object * ) (a ) ) -> u . pair_val . cdr ) , struct_type ) ); 
          a = FUNCCALL(SETUP_XfOrM309(_), scheme_make_pair (prop , propv ) ); 
          pa [j ] = a ; 
        }
      }
      struct_type -> num_props = num_props ; 
      struct_type -> props = pa ; 
    }
    if (! ((l ) == (scheme_null ) ) ) {
#     define XfOrM299_COUNT (0+XfOrM298_COUNT)
#     define SETUP_XfOrM299(x) SETUP_XfOrM298(x)
      a = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . car ) ; 
      FUNCCALL(SETUP_XfOrM299(_), scheme_arg_mismatch ("make-struct-type" , "duplicate property binding: " , a ) ); 
    }
  }
  if (guard ) {
#   define XfOrM296_COUNT (0+XfOrM295_COUNT)
#   define SETUP_XfOrM296(x) SETUP_XfOrM295(x)
    if (! FUNCCALL(SETUP_XfOrM296(_), scheme_check_proc_arity (((void * ) 0 ) , struct_type -> num_islots + 1 , - 1 , 0 , & guard ) )) {
#     define XfOrM297_COUNT (0+XfOrM296_COUNT)
#     define SETUP_XfOrM297(x) SETUP_XfOrM296(x)
      FUNCCALL(SETUP_XfOrM297(_), scheme_raise_exn (MZEXN_FAIL_CONTRACT , "make-struct-type: guard procedure does not accept %d arguments " "(one more than the number constructor arguments): %V" , struct_type -> num_islots + 1 , guard ) ); 
    }
    struct_type -> guard = guard ; 
  }
  RET_VALUE_START ((Scheme_Object * ) struct_type ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * scheme_make_struct_type (Scheme_Object * base , Scheme_Object * parent , Scheme_Object * inspector , int num_fields , int num_uninit , Scheme_Object * uninit_val , Scheme_Object * properties , Scheme_Object * guard ) {
  /* No conversion */
  return _make_struct_type (base , ((void * ) 0 ) , 0 , parent , inspector , num_fields , num_uninit , uninit_val , properties , ((void * ) 0 ) , scheme_null , guard ) ; 
}
Scheme_Object * scheme_make_proc_struct_type (Scheme_Object * base , Scheme_Object * parent , Scheme_Object * inspector , int num_fields , int num_uninit , Scheme_Object * uninit_val , Scheme_Object * proc_attr , Scheme_Object * guard ) {
  /* No conversion */
  return _make_struct_type (base , ((void * ) 0 ) , 0 , parent , inspector , num_fields , num_uninit , uninit_val , scheme_null , proc_attr , scheme_null , guard ) ; 
}
Scheme_Object * scheme_make_struct_type_from_string (const char * base , Scheme_Object * parent , int num_fields , Scheme_Object * props , Scheme_Object * guard , int immutable ) {
  Scheme_Object * imm = scheme_null ; 
  int i ; 
  PREPARE_VAR_STACK_ONCE(5);
  BLOCK_SETUP_TOP((PUSH(guard, 0), PUSH(parent, 1), PUSH(imm, 2), PUSH(props, 3), PUSH(base, 4)));
# define XfOrM366_COUNT (5)
# define SETUP_XfOrM366(x) SETUP(XfOrM366_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  if (immutable ) {
#   define XfOrM367_COUNT (0+XfOrM366_COUNT)
#   define SETUP_XfOrM367(x) SETUP_XfOrM366(x)
    for (i = 0 ; i < num_fields ; i ++ ) {
#     define XfOrM369_COUNT (0+XfOrM367_COUNT)
#     define SETUP_XfOrM369(x) SETUP_XfOrM367(x)
      imm = FUNCCALL(SETUP_XfOrM369(_), scheme_make_pair (((Scheme_Object * ) (void * ) (long ) ((((long ) (i ) ) << 1 ) | 0x1 ) ) , imm ) ); 
    }
  }
  RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(_make_struct_type (((void * ) 0 ) , base , strlen (base ) , parent , scheme_false , num_fields , 0 , ((void * ) 0 ) , props , ((void * ) 0 ) , imm , guard ) )) RET_VALUE_EMPTY_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Struct_Type * hash_prefab (Scheme_Struct_Type * type ) {
  Scheme_Object * k , * v ; 
  DECL_RET_SAVE (Scheme_Struct_Type * ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(k, 0), PUSH(type, 1), PUSH(v, 2)));
# define XfOrM370_COUNT (3)
# define SETUP_XfOrM370(x) SETUP(XfOrM370_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  k = NULLED_OUT ; 
  v = NULLED_OUT ; 
  if (! prefab_table ) {
#   define XfOrM378_COUNT (0+XfOrM370_COUNT)
#   define SETUP_XfOrM378(x) SETUP_XfOrM370(x)
    FUNCCALL(SETUP_XfOrM378(_), scheme_register_static ((void * ) & prefab_table , sizeof (prefab_table ) ) ); 
    prefab_table = FUNCCALL(SETUP_XfOrM378(_), scheme_make_weak_equal_table () ); 
  }
  k = FUNCCALL(SETUP_XfOrM370(_), make_prefab_key (type ) ); 
  type -> prefab_key = k ; 
  v = FUNCCALL(SETUP_XfOrM370(_), scheme_lookup_in_table (prefab_table , (const char * ) k ) ); 
  if (v )
    v = (((Scheme_Small_Object * ) (v ) ) -> u . ptr_val ) ; 
  if (v ) {
    type = (Scheme_Struct_Type * ) v ; 
  }
  else {
#   define XfOrM371_COUNT (0+XfOrM370_COUNT)
#   define SETUP_XfOrM371(x) SETUP_XfOrM370(x)
    if (! type -> name_pos || (& type -> parent_types [type -> name_pos - 1 ] -> iso ) -> so . keyex & 0x1 ) {
      int i , size ; 
      size = type -> num_islots ; 
      if (type -> name_pos )
        size -= type -> parent_types [type -> name_pos - 1 ] -> num_islots ; 
      if (type -> immutables ) {
        for (i = 0 ; i < size ; i ++ ) {
          if (! type -> immutables [i ] )
            break ; 
        }
      }
      else {
        i = 0 ; 
      }
      if (i == size )
        (& type -> iso ) -> so . keyex |= 0x1 ; 
    }
    v = FUNCCALL(SETUP_XfOrM371(_), scheme_make_weak_box ((Scheme_Object * ) type ) ); 
    FUNCCALL(SETUP_XfOrM371(_), scheme_add_to_table (prefab_table , (const char * ) k , v , 0 ) ); 
  }
  RET_VALUE_START (type ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * make_struct_type (int argc , Scheme_Object * * argv ) {
  int initc , uninitc , num_props = 0 , i , prefab = 0 ; 
  Scheme_Object * props = scheme_null , * l , * a , * * r ; 
  Scheme_Object * inspector = ((void * ) 0 ) , * * names , * uninit_val ; 
  Scheme_Struct_Type * type ; 
  Scheme_Object * proc_attr = ((void * ) 0 ) , * immutable_pos_list = scheme_null , * guard = ((void * ) 0 ) ; 
  Scheme_Config * __funcarg90 = NULLED_OUT ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(12);
  BLOCK_SETUP_TOP((PUSH(names, 0), PUSH(uninit_val, 1), PUSH(argv, 2), PUSH(l, 3), PUSH(r, 4), PUSH(props, 5), PUSH(immutable_pos_list, 6), PUSH(inspector, 7), PUSH(type, 8), PUSH(guard, 9), PUSH(proc_attr, 10), PUSH(a, 11)));
# define XfOrM379_COUNT (12)
# define SETUP_XfOrM379(x) SETUP(XfOrM379_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  l = NULLED_OUT ; 
  a = NULLED_OUT ; 
  r = NULLED_OUT ; 
  names = NULLED_OUT ; 
  uninit_val = NULLED_OUT ; 
  type = NULLED_OUT ; 
  if (! ((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_symbol_type ) ) )
    FUNCCALL_EMPTY(scheme_wrong_type ("make-struct-type" , "symbol" , 0 , argc , argv ) ); 
  if (! (((argv [1 ] ) ) == (scheme_false ) ) && ! ((Scheme_Type ) (((((long ) (argv [1 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [1 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_struct_type_type ) ) )
    FUNCCALL_EMPTY(scheme_wrong_type ("make-struct-type" , "struct-type or #f" , 1 , argc , argv ) ); 
  if (! (((long ) (argv [2 ] ) ) & 0x1 ) || ((((long ) (argv [2 ] ) ) >> 1 ) < 0 ) ) {
#   define XfOrM408_COUNT (0+XfOrM379_COUNT)
#   define SETUP_XfOrM408(x) SETUP_XfOrM379(x)
    if (((Scheme_Type ) (((((long ) (argv [2 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [2 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_bignum_type ) ) && ((& ((Scheme_Bignum * ) argv [2 ] ) -> iso ) -> so . keyex & 0x1 ) )
      initc = - 1 ; 
    else {
#     define XfOrM409_COUNT (0+XfOrM408_COUNT)
#     define SETUP_XfOrM409(x) SETUP_XfOrM408(x)
      FUNCCALL_EMPTY(scheme_wrong_type ("make-struct-type" , "non-negative exact integer" , 2 , argc , argv ) ); 
      RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
    }
  }
  else initc = (((long ) (argv [2 ] ) ) >> 1 ) ; 
  if (! (((long ) (argv [3 ] ) ) & 0x1 ) || ((((long ) (argv [3 ] ) ) >> 1 ) < 0 ) ) {
#   define XfOrM406_COUNT (0+XfOrM379_COUNT)
#   define SETUP_XfOrM406(x) SETUP_XfOrM379(x)
    if (((Scheme_Type ) (((((long ) (argv [3 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [3 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_bignum_type ) ) && ((& ((Scheme_Bignum * ) argv [3 ] ) -> iso ) -> so . keyex & 0x1 ) )
      uninitc = - 1 ; 
    else {
#     define XfOrM407_COUNT (0+XfOrM406_COUNT)
#     define SETUP_XfOrM407(x) SETUP_XfOrM406(x)
      FUNCCALL_EMPTY(scheme_wrong_type ("make-struct-type" , "non-negative exact integer" , 3 , argc , argv ) ); 
      RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
    }
  }
  else uninitc = (((long ) (argv [3 ] ) ) >> 1 ) ; 
  if (argc > 4 ) {
#   define XfOrM387_COUNT (0+XfOrM379_COUNT)
#   define SETUP_XfOrM387(x) SETUP_XfOrM379(x)
    uninit_val = argv [4 ] ; 
    if (argc > 5 ) {
#     define XfOrM388_COUNT (0+XfOrM387_COUNT)
#     define SETUP_XfOrM388(x) SETUP_XfOrM387(x)
      props = argv [5 ] ; 
      for (l = props ; ((Scheme_Type ) (((((long ) (l ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (l ) ) -> type ) ) == (Scheme_Type ) (scheme_pair_type ) ) ; l = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . cdr ) ) {
        a = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . car ) ; 
        if (! ((Scheme_Type ) (((((long ) (a ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (a ) ) -> type ) ) == (Scheme_Type ) (scheme_pair_type ) ) || ! ((Scheme_Type ) (((((long ) ((((Scheme_Simple_Object * ) (a ) ) -> u . pair_val . car ) ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) ((((Scheme_Simple_Object * ) (a ) ) -> u . pair_val . car ) ) ) -> type ) ) == (Scheme_Type ) (scheme_struct_property_type ) ) )
          break ; 
        num_props ++ ; 
      }
      if (! ((l ) == (scheme_null ) ) ) {
#       define XfOrM403_COUNT (0+XfOrM388_COUNT)
#       define SETUP_XfOrM403(x) SETUP_XfOrM388(x)
        FUNCCALL_EMPTY(scheme_wrong_type ("make-struct-type" , "list of struct-type-property--value pairs" , 5 , argc , argv ) ); 
      }
      if (argc > 6 ) {
#       define XfOrM389_COUNT (0+XfOrM388_COUNT)
#       define SETUP_XfOrM389(x) SETUP_XfOrM388(x)
        inspector = argv [6 ] ; 
        if (((inspector ) == (prefab_symbol ) ) ) {
          prefab = 1 ; 
          inspector = scheme_false ; 
        }
        else if (! (((inspector ) ) == (scheme_false ) ) ) {
#         define XfOrM401_COUNT (0+XfOrM389_COUNT)
#         define SETUP_XfOrM401(x) SETUP_XfOrM389(x)
          if (! ((Scheme_Type ) (((((long ) (argv [6 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [6 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_inspector_type ) ) )
            FUNCCALL_EMPTY(scheme_wrong_type ("make-struct-type" , "inspector, #f, or 'prefab" , 6 , argc , argv ) ); 
        }
        if (argc > 7 ) {
#         define XfOrM390_COUNT (0+XfOrM389_COUNT)
#         define SETUP_XfOrM390(x) SETUP_XfOrM389(x)
          if (! (((argv [7 ] ) ) == (scheme_false ) ) ) {
#           define XfOrM399_COUNT (0+XfOrM390_COUNT)
#           define SETUP_XfOrM399(x) SETUP_XfOrM390(x)
            proc_attr = argv [7 ] ; 
            if (! (((((long ) (proc_attr ) ) & 0x1 ) && ((((long ) (proc_attr ) ) >> 1 ) >= 0 ) ) || (((Scheme_Type ) (((((long ) (proc_attr ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (proc_attr ) ) -> type ) ) == (Scheme_Type ) (scheme_bignum_type ) ) && ((& ((Scheme_Bignum * ) proc_attr ) -> iso ) -> so . keyex & 0x1 ) ) || (! (((long ) (proc_attr ) ) & 0x1 ) && ((((proc_attr ) -> type ) >= scheme_prim_type ) && (((proc_attr ) -> type ) <= scheme_native_closure_type ) ) ) ) ) {
#             define XfOrM400_COUNT (0+XfOrM399_COUNT)
#             define SETUP_XfOrM400(x) SETUP_XfOrM399(x)
              FUNCCALL_EMPTY(scheme_wrong_type ("make-struct-type" , "exact non-negative integer, procedure, or #f" , 7 , argc , argv ) ); 
              RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
            }
          }
          if (argc > 8 ) {
#           define XfOrM391_COUNT (0+XfOrM390_COUNT)
#           define SETUP_XfOrM391(x) SETUP_XfOrM390(x)
            l = immutable_pos_list = argv [8 ] ; 
            if (FUNCCALL(SETUP_XfOrM391(_), scheme_proper_list_length (l ) )< 0 )
              l = ((void * ) 0 ) ; 
            for (; l && ((Scheme_Type ) (((((long ) (l ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (l ) ) -> type ) ) == (Scheme_Type ) (scheme_pair_type ) ) ; l = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . cdr ) ) {
              a = (((Scheme_Simple_Object * ) (l ) ) -> u . pair_val . car ) ; 
              if (! (((((long ) (a ) ) & 0x1 ) && ((((long ) (a ) ) >> 1 ) >= 0 ) ) || (((Scheme_Type ) (((((long ) (a ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (a ) ) -> type ) ) == (Scheme_Type ) (scheme_bignum_type ) ) && ! ((& ((Scheme_Bignum * ) a ) -> iso ) -> so . keyex & 0x1 ) ) ) ) {
                l = ((void * ) 0 ) ; 
                break ; 
              }
            }
            if (! l ) {
#             define XfOrM394_COUNT (0+XfOrM391_COUNT)
#             define SETUP_XfOrM394(x) SETUP_XfOrM391(x)
              FUNCCALL_EMPTY(scheme_wrong_type ("make-struct-type" , "list of exact non-negative integers" , 8 , argc , argv ) ); 
              RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
            }
            if (argc > 9 ) {
#             define XfOrM392_COUNT (0+XfOrM391_COUNT)
#             define SETUP_XfOrM392(x) SETUP_XfOrM391(x)
              if ((! (((argv [9 ] ) ) == (scheme_false ) ) ) ) {
#               define XfOrM393_COUNT (0+XfOrM392_COUNT)
#               define SETUP_XfOrM393(x) SETUP_XfOrM392(x)
                guard = argv [9 ] ; 
                if (! (! (((long ) (guard ) ) & 0x1 ) && ((((guard ) -> type ) >= scheme_prim_type ) && (((guard ) -> type ) <= scheme_native_closure_type ) ) ) )
                  FUNCCALL_EMPTY(scheme_wrong_type ("make-struct-type" , "procedure or #f" , 9 , argc , argv ) ); 
              }
            }
          }
        }
      }
    }
  }
  else uninit_val = scheme_false ; 
  if (! uninitc )
    uninit_val = scheme_false ; 
  if (! inspector )
    inspector = (__funcarg90 = FUNCCALL(SETUP_XfOrM379(_), scheme_current_config () ), FUNCCALL_AGAIN(scheme_get_param (__funcarg90 , MZCONFIG_INSPECTOR ) )) ; 
  if (prefab ) {
    const char * bad = ((void * ) 0 ) ; 
    Scheme_Object * parent = argv [1 ] ; 
#   define XfOrM381_COUNT (0+XfOrM379_COUNT)
#   define SETUP_XfOrM381(x) SETUP_XfOrM379(x)
    if (! (((parent ) ) == (scheme_false ) ) && ! ((Scheme_Struct_Type * ) parent ) -> prefab_key ) {
      bad = ("make-struct-type: generative supertype disallowed" " for non-generative structure type with name: " ) ; 
    }
    else if (! ((props ) == (scheme_null ) ) ) {
      bad = ("make-struct-type: properties disallowed" " for non-generative structure type with name: " ) ; 
    }
    else if (proc_attr ) {
      bad = ("make-struct-type: procedure specification disallowed" " for non-generative structure type with name: " ) ; 
    }
    else if (guard ) {
      bad = ("make-struct-type: guard disallowed" " for non-generative structure type with name: " ) ; 
    }
    if (bad ) {
#     define XfOrM382_COUNT (0+XfOrM381_COUNT)
#     define SETUP_XfOrM382(x) SETUP_XfOrM381(x)
      FUNCCALL_EMPTY(scheme_raise_exn (MZEXN_FAIL_CONTRACT , bad , inspector ) ); 
    }
  }
  type = (Scheme_Struct_Type * ) FUNCCALL(SETUP_XfOrM379(_), _make_struct_type (argv [0 ] , ((void * ) 0 ) , 0 , (((argv [1 ] ) ) == (scheme_false ) ) ? ((void * ) 0 ) : argv [1 ] , inspector , initc , uninitc , uninit_val , props , proc_attr , immutable_pos_list , guard ) ); 
  if (prefab ) {
#   define XfOrM380_COUNT (0+XfOrM379_COUNT)
#   define SETUP_XfOrM380(x) SETUP_XfOrM379(x)
    type = FUNCCALL(SETUP_XfOrM380(_), hash_prefab (type ) ); 
  }
  names = FUNCCALL(SETUP_XfOrM379(_), scheme_make_struct_names (argv [0 ] , ((void * ) 0 ) , 0x20 | 0x40 , & i ) ); 
  r = FUNCCALL(SETUP_XfOrM379(_), scheme_make_struct_values ((Scheme_Object * ) type , names , i , 0x20 | 0x40 ) ); 
  RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(scheme_values (i , r ) )) RET_VALUE_EMPTY_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * make_prefab_key (Scheme_Struct_Type * type ) {
  Scheme_Object * key = scheme_null , * stack = scheme_null , * v ; 
  int cnt , icnt , total_cnt ; 
  Scheme_Object * __funcarg94 = NULLED_OUT ; 
  Scheme_Object * __funcarg93 = NULLED_OUT ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(4);
  BLOCK_SETUP_TOP((PUSH(stack, 0), PUSH(key, 1), PUSH(type, 2), PUSH(v, 3)));
# define XfOrM410_COUNT (4)
# define SETUP_XfOrM410(x) SETUP(XfOrM410_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  v = NULLED_OUT ; 
  total_cnt = type -> num_slots ; 
  while (type -> name_pos ) {
#   define XfOrM434_COUNT (0+XfOrM410_COUNT)
#   define SETUP_XfOrM434(x) SETUP_XfOrM410(x)
    stack = FUNCCALL(SETUP_XfOrM434(_), scheme_make_pair ((Scheme_Object * ) type , stack ) ); 
    type = type -> parent_types [type -> name_pos - 1 ] ; 
  }
  while (type ) {
#   define XfOrM422_COUNT (0+XfOrM410_COUNT)
#   define SETUP_XfOrM422(x) SETUP_XfOrM410(x)
    cnt = type -> num_slots ; 
    icnt = type -> num_islots ; 
    if (type -> name_pos ) {
      cnt -= type -> parent_types [type -> name_pos - 1 ] -> num_slots ; 
      icnt -= type -> parent_types [type -> name_pos - 1 ] -> num_islots ; 
    }
    if (cnt ) {
      int i ; 
#     define XfOrM425_COUNT (0+XfOrM422_COUNT)
#     define SETUP_XfOrM425(x) SETUP_XfOrM422(x)
      v = scheme_null ; 
      for (i = icnt ; i -- ; ) {
#       define XfOrM430_COUNT (0+XfOrM425_COUNT)
#       define SETUP_XfOrM430(x) SETUP_XfOrM425(x)
        if (! type -> immutables || ! type -> immutables [i ] ) {
#         define XfOrM431_COUNT (0+XfOrM430_COUNT)
#         define SETUP_XfOrM431(x) SETUP_XfOrM430(x)
          v = FUNCCALL(SETUP_XfOrM431(_), scheme_make_pair (((Scheme_Object * ) (void * ) (long ) ((((long ) (i ) ) << 1 ) | 0x1 ) ) , v ) ); 
        }
      }
      if (! ((v ) == (scheme_null ) ) ) {
#       define XfOrM427_COUNT (0+XfOrM425_COUNT)
#       define SETUP_XfOrM427(x) SETUP_XfOrM425(x)
        v = FUNCCALL(SETUP_XfOrM427(_), scheme_list_to_vector (v ) ); 
        key = FUNCCALL(SETUP_XfOrM427(_), scheme_make_pair (v , key ) ); 
      }
      if (cnt > icnt ) {
#       define XfOrM426_COUNT (0+XfOrM425_COUNT)
#       define SETUP_XfOrM426(x) SETUP_XfOrM425(x)
        key = (__funcarg93 = (__funcarg94 = FUNCCALL(SETUP_XfOrM426(_), scheme_make_pair (type -> uninit_val , scheme_null ) ), FUNCCALL_AGAIN(scheme_make_pair (((Scheme_Object * ) (void * ) (long ) ((((long ) (cnt - icnt ) ) << 1 ) | 0x1 ) ) , __funcarg94 ) )) , FUNCCALL_AGAIN(scheme_make_pair (__funcarg93 , key ) )) ; 
      }
    }
    if (! ((stack ) == (scheme_null ) ) )
      key = FUNCCALL(SETUP_XfOrM422(_), scheme_make_pair (((Scheme_Object * ) (void * ) (long ) ((((long ) (icnt ) ) << 1 ) | 0x1 ) ) , key ) ); 
    key = FUNCCALL(SETUP_XfOrM422(_), scheme_make_pair (type -> name , key ) ); 
    if (((Scheme_Type ) (((((long ) (stack ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (stack ) ) -> type ) ) == (Scheme_Type ) (scheme_pair_type ) ) ) {
      type = (Scheme_Struct_Type * ) (((Scheme_Simple_Object * ) (stack ) ) -> u . pair_val . car ) ; 
      stack = (((Scheme_Simple_Object * ) (stack ) ) -> u . pair_val . cdr ) ; 
    }
    else {
      type = ((void * ) 0 ) ; 
    }
  }
  if (((Scheme_Type ) (((((long ) (key ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (key ) ) -> type ) ) == (Scheme_Type ) (scheme_pair_type ) ) && (((((Scheme_Simple_Object * ) (key ) ) -> u . pair_val . cdr ) ) == (scheme_null ) ) )
    key = (((Scheme_Simple_Object * ) (key ) ) -> u . pair_val . car ) ; 
  key = FUNCCALL(SETUP_XfOrM410(_), scheme_make_pair (((Scheme_Object * ) (void * ) (long ) ((((long ) (total_cnt ) ) << 1 ) | 0x1 ) ) , key ) ); 
  RET_VALUE_START (key ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Struct_Type * scheme_lookup_prefab_type (Scheme_Object * key , int field_count ) {
  Scheme_Struct_Type * parent = ((void * ) 0 ) ; 
  Scheme_Object * a , * uninit_val , * mutables , * immutable_pos_list , * name ; 
  int i , ucnt , icnt , prev ; 
  DECL_RET_SAVE (Scheme_Struct_Type * ) PREPARE_VAR_STACK_ONCE(7);
  BLOCK_SETUP_TOP((PUSH(uninit_val, 0), PUSH(name, 1), PUSH(key, 2), PUSH(immutable_pos_list, 3), PUSH(parent, 4), PUSH(mutables, 5), PUSH(a, 6)));
# define XfOrM435_COUNT (7)
# define SETUP_XfOrM435(x) SETUP(XfOrM435_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  a = NULLED_OUT ; 
  uninit_val = NULLED_OUT ; 
  mutables = NULLED_OUT ; 
  immutable_pos_list = NULLED_OUT ; 
  name = NULLED_OUT ; 
  if (((Scheme_Type ) (((((long ) (key ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (key ) ) -> type ) ) == (Scheme_Type ) (scheme_symbol_type ) ) )
    key = FUNCCALL(SETUP_XfOrM435(_), scheme_make_pair (key , scheme_null ) ); 
  if (FUNCCALL(SETUP_XfOrM435(_), scheme_proper_list_length (key ) )< 0 )
    RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
  if (field_count > 32768 )
    field_count = 32768 ; 
  if (prefab_table ) {
#   define XfOrM468_COUNT (0+XfOrM435_COUNT)
#   define SETUP_XfOrM468(x) SETUP_XfOrM435(x)
    a = FUNCCALL(SETUP_XfOrM468(_), scheme_lookup_in_table (prefab_table , (const char * ) key ) ); 
    if (a )
      a = (((Scheme_Small_Object * ) (a ) ) -> u . ptr_val ) ; 
    if (a )
      RET_VALUE_START ((Scheme_Struct_Type * ) a ) RET_VALUE_END ; 
  }
  key = FUNCCALL(SETUP_XfOrM435(_), scheme_reverse (key ) ); 
  while (((Scheme_Type ) (((((long ) (key ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (key ) ) -> type ) ) == (Scheme_Type ) (scheme_pair_type ) ) ) {
#   define XfOrM452_COUNT (0+XfOrM435_COUNT)
#   define SETUP_XfOrM452(x) SETUP_XfOrM435(x)
    a = (((Scheme_Simple_Object * ) (key ) ) -> u . pair_val . car ) ; 
    if (((Scheme_Type ) (((((long ) (a ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (a ) ) -> type ) ) == (Scheme_Type ) (scheme_vector_type ) ) ) {
      mutables = a ; 
      key = (((Scheme_Simple_Object * ) (key ) ) -> u . pair_val . cdr ) ; 
    }
    else mutables = ((void * ) 0 ) ; 
    if (! ((Scheme_Type ) (((((long ) (key ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (key ) ) -> type ) ) == (Scheme_Type ) (scheme_pair_type ) ) )
      RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
    a = (((Scheme_Simple_Object * ) (key ) ) -> u . pair_val . car ) ; 
    if (((Scheme_Type ) (((((long ) (a ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (a ) ) -> type ) ) == (Scheme_Type ) (scheme_pair_type ) ) ) {
#     define XfOrM466_COUNT (0+XfOrM452_COUNT)
#     define SETUP_XfOrM466(x) SETUP_XfOrM452(x)
      if (FUNCCALL(SETUP_XfOrM466(_), scheme_proper_list_length (a ) )!= 2 )
        RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
      if (! (((long ) ((((Scheme_Simple_Object * ) (a ) ) -> u . pair_val . car ) ) ) & 0x1 ) )
        RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
      ucnt = (((long ) ((((Scheme_Simple_Object * ) (a ) ) -> u . pair_val . car ) ) ) >> 1 ) ; 
      a = (((Scheme_Simple_Object * ) (a ) ) -> u . pair_val . cdr ) ; 
      uninit_val = (((Scheme_Simple_Object * ) (a ) ) -> u . pair_val . car ) ; 
      key = (((Scheme_Simple_Object * ) (key ) ) -> u . pair_val . cdr ) ; 
    }
    else {
      ucnt = 0 ; 
      uninit_val = scheme_false ; 
    }
    if (! ((Scheme_Type ) (((((long ) (key ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (key ) ) -> type ) ) == (Scheme_Type ) (scheme_pair_type ) ) )
      RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
    a = (((Scheme_Simple_Object * ) (key ) ) -> u . pair_val . car ) ; 
    if (! (((long ) (a ) ) & 0x1 ) ) {
      if ((((((Scheme_Simple_Object * ) (key ) ) -> u . pair_val . cdr ) ) == (scheme_null ) ) ) {
        icnt = field_count - ucnt - (parent ? parent -> num_slots : 0 ) ; 
        if (icnt < 0 )
          icnt = 0 ; 
      }
      else RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
    }
    else {
      icnt = (((long ) (a ) ) >> 1 ) ; 
      if (icnt > 32768 )
        RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
      key = (((Scheme_Simple_Object * ) (key ) ) -> u . pair_val . cdr ) ; 
    }
    if (! ((Scheme_Type ) (((((long ) (key ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (key ) ) -> type ) ) == (Scheme_Type ) (scheme_pair_type ) ) )
      RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
    a = (((Scheme_Simple_Object * ) (key ) ) -> u . pair_val . car ) ; 
    key = (((Scheme_Simple_Object * ) (key ) ) -> u . pair_val . cdr ) ; 
    if (! ((Scheme_Type ) (((((long ) (a ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (a ) ) -> type ) ) == (Scheme_Type ) (scheme_symbol_type ) ) )
      RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
    name = a ; 
    immutable_pos_list = scheme_null ; 
    prev = - 1 ; 
    if (mutables ) {
      int len ; 
#     define XfOrM455_COUNT (0+XfOrM452_COUNT)
#     define SETUP_XfOrM455(x) SETUP_XfOrM452(x)
      len = (((Scheme_Vector * ) (mutables ) ) -> size ) ; 
      if (len > icnt )
        RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
      for (i = 0 ; i < len ; i ++ ) {
#       define XfOrM459_COUNT (0+XfOrM455_COUNT)
#       define SETUP_XfOrM459(x) SETUP_XfOrM455(x)
        a = (((Scheme_Vector * ) (mutables ) ) -> els ) [i ] ; 
        if (! (((long ) (a ) ) & 0x1 ) || ((((long ) (a ) ) >> 1 ) < 0 ) || ((((long ) (a ) ) >> 1 ) >= icnt ) || ((((long ) (a ) ) >> 1 ) <= prev ) )
          RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
        while (prev + 1 < (((long ) (a ) ) >> 1 ) ) {
#         define XfOrM461_COUNT (0+XfOrM459_COUNT)
#         define SETUP_XfOrM461(x) SETUP_XfOrM459(x)
          immutable_pos_list = FUNCCALL(SETUP_XfOrM461(_), scheme_make_pair (((Scheme_Object * ) (void * ) (long ) ((((long ) (prev + 1 ) ) << 1 ) | 0x1 ) ) , immutable_pos_list ) ); 
          prev ++ ; 
        }
        prev ++ ; 
      }
    }
    while (prev + 1 < icnt ) {
#     define XfOrM454_COUNT (0+XfOrM452_COUNT)
#     define SETUP_XfOrM454(x) SETUP_XfOrM452(x)
      immutable_pos_list = FUNCCALL(SETUP_XfOrM454(_), scheme_make_pair (((Scheme_Object * ) (void * ) (long ) ((((long ) (prev + 1 ) ) << 1 ) | 0x1 ) ) , immutable_pos_list ) ); 
      prev ++ ; 
    }
    if (parent && (icnt + parent -> num_slots > 32768 ) )
      RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
    parent = (Scheme_Struct_Type * ) FUNCCALL(SETUP_XfOrM452(_), _make_struct_type (name , ((void * ) 0 ) , 0 , (Scheme_Object * ) parent , scheme_false , icnt , ucnt , uninit_val , scheme_null , ((void * ) 0 ) , immutable_pos_list , ((void * ) 0 ) ) ); 
    parent = FUNCCALL(SETUP_XfOrM452(_), hash_prefab (parent ) ); 
  }
  if (! ((key ) == (scheme_null ) ) )
    RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
  RET_VALUE_START (parent ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * scheme_extract_struct_procedure (Scheme_Object * obj , int num_rands , Scheme_Object * * rands , int * is_method ) {
  Scheme_Struct_Type * stype ; 
  Scheme_Object * a , * proc ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(proc, 0), PUSH(rands, 1), PUSH(obj, 2)));
# define XfOrM469_COUNT (3)
# define SETUP_XfOrM469(x) SETUP(XfOrM469_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  stype = NULLED_OUT ; 
  a = NULLED_OUT ; 
  proc = NULLED_OUT ; 
  stype = ((Scheme_Structure * ) obj ) -> stype ; 
  a = stype -> proc_attr ; 
  if ((((long ) (a ) ) & 0x1 ) ) {
    * is_method = 0 ; 
    proc = ((Scheme_Structure * ) obj ) -> slots [(((long ) (a ) ) >> 1 ) ] ; 
  }
  else {
    * is_method = 1 ; 
    proc = a ; 
  }
  if (num_rands >= 0 ) {
#   define XfOrM470_COUNT (0+XfOrM469_COUNT)
#   define SETUP_XfOrM470(x) SETUP_XfOrM469(x)
    if (! (! (((long ) (proc ) ) & 0x1 ) && ((((proc ) -> type ) >= scheme_prim_type ) && (((proc ) -> type ) <= scheme_native_closure_type ) ) ) || ! FUNCCALL(SETUP_XfOrM470(_), scheme_check_proc_arity (((void * ) 0 ) , num_rands , - 1 , 0 , & obj ) )) {
#     define XfOrM471_COUNT (0+XfOrM470_COUNT)
#     define SETUP_XfOrM471(x) SETUP_XfOrM470(x)
      FUNCCALL(SETUP_XfOrM471(_), scheme_wrong_count_m ((char * ) obj , - 1 , 0 , num_rands , rands , 0 ) ); 
      RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
    }
  }
  RET_VALUE_START (proc ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * procedure_extract_target (int argc , Scheme_Object * * argv ) {
  Scheme_Object * v ; 
  int is_method ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(v, 0)));
# define XfOrM474_COUNT (1)
# define SETUP_XfOrM474(x) SETUP(XfOrM474_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  v = NULLED_OUT ; 
  if (! (! (((long ) (argv [0 ] ) ) & 0x1 ) && ((((argv [0 ] ) -> type ) >= scheme_prim_type ) && (((argv [0 ] ) -> type ) <= scheme_native_closure_type ) ) ) )
    FUNCCALL_EMPTY(scheme_wrong_type ("procedure-extract-target" , "procedure" , 0 , argc , argv ) ); 
  if (((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_proc_struct_type ) ) ) {
#   define XfOrM475_COUNT (0+XfOrM474_COUNT)
#   define SETUP_XfOrM475(x) SETUP_XfOrM474(x)
    if (scheme_reduced_procedure_struct && (scheme_is_struct_instance (scheme_reduced_procedure_struct , argv [0 ] ) ) )
      RET_VALUE_START (scheme_false ) RET_VALUE_END ; 
    v = FUNCCALL(SETUP_XfOrM475(_), scheme_extract_struct_procedure (argv [0 ] , - 1 , ((void * ) 0 ) , & is_method ) ); 
    if (v && ! is_method && (! (((long ) (v ) ) & 0x1 ) && ((((v ) -> type ) >= scheme_prim_type ) && (((v ) -> type ) <= scheme_native_closure_type ) ) ) )
      RET_VALUE_START (v ) RET_VALUE_END ; 
  }
  RET_VALUE_START (scheme_false ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int exact_pos_integer (Scheme_Object * o ) {
  /* No conversion */
  if ((((long ) (o ) ) & 0x1 ) )
    return (((long ) (o ) ) >> 1 ) > 0 ; 
  else if (((Scheme_Type ) (((((long ) (o ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (o ) ) -> type ) ) == (Scheme_Type ) (scheme_bignum_type ) ) )
    return ((& ((Scheme_Bignum * ) o ) -> iso ) -> so . keyex & 0x1 ) ; 
  else return 0 ; 
}
static int exact_nneg_integer (Scheme_Object * o ) {
  /* No conversion */
  if ((((long ) (o ) ) & 0x1 ) )
    return (((long ) (o ) ) >> 1 ) >= 0 ; 
  else if (((Scheme_Type ) (((((long ) (o ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (o ) ) -> type ) ) == (Scheme_Type ) (scheme_bignum_type ) ) )
    return ((& ((Scheme_Bignum * ) o ) -> iso ) -> so . keyex & 0x1 ) ; 
  else return 0 ; 
}
Scheme_Object * scheme_make_location (Scheme_Object * src , Scheme_Object * line , Scheme_Object * col , Scheme_Object * pos , Scheme_Object * span ) {
  Scheme_Object * a [5 ] ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSHARRAY(a, 5, 0)));
# define XfOrM478_COUNT (3)
# define SETUP_XfOrM478(x) SETUP(XfOrM478_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  NULL_OUT_ARRAY (a ) ; 
  a [0 ] = src ; 
  a [1 ] = line ; 
  a [2 ] = col ; 
  a [3 ] = pos ; 
  a [4 ] = span ; 
  RET_VALUE_START (FUNCCALL(SETUP_XfOrM478(_), scheme_make_struct_instance (location_struct , 5 , a ) )) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
int scheme_is_location (Scheme_Object * o ) {
  /* No conversion */
  return scheme_is_struct_instance (location_struct , o ) ; 
}
static Scheme_Object * check_location_fields (int argc , Scheme_Object * * argv ) {
  PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(argv, 0)));
# define XfOrM480_COUNT (1)
# define SETUP_XfOrM480(x) SETUP(XfOrM480_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  if ((! (((argv [1 ] ) ) == (scheme_false ) ) ) && ! FUNCCALL(SETUP_XfOrM480(_), exact_pos_integer (argv [1 ] ) ))
    FUNCCALL(SETUP_XfOrM480(_), scheme_wrong_field_type (argv [5 ] , "exact positive integer or #f" , argv [1 ] ) ); 
  if ((! (((argv [2 ] ) ) == (scheme_false ) ) ) && ! FUNCCALL(SETUP_XfOrM480(_), exact_nneg_integer (argv [2 ] ) ))
    FUNCCALL(SETUP_XfOrM480(_), scheme_wrong_field_type (argv [5 ] , "exact non-negative integer or #f" , argv [2 ] ) ); 
  if ((! (((argv [3 ] ) ) == (scheme_false ) ) ) && ! FUNCCALL(SETUP_XfOrM480(_), exact_pos_integer (argv [3 ] ) ))
    FUNCCALL(SETUP_XfOrM480(_), scheme_wrong_field_type (argv [5 ] , "exact positive integer or #f" , argv [3 ] ) ); 
  if ((! (((argv [4 ] ) ) == (scheme_false ) ) ) && ! FUNCCALL(SETUP_XfOrM480(_), exact_nneg_integer (argv [4 ] ) ))
    FUNCCALL(SETUP_XfOrM480(_), scheme_wrong_field_type (argv [5 ] , "exact non-negative integer or #f" , argv [4 ] ) ); 
  RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(scheme_values (5 , argv ) )) RET_VALUE_EMPTY_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * check_arity_at_least_fields (int argc , Scheme_Object * * argv ) {
  /* No conversion */
  Scheme_Object * a ; 
  a = argv [0 ] ; 
  if ((((long ) (a ) ) & 0x1 ) ) {
    if ((((long ) (a ) ) >> 1 ) >= 0 )
      return a ; 
  }
  else if (((Scheme_Type ) (((((long ) (a ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (a ) ) -> type ) ) == (Scheme_Type ) (scheme_bignum_type ) ) ) {
    if (((& ((Scheme_Bignum * ) a ) -> iso ) -> so . keyex & 0x1 ) )
      return a ; 
  }
  scheme_wrong_field_type (argv [1 ] , "exact non-negative integer" , a ) ; 
  return ((void * ) 0 ) ; 
}
static Scheme_Object * check_date_fields (int argc , Scheme_Object * * argv ) {
  Scheme_Object * a , * args [10 ] ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(5);
  BLOCK_SETUP_TOP((PUSH(argv, 0), PUSHARRAY(args, 10, 1), PUSH(a, 4)));
# define XfOrM484_COUNT (5)
# define SETUP_XfOrM484(x) SETUP(XfOrM484_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  a = NULLED_OUT ; 
  NULL_OUT_ARRAY (args ) ; 
  a = argv [0 ] ; 
  if (! (((long ) (a ) ) & 0x1 ) || ((((long ) (a ) ) >> 1 ) < 0 ) || ((((long ) (a ) ) >> 1 ) > 61 ) )
    FUNCCALL(SETUP_XfOrM484(_), scheme_wrong_field_type (argv [10 ] , "integer in [0, 61]" , a ) ); 
  a = argv [1 ] ; 
  if (! (((long ) (a ) ) & 0x1 ) || ((((long ) (a ) ) >> 1 ) < 0 ) || ((((long ) (a ) ) >> 1 ) > 59 ) )
    FUNCCALL(SETUP_XfOrM484(_), scheme_wrong_field_type (argv [10 ] , "integer in [0, 59]" , a ) ); 
  a = argv [2 ] ; 
  if (! (((long ) (a ) ) & 0x1 ) || ((((long ) (a ) ) >> 1 ) < 0 ) || ((((long ) (a ) ) >> 1 ) > 23 ) )
    FUNCCALL(SETUP_XfOrM484(_), scheme_wrong_field_type (argv [10 ] , "integer in [0, 23]" , a ) ); 
  a = argv [3 ] ; 
  if (! (((long ) (a ) ) & 0x1 ) || ((((long ) (a ) ) >> 1 ) < 1 ) || ((((long ) (a ) ) >> 1 ) > 31 ) )
    FUNCCALL(SETUP_XfOrM484(_), scheme_wrong_field_type (argv [10 ] , "integer in [1, 31]" , a ) ); 
  a = argv [4 ] ; 
  if (! (((long ) (a ) ) & 0x1 ) || ((((long ) (a ) ) >> 1 ) < 1 ) || ((((long ) (a ) ) >> 1 ) > 12 ) )
    FUNCCALL(SETUP_XfOrM484(_), scheme_wrong_field_type (argv [10 ] , "integer in [1, 12]" , a ) ); 
  a = argv [5 ] ; 
  if ((! (((long ) (a ) ) & 0x1 ) || ((((long ) (a ) ) >> 1 ) < 0 ) ) && (! ((Scheme_Type ) (((((long ) (a ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (a ) ) -> type ) ) == (Scheme_Type ) (scheme_bignum_type ) ) || ! ((& ((Scheme_Bignum * ) a ) -> iso ) -> so . keyex & 0x1 ) ) )
    FUNCCALL(SETUP_XfOrM484(_), scheme_wrong_field_type (argv [10 ] , "nonnegative exact integer" , a ) ); 
  a = argv [6 ] ; 
  if (! (((long ) (a ) ) & 0x1 ) || ((((long ) (a ) ) >> 1 ) < 0 ) || ((((long ) (a ) ) >> 1 ) > 6 ) )
    FUNCCALL(SETUP_XfOrM484(_), scheme_wrong_field_type (argv [10 ] , "integer in [0, 6]" , a ) ); 
  a = argv [7 ] ; 
  if (! (((long ) (a ) ) & 0x1 ) || ((((long ) (a ) ) >> 1 ) < 0 ) || ((((long ) (a ) ) >> 1 ) > 365 ) )
    FUNCCALL(SETUP_XfOrM484(_), scheme_wrong_field_type (argv [10 ] , "integer in [0, 365]" , a ) ); 
  a = argv [9 ] ; 
  if (! (((long ) (a ) ) & 0x1 ) && ! ((Scheme_Type ) (((((long ) (a ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (a ) ) -> type ) ) == (Scheme_Type ) (scheme_bignum_type ) ) )
    FUNCCALL(SETUP_XfOrM484(_), scheme_wrong_field_type (argv [10 ] , "exact integer" , a ) ); 
  (memcpy (args , argv , sizeof (Scheme_Object * ) * 10 ) ) ; 
  args [8 ] = ((! (((argv [8 ] ) ) == (scheme_false ) ) ) ? scheme_true : scheme_false ) ; 
  RET_VALUE_START (FUNCCALL(SETUP_XfOrM484(_), scheme_values (10 , args ) )) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * scheme_special_comment_value (Scheme_Object * o ) {
  /* No conversion */
  if (((Scheme_Type ) (((((long ) (o ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (o ) ) -> type ) ) == (Scheme_Type ) (scheme_special_comment_type ) ) )
    return ((Scheme_Small_Object * ) o ) -> u . ptr_val ; 
  else return ((void * ) 0 ) ; 
}
Scheme_Object * make_special_comment (int argc , Scheme_Object * * argv ) {
  Scheme_Object * o ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(2);
  BLOCK_SETUP_TOP((PUSH(o, 0), PUSH(argv, 1)));
# define XfOrM486_COUNT (2)
# define SETUP_XfOrM486(x) SETUP(XfOrM486_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  o = NULLED_OUT ; 
  o = ((Scheme_Object * ) FUNCCALL(SETUP_XfOrM486(_), GC_malloc_one_small_tagged ((((sizeof (Scheme_Small_Object ) + (1 << 2 ) - 1 ) >> 2 ) << 2 ) ) )) ; 
  o -> type = scheme_special_comment_type ; 
  (((Scheme_Small_Object * ) (o ) ) -> u . ptr_val ) = argv [0 ] ; 
  RET_VALUE_START (o ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * special_comment_value (int argc , Scheme_Object * * argv ) {
  Scheme_Object * v ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(2);
  BLOCK_SETUP_TOP((PUSH(v, 0), PUSH(argv, 1)));
# define XfOrM487_COUNT (2)
# define SETUP_XfOrM487(x) SETUP(XfOrM487_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  v = NULLED_OUT ; 
  v = FUNCCALL(SETUP_XfOrM487(_), scheme_special_comment_value (argv [0 ] ) ); 
  if (! v )
    FUNCCALL_EMPTY(scheme_wrong_type ("special-comment-value" , "special comment" , 0 , argc , argv ) ); 
  RET_VALUE_START (v ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * special_comment_p (int argc , Scheme_Object * * argv ) {
  /* No conversion */
  return (((Scheme_Type ) (((((long ) (argv [0 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (argv [0 ] ) ) -> type ) ) == (Scheme_Type ) (scheme_special_comment_type ) ) ? scheme_true : scheme_false ) ; 
}
static Scheme_Object * exn_source_p (int argc , Scheme_Object * * argv ) {
  /* No conversion */
  return (scheme_struct_type_property_ref (scheme_source_property , argv [0 ] ) ? scheme_true : scheme_false ) ; 
}
static Scheme_Object * exn_source_get (int argc , Scheme_Object * * argv ) {
  /* No conversion */
  Scheme_Object * v ; 
  v = scheme_struct_type_property_ref (scheme_source_property , argv [0 ] ) ; 
  if (! v )
    scheme_wrong_type ("exn:srclocs-accessor" , "exn:srclocs" , 0 , argc , argv ) ; 
  return v ; 
}
static Scheme_Object * check_exn_source_property_value_ok (int argc , Scheme_Object * argv [] ) {
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(argv, 0)));
# define XfOrM491_COUNT (1)
# define SETUP_XfOrM491(x) SETUP(XfOrM491_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  FUNCCALL(SETUP_XfOrM491(_), scheme_check_proc_arity ("guard-for-prop:exn:srclocs" , 1 , 0 , argc , argv ) ); 
  RET_VALUE_START (argv [0 ] ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int mark_struct_val_SIZE (void * p ) {
  Scheme_Structure * s = (Scheme_Structure * ) p ; 
  int num_slots = ((Scheme_Struct_Type * ) GC_resolve (s -> stype ) ) -> num_slots ; 
  return (((sizeof (Scheme_Structure ) + ((num_slots - 1 ) * sizeof (Scheme_Object * ) ) ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int mark_struct_val_MARK (void * p ) {
  Scheme_Structure * s = (Scheme_Structure * ) p ; 
  int num_slots = ((Scheme_Struct_Type * ) GC_resolve (s -> stype ) ) -> num_slots ; 
  int i ; 
  GC_mark (s -> stype ) ; 
  for (i = num_slots ; i -- ; ) GC_mark (s -> slots [i ] ) ; 
  return (((sizeof (Scheme_Structure ) + ((num_slots - 1 ) * sizeof (Scheme_Object * ) ) ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int mark_struct_val_FIXUP (void * p ) {
  Scheme_Structure * s = (Scheme_Structure * ) p ; 
  int num_slots = ((Scheme_Struct_Type * ) GC_resolve (s -> stype ) ) -> num_slots ; 
  int i ; 
  GC_fixup (& (s -> stype ) ) ; 
  for (i = num_slots ; i -- ; ) GC_fixup (& (s -> slots [i ] ) ) ; 
  return (((sizeof (Scheme_Structure ) + ((num_slots - 1 ) * sizeof (Scheme_Object * ) ) ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int mark_struct_type_val_SIZE (void * p ) {
  Scheme_Struct_Type * t = (Scheme_Struct_Type * ) p ; 
  return (((sizeof (Scheme_Struct_Type ) + (t -> name_pos * sizeof (Scheme_Struct_Type * ) ) ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int mark_struct_type_val_MARK (void * p ) {
  Scheme_Struct_Type * t = (Scheme_Struct_Type * ) p ; 
  int i ; 
  for (i = t -> name_pos + 1 ; i -- ; ) {
    GC_mark (t -> parent_types [i ] ) ; 
  }
  GC_mark (t -> name ) ; 
  GC_mark (t -> inspector ) ; 
  GC_mark (t -> accessor ) ; 
  GC_mark (t -> mutator ) ; 
  GC_mark (t -> prefab_key ) ; 
  GC_mark (t -> uninit_val ) ; 
  GC_mark (t -> props ) ; 
  GC_mark (t -> proc_attr ) ; 
  GC_mark (t -> guard ) ; 
  GC_mark (t -> immutables ) ; 
  return (((sizeof (Scheme_Struct_Type ) + (t -> name_pos * sizeof (Scheme_Struct_Type * ) ) ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int mark_struct_type_val_FIXUP (void * p ) {
  Scheme_Struct_Type * t = (Scheme_Struct_Type * ) p ; 
  int i ; 
  for (i = t -> name_pos + 1 ; i -- ; ) {
    GC_fixup (& (t -> parent_types [i ] ) ) ; 
  }
  GC_fixup (& (t -> name ) ) ; 
  GC_fixup (& (t -> inspector ) ) ; 
  GC_fixup (& (t -> accessor ) ) ; 
  GC_fixup (& (t -> mutator ) ) ; 
  GC_fixup (& (t -> prefab_key ) ) ; 
  GC_fixup (& (t -> uninit_val ) ) ; 
  GC_fixup (& (t -> props ) ) ; 
  GC_fixup (& (t -> proc_attr ) ) ; 
  GC_fixup (& (t -> guard ) ) ; 
  GC_fixup (& (t -> immutables ) ) ; 
  return (((sizeof (Scheme_Struct_Type ) + (t -> name_pos * sizeof (Scheme_Struct_Type * ) ) ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int mark_struct_proc_info_SIZE (void * p ) {
  return ((sizeof (Struct_Proc_Info ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int mark_struct_proc_info_MARK (void * p ) {
  Struct_Proc_Info * i = (Struct_Proc_Info * ) p ; 
  GC_mark (i -> struct_type ) ; 
  GC_mark (i -> func_name ) ; 
  return ((sizeof (Struct_Proc_Info ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int mark_struct_proc_info_FIXUP (void * p ) {
  Struct_Proc_Info * i = (Struct_Proc_Info * ) p ; 
  GC_fixup (& (i -> struct_type ) ) ; 
  GC_fixup (& (i -> func_name ) ) ; 
  return ((sizeof (Struct_Proc_Info ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int mark_struct_property_SIZE (void * p ) {
  return ((sizeof (Scheme_Struct_Property ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int mark_struct_property_MARK (void * p ) {
  Scheme_Struct_Property * i = (Scheme_Struct_Property * ) p ; 
  GC_mark (i -> name ) ; 
  GC_mark (i -> guard ) ; 
  return ((sizeof (Scheme_Struct_Property ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int mark_struct_property_FIXUP (void * p ) {
  Scheme_Struct_Property * i = (Scheme_Struct_Property * ) p ; 
  GC_fixup (& (i -> name ) ) ; 
  GC_fixup (& (i -> guard ) ) ; 
  return ((sizeof (Scheme_Struct_Property ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int mark_wrapped_evt_SIZE (void * p ) {
  return ((sizeof (Wrapped_Evt ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int mark_wrapped_evt_MARK (void * p ) {
  Wrapped_Evt * ww = (Wrapped_Evt * ) p ; 
  GC_mark (ww -> evt ) ; 
  GC_mark (ww -> wrapper ) ; 
  return ((sizeof (Wrapped_Evt ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int mark_wrapped_evt_FIXUP (void * p ) {
  Wrapped_Evt * ww = (Wrapped_Evt * ) p ; 
  GC_fixup (& (ww -> evt ) ) ; 
  GC_fixup (& (ww -> wrapper ) ) ; 
  return ((sizeof (Wrapped_Evt ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int mark_nack_guard_evt_SIZE (void * p ) {
  return ((sizeof (Nack_Guard_Evt ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int mark_nack_guard_evt_MARK (void * p ) {
  Nack_Guard_Evt * nw = (Nack_Guard_Evt * ) p ; 
  GC_mark (nw -> maker ) ; 
  return ((sizeof (Nack_Guard_Evt ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int mark_nack_guard_evt_FIXUP (void * p ) {
  Nack_Guard_Evt * nw = (Nack_Guard_Evt * ) p ; 
  GC_fixup (& (nw -> maker ) ) ; 
  return ((sizeof (Nack_Guard_Evt ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static void register_traversers (void ) {
  GC_register_traversers (scheme_structure_type , mark_struct_val_SIZE , mark_struct_val_MARK , mark_struct_val_FIXUP , 0 , 0 ) ; 
  GC_register_traversers (scheme_proc_struct_type , mark_struct_val_SIZE , mark_struct_val_MARK , mark_struct_val_FIXUP , 0 , 0 ) ; 
  GC_register_traversers (scheme_struct_type_type , mark_struct_type_val_SIZE , mark_struct_type_val_MARK , mark_struct_type_val_FIXUP , 0 , 0 ) ; 
  GC_register_traversers (scheme_struct_property_type , mark_struct_property_SIZE , mark_struct_property_MARK , mark_struct_property_FIXUP , 1 , 0 ) ; 
  GC_register_traversers (scheme_wrap_evt_type , mark_wrapped_evt_SIZE , mark_wrapped_evt_MARK , mark_wrapped_evt_FIXUP , 1 , 0 ) ; 
  GC_register_traversers (scheme_handle_evt_type , mark_wrapped_evt_SIZE , mark_wrapped_evt_MARK , mark_wrapped_evt_FIXUP , 1 , 0 ) ; 
  GC_register_traversers (scheme_nack_guard_evt_type , mark_nack_guard_evt_SIZE , mark_nack_guard_evt_MARK , mark_nack_guard_evt_FIXUP , 1 , 0 ) ; 
  GC_register_traversers (scheme_poll_evt_type , mark_nack_guard_evt_SIZE , mark_nack_guard_evt_MARK , mark_nack_guard_evt_FIXUP , 1 , 0 ) ; 
  GC_register_traversers (scheme_rt_struct_proc_info , mark_struct_proc_info_SIZE , mark_struct_proc_info_MARK , mark_struct_proc_info_FIXUP , 1 , 0 ) ; 
}
